# 利益相关者分析&与模板映射的示例

> 原文： [https://www.guru99.com/stakeholder-needs-analysis.html](https://www.guru99.com/stakeholder-needs-analysis.html)

### 什么是利益相关者分析？

进行利益相关者分析和映射以映射利益相关者的兴趣。 这是系统地分析和收集定性信息以确定应该考虑谁的兴趣的过程。

利益相关者分析和映射非常重要，因为它可以帮助项目负责人和经理获取利益相关者的利益，职位，联盟和与项目相关的知识。

## 何时需要进行利益相关者分析？

利益相关者分析应始终在项目开始时进行。 这样的分析有助于起草逻辑框架。 逻辑框架不过是采用“逻辑框架矩阵”形式进行项目计划，监视和评估的通用方法。 每当在项目的生命周期中重新考虑日志框架时，利益相关者分析将非常有用。 这意味着无论何时进行中期审查或年度监控，利益相关者分析都应该成为其中的一部分。

## 利益相关者分类

利益相关者分为两类

| **内部利益相关者** | **外部利益相关者** |
| 组织内部：员工和管理层 | 组织外部：政府&行业协会 |

## 利益相关者分析流程

以下是利益相关者分析需要考虑的主要方面

**步骤 1）**确定您的利益相关者：您的老板，您的团队，高级管理人员，潜在客户，您的家庭等。

**步骤 2）**评估这些利益相关者如何受到影响或对组织产生影响

**步骤 3）**优先考虑利益相关者-

| **股份持有人类型** | **动作** |
| 

*   大功率，感兴趣的人

 | -严密管理 |
| 

*   大功率，兴趣较小的人

 | -保持满意 |
| 

*   低功耗，感兴趣的人

 | -保持知情 |
| 

*   低功耗，兴趣较小的人

 | -轻松监控 |

**步骤 4）**确定冲突区域（组织与利益相关者，利益相关者与利益相关者）

**步骤 5）**优先考虑，协调和平衡利益相关者

**步骤 6）**使重要的利益相关者需求与组织的策略和行动保持一致

与利益相关者打交道时要注意的事情

*   您能消除不会增加利益相关者价值的流程吗？
*   您将如何与利益相关者沟通？
*   您的交流是否鼓励利益相关者交流？
*   您是否向利益相关者传达交易的价值？

## 利益相关者分析映射期间要问的重要问题

| **利益相关者**的不同属性检查 | **问您的利益相关者的问题** |
| 

*   利益相关者的标识

 | 

*   谁为该项目付款？
*   谁将从项目中获得可交付成果或利润？
*   来自您的组织和客户组织的谁将与您一起实施该项目？
*   确定组织中项目领域的专家。

 |
| 

*   兴趣

 | 

*   利益相关者期望从该项目中获得什么直接收益？
*   利益相关者对项目的期望是什么？
*   由于项目，利益相关者需要进行哪些更改？
*   利益相关者之间是否存在利益冲突？

 |
| 

*   影响力

 | 

*   利益相关者在组织中拥有什么合法权限？
*   谁控制项目资产和资源？
*   您确定的利益相关者在组织中具有何种程度的影响力或谈判力量？

 |
| 

*   冲击

 | 

*   利益相关者可能对项目产生多大影响，这是否会影响项目的成功

 |

此外，您还需要弄清楚利益相关者何时会参与以下活动：

*   项目愿景
*   项目范围定义
*   业务流程分析
*   需要启发
*   需求验证
*   设计评论
*   [用户接受度测试](/user-acceptance-testing.html)

您可以为涉众创建一个“ **参与矩阵表”** ，如下所示

| **参与类型** | **通知** | **咨询** | **合作伙伴** | **控件** |
| 需求评估 |  |  |  |  |
| 规划 |  |  |  |  |
| 实行 |  |  |  |  |
| 监视&评估 |  |  |  |  |

## 管理利益相关者的提示

*   不要抱怨。 接受利益相关者
*   为了确保成功，请让关键领导参与其中。
*   确保您在业务分析过程的早期就让利益相关者参与
*   如果存在敏感问题，请确保对所有利益相关者完全保密，以赢得他们的信任。
*   为避免冲突，请帮助所有利益相关者从项目中实现个人利益。
*   利益相关者的映射和分析总是有帮助的。

[下载涉众分析模板](https://drive.google.com/uc?export=download&id=0ByI5-ZLwpo25MHU4SmtWaXdhRGs)