# 如何将需求组织为业务分析师

> 原文： [https://www.guru99.com/present-requirements-business-analyst.html](https://www.guru99.com/present-requirements-business-analyst.html)

业务需求是一个正式文件，可解决涉众对项目或产品的需求。 没有标准格式可以表示业务需求。 但是，它应该足够详细地涵盖产品或项目描述，以进行讨论，分析，记录和验证。

可以通过以下任何一种方式来表示业务需求

*   表格或电子表格
*   图表（工作流程）
*   图
*   模型（实体关系图）
*   原型或模拟
*   结构化的句子或文本模板

## 如何组织和提出业务需求

**步骤 1）**分类需求

*   将特定要求放在其相关类别中
*   对于技术利益相关者，应该有技术需求类别，对于非技术利益相关者，应该有通用需求类别
*   每个组织都应该弄清楚哪个类别适合其标准
*   也可以根据其类型（功能与业务）进行分类。 尽管这并不适用于所有情况

**步骤 2）**以逻辑顺序收集并安排需求。 因此，当利益相关者查看需求时，很容易浏览并确定缺失的项目。

**步骤 3）**准备要由特定涉众审查的需求列表。

例如，如果利益相关者来自技术背景，那么他只想了解产品的技术方面

**步骤 4）**如果很难互相跟踪，则使用唯一标识符，以简化可追溯性。

**步骤 5）**在某些情况下，您可能必须针对不同的涉众以不同的方式提出相同的要求。 例如，一个利益相关者更喜欢图形格式，而其他利益相关者更喜欢结构化句子格式

**步骤 6）**准备所有需求的目录，这有助于利益相关者轻松跟踪需求

**步骤 7）**使用有助于提出和分类需求的工具

**步骤 8）**在需求文档中，删除所有不必要的需求，并按流程分类组织需求文档

**步骤 9）**将您收集的需求映射到流程中的特定步骤，这将有助于审阅者将需求与流程相关联

**步骤 10）**使用一张表来表示复杂的需求。 使用要点突出要求的关键方面

## 提出需求的有用技巧

为了更好地介绍和跟踪利益相关者的需求，这里有一些技巧可能对 BA 有所帮助。

*   分类要求非常耗时，并且对于每个组织每次都创建新类别而言可能并不可行。 为了获得最佳实践，建议应该有一套标准的类别，供广管局，利益相关者，主题专家和技术团队共同使用
*   您的要求应根据听众的情况准备。 了解谁是关键参与者，影响者和决策者。 （利益相关者，技术人员，开发人员等）
*   一次定义一个需求。 每个要求都应该是原子的
*   通过避免使用诸如首字母缩写等类似的缩写来避免歧义
*   不要引用尚未定义的需求
*   避免重复和矛盾的陈述
*   将复杂的需求分解为可管理和可审查的点
*   避免描述系统将如何执行某些操作，而仅提及系统将执行的操作