# 初学者手动测试教程：概念，类型，工具

> 原文： [https://www.guru99.com/manual-testing.html](https://www.guru99.com/manual-testing.html)

## 什么是手动测试？

**手动测试**是一种软件测试，测试人员无需使用任何自动化工具即可手动执行测试用例。 手动测试是所有测试类型中最原始的一种，有助于发现软件系统中的错误。

任何新应用程序都必须先进行手动测试，然后才能使其测试自动化。 手动测试需要更多的精力，但对于检查自动化的可行性是必需的。

手动测试不需要任何测试工具的知识。

软件测试基础之一是“ **无法实现 100％自动化**”。

这使得手动测试势在必行。

## 手动测试的目的

![Manual Testing](img/45389e65afa175e68e89df48b7d68531.png "Goal of Manual Testing")

手动测试的关键概念是确保应用程序无错误，并且符合指定的功能要求。

测试套件或案例是在测试阶段设计的，应该具有 100％的测试覆盖率。

它还可以确保报告的缺陷已由开发人员修复，并且测试人员已对已修复的缺陷进行了重新测试。

基本上，此测试检查系统的质量并将无错误的产品交付给客户。

## 手动测试的类型：

下图显示了手动测试类型。 **实际上，任何类型的软件测试类型都可以手动执行，也可以使用自动化工具执行。**

<input alt="Manual Testing" src="/images/typesofmanualtesting.png" style="width: 250px; height: 232px; " title="types of manual testing" type="image"> ** [**

*   黑匣子测试
*   白盒测试
*   单元测试
*   系统测试
*   整合测试
*   验收测试

## 如何执行手动测试

1.  阅读并了解软件项目文档/指南。 另外，如果可用，请研究被测应用程序（AUT）。
2.  涵盖文档中提到的所有要求的测试用例草案。
3.  与团队负责人，客户一起审查测试案例并确定基线（如果适用）
4.  在 AUT 上执行测试用例
5.  报告错误。
6.  修复错误后，再次执行失败的测试用例以验证它们是否通过。

## 手动测试的神话

以下是与测试有关的一些常见神话和事实：

误解：任何人都可以进行手动测试

**事实**：测试需要许多技能

误解：测试确保 100％[缺陷](/defect-management-process.html)无产品

**事实**：测试试图找到尽可能多的缺陷。 识别所有可能的缺陷是不可能的。

误解：自动测试比手动测试更强大

**事实**：无法完成 100％的自动化测试。 手动测试也很重要。

误解：测试很容易

**事实**：测试可能极具挑战性。 用最少的测试用例测试应用程序的可能用例需要很高的分析能力。 【HTG2】

## 手动测试与自动化测试

| 手动测试 | 自动化测试 |
| 手动测试需要人工干预才能执行测试。 | [自动化测试](/automation-testing.html)使用工具执行测试用例 |
| 手动测试将需要熟练的劳动力，长时间&将意味着高昂的成本。 | 自动化测试可以节省时间，成本和人力。 记录后，运行自动化测试套件会更容易 |
| 任何类型的应用程序都可以手动测试，某些测试类型（例如临时测试和猴子测试）更适合手动执行。 | 自动测试仅建议用于稳定的系统，并且主要用于[回归测试](/regression-testing.html) |
| 手动测试可能会变得反复无聊。 | 一次又一次地执行相同测试用例的无聊部分由自动化测试中的自动化软件处理。 |

## 自动化手动测试的工具

*   [硒](/selenium-tutorial.html)
*   [QTP](/quick-test-professional-qtp-tutorial.html)
*   [仪表](/jmeter-tutorials.html)
*   [Loadrunner](/loadrunner-v12-tutorials.html)
*   [TestLink](/testlink-tutorial-complete-guide.html)
*   [质量中心（ALM）](/hp-alm-free-tutorial.html)

## 结论

手动测试是测试人员需要非常耐心，富有创造力的&的活动。

他们需要从最终用户的角度考虑并采取行动。