# 业务分析过程：分步教程

> 原文： [https://www.guru99.com/complete-business-analysis-process.html](https://www.guru99.com/complete-business-analysis-process.html)

对于任何业务分析师而言，获得项目后最大的挑战是如何开始以及从何处开始项目？ 或者可能正在创建哪些可交付成果，以及如何成功完成项目？

为了帮助您解决各种问题，我们列出了一些成功进行业务流程分析的关键技术。

从第一天的业务分析过程到计划阶段的结束，它将逐步指导您。

### 步骤 1）-收集有关项目的所有信息

收集与项目相关的所有详细信息是业务分析师的责任。 向与项目相关的人员（项目经理，项目发起人，经理或企业所有者）提问。

收集的信息应涵盖这些主题

*   项目范围和界限
*   当前影响组织的因素
*   项目风险和约束
*   广泛的组织环境

积极参与其中的利益相关者。 这将是进行[利益相关者需求分析](/stakeholder-needs-analysis.html)的好时机

收集所有这些信息之后，分析您在项目中的角色并制作一份清单，作为业务分析师，您可以像

*   根据您以前的经验，您可以在当前项目中实现什么
*   当前项目所需的文档和计划
*   与利益相关者讨论该项目的可能结果
*   整理项目中涉及的成员
*   寻找客户的任何帮助-与利益相关者开会
*   预期的交付结果是什么，需要什么格式
*   您可以查看哪些现有文档以获得更好的项目构想
*   找出适合您项目的方法（敏捷或瀑布式）

### 步骤 2）与项目经理/涉众/团队成员召开[审核会议](/testing-review.html)

议程不明确可能会导致项目失败。

*   具体说明项目预期的结果。
*   让项目经理/利益相关者/团队成员参加会议并提出与项目有关的问题
*   您很有可能正在开发全新的项目，在这种情况下，请先咨询曾在该领域工作过的项目经理或联系人

### 步骤 3）[分析](/learn-software-requirements-analysis-with-case-study.html)所有与项目相关的文件，例如

*   业务流程文档
*   [业务和系统需求文档](/brs-vs-srs-the-myth-busted.html)
*   商业案例
*   图表和流程图
*   项目计划
*   组织结构图
*   战略文件和商业计划书
*   政策法规

发现业务需求文档中隐藏的信息，并找出与当前系统，流程，程序和操作之间的任何差距。 提供给您的文档可能已过期，因此请验证您发现的信息。

### 步骤 4）[记录您发现的所有事实和信息](/requirements-analysis-and-transformation-techniques.html)

通过研究和分析，您可能会发现许多与项目相关的有用信息，这些信息必须在项目中进行更改或实施。 记录下来。

*   业务要求，包括报告要求
*   业务流程和支持系统
*   功能和非功能要求
*   当前影响项目的问题和风险

### 步骤 5）了解问题域

现在，您将对项目有很好的了解，现在，您可以[识别项目中的问题域](/requirements-analysis-and-transformation-techniques.html)。 你需要找出

*   究竟哪个业务功能会受到影响
*   影响业务的风险和因素
*   影响项目的政策和约束
*   决定项目重要性水平的价值观
*   系统目前支持业务活动
*   简要说明问题域的文件-例如，年度报告
*   当前阻碍业务实现预期成果的问题
*   在建议的更改上，它对问题域没有任何影响

### 步骤 6）提出您的业务需求

一旦收集了所有业务需求并了解了问题领域。 下一步是[向涉众或项目经理介绍您的业务需求](/present-requirements-business-analyst.html)。 有很多技术可用于提出需求，例如

*   表格或电子表格
*   图表或图形
*   原型或模拟
*   结构化文本模板或结构化句子

词汇表，可快速概述业务分析师流程

*   **目的**：定义拟议计划所需的业务分析活动的目的
*   **范围**：定义包含和排除的交付物
*   **根本原因**：定义所发现问题的根本原因
*   **当前条件**：定义了导致需要更改的问题
*   **计划的活动**：定义活动的原因，可交付成果和交付日期
*   **利益相关者参与计划**：它概述了利益相关者参与过程
*   **质量管理**：它描述了将确保项目可交付成果的质量的活动
*   **目标条件**：定义如何解决已发现的关键问题

### 业务分析师快速提示

*   在会议上提问
*   在利益相关者会议或审查之前做好准备
*   适应变化和新体验
*   管理期望
*   回应意见