# 100 多个业务分析师面试问题&答案

> 原文： [https://www.guru99.com/business-analyst-interview-question.html](https://www.guru99.com/business-analyst-interview-question.html)

以下是针对业务分析师的面试常见问题，这些问题适用于新生以及高级业务分析师的职位。

**1）什么是流程图？ 为什么重要？**

流程图通过符号和图表显示了系统的完整流程。 这很重要，因为它使开发人员和非技术利益相关者都易于理解该系统。

**2）定义用例模型**

用例模型显示了与参与者执行的任何过程有关的一系列事件和一系列动作。

**3）UML 代表什么？**

它代表统一建模语言。

**4）您认为活动图很重要吗？**

顾名思义，活动图全都与系统活动有关。 活动图的主要目的是显示组织中不同部门发生的各种事件。

**5）命名业务分析师**中使用的两种图表类型

这两个图是用例图和协作图

**6）用例中的替代流程是什么意思？**

在系统发生任何故障时，应遵循用例的替代解决方案或活动。

**7）有什么例外？**

这些是无法预料的情况，或者导致应用程序崩溃。

**8）扩展了什么？**

扩展是一种由虚线显示的关系。 它通常用于指定没有独立含义的可选行为。 示例：有关“登录”的帮助扩展了用例“登录”

**9）命名与用例**相关的两个文档

这两个文档是：

*   FRD（功能需求文件）
*   SDD（系统设计文件）。

**10）业务分析师和业务分析之间有什么区别？**

业务分析是由业务分析师执行的过程。

**11）作为业务分析师，哪些工具对您更有用？**

工具很多，但最常用的工具有：1）MS Visio，2）MS Word，3）MS Excel，4）PowerPoint，5）MS Project。

**12）根据您以前的经验，您创建了什么样的文档？**

我从事过功能规范文档，技术规范文档，业务需求文档，用例图等工作。

**13）解释一下投资**

INVEST 表示独立，可协商，有价值，可估计，适当大小，可测试。 它可以协助项目经理和技术团队提供优质的产品/服务。

**14）定义 SaaS**

![](img/75614b26ba44c4a4b108e857d7d51150.png)

SaaS 表示软件即服务。 它与云计算有关。 它与其他软件包不同，因为您不需要在计算机上安装此类软件。 您只需要 Internet 连接和一个 Web 浏览器即可使用它。

**15）从构思中开发产品需要采取什么步骤？**

您必须执行市场分析，竞争对手分析，SWOT 分析，角色，战略远景和功能集，对功能进行优先排序，用例，SDLC，情节提要，测试用例，监视，可伸缩性。

**16）您认为更好的是瀑布模型还是螺旋模型？**

这完全取决于项目的类型和范围。 根据组织文化和其他各种情况选择生命周期模型以开发系统。

**17）您如何解释以用户为中心的设计方法？**

这完全取决于最终用户。 在这种情况下，我们将以用户的角度来开发系统。 谁是最终用户，他们需要什么，等等。角色在此过程中会有所帮助。

**18）您如何定义角色？**

使用角色来代替实际用户，以帮助开发人员和技术团队判断不同情况下的用户行为。 角色是社会角色，由任何演员或角色扮演。 它源自拉丁语，意为“字符”。 在营销术语中，它代表一组客户/最终用户。

**19）定义术语应用程序可用性**

应用程序可用性是使系统对其最终用户有用的系统质量。 如果系统能够实现用户目标，则其可用性很好。

**20）什么是数据库事务？**

当我们在数据库中执行任何活动时，例如添加，删除，修改，搜索等，被称为数据库事务。

**21）提供完整形式的 OLTP**

OLTP 代表在线事务处理。 这样的系统能够执行数据库事务，并且旨在为数据库事务提供良好的速度。 这些系统主要用于数据输入和从数据库检索数据。

**22）什么是 Pugh 矩阵？**

Pugh Matrix 用于决定最佳和替代解决方案。 现在，该技术是六西格玛技术的标准部分。 也称为问题或设计矩阵。

**23）FMEA 代表什么？**

这意味着失效模式和影响分析。 它是一种故障分析，主要用于产品开发，系统工程和运营管理。 执行此分析是为了找出各种故障模式及其在任何系统中的严重性。

**24）什么是 100 点方法？**

此方法用于将优先级分配给流程中的不同步骤。 每个小组成员都应将点分配给不同的步骤。 最后，计算每个步骤的所有点。 具有最高点的步骤具有最高优先级。

**25）什么是 8-Ω？**

它是一个业务框架，主要为公司和组织所采用，以改善其业务。 它的关键因素是战略，人员，流程和技术。

**26）什么是滥用情况？**

它是从用例派生的术语。 与用例不同，滥用案例表明：参与者可能执行何种恶意活动，从而可能导致系统故障。

**27）SQUARE 代表什么？**

SQUARE 代表安全质量需求工程。 它是软件工程步骤之一，主要侧重于记录系统的安全要求。

**28）什么是帕累托分析？**

帕累托分析是一种决策技术，也称为 80/20 规则。 用于质量控制和缺陷解决。 它解释了一些可能导致大问题的因素。 之所以称为 80/20 规则，是因为按照此规则，系统中 80％的影响是由 20％的原因引起的。

**29）什么是敏捷宣言？**

《敏捷宣言》为软件开发人员提供了有关敏捷开发原则的指南，以确保迭代解决方案。

**30）BPMN 代表什么？**

BPMN 是业务流程模型和表示法。 它是业务流程的图形表示。

**31）定义 BPMN 网关**

BPMN 网关是一个处理建模组件，用于控制交互流，流程顺序。

**32）在 BPMN** 中命名五个基本元素的类别

它们是流对象，数据，连接对象，泳道和伪像。

**33）您在以前的工作中曾经使用过 Kano Analysis 吗，如何定义它？**

是的，我在以前的工作之一中使用过 Kano Analysis。 Kano Analysis 用于根据需求分析系统，以确定其对客户满意度的影响。

**34）卡诺分析的关键领域是什么？**

Kano Analysis 具有三个关键区域-即：意外的喜悦，性能属性和必须具备的属性。

**35）定义配对选择技术**

配对选择技术用于优先处理流程中的各个项目。 它主要在有独特利益相关者参与项目时使用。 此技术要求小组将每个项目与其他项目进行比较，然后选择优先级最高的项目。

**36）您对建立有效的用例模型有建议吗？**

是的，我建议制作两个单独的图表。 一个用作用例，另一个用作参与者图。 这样我们就可以在参与者图的用例&中突出显示所有可能的活动，然后可以合并两个图以获得有效的用例图。

**37）用例中可以描述多少种参与者？**

用例中可以描述两种类型的参与者，即。 主要和次要演员。 主要角色启动流程，次要角色协助他们。 此外，参与者可以有四种类型，例如人员，系统，硬件和计时器。

**38）定义 BCG 矩阵**

波士顿咨询集团（BCG）矩阵的开发目的是分析公司的几种业务流程和新产品。 这是一个有用的工具，可用于投资组合分析，战略管理，产品管理和品牌营销。

**39）您如何区分泳池和泳道？**

泳道与活动图上的小组活动有关，而泳池是单个人的专用活动。

**40）鱼模型和 V 模型有何区别？**

| **鱼模型** | **V 型** |
| 鱼模型相对而言非常昂贵且耗时 | V 型需要更少的时间和成本 |
| 当客户需求没有歧义时，使用鱼模型 | 否则，首选 V 模型。 |

**41）在开发任何系统时，您如何管理经常变化的客户需求？**

作为业务分析师，我将开发一个文档，明确说明在一定时间后将不接受任何更改，并由用户签名。

**42）定义用例点**

用例点用于评估开发系统所完成的工作成本。

**43）PEST 代表什么？**

它表示政治，经济，社会和技术。 它用于分析必须在其中进行操作的业务环境。

**44）列出业务发展的四个关键阶段吗？**

他们是形成，猛攻，规范和表演。

**45）定义基准？**

基准测试是衡量组织在行业中竞争的绩效。 在此过程中，公司可以衡量其政策，绩效，规则和其他衡量标准。

**46）SWEBOK 是什么意思？**

它表示软件工程知识体系。

**47）您对 GAP 分析了解多少？**

它是比较和确定两个事物或过程之间差异的过程。

**48）定义敏捷？**

敏捷是一种使用轻量级方法的技术，例如快速应用程序开发（RAD），极限编程（XP）和 SCRUM。 所有这些方法都专注于迭代解决方案的开发。

**49）定义 Scrum 方法**

它是敏捷方法之一，用于开发迭代信息系统。 在这种方法中，一个小型团队通常要完成 30 天的分配任务。

**50）JAD 代表什么？**

这意味着联合应用程序开发。

**51）什么是 ETL？**

提取，转换和加载是一种主要用于数据仓库的数据处理方法。

**52）作为业务分析师，您更喜欢哪种方法-瀑布模型还是螺旋模型？**

最终决定将取决于组织生命周期的文化，可以正确确定瀑布或螺旋形等特定产品的模型。

**53）需求启发是什么？**

需求启发可以帮助您从用户和利益相关者那里收集信息。 它有助于了解他们想要从系统中获得什么。 它还由直接与用户或客户协作的各种策略组成。

**54）什么是卡诺分析？**

Kano Analysis 可帮助您分析系统。 它有助于确定其对客户满意度的影响。

**55）什么是版本控制？**

版本控制是配置管理的子集。 与处理单个组件的配置管理相比，它主要关注的是上一文档中出现的处理更改。

**56）解释黑匣子测试**

黑盒测试是一种测试，其中整个单元作为一个整体进行测试，而不考虑内容或内部组件和单元的测试方式。 该测试方法仅关注已知的输入信号，并检查输出行为是否符合预期。

**57）良好需求的重要素质是什么？**

当需求清晰，可理解且易于验证时，该需求应该是好的。

**58）什么是 OOAD？**

面向对象的分析和设计。 它用于 Java，c ++等面向对象的编码语言。

**59）什么是 UAT？**

UAT 是用户验收测试。 如果 UAR 失败，则 BA 无法正确理解该要求。

**60）您如何衡量产品质量？**

我们可以根据公司设定的标准，通过检查产品中的错误来衡量产品的质量。

**61）什么是 RAD？**

RAD 是一个开发过程，用于在较短的时间内构建应用程序。 通常，为 50-70 天，即有些折衷。

**62）卡诺分析中哪些重要领域？**

卡诺分析中的重要领域是：

*   意外的喜悦
*   性能属性
*   必须具有属性

**63）为什么您喜欢从事业务分析师的职业？**

我喜欢这个职业，因为它给了我一个很好的机会，可以让其他人参与进来并与他们互动。

**64）您对示波器蠕变了解多少？**

范围爬取也称为需求爬取，这是一个术语，表示项目范围的不受控制的更改，而无需增加项目的其他资源（进度，预算）。

**65）业务分析师必须具备哪些重要技能**：

*   解决问题的能力，
*   管理和沟通技巧
*   启发技巧
*   IT 技能知识

**66）如何避免示波器蠕变？**

可以通过以下方法避免范围蠕变：

*   记录项目范围。
*   通过遵循适当的变更管理。
*   在进行更改之前，将更改的影响告知受影响的各方。
*   在项目日志中记录新需求。

**67）列出编写用例时应遵循的三个最佳实践**

您应该包括的重要内容是：

*   用例图以及用例
*   用例中的 UI 详细信息/注释。

**68）什么是 CaaS？**

CaaS 代表通信即服务。 它是外包的架构交互，可以通过 Internet 从单个 Vend 租用。

**69）什么是需求引发技术？**

需求激发是一种通过进行访谈，会话，集思广益等从用户，利益相关者，用户，客户那里收集需求的技术。

**70）风险和问题之间的主要区别是什么？**

风险是未来事件，会对业务目标产生负面影响，而问题是当前发生的事件的结果。

**71）您如何在业务分析过程中定义看板工具？**

它是一种工具，可帮助敏捷团队在整个过程中以可视方式指导和管理工作。 它还可以帮助您安排敏捷实时生产中的系统调度，以描述当前的开发状态。

**72）列出重要的敏捷度指标，业务分析师应考虑这些指标**

要考虑的重要敏捷指标应为：

*   春季燃尽矩阵
*   工作类别分配
*   工作的重点
*   商业价值交付
*   缺陷解决时间
*   工作类别分配

**73）业务分析增加意味着什么？**

增量项用于所有产品积压项目的总和，该总和在去年春季完成。

**74）BA 应如何为您的项目进行风险管理？**

风险是不确定的事件，可能会对业务的收入和利润产生影响。 通过使用各种风险管理技术，可以使您管理，识别和控制业务风险。

75）列出可以交给业务分析师使用的其他文档

负责作为业务分析师完成的文件可能包括：

*   范围&项目的前景。
*   约束情况说明
*   功能需求文档，包括 UML，活动和数据流图。
*   测试阶段文档以及质量检查测试要求，计划和测试类型。

**76）现有多少种业务分析技术？**

业务分析师可以选择 100 多种业务技术。 它应该分类为战略，调查，项目管理，文档和建模技术。

**77）什么是滥用情况？**

滥用案例是由用户执行的活动，它导致系统故障。 这可能是恶意行为，误导了系统功能流程。

**78）哪个模型更好的瀑布模型或螺旋模型？**

它正在根据其范围，类型和限制为任何项目选择生命周期模型。 它取决于组织的文化，其政策和条款，条件和开发系统的过程。

**79）白盒测试必须具备什么条件？**

它需要编程知识和技能来检查输出。

**80）什么是 BRD？**

业务需求文档是客户与组织之间开发特定产品的正式合同。

81）陈述 BRD 和 SRS 之间的重要区别

BRD 与 SRS 的区别如下：

| **BRD** | **SRS** |
| 它是软件的高级功能规范。 | 它是软件的高级功能和技术规格文件。 |
| BA 与客户直接互动后创建它 | 系统架构师根据其需求和技术专长来创建它。 |
| 它是基于客户交互和需求而得出的。 | SRS 始终源自 BRS |

**82）作为业务分析师，哪个主题对您更有利？**

经济学是业务分析师最重要的主题。

**83）ERD 是什么意思？**

ERD 代表实体关系图。

**84）所谓信息或材料从一项活动或工作场所到另一项活动或工作场所的转移是什么？**

这称为工作流程。

**85）员工和系统将使用什么来执行重要功能？**

知识管理是员工和系统使用的系统。

**86）哪种方法主要用于评估或评估潜在供应商？**

在业务分析流程供应商中，评估技术是一种更有成果的方法。

**87）用例模型的重要元素是什么？**

用例模型的重要元素是用例图和用例描述。

**88）业务发展中最重要的四个指标是什么？**

风暴，形成，风暴，规范和执行是业务开发过程中的重要指标。

**89）命名 IT 项目的重要阶段**

任何 IT 项目的重要阶段是：

*   引发
*   规划
*   执行
*   监控

**90）解释关键路径分析**

一个项目，涉及从开始到完成的一系列活动。 关键路径是一系列活动，其中包括整个项目中最长的路径。

**91）什么是 RUP 方法论？**

Rational Unified Process，简称为（RUP），是一种产品应用程序改进方法。 它是一种面向对象的方法，用于确保成功的项目管理和一流的软件生产。

**92）什么是项目可交付成果？**

项目可交付成果是在项目完成时作为最终产品的输出交付的一组可衡量的商品和服务。

**93）列出业务流程建模的重要优点**

*   它用于描绘对业务流程的清晰理解。
*   它提供一致性，对项目过程的控制。
*   它可以帮助您识别并消除错误和瓶颈。

**94）创建分析报告的重要方面是什么？**

创建分析报告的重要方面是：

*   批判性思考的能力
*   了解业务分析
*   显示您的分析技能。

**95）为什么流程设计对业务分析师很重要？**

流程设计可帮助您分析所有挑战以找到有效的解决方案。 这种方法有助于您标准化工作流程，这一点很重要。提高效率可以帮助您提高质量，企业可以确保它们可以帮助您在最短的时间内获得期望的结果。

**96）如何定义可行性研究？**

可行性研究是一种确定提出的想法解决业务问题成功率的方法。 它可以帮助您发现新的机会，并将重点更多地放在一个项目上。

**97）商业分析中的 CATWOE 是什么？**

CATWOE 代表客户，演员，转型过程，世界观，所有者和环境约束。 该工具可帮助您从收集的数据中获得有用的见解，从而根据相同的信息做出正确的决策。

**98）软件开发生命周期与项目生命周期之间的区别**

| **软件开发生命周期** | **项目生命周期** |
| 帮助您开发特定的软件产品。 | 允许您开发业务中的新产品。 |
| 它涉及跨不同阶段的单个软件。 | 它在单个客户方案中涉及多个软件。 |
| SDLC 阶段是需求收集，编码，文档，操作和维护。 | 项目生命周期阶段是构思的产生，筛选，开发，测试和分析。 |

**99）BPMN 网关的重要元素是什么**：

BPMN 网关的重要元素是：

*   流对象
*   数据连接对象
*   泳道
*   伪像

**100）Scrum 团队的成员是什么？**

Scrum 团队包括 1）产品负责人，2）Scrum Master 和 3）开发团队。

**101）为什么要使用弹簧燃尽图？**

弹簧燃尽图是当前弹簧前进速度的图形可视化。 该图表会在冲刺过程中定期更新。

**102）解释冲刺的速度？**

冲刺的速度是开发团队在冲刺过程中能够完成的全部工作。 根据有关该项目先前冲刺的可用历史数据达成共识。

**1) What is a flowchart? Why it is important?**

A Flowchart shows the complete flow of the system through symbols and diagrams. It is important as it makes the system easy to understand for developers as well as nontechnical stakeholders.

A Flowchart shows the complete flow of the system through symbols and diagrams. It is important as it makes the system easy to understand for developers as well as nontechnical stakeholders.

A Flowchart shows the complete flow of the system through symbols and diagrams. It is important as it makes the system easy to understand for developers as well as nontechnical stakeholders.

**2) Define the Use Case Model**

Use case model shows a sequence of events and a stream of actions regarding any process performed by an actor.

Use case model shows a sequence of events and a stream of actions regarding any process performed by an actor.

Use case model shows a sequence of events and a stream of actions regarding any process performed by an actor.

**3) What does UML stand for?**

It stands for Unified Modeling Language.

It stands for Unified Modeling Language.

It stands for Unified Modeling Language.

**4) Do you think Activity Diagram is important?**

As the name implies, an activity diagram is all about system activities. The main purpose of the activity diagram is to show various events taking place in an organization in different departments.

As the name implies, an activity diagram is all about system activities. The main purpose of the activity diagram is to show various events taking place in an organization in different departments.

As the name implies, an activity diagram is all about system activities. The main purpose of the activity diagram is to show various events taking place in an organization in different departments.

**5) Name two types of diagrams used in Business analyst**

The two diagrams are Use Case Diagram and Collaboration Diagram

The two diagrams are Use Case Diagram and Collaboration Diagram

The two diagrams are Use Case Diagram and Collaboration Diagram

**6) What is meant by an alternate flow in a use case?**

It is the alternative solution or activity in a use case that should be followed in case of any failure in the system.

It is the alternative solution or activity in a use case that should be followed in case of any failure in the system.

It is the alternative solution or activity in a use case that should be followed in case of any failure in the system.

**7) What are exceptions?**

These are unexpected situations or results in an application.

These are unexpected situations or results in an application.

These are unexpected situations or results in an application.

**8) What are extends?**

Extends is a relationship that is shown by a dotted line. It is usually used to specify optional behavior which has no independent meaning. Example: Help on "Sign on" extends use case "Sign on"

Extends is a relationship that is shown by a dotted line. It is usually used to specify optional behavior which has no independent meaning. Example: Help on "Sign on" extends use case "Sign on"

Extends is a relationship that is shown by a dotted line. It is usually used to specify optional behavior which has no independent meaning. Example: Help on "Sign on" extends use case "Sign on"

**9) Name the two documents related to a use case**

The two documents are:

*   FRD（功能需求文件）
*   SDD（系统设计文件）。

The two documents are:

*   FRD（功能需求文件）
*   SDD（系统设计文件）。

The two documents are:

*   FRD（功能需求文件）
*   SDD（系统设计文件）。

**10) What is the difference between Business Analyst and Business Analysis?**

Business Analysis is the process performed by the Business Analyst.

Business Analysis is the process performed by the Business Analyst.

Business Analysis is the process performed by the Business Analyst.

**11) As a business analyst, what are the tools which are more helpful to you?**

There are many tools, but mostly use the tool are: 1)MS Visio, 2)MS Word, 3)MS Excel, 4)PowerPoint, 5)MS Project.

There are many tools, but mostly use the tool are: 1)MS Visio, 2)MS Word, 3)MS Excel, 4)PowerPoint, 5)MS Project.

There are many tools, but mostly use the tool are: 1)MS Visio, 2)MS Word, 3)MS Excel, 4)PowerPoint, 5)MS Project.

**12) In your previous experience, what kind of documents you have created?**

I have worked on, Functional Specification Documents, Technical Specification Documents, Business Requirements Documents, Use Case Diagram, etc.

I have worked on, Functional Specification Documents, Technical Specification Documents, Business Requirements Documents, Use Case Diagram, etc.

I have worked on, Functional Specification Documents, Technical Specification Documents, Business Requirements Documents, Use Case Diagram, etc.

**13) Explain the term INVEST**

INVEST means Independent, Negotiable, Valuable, Estimable, Sized Appropriately, Testable. It can assist project managers and technical team in delivering quality products/services.

INVEST means Independent, Negotiable, Valuable, Estimable, Sized Appropriately, Testable. It can assist project managers and technical team in delivering quality products/services.

INVEST means Independent, Negotiable, Valuable, Estimable, Sized Appropriately, Testable. It can assist project managers and technical team in delivering quality products/services.

**14) Define SaaS**

![](img/75614b26ba44c4a4b108e857d7d51150.png)

SaaS means Software as a Service. It is related to cloud computing. It is different from other software bundles as you don't need this type of software to be installed on your machine. All you need is the Internet connection and a Web Browser to use it.

![](img/75614b26ba44c4a4b108e857d7d51150.png)

SaaS means Software as a Service. It is related to cloud computing. It is different from other software bundles as you don't need this type of software to be installed on your machine. All you need is the Internet connection and a Web Browser to use it.

![](img/75614b26ba44c4a4b108e857d7d51150.png)

SaaS means Software as a Service. It is related to cloud computing. It is different from other software bundles as you don't need this type of software to be installed on your machine. All you need is the Internet connection and a Web Browser to use it.

**15) What steps are required to develop a product from an idea?**

You have to perform, Market Analysis, Competitor Analysis, SWOT Analysis, Personas, Strategic Vision and Feature Set, Prioritize Features, Use Cases, SDLC, Storyboards, Test Cases, Monitoring, Scalability.

You have to perform, Market Analysis, Competitor Analysis, SWOT Analysis, Personas, Strategic Vision and Feature Set, Prioritize Features, Use Cases, SDLC, Storyboards, Test Cases, Monitoring, Scalability.

You have to perform, Market Analysis, Competitor Analysis, SWOT Analysis, Personas, Strategic Vision and Feature Set, Prioritize Features, Use Cases, SDLC, Storyboards, Test Cases, Monitoring, Scalability.

**16) What do you think is better, the Waterfall Model or Spiral Model?**

It all depends on the type and scope of the project. A life cycle model is selected based on organizational culture and various other scenarios to develop the system.

It all depends on the type and scope of the project. A life cycle model is selected based on organizational culture and various other scenarios to develop the system.

It all depends on the type and scope of the project. A life cycle model is selected based on organizational culture and various other scenarios to develop the system.

**17) How can you explain a user-centered design methodology?**

It all depends on the end-users. In such a scenario, we develop the system with a user's point of view. Who are the end-users, what they require etc. Personas are helpful in this process.

It all depends on the end-users. In such a scenario, we develop the system with a user's point of view. Who are the end-users, what they require etc. Personas are helpful in this process.

It all depends on the end-users. In such a scenario, we develop the system with a user's point of view. Who are the end-users, what they require etc. Personas are helpful in this process.

**18) How do you define Personas?**

Personas are used instead of real users that assist developers and technical team in judging the user behavior in different scenarios. Personas are social roles, performed by any actor or character. It is derived from a Latin word meaning "character." In marketing terminology, it represents a group of customers/end users.

Personas are used instead of real users that assist developers and technical team in judging the user behavior in different scenarios. Personas are social roles, performed by any actor or character. It is derived from a Latin word meaning "character." In marketing terminology, it represents a group of customers/end users.

Personas are used instead of real users that assist developers and technical team in judging the user behavior in different scenarios. Personas are social roles, performed by any actor or character. It is derived from a Latin word meaning "character." In marketing terminology, it represents a group of customers/end users.

**19) Define the term Application Usability**

Application usability is the quality of the system that makes the system useful for its end users. System's usability is good if it is capable of achieving users' goals.

Application usability is the quality of the system that makes the system useful for its end users. System's usability is good if it is capable of achieving users' goals.

Application usability is the quality of the system that makes the system useful for its end users. System's usability is good if it is capable of achieving users' goals.

**20) What is a database transaction?**

When we perform any activity in a database, such as addition, deletion, modification, searching, etc. is said to be a database transaction.

When we perform any activity in a database, such as addition, deletion, modification, searching, etc. is said to be a database transaction.

When we perform any activity in a database, such as addition, deletion, modification, searching, etc. is said to be a database transaction.

**21) Give a full form of OLTP**

OLTP stands for On-Line Transaction Processing. Such systems are capable of performing database transactions and are meant to provide good speed for database transactions. These systems are mainly used for data entry and retrieving data from the database.

OLTP stands for On-Line Transaction Processing. Such systems are capable of performing database transactions and are meant to provide good speed for database transactions. These systems are mainly used for data entry and retrieving data from the database.

OLTP stands for On-Line Transaction Processing. Such systems are capable of performing database transactions and are meant to provide good speed for database transactions. These systems are mainly used for data entry and retrieving data from the database.

**22) What is Pugh Matrix?**

Pugh Matrix is used to decide about the most optimal and alternate solutions. This technique is now a standard part of Six Sigma technique. It is also known as a problem or design matrix.

Pugh Matrix is used to decide about the most optimal and alternate solutions. This technique is now a standard part of Six Sigma technique. It is also known as a problem or design matrix.

Pugh Matrix is used to decide about the most optimal and alternate solutions. This technique is now a standard part of Six Sigma technique. It is also known as a problem or design matrix.

**23) What does FMEA stand for?**

It means Failure Mode and Effects Analysis. It is a failure analysis, that is used mainly in product development, system engineering, and operations management. This analysis is performed to figure out various failure modes and their severity in any system.

It means Failure Mode and Effects Analysis. It is a failure analysis, that is used mainly in product development, system engineering, and operations management. This analysis is performed to figure out various failure modes and their severity in any system.

It means Failure Mode and Effects Analysis. It is a failure analysis, that is used mainly in product development, system engineering, and operations management. This analysis is performed to figure out various failure modes and their severity in any system.

**24) What is a 100-point method?**

This method is used to assign priority to different steps in a process. Each group member is supposed to assign points to different steps. In the end, all the points for each step are calculated. The step having the highest points has the highest priority.

This method is used to assign priority to different steps in a process. Each group member is supposed to assign points to different steps. In the end, all the points for each step are calculated. The step having the highest points has the highest priority.

This method is used to assign priority to different steps in a process. Each group member is supposed to assign points to different steps. In the end, all the points for each step are calculated. The step having the highest points has the highest priority.

**25) What is 8-omega?**

It is a business framework that is mainly being adopted by firms and organizations for the betterment of their business. Its key factors are Strategy, People, Process, and Technology.

It is a business framework that is mainly being adopted by firms and organizations for the betterment of their business. Its key factors are Strategy, People, Process, and Technology.

It is a business framework that is mainly being adopted by firms and organizations for the betterment of their business. Its key factors are Strategy, People, Process, and Technology.

**26) What is a misuse case?**

It is a term derived from use-case. Unlike use case, a misuse case is something that shows -what kind of malicious activities can be performed by an actor that may result in system failure.

It is a term derived from use-case. Unlike use case, a misuse case is something that shows -what kind of malicious activities can be performed by an actor that may result in system failure.

It is a term derived from use-case. Unlike use case, a misuse case is something that shows -what kind of malicious activities can be performed by an actor that may result in system failure.

**27) What is SQUARE stand for?**

SQUARE stands for Security Quality Requirements Engineering. It is one of the software engineering steps that mainly focus on documenting the security requirements of the system.

SQUARE stands for Security Quality Requirements Engineering. It is one of the software engineering steps that mainly focus on documenting the security requirements of the system.

SQUARE stands for Security Quality Requirements Engineering. It is one of the software engineering steps that mainly focus on documenting the security requirements of the system.

**28) What is Pareto Analysis?**

Pareto Analysis is a decision-making technique, also known as the 80/20 rule. It is used for quality control and defect resolution. It explains a few factors that can be responsible for big problems. It is named as 80/20 rule, because as per this rule, 80 % effects in the system, arises from 20 % causes.

Pareto Analysis is a decision-making technique, also known as the 80/20 rule. It is used for quality control and defect resolution. It explains a few factors that can be responsible for big problems. It is named as 80/20 rule, because as per this rule, 80 % effects in the system, arises from 20 % causes.

Pareto Analysis is a decision-making technique, also known as the 80/20 rule. It is used for quality control and defect resolution. It explains a few factors that can be responsible for big problems. It is named as 80/20 rule, because as per this rule, 80 % effects in the system, arises from 20 % causes.

**29) What is Agile Manifesto?**

Agile Manifesto is a guide for software developers about Agile development principles to ensure iterative solutions.

Agile Manifesto is a guide for software developers about Agile development principles to ensure iterative solutions.

Agile Manifesto is a guide for software developers about Agile development principles to ensure iterative solutions.

**30) What BPMN stand for?**

BPMN is the Business Process Model and Notation. It is a graphical representation of business processes.

BPMN is the Business Process Model and Notation. It is a graphical representation of business processes.

BPMN is the Business Process Model and Notation. It is a graphical representation of business processes.

**31) Define BPMN Gateway**

BPMN Gateway is a processing modeling component that is used to control the flow of interaction, the sequence of processes.

BPMN Gateway is a processing modeling component that is used to control the flow of interaction, the sequence of processes.

BPMN Gateway is a processing modeling component that is used to control the flow of interaction, the sequence of processes.

**32) Name the five basic elements' categories in BPMN**

They are Flow Objects, Data, Connecting Objects, Swimlanes, and Artifacts.

They are Flow Objects, Data, Connecting Objects, Swimlanes, and Artifacts.

They are Flow Objects, Data, Connecting Objects, Swimlanes, and Artifacts.

**33) Have you ever used Kano Analysis in your previous jobs, and how do you define it?**

Yes, I have used Kano Analysis in one of my previous jobs. Kano Analysis is used to analyze a system in terms of its requirements to identify its impact on customers' satisfaction.

Yes, I have used Kano Analysis in one of my previous jobs. Kano Analysis is used to analyze a system in terms of its requirements to identify its impact on customers' satisfaction.

Yes, I have used Kano Analysis in one of my previous jobs. Kano Analysis is used to analyze a system in terms of its requirements to identify its impact on customers' satisfaction.

**34) What are the key areas in a Kano Analysis?**

Kano Analysis has three key areas -namely: Unexpected Delighters, Performance Attributes, and Must-Have Attributes.

Kano Analysis has three key areas -namely: Unexpected Delighters, Performance Attributes, and Must-Have Attributes.

Kano Analysis has three key areas -namely: Unexpected Delighters, Performance Attributes, and Must-Have Attributes.

**35) Define Pair-Choice Technique**

The pair-Choice Technique is used to give priority to various items in a process. It is mainly used when distinctive stakeholders are involved in the project. This technique asks the group to compare each item with others and select the one having the highest priority.

The pair-Choice Technique is used to give priority to various items in a process. It is mainly used when distinctive stakeholders are involved in the project. This technique asks the group to compare each item with others and select the one having the highest priority.

The pair-Choice Technique is used to give priority to various items in a process. It is mainly used when distinctive stakeholders are involved in the project. This technique asks the group to compare each item with others and select the one having the highest priority.

**36) Do you have suggestions to make an effective use-case model?**

Yes, I would suggest making two separate diagrams. One serves as a use-case, and the other serves as an actor diagram. So that we can highlight all possible activities in a use case & in actor diagram and then we can merge both the diagrams to get an effective use-case diagram.

Yes, I would suggest making two separate diagrams. One serves as a use-case, and the other serves as an actor diagram. So that we can highlight all possible activities in a use case & in actor diagram and then we can merge both the diagrams to get an effective use-case diagram.

Yes, I would suggest making two separate diagrams. One serves as a use-case, and the other serves as an actor diagram. So that we can highlight all possible activities in a use case & in actor diagram and then we can merge both the diagrams to get an effective use-case diagram.

**37) How many types of an actor can be depicted in a use-case?**

Two types of actors can be depicted in a use-case, viz. primary and secondary actors. Primary actors start the process, and secondary actors assist them. Moreover, actors can be of four types such as Human, System, Hardware, and Timer.

Two types of actors can be depicted in a use-case, viz. primary and secondary actors. Primary actors start the process, and secondary actors assist them. Moreover, actors can be of four types such as Human, System, Hardware, and Timer.

Two types of actors can be depicted in a use-case, viz. primary and secondary actors. Primary actors start the process, and secondary actors assist them. Moreover, actors can be of four types such as Human, System, Hardware, and Timer.

**38) Define BCG Matrix**

The Boston Consulting Group (BCG) matrix is developed to analyze several business processes and new product offerings from companies. It is a useful tool that can be used in portfolio analysis, strategic management, product management, and brand marketing.

The Boston Consulting Group (BCG) matrix is developed to analyze several business processes and new product offerings from companies. It is a useful tool that can be used in portfolio analysis, strategic management, product management, and brand marketing.

The Boston Consulting Group (BCG) matrix is developed to analyze several business processes and new product offerings from companies. It is a useful tool that can be used in portfolio analysis, strategic management, product management, and brand marketing.

**39) How can you differentiate between pool and swimlane?**

A swimlane is related to group activities on an activity diagram while a pool is a dedicated activity to a single person.

A swimlane is related to group activities on an activity diagram while a pool is a dedicated activity to a single person.

A swimlane is related to group activities on an activity diagram while a pool is a dedicated activity to a single person.

**40) Differentiate between Fish Model and V Model?**

| **Fish Model** | **V Model** |
| Fish model is comparatively very costly and time-consuming | V model requires less time and cost |
| Fish model is used when there were no ambiguities in the customer's requirements | Otherwise, V model is preferred. |

| **Fish Model** | **V Model** |
| Fish model is comparatively very costly and time-consuming | V model requires less time and cost |
| Fish model is used when there were no ambiguities in the customer's requirements | Otherwise, V model is preferred. |

| **Fish Model** | **V Model** |
| Fish model is comparatively very costly and time-consuming | V model requires less time and cost |
| Fish model is used when there were no ambiguities in the customer's requirements | Otherwise, V model is preferred. |

**41) How do you manage frequently changing customers' requirements while developing any system?**

As a business analyst, I would develop a document stating clearly that no change will be accepted after a certain period of time and get it signed by the user.

As a business analyst, I would develop a document stating clearly that no change will be accepted after a certain period of time and get it signed by the user.

As a business analyst, I would develop a document stating clearly that no change will be accepted after a certain period of time and get it signed by the user.

**42) Define use-case points**

Use-case points are used to evaluate the cost of work done to develop the system.

Use-case points are used to evaluate the cost of work done to develop the system.

Use-case points are used to evaluate the cost of work done to develop the system.

**43) What does PEST stand for?**

It means Political, Economic, Social, and Technological. It is used to analyze the business environment, in which it has to be operated.

It means Political, Economic, Social, and Technological. It is used to analyze the business environment, in which it has to be operated.

It means Political, Economic, Social, and Technological. It is used to analyze the business environment, in which it has to be operated.

**44) Name the four key phases of business development?**

They are Forming, Storming, Norming, and Performing.

They are Forming, Storming, Norming, and Performing.

They are Forming, Storming, Norming, and Performing.

**45) Define Benchmarking?**

Benchmarking is about measuring the performance of an organization to compete in the industry. In this process, a company may measure its policies, performance, rules, and other measures.

Benchmarking is about measuring the performance of an organization to compete in the industry. In this process, a company may measure its policies, performance, rules, and other measures.

Benchmarking is about measuring the performance of an organization to compete in the industry. In this process, a company may measure its policies, performance, rules, and other measures.

**46) What do we mean by SWEBOK?**

It means Software Engineering Body of Knowledge.

It means Software Engineering Body of Knowledge.

It means Software Engineering Body of Knowledge.

**47) What do you know about GAP Analysis?**

It is a process of comparing and determining the difference between two things or processes.

It is a process of comparing and determining the difference between two things or processes.

It is a process of comparing and determining the difference between two things or processes.

**48) Define Agile?**

Agile is a technique that uses several light-weight methodologies such as Rapid Application Development (RAD), Extreme Programming (XP) and SCRUM. All these methodologies focus on the development of iterative solutions.

Agile is a technique that uses several light-weight methodologies such as Rapid Application Development (RAD), Extreme Programming (XP) and SCRUM. All these methodologies focus on the development of iterative solutions.

Agile is a technique that uses several light-weight methodologies such as Rapid Application Development (RAD), Extreme Programming (XP) and SCRUM. All these methodologies focus on the development of iterative solutions.

**49) Define Scrum method**

It is one of the agile methods, which is used to develop iterative information systems. In this method, a small team works on the assigned tasks for 30 days, usually.

It is one of the agile methods, which is used to develop iterative information systems. In this method, a small team works on the assigned tasks for 30 days, usually.

It is one of the agile methods, which is used to develop iterative information systems. In this method, a small team works on the assigned tasks for 30 days, usually.

**50) What does JAD stand for?**

It means Joint Application Development.

It means Joint Application Development.

It means Joint Application Development.

**51) What is ETL?**

Extraction, Transformation, and load is a data processing method mainly used in data warehousing.

Extraction, Transformation, and load is a data processing method mainly used in data warehousing.

Extraction, Transformation, and load is a data processing method mainly used in data warehousing.

**52) As a Business Analyst, which method do you prefer more- a waterfall model or a spiral model?**

The final decision will be taken depending on the culture of an organizational lifecycle, model for a specific product like waterfall or spiral can be right ascertained.

The final decision will be taken depending on the culture of an organizational lifecycle, model for a specific product like waterfall or spiral can be right ascertained.

The final decision will be taken depending on the culture of an organizational lifecycle, model for a specific product like waterfall or spiral can be right ascertained.

**53) What is the requirement elicitation?**

Requirement elicitation helps you to collects information from users and stakeholders. It helps to understand what they want from a system. It is also comprised of various strategies which directly collaborate with the users or clients.

Requirement elicitation helps you to collects information from users and stakeholders. It helps to understand what they want from a system. It is also comprised of various strategies which directly collaborate with the users or clients.

Requirement elicitation helps you to collects information from users and stakeholders. It helps to understand what they want from a system. It is also comprised of various strategies which directly collaborate with the users or clients.

**54) What is the Kano Analysis?**

Kano Analysis helps you to analyze a system. It helps to identify its impact on customers' satisfaction.

Kano Analysis helps you to analyze a system. It helps to identify its impact on customers' satisfaction.

Kano Analysis helps you to analyze a system. It helps to identify its impact on customers' satisfaction.

**55) What is Version Control?**

Version control is a subset of configuration management. It is mostly concerned with the handling changes arising in the previous document as compared to configuration management, which handles the individual components.

Version control is a subset of configuration management. It is mostly concerned with the handling changes arising in the previous document as compared to configuration management, which handles the individual components.

Version control is a subset of configuration management. It is mostly concerned with the handling changes arising in the previous document as compared to configuration management, which handles the individual components.

**56) Explain Black Box Testing**

Black box testing is a kind of testing where the entire unit is tested as a whole without considering the contents or how the inner components and units are tested. This testing method only focuses on the known input signal and check whether the output behavior is according to expectation or not.

Black box testing is a kind of testing where the entire unit is tested as a whole without considering the contents or how the inner components and units are tested. This testing method only focuses on the known input signal and check whether the output behavior is according to expectation or not.

Black box testing is a kind of testing where the entire unit is tested as a whole without considering the contents or how the inner components and units are tested. This testing method only focuses on the known input signal and check whether the output behavior is according to expectation or not.

**57) What is an important quality of a good requirement?**

The requirement should be good when it is clear, understandable, and it should be easily verifiable.

The requirement should be good when it is clear, understandable, and it should be easily verifiable.

The requirement should be good when it is clear, understandable, and it should be easily verifiable.

**58) What Is OOAD?**

Object-oriented analysis and designing. It is used in object-oriented coding languages like Java, c++, etc.

Object-oriented analysis and designing. It is used in object-oriented coding languages like Java, c++, etc.

Object-oriented analysis and designing. It is used in object-oriented coding languages like Java, c++, etc.

**59) What is UAT?**

UAT is User acceptance testing. If the UAR fails, BA did not understand the requirement properly.

UAT is User acceptance testing. If the UAR fails, BA did not understand the requirement properly.

UAT is User acceptance testing. If the UAR fails, BA did not understand the requirement properly.

**60) How can you measure the quality of a product?**

We can measure the quality of a product by checking bugs in the product according to the standard set by the company.

We can measure the quality of a product by checking bugs in the product according to the standard set by the company.

We can measure the quality of a product by checking bugs in the product according to the standard set by the company.

**61) What is RAD?**

RAD is a development process which is used to build applications in a smaller duration. Generally, 50-70 days i.e., with some compromises.

RAD is a development process which is used to build applications in a smaller duration. Generally, 50-70 days i.e., with some compromises.

RAD is a development process which is used to build applications in a smaller duration. Generally, 50-70 days i.e., with some compromises.

**62) What are the important areas in a Kano Analysis?**

Important areas in a Kano analysis are:

*   意外的喜悦
*   性能属性
*   必须具有属性

Important areas in a Kano analysis are:

*   意外的喜悦
*   性能属性
*   必须具有属性

Important areas in a Kano analysis are:

*   意外的喜悦
*   性能属性
*   必须具有属性

**63) Why do you like a career as a business analyst?**

I like this career because it gives me a great opportunity to involve other people and interacting with them.

I like this career because it gives me a great opportunity to involve other people and interacting with them.

I like this career because it gives me a great opportunity to involve other people and interacting with them.

**64) What do you know about scope creep?**

Scope creep is also called requirement creep is a term which means uncontrolled changes in the project's scope without need to increase in the other resources (schedule, budget) of the project.

Scope creep is also called requirement creep is a term which means uncontrolled changes in the project's scope without need to increase in the other resources (schedule, budget) of the project.

Scope creep is also called requirement creep is a term which means uncontrolled changes in the project's scope without need to increase in the other resources (schedule, budget) of the project.

**65) What are the important skills that a business analyst must have:**

*   解决问题的能力，
*   管理和沟通技巧
*   启发技巧
*   IT 技能知识

*   解决问题的能力，
*   管理和沟通技巧
*   启发技巧
*   IT 技能知识

*   解决问题的能力，
*   管理和沟通技巧
*   启发技巧
*   IT 技能知识

**66) How can you avoid scope creep?**

Scope creep can be avoided in the following method:

*   记录项目范围。
*   通过遵循适当的变更管理。
*   在进行更改之前，将更改的影响告知受影响的各方。
*   在项目日志中记录新需求。

Scope creep can be avoided in the following method:

*   记录项目范围。
*   通过遵循适当的变更管理。
*   在进行更改之前，将更改的影响告知受影响的各方。
*   在项目日志中记录新需求。

Scope creep can be avoided in the following method:

*   记录项目范围。
*   通过遵循适当的变更管理。
*   在进行更改之前，将更改的影响告知受影响的各方。
*   在项目日志中记录新需求。

**67) Name three best practice you should follow while writing a use case**

Important thing you should include are:

*   用例图以及用例
*   用例中的 UI 详细信息/注释。

Important thing you should include are:

*   用例图以及用例
*   用例中的 UI 详细信息/注释。

Important thing you should include are:

*   用例图以及用例
*   用例中的 UI 详细信息/注释。

**68) What is CaaS?**

CaaS stands for Communication as a Service. It is outsourced schema interfaction which can be leased from a single Vend over the internet.

CaaS stands for Communication as a Service. It is outsourced schema interfaction which can be leased from a single Vend over the internet.

CaaS stands for Communication as a Service. It is outsourced schema interfaction which can be leased from a single Vend over the internet.

**69) What is a requirement elicitation technique?**

Requirement elicitation is a technique of requirements gathering from users, stakeholders, users, clients by conducting interviews, sessions, brainstorming, etc.

Requirement elicitation is a technique of requirements gathering from users, stakeholders, users, clients by conducting interviews, sessions, brainstorming, etc.

Requirement elicitation is a technique of requirements gathering from users, stakeholders, users, clients by conducting interviews, sessions, brainstorming, etc.

**70) What is the major difference between risk and issue?**

A risk is a future event which negatively impacts business objective, while the issue is a result of events currently happening.

A risk is a future event which negatively impacts business objective, while the issue is a result of events currently happening.

A risk is a future event which negatively impacts business objective, while the issue is a result of events currently happening.

**71) How do you define a Kanban tool in Business analysis process?**

It is a tool which helps agile teams to guide and manage work visually as it is progressing through processes. It also helps you to scheduling system in agile just-in-time production to describe the current development status.

It is a tool which helps agile teams to guide and manage work visually as it is progressing through processes. It also helps you to scheduling system in agile just-in-time production to describe the current development status.

It is a tool which helps agile teams to guide and manage work visually as it is progressing through processes. It also helps you to scheduling system in agile just-in-time production to describe the current development status.

**72) Name important agile metrics which should be considered by business analysts**

Important agile metric to consider should be:

*   春季燃尽矩阵
*   工作类别分配
*   工作的重点
*   商业价值交付
*   缺陷解决时间
*   工作类别分配

Important agile metric to consider should be:

*   春季燃尽矩阵
*   工作类别分配
*   工作的重点
*   商业价值交付
*   缺陷解决时间
*   工作类别分配

Important agile metric to consider should be:

*   春季燃尽矩阵
*   工作类别分配
*   工作的重点
*   商业价值交付
*   缺陷解决时间
*   工作类别分配

**73) What is meant by an increment in business analysis?**

Increment term is used for the sum of all product backlog item, which is completed in the previous spring.

Increment term is used for the sum of all product backlog item, which is completed in the previous spring.

Increment term is used for the sum of all product backlog item, which is completed in the previous spring.

**74) How should BA perform risk management for your project?**

A risk is an uncertain event which might cause an impact on the revenues and profits of the business. By using various risk management techniques which allows you to manage, identify, and control risks for a business.

A risk is an uncertain event which might cause an impact on the revenues and profits of the business. By using various risk management techniques which allows you to manage, identify, and control risks for a business.

A risk is an uncertain event which might cause an impact on the revenues and profits of the business. By using various risk management techniques which allows you to manage, identify, and control risks for a business.

**75) Name out a different document that can come across to business analyst**

The documents that are responsible for being completed as a Business Analyst may include:

*   范围&项目的前景。
*   约束情况说明
*   功能需求文档，包括 UML，活动和数据流图。
*   测试阶段文档以及质量检查测试要求，计划和测试类型。

The documents that are responsible for being completed as a Business Analyst may include:

*   范围&项目的前景。
*   约束情况说明
*   功能需求文档，包括 UML，活动和数据流图。
*   测试阶段文档以及质量检查测试要求，计划和测试类型。

The documents that are responsible for being completed as a Business Analyst may include:

*   范围&项目的前景。
*   约束情况说明
*   功能需求文档，包括 UML，活动和数据流图。
*   测试阶段文档以及质量检查测试要求，计划和测试类型。

**76) How many categories of business analysis techniques exist?**

There are more than 100 business techniques which business analyst can select. It should be categorized as strategic, investigative, project management, documentation, and modeling techniques.

There are more than 100 business techniques which business analyst can select. It should be categorized as strategic, investigative, project management, documentation, and modeling techniques.

There are more than 100 business techniques which business analyst can select. It should be categorized as strategic, investigative, project management, documentation, and modeling techniques.

**77) What is a misuse case?**

Misuse case is an activity performed by a user which causes a system failure. It may be a malicious activity which misguides the system function flow.

Misuse case is an activity performed by a user which causes a system failure. It may be a malicious activity which misguides the system function flow.

Misuse case is an activity performed by a user which causes a system failure. It may be a malicious activity which misguides the system function flow.

**78) Which model is better Waterfall model or Spiral Model?**

It is selecting the life cycle model for any project which should be based on its scope,type, and limitations. It is dependent on the culture of the organization, their policies and terms, and conditions and a process of developing the system.

It is selecting the life cycle model for any project which should be based on its scope,type, and limitations. It is dependent on the culture of the organization, their policies and terms, and conditions and a process of developing the system.

It is selecting the life cycle model for any project which should be based on its scope,type, and limitations. It is dependent on the culture of the organization, their policies and terms, and conditions and a process of developing the system.

**79) What is a must for White Box Testing?**

It requires programming knowledge and skill to examine the outputs.

It requires programming knowledge and skill to examine the outputs.

It requires programming knowledge and skill to examine the outputs.

**80) What is BRD?**

A Business Requirement Document is a formal contract between the client and the organization for the development of the specific product.

A Business Requirement Document is a formal contract between the client and the organization for the development of the specific product.

A Business Requirement Document is a formal contract between the client and the organization for the development of the specific product.

**81) State the important differences between BRD and SRS**

The difference between BRD and SRS are as follows:

| **BRD** | **SRS** |
| It is a high-level functional specification of the software. | It is a high level functional and technical specification document of the software. |
| BA creates it after their direct interaction with the clients | The System Architect creates it according to their need and technical expertise. |
| It is derived based on client interaction and requirements. | SRS is always derived from the BRS |

The difference between BRD and SRS are as follows:

| **BRD** | **SRS** |
| It is a high-level functional specification of the software. | It is a high level functional and technical specification document of the software. |
| BA creates it after their direct interaction with the clients | The System Architect creates it according to their need and technical expertise. |
| It is derived based on client interaction and requirements. | SRS is always derived from the BRS |

The difference between BRD and SRS are as follows:

| **BRD** | **SRS** |
| It is a high-level functional specification of the software. | It is a high level functional and technical specification document of the software. |
| BA creates it after their direct interaction with the clients | The System Architect creates it according to their need and technical expertise. |
| It is derived based on client interaction and requirements. | SRS is always derived from the BRS |

**82) As a business analyst, which subject is more beneficial to you?**

Economics is the most important subject for a Business analyst.

Economics is the most important subject for a Business analyst.

Economics is the most important subject for a Business analyst.

**83) What is ERD mean?**

ERD stands for Entity Relationship Diagram.

ERD stands for Entity Relationship Diagram.

ERD stands for Entity Relationship Diagram.

**84) What is called the movement of information or material from one activity or worksite to another?**

It is called workflow.

It is called workflow.

It is called workflow.

**85) What will employees and systems use to perform important functions?**

Knowledge management is a system which is used by employees and systems.

Knowledge management is a system which is used by employees and systems.

Knowledge management is a system which is used by employees and systems.

**86) Which method is mostly used for assessment or evaluation of a prospective vendor?**

In the business analysis process Vendor, Assessment technique is a more fruitful method.

In the business analysis process Vendor, Assessment technique is a more fruitful method.

In the business analysis process Vendor, Assessment technique is a more fruitful method.

**87) What are the important elements of the use case model?**

The important elements of the use-case model are use-case diagram and use-case description.

The important elements of the use-case model are use-case diagram and use-case description.

The important elements of the use-case model are use-case diagram and use-case description.

**88) What are the four most important metrics in business development?**

Storming, forming, Storming, norming, and performing are important metric in business development process.

Storming, forming, Storming, norming, and performing are important metric in business development process.

Storming, forming, Storming, norming, and performing are important metric in business development process.

**89) Name important phases of an IT project**

Important phases of any IT project are:

*   引发
*   规划
*   执行
*   监控

Important phases of any IT project are:

*   引发
*   规划
*   执行
*   监控

Important phases of any IT project are:

*   引发
*   规划
*   执行
*   监控

**90) Explain critical path analysis**

A project that involved in a set of activities from Start to Finish. A critical path is a set of activities which includes the longest path in the entire project.

A project that involved in a set of activities from Start to Finish. A critical path is a set of activities which includes the longest path in the entire project.

A project that involved in a set of activities from Start to Finish. A critical path is a set of activities which includes the longest path in the entire project.

**91) What is RUP Methodology?**

Rational Unified Process, shortly known as (RUP) is a product application improvement method. It is an object-oriented approach used to guarantee successful project management and top-notch software production.

Rational Unified Process, shortly known as (RUP) is a product application improvement method. It is an object-oriented approach used to guarantee successful project management and top-notch software production.

Rational Unified Process, shortly known as (RUP) is a product application improvement method. It is an object-oriented approach used to guarantee successful project management and top-notch software production.

**92) What are Project deliverables?**

The project deliverables are a set of measurable goods and services that are delivered as an output at the end customer at the completion of the project.

The project deliverables are a set of measurable goods and services that are delivered as an output at the end customer at the completion of the project.

The project deliverables are a set of measurable goods and services that are delivered as an output at the end customer at the completion of the project.

**93) List the important advantages of Business process modeling**

*   它用于描绘对业务流程的清晰理解。
*   它提供一致性，对项目过程的控制。
*   它可以帮助您识别并消除错误和瓶颈。

*   它用于描绘对业务流程的清晰理解。
*   它提供一致性，对项目过程的控制。
*   它可以帮助您识别并消除错误和瓶颈。

*   它用于描绘对业务流程的清晰理解。
*   它提供一致性，对项目过程的控制。
*   它可以帮助您识别并消除错误和瓶颈。

**94) What are the important aspects of creating analytical reporting?**

An important aspect of creating analytical reporting are:

*   批判性思考的能力
*   了解业务分析
*   显示您的分析技能。

An important aspect of creating analytical reporting are:

*   批判性思考的能力
*   了解业务分析
*   显示您的分析技能。

An important aspect of creating analytical reporting are:

*   批判性思考的能力
*   了解业务分析
*   显示您的分析技能。

**95) Why is process design important for the Business analyst?**

Process design helps you to analyze all the challenges to find an effective solution. This approach helps you to standardize the workflows is important Boosting the same helps you to boost the quality, and businesses can make sure that they help you to get the desired outcome in the shortest possible time.

Process design helps you to analyze all the challenges to find an effective solution. This approach helps you to standardize the workflows is important Boosting the same helps you to boost the quality, and businesses can make sure that they help you to get the desired outcome in the shortest possible time.

Process design helps you to analyze all the challenges to find an effective solution. This approach helps you to standardize the workflows is important Boosting the same helps you to boost the quality, and businesses can make sure that they help you to get the desired outcome in the shortest possible time.

**96) How to define the feasibility study?**

The feasibility study is a method of identifying the success rate of a proposed idea for a business problem. It helps you to identify new opportunities and focus more on a project.

The feasibility study is a method of identifying the success rate of a proposed idea for a business problem. It helps you to identify new opportunities and focus more on a project.

The feasibility study is a method of identifying the success rate of a proposed idea for a business problem. It helps you to identify new opportunities and focus more on a project.

**97) What is CATWOE in business analysis?**

CATWOE stands for Customers, Actors, Transformation process, Worldview, Owners, and Environmental Constraints. This tool helps you get useful insights from the collected data to make the right decisions from the same.

CATWOE stands for Customers, Actors, Transformation process, Worldview, Owners, and Environmental Constraints. This tool helps you get useful insights from the collected data to make the right decisions from the same.

CATWOE stands for Customers, Actors, Transformation process, Worldview, Owners, and Environmental Constraints. This tool helps you get useful insights from the collected data to make the right decisions from the same.

**98) Difference between software development lifecycle and project lifecycle**

| **Software development lifecycle** | **Project lifecycle** |
| Helps you to develop particular software products. | Allows you to develop a new product in the business. |
| It involves single software across different phases. | It Involves multiple software in a single customer scenario. |
| SDLC phases are requirement gathering, coding, documentation, operations, and maintenance. | Project lifecycle phases are Idea generation, screening, development, testing, and analysis. |

| **Software development lifecycle** | **Project lifecycle** |
| Helps you to develop particular software products. | Allows you to develop a new product in the business. |
| It involves single software across different phases. | It Involves multiple software in a single customer scenario. |
| SDLC phases are requirement gathering, coding, documentation, operations, and maintenance. | Project lifecycle phases are Idea generation, screening, development, testing, and analysis. |

| **Software development lifecycle** | **Project lifecycle** |
| Helps you to develop particular software products. | Allows you to develop a new product in the business. |
| It involves single software across different phases. | It Involves multiple software in a single customer scenario. |
| SDLC phases are requirement gathering, coding, documentation, operations, and maintenance. | Project lifecycle phases are Idea generation, screening, development, testing, and analysis. |

**99) What are the important elements of BPMN gateway:**

The important elements of BPMN gateway are:

*   流对象
*   数据连接对象
*   泳道
*   伪像

The important elements of BPMN gateway are:

*   流对象
*   数据连接对象
*   泳道
*   伪像

The important elements of BPMN gateway are:

*   流对象
*   数据连接对象
*   泳道
*   伪像

**100) What are the members of the Scrum Team?**

Scrum Team consists of 1) Product Owner, 2) Scrum Master, and 3) Development Team.

Scrum Team consists of 1) Product Owner, 2) Scrum Master, and 3) Development Team.

Scrum Team consists of 1) Product Owner, 2) Scrum Master, and 3) Development Team.

**101) Why you should use a spring burndown chart?**

A spring burndown chart is a graphic visualization of the rate of progress of current spring. This chart is regularly updated over the course of the sprint.

A spring burndown chart is a graphic visualization of the rate of progress of current spring. This chart is regularly updated over the course of the sprint.

A spring burndown chart is a graphic visualization of the rate of progress of current spring. This chart is regularly updated over the course of the sprint.

**102) Explain the velocity of a sprint?**

Velocity of a sprint is the total work done by the development team is capable of doing over the duration of the sprint. It is agreed upon based on the historical data available about the previous sprint of the project.

Velocity of a sprint is the total work done by the development team is capable of doing over the duration of the sprint. It is agreed upon based on the historical data available about the previous sprint of the project.

Velocity of a sprint is the total work done by the development team is capable of doing over the duration of the sprint. It is agreed upon based on the historical data available about the previous sprint of the project.