# CSV 与 Excel（.xls）-有什么区别？

> 原文： [https://www.guru99.com/excel-vs-csv.html](https://www.guru99.com/excel-vs-csv.html)

Excel 和 CSV 都有助于以表格格式存储数据。 除了这种共性之外，它们各自的功能和用法还有很多差异。 让我们在本文中详细讨论这些差异

## **Excel 与 CSV 之间的区别**

|  **Excel**  |  **CSV**  |
| 

*   这是一个二进制文件，其中包含有关工作簿

中所有工作表的信息 | 

*   CSV 代表 **C** omma **S** 分离的 **V** alues。 它是纯文本格式，带有一系列用逗号分隔的值

 |
| 

*   Excel 不仅可以存储数据，还可以对数据进行操作

 | 

*   CSV 文件只是一个文本文件，它存储数据但不包含格式，公式，宏等。它也称为平面文件

 |
| 

*   Excel 是一个电子表格，可以将文件保存为自己的专有格式，即 xls 或 xlsx

 | 

*   CSV 是一种格式，用于将表格信息保存到扩展名为.csv 的定界文本文件中。

 |
| 

*   文本编辑器无法打开或编辑保存在 excel 中的文件

 | 

*   CSV 文件可以由记事本

之类的文本编辑器打开或编辑。 |
| 

*   在数据仓库中，最好使用 Excel 作为详细的标准化架构规范

 | 

*   在数据仓库中，CSV 遵循相当平坦，简单的模式

 |
| 

*   任何用于解析 Excel 数据的编程语言库通常都更大，更慢且更复杂

 | 

*   解析 CSV 数据的任何编程语言都是微不足道的，生成它非常容易。

 |
| 

*   Excel 可以通过自动格式设置功能将

 | 

*   CSV 是安全的，可以清楚地区分数值和文本。 CSV 不会处理数据，而是按原样存储。

 |
| 

*   在 Excel 中，每一行的每一列都必须具有开始标签和结束标签

 | 

*   在 CSV 中，您只编写一次列标题

 |
| 

*   Excel 在导入数据时会占用更多内存

 | 

*   导入 CSV 文件的速度可能更快，并且消耗的内存也更少

 |
| 

*   对于最终用户而言，在 Excel 中读取大文件用户要容易得多。 此外，您还可以具有其他功能，例如选择要导入的单个单元格，自动转换日期和时间，读取公式及其结果，过滤器，排序等。

 | 

*   对于最终用户

，以 CSV 格式读取大文件不会像 Excel 那样容易。 |
| 

*   除了文本，数据还可以以图表的形式存储。

 | 

*   每条记录存储为文本文件的一行，每行换行表示一个新的数据库行。 CSV 无法存储图表或图形

 |
| 

*   Excel 文件只能使用 Microsoft Excel doc 打开。

 | 

*   CSV 可以使用 Windows 中的任何文本编辑器（如记事本，MS Excel，Microsoft Works 9 等）打开。

 |
| 

*   Excel 可以连接到外部数据源以获取数据。 您可以在 Excel 中使用自定义加载项来增加其功能。 Excel 允许使用详细的跟踪和注释功能查看数据。

 | 

*   在 CSV

中无法使用所有此功能 |
| 

*   作为开发人员，由于 Excel 是专有的，因此很难以编程方式操作 Excel 文件。 对于.NET

以外的语言尤其如此 | 

*   作为开发人员，通过编程操作 CSV 很容易，因为它们毕竟是简单的文本文件。

 |

## 关键区别

*   CSV 是一种用于将表格信息保存到扩展名为.csv 的带分隔符的文本文件中的格式，而 Excel 是一种电子表格，可以将文件保留为其专有格式，即 xls 或 xlsx。
*   CSV 是纯文本格式，具有一系列用逗号分隔的值，而 Excel 是一个二进制文件，其中包含有关工作簿中所有工作表的信息。
*   CSV 文件无法对数据执行操作，而 Excel 可以对数据执行操作。
*   CSV 文件更快，并且消耗的内存更少，而 Excel 在导入数据时消耗的内存更多。
*   可以使用 Windows 中的任何文本编辑器打开 CSV 文件，而不能使用文本编辑器打开 Excel 文件。

## CSV 和 Excel 文件之间的相似之处

CSV 是“逗号分隔值”的缩写。 它用于存储表格数据，其中列名和行值使用逗号分隔。 下图说明了这一点

![Introduction to Microsoft Excel](img/ab7c4b885ae593ef8958ebbe2d2ec272.png "Introduction to Microsoft Excel")

*   两者都可以在电子表格程序中打开
*   两者均以表格格式（即列和行）存储数据
*   两者都可以使用 Excel 中的功能来操纵。

以下屏幕截图显示了在 Excel 中打开的 CSV 文件

![Introduction to Microsoft Excel](img/918a0197c7ddae15c7ecdf194f6539d3.png "Introduction to Microsoft Excel")