# 2020 年十大最佳决策工具

> 原文： [https://www.guru99.com/decision-making-tools.html](https://www.guru99.com/decision-making-tools.html)

决策工具可帮助您确定决策的所有可能替代方案，成本，成功或失败的机会。 这些应用程序通过简化决策过程和绘制图表提供了一种做出正确选择的有用方法。

以下是精选的顶级决策工具列表，包括其流行的功能和网站链接。 该列表同时包含开源（免费）和商业（付费）软件。

### 1）SWOT 图

SWOT 代表优势，劣势，机会和威胁。 SWOT Diagram 是重要的管理应用程序，可帮助任何组织评估其当前状况。 它是战略规划的基本指南。

**用于创建 SWOT 图的工具：已创建**

![](img/41e031245bbd614b2839b40623424604.png)

Creately 是一种在线创建 SWOT 图的简便方法。 该工具包含 100 个现成的 SWOT 分析模板。 它具有易于使用的界面，使您可以自定义图表。 您可以使用此工具实时协作组织策略。

**链接**： [https://creately.com/lp/swot-analysis-tool-online/](https://creately.com/lp/swot-analysis-tool-online/)

* * *

### 2）决策图

决策图是使您能够绘制出已做出的决策的图形。 它可以帮助您根据结果和风险来估计最终的操作。 您可以使用此图来规划团队策略。

**用于创建决策图的工具：Lucidchart**

[![](img/cda25d511b7f1bebc688f566d44dc4f3.png) ](/images/1/010120_0556_Top10BESTDe2.png) 

Lucidchart 是可帮助您构建决策树图的工具。 该软件可用于与您的队友实时协作。 它使您可以可视化潜在路径并检查结果。 Lucidchart 可以使用技术图简化决策过程。

**链接**： [https://www.lucidchart.com/pages/examples/decision-tree-maker](https://www.lucidchart.com/pages/examples/decision-tree-maker)

* * *

### 3）决策矩阵

决策矩阵是一种包含可帮助您识别和分析系统性能的值的技术。 决策矩阵的元素显示结果取决于特定标准。

**用于创建决策矩阵的工具：Mindtools**

[![](img/f2af916fff27e3a1dbc145580be6a4aa.png) ](/images/1/010120_0556_Top10BESTDe3.png) 

Mindtools 将您的数据转换为行和列。 它代表表行作为您的决定，因子代表列。 使用此工具，您可以对每个选项（从 0（表示差）到 5（表示非常好））进行评分。

**链接**：

[https://www.mindtools.com/pages/article/newTED_03.htm](https://www.mindtools.com/pages/article/newTED_03.htm)

* * *

### 4）帕累托分析

帕累托分析是一种决策方法。 这也称为 80/20 规则，意思是 20％的活动将占结果的 80％。 它用于通过识别问题和解决问题来确定可能发生的更改的优先级。

**用于创建帕累托分析的工具：视觉范式**

![](img/0d90b16e547494675e9f13c71bacfdec.png)

Visual Paradigm 可以帮助您轻松地将数据添加或输入到 pareto 图表中。 它使您可以轻松更改图表的字体和颜色。 该工具会根据 Google 表格中的可用数据自动生成图表。 Visual Paradigm 允许您将图表调整为任意尺寸。

**链接**： [https://online.visual-paradigm.com/diagrams/features/chart-maker/pareto-chart-maker/](https://online.visual-paradigm.com/diagrams/features/chart-maker/pareto-chart-maker/)

* * *

### 5）因果关系或石川图

因果关系或石川图显示了特定事件的原因。 它可用于产品设计并检查其质量，以识别可能导致整体影响的因素。 您可以将原因分组，以查找变化的原因。

**用于创建因果关系或石川图的工具：SmartDraw**

[![](img/7f9072158fd73203e6a0e8437010e445.png) ](/images/1/010120_0556_Top10BESTDe5.png) 

SmartDraw 是一个简单的工具，使您可以在线或在台式 PC 上绘制 Ishikawa 图。 它提供对 Mac 和 Windows 操作系统的支持。 因果图是自动集成的，您可以快速移动或删除它们。 SmartDraw 提供了许多模板来绘制石川图。

**链接**： [https://www.smartdraw.com/cause-and-effect/fishbone-diagram-maker.htm](https://www.smartdraw.com/cause-and-effect/fishbone-diagram-maker.htm)

* * *

### 6）力场分析

力场分析使您可以检查项目。 它提供了一个框架，用于查看影响特定情况的因素。 此分析可帮助您更好地了解任何组织的流程。

**用于创建力场分析的工具：SmartDraw**

[![](img/e38d58d1aa863b3aabb90d1bd292fc13.png) ](/images/1/010120_0556_Top10BESTDe6.png) 

SmartDraw 是一种决策工具，提供用于执行力场分析的模板。 您可以使用此图形工具进行决策。 该绘图工具会自动调整绘图区域上的项目。 这个程序还可以帮助您从 Visio 导入或导出力场分析图。

**链接**： [https://www.smartdraw.com/force-field-analysis/examples/model-1-force-field-analysis/](https://www.smartdraw.com/force-field-analysis/examples/model-1-force-field-analysis/)

* * *

### 7）战略图

战略图是可用于记录战略业务目标的图。 该地图是在业务计划过程中创建的。 它用作签到和审阅会议的主要材料。

**创建策略的工具：级联策略**

![](img/5d0e408f9a60e0959a53781ec898b232.png)

Cascade Strategy 是一个决策工具，提供拖放界面以构建策略 Map。 该工具支持各种框架。 它允许您将地图导出为 PDF 文件格式。

**链接**： [https://www.executestrategy.net/](https://www.executestrategy.net/)

* * *

### 8）收支平衡分析

收支平衡分析可帮助您确定新业务产品将在哪个阶段获利。 这是一种经济计算，用于确定您需要出售以支付成本的产品或服务的数量。

**创建收支平衡分析的工具：优质计算器**

![](img/f86ce72bd98bf844150f37be8cdc3744.png)

优质计算器提供了使您能够计算收支平衡点的计算器。 您只需输入固定和可变成本，每单位售价等即可使用此工具。只需单击一下鼠标，便可以计算出该工具。

**链接**： [https://goodcalculators.com/break-even-calculator/](https://goodcalculators.com/break-even-calculator/)

* * *

### 9）普格矩阵

Pugh Matrix 是用于评估业务替代解决方案的图。 它可以帮助您确定哪些解决方案比其他解决方案更有价值。 该方法不需要大量的定量数据。

**创建 Pugh 矩阵的工具：心理疗法**

![](img/1f74fa291af2b909d57e8c2843ea96ce.png)

Psychologia 是一种为您输入的每个选项提供分数的工具。 这个程序可以让你找到最高的分数。 它可以帮助个人找到特定标准对其他人的重要性。

**链接**： [https://psychologia.co/pugh-matrix/](https://psychologia.co/pugh-matrix/)

* * *

### 10）比率分析

比率分析是用于比较企业财务报表中可用项目的术语。 它用于评估实体的许多问题，例如其流动性，运营效率等。

**用于创建比率分析的工具：Finstanon**

![](img/174ce68646888fc9d7df844fd4bb0851.png)

Finstanon 是财务分析的解决方案。 它可以帮助您解释利润率，流动比率，债务比率等。 该工具使您可以分析超过 15 种不同类型的指标。 Finstanon 生成表格和图表中的数据。

**链接**： [https://www.finstanon.com](https://www.finstanon.com)