# Informatica 中的性能调优：完整的教程

> 原文： [https://www.guru99.com/performance-tuning-transformation-informatica.html](https://www.guru99.com/performance-tuning-transformation-informatica.html)

**合并程序转换**-

*   始终尽可能在数据库中执行联接，因为数据库联接比 Informatica 联接器转换中创建的联接要快。
*   如有可能，请在连接之前对数据进行排序，因为这会减少连接期间执行的磁盘 I / O。
*   将较少行的表作为主表。

**查找转换** –

*   为在查找条件中使用的查找表中的列创建索引。 由于将查询查找表以查找匹配的数据，因此添加索引将提高性能。
*   如果可能，请使用数据库中的 join 而不是使用查找转换。 随着数据库联接速度的加快，性能将得到提高。
*   从查找表中删除不必要的列，并仅保留必需的列。 这将减少从数据库中获取额外列的开销。

**滤波器转换** –

*   在映射内部尽早使用过滤器转换。 如果不需要的数据可以在映射的早期被丢弃，它将增加吞吐量。
*   使用源限定符过滤数据。 您也可以使用源限定符 [SQL](/sql.html) 替代来过滤记录，而不是使用过滤器转换。

**聚合器转换**

*   在汇总之前过滤数据。 如果在映射中使用过滤器转换，请在使用聚合器之前对数据进行过滤，因为这将减少不必要的聚合操作。
*   限制聚合器转换中使用的端口号。 这将减少聚合器转换存储在缓存中的数据量。

**源限定符转换**

*   仅带源中的必需列。 在大多数情况下，并非源表的所有列都是必需的，因此通过删除不必要的列来仅携带必需的字段。
*   避免在源限定符 [SQL](/sql.html) 覆盖内使用 order by 子句。 order by 子句需要额外的处理，并且可以通过避免它来提高性能。