# 项目范围管理：PMP 教程

> 原文： [https://www.guru99.com/pmp-project-scope-management.html](https://www.guru99.com/pmp-project-scope-management.html)

范围管理流程确定需要完成的工作，并确保项目仅包括完成项目的工作。

**为什么经理需要项目范围管理**

*   如果不确定项目范围，则无法估算项目占用的时间或成本
*   范围管理建立控制流程，以解决可能在项目生命周期中更改项目的元素
*   它有助于避免项目在每个增长的范围和不合要求的需求清单中可能遇到的挑战。

此阶段包括-

*   管理项目范围
*   管理产品范围

项目范围管理过程包括以下活动。

| **处理** | **项目组** | **主要成果** |
| 

*   计划范围管理

 | 规划 |  |
| 

*   收集需求

 | Planning | 所需文件 |
| 

*   定义范围

 | Planning | 项目范围说明书 |
| 

*   创建 WBS

 | Planning | WBS 目录，WBS |
| 

*   验证范围

 | 监控 | 验收成果 |
| 

*   控制范围

 | Monitoring and Controlling | 改变请求 |

我们将在下面逐步介绍所有过程：-

**计划范围管理**

范围管理计划将确定范围的定义，验证和控制方式。

| **主要输入** | **工具和技术** | **主要输出** |
| 

*   初步项目范围声明

 |  |  |
| 

*   项目章程

 | 会议会议 | 需求管理计划 |
| 

*   项目管理计划

 | 专家判断 | 范围管理计划 |
| 

*   企业环境因素

 |  |  |
| 

*   组织过程资产

 |  |  |

**收集需求**

在此过程中，管理人员使用各种技术和工具从利益相关者那里收集项目需求。 此阶段非常重要，如果正确完成，则项目期间出错的机会将很小。

| **Primary Inputs** | **Tools and Techniques** | **Primary Outputs** |
| 

*   项目章程

 | 面试 | 需求文件 |
| 

*   利益相关者寄存器

 | 专门小组 | 需求管理计划 |
|  | 小组创造力技巧 | 需求可追溯性矩阵 |
|  | 便利的讲习班 |  |
|  | 调查和问卷 |  |
|  | 样机 |  |
|  | 观察结果 |  |
|  | 小组决策技术 |  |

**定义范围流程**

这个过程清楚地表明了项目应该如何进行以及它不能做什么。 在此过程中，通过检查支持文档可确保项目保持正常进行。 然后，最终的范围将提及利益相关者的要求和期望。

| **Primary Inputs** | **Tools and Techniques** | **Primary Outputs** |
| 

*   项目章程

 | 专家判断 | 项目范围说明 |
| 

*   需求文档

 | 产品分析 | 项目文件更新 |
| 

*   组织过程资产

 | 替代识别 |  |
|  | Facilitated workshops |  |

**创建 WBS（工作分解结构）**

WBS 使项目经理和他的团队能够将高级项目可交付成果分解为较小的，可管理的工作单元，称为工作包。

| **Primary Inputs** | **Tools and Techniques** | **Primary Outputs** |
| 

*   项目范围声明

 | 分解 | 工作组 |
| 

*   需求文档

 |  | WBS 字典 |
| 

*   组织过程资产

 |  | 范围基准 |
|  |  | Project document updates |

**验证范围**

验证范围过程涉及客户的接受。 这是客户正式接受所有项目交付成果的时候。 在每个阶段结束时，都会执行此过程。 在此过程中，客户会就执行的工作提供反馈。

| **Primary Inputs** | **Tools and Techniques** | **Primary Outputs** |
| 

*   项目范围声明

 | 检查 | 验收成果 |
| 

*   项目管理计划

 |  | Change request |
| 

*   需求追踪矩阵

 |  | Project document updates |
| 

*   已验证的可交付成果

 |  |  |

**范围控制**

此过程或阶段涉及项目状态的监视和范围变更的管理。 除此之外，它还涉及由客户评估附加需求或主动忽略项目范围。

| **Primary Inputs** | **Tools and Techniques** | **Primary Outputs** |
| 

*   项目管理计划

 | 方差分析 | 工作绩效评估 |
| 

*   需求文档

 |  | 变更要求 |
| 

*   需求追踪矩阵

 |  |  |
| 

*   组织过程资产

 |  |  |
| 

*   工作绩效信息

 |  | Project document updates |

**范围管理**要记住的关键点

*   为避免成本超支和进度单，范围必须完整且准确。
*   需要明确定义范围，以避免不必要的工作和混乱
*   范围文件应与所有利益相关者共享，以避免设计和要求上的错误
*   范围管理的良好做法是，在项目期间，范围文档必须保持不变

**摘要**：

范围管理用于确定如何管理其余范围计划过程。

此阶段的关键方面

*   项目需求分析
*   与所有利益相关者沟通范围变更
*   与范围有关的角色和责任