# 项目成本估算&预算管理技术

> 原文： [https://www.guru99.com/learn-financial-planning-project-management.html](https://www.guru99.com/learn-financial-planning-project-management.html)

## 项目成本管理

项目成本管理被定义为有效地计划和控制项目成本的过程。 它定义了每个可交付成果所需的成本。 项目的成本可以从各种流程来源进行估算（以下示例）

*   创建工作分解结构（WBS）
*   制定时间表
*   计划人力资源
*   识别风险

成本管理的投入包括：

*   项目管理计划
*   项目章程
*   企业环境因素
*   组织过程资产

虽然，这是

*   成本管理计划。

为项目创建估算和成本核算是任何项目管理中极为重要的部分。 在计算项目预算时要考虑各种因素，例如人工成本，必要的设备购置，材料成本等。

## 什么是项目成本估算？

项目成本估算被定义为估算项目总支出的过程。 成本估算的准确性取决于项目范围的准确性和细节，这是范围基线。 该范围还将定义任何约束，例如日期，资源或预算。 风险登记册将帮助计算估计的成本类型，或有措施所产生的费用以及为应对风险而产生的费用。

要估算项目成本，您必须将各种成本类型分类为

*   劳动力成本
*   设备费用
*   耗材成本
*   差旅费
*   培训费用
*   间接费用等

## 用于估算项目成本的技术

要正式估算项目成本，很少使用以下方法（技术）：

*   **Analogous Estimating**

    这种估算技术基于专家的判断和基于类似先前项目的信息。 如果以前完成过类似的项目成本，则考虑现有项目的正负 20％。

*   **Parametric estimating**

    过去的数据或记录用于估算当前项目的成本。

*   **Bottom-up estimating**

    定义项目范围后，它就是最可靠的技术形式。 在此技术的基础上，基于 WBS，您可以估算每种资源或可交付成果的成本。

同样，还有其他一些方法（技术）可用于估算成本，例如 PERT 估算，供应商出价分析等。

## 项目预算计划

该活动的主要目的是分配和授权完成该项目所需的金钱资源。 确定预算的主要输出包括成本绩效基准。 它不仅指定了将要发生的费用，而且还指定了将要发生的时间。 确定预算的投入包括

*   活动费用估算
*   估计依据
*   范围基准
*   项目进度
*   资源日历
*   合约
*   组织过程资产

该过程的输出是

*   成本绩效基准
*   项目资金需求
*   项目文件更新

项目预算与项目计划过程同时进行。 它高度依赖于三个组成部分-

*   费用估算
*   任务持续时间
*   分配资源

在项目预算编制过程中，项目经理与负责管理工作以及估算项目成本的不同人员进行沟通。

他将使用各种项目前景，例如项目的工作分解结构，成本估算，历史数据和记录，资源信息和策略。

没有风险评估，预算编制过程将无法完成。 风险评估过程会考虑时间紧缺，资源可用性，开发团队经验，所使用的技术等因素。风险评估可能占项目总成本的 25％至 30％。

## 项目质量管理计划

质量管理过程组包括三个过程，

1.  **计划质量**

计划质量过程涉及确定哪些标准质量与项目相关以及如何实现它们。 它还包括为项目过程，法规遵从性要求，产品功能，文档等确定质量度量和标准度量。

计划质量管理的输入包括

*   项目管理计划
*   利益相关者登记册
*   风险登记册
*   需求文档
*   企业环境因素
*   组织过程资产

质量管理的输出是

*   质量管理计划
*   工艺改进计划
*   质量指标
*   质量检查表
*   项目文档更新

2.  **质量保证**

这个阶段主要包括两个活动，首先是分析项目质量和提高项目质量。 这是审核质量要求和质量控制度量结果的过程，以确保在整个过程中都保持质量标准。 此输入将与计划质量管理的输出相同，而

该过程的输出将是

*   改变请求
*   项目管理计划
*   项目文件更新
*   组织流程资产更新

3.  **质量控制**

这将在整个项目生命周期中进行，以控制质量。 它定义了质量标准如何符合定义的质量标准。 [质量保证](/all-about-quality-assurance.html)的输出将作为质量控制的输入。 虽然输出将

*   质量控制测量
*   验证变更
*   经过验证的可交付成果
*   工作绩效信息
*   改变请求
*   项目管理计划
*   项目文件更新
*   组织流程资产更新

## 项目人力资源管理

人力资源管理包括组织，管理和领导项目团队的过程。 它由负责完成项目的角色和职责分配的人员组成。 人力资源管理将处理四个过程。

1.  **Develop human resource plan**: This stage defines the project roles and responsibilities, project organization charts and staff management plan

    为此输入

    *   项目管理计划
    *   活动资​​源需求
    *   企业环境因素
    *   组织过程资产

的输出将是

*   人力资源管理计划

2.  **Acquire project team**:

    此阶段将确认人力资源的可用性，并确定完成项目活动所需的团队。 此阶段的输入将是上一步的输出。 虽然这个阶段的输出是

    *   项目人员分配
    *   资源日历
    *   项目管理计划更新
3.  **Develop project team**:

    在此阶段，重点是提高团队效率，团队成员互动以及增强总体团队和项目绩效。 此阶段的输入将是上一步的输出。 虽然此阶段的输出为

    *   团队绩效评估
    *   企业环境因素更新
4.  **Manage project team**:

    此过程包括跟踪团队成员的绩效，解决问题，提供反馈以及管理团队以优化项目绩效。 此阶段的输入将是上一步的输出。 虽然此阶段的输出为

    *   改变请求
    *   项目管理计划更新
    *   项目文件更新
    *   企业环境因素更新
    *   组织流程资产更新

## 项目沟通管理

在这里，项目沟通并不意味着彼此进行口头交流，而是与项目团队，利益相关者，项目经理等有效地传递与项目相关的信息。它应该解决风险行动和评估，项目计划，会议管理和行动，审查和步行 -直通等

该部分主要涵盖五个领域

1.  **Communicating with Stakeholders**

    这是开发一种与利益相关者进行有效沟通并了解其需求的方法的过程。 输入是

*   项目管理计划
*   利益相关者登记册
*   企业环境因素
*   组织过程资产

虽然此输出将是

*   沟通管理计划
*   项目文件更新

2.  **Manage Communications**

    它是根据通信计划存储，分发，收集和检索项目信息的过程。 这个阶段的输入是

*   企业环境因素
*   组织过程资产
*   工作绩效报告
*   沟通管理计划

虽然输出是

*   项目通讯
*   项目管理计划更新
*   项目文件更新
*   组织流程资产更新

3.  **Control Communications**

    它是在整个项目生命周期中控制和监视通信的过程。 此阶段的输入为

*   项目管理计划
*   项目通讯
*   问题记录
*   工作绩效数据
*   组织过程资产

虽然这个阶段的输出是

*   工作绩效信息
*   变更要求
*   项目管理计划更新
*   项目文件更新
*   组织流程更新

**摘要**

成本管理是有效地计划和控制项目成本的过程。 它可以帮助您记录和跟踪项目结束后的支出。

为了看到您的项目在给定的时间表和预算内完成，我们将在下一个教程中了解需要减轻哪些风险因素。