# Microsoft MCSA 认证考试指南

> 原文： [https://www.guru99.com/mis-microsoft-certified-solutions.html](https://www.guru99.com/mis-microsoft-certified-solutions.html)

认证是验证您在行业中的专业知识的一种方式。 如果您正在寻找工作，认证会增加您获得工作的机会。

如果您是企业主或个体经营者，那么认证可以增强客户对您的信心。 在本教程中，我们将研究 MIS 认证，特别是 Microsoft 认证解决方案合作伙伴。

## 什么是 MCSA（Microsoft 认证解决方案合作伙伴）

Microsoft 认证解决方案合作伙伴（MCSA）是 Microsoft 提供的认证计划，旨在验证您在设计和构建技术方面的技能。 以前的认证程序是 Microsoft 认证系统管理员。

微软认证的系统管理员更专注于工作角色。 您可以从 [MCSA 官方网站](https://www.microsoft.com/en-us/learning/mcsa-certification.aspx)中找到更多详细信息。

认证计划提供以下考试；

*   [MSCA：Widows Server 2012](https://www.microsoft.com/en-us/learning/mcsa-windows-server-certification.aspx) –该证书的主要目的是验证您在 Windows Server 2012 方面的专业知识。该证书允许您以网络或计算机系统管理员或计算机网络专家的身份工作。 您将必须参加三（3）项考试。

    1.  安装和配置 Windows Server 2012
    2.  管理 Windows Server 2012
    3.  配置高级 Windows Server 2012 服务

*   [MCSA：Windows Server 2008](https://www.microsoft.com/en-us/learning/mcsa-windows-server-2008-certification.aspx) –该证书验证您对 Windows Server 2008 的掌握。该证书使您可以担任网络或计算机系统管理员或计算机网络专家。 它具有以下考试

    1.  Windows Server 2008 Active Directory，配置
    2.  Windows Server 2008 网络基础结构，配置
    3.  Windows Server 2008，服务器管理员

*   [MCSA：Windows 10](https://www.microsoft.com/en-us/learning/mcsa-windows-10-certifications.aspx) –验证您配置，管理和维护 Windows 10 企业系统的技能。 通过此认证，您可以作为计算机支持专家。 您将必须参加以下考试

    1.  配置 Windows 设备

*   [MCSA：Windows 8](https://www.microsoft.com/en-us/learning/mcsa-windows-8-certification.aspx) –验证您配置，管理和维护 Windows 8 企业系统的技能。 通过此认证，您可以作为计算机支持专家。 您将必须参加以下考试；

    1.  配置 Windows 8.1
    2.  支持 Windows 8.1

*   [MCSA：SQL Server](https://www.microsoft.com/en-us/learning/mcsa-sql-certification.aspx) –验证您开发和维护关键任务数据库的技能。 通过此认证，您可以作为数据库开发人员或数据库分析师。 您将必须参加以下考试；

    1.  查询 Microsoft [SQL](/sql.html) Server 2012
    2.  管理 Microsoft SQL Server 2012 数据库
    3.  使用 Microsoft SQL Server 2012 实施数据仓库

*   [MCSA：Office 365](https://www.microsoft.com/en-us/learning/mcsa-office365-certification.aspx) –验证您使用 Microsoft Office 365 迁移和管理云托管业务应用程序的技能。此证书使您可以作为软件即服务（SaaS）管理员或专注于云应用程序管理员的工作 管理 Office 365 产品。 您将必须参加以下考试；

    1.  第 1 部分：管理 Office 365 身份和要求
    2.  第 2 部分：启用 Office 365 服务

*   [MCSA：Azure 上的 Linux](https://www.microsoft.com/en-us/learning/mcsa-linux-azure-certification.aspx) –验证您作为 [Linux](/unix-linux-tutorial.html) 系统管理者的技能，能够设计，开发和维护利用 Microsoft Azure 开源功能的基于封闭的解决方案。 您将必须参加以下考试。

    1.  实施 Microsoft Azure 基础结构解决方案
    2.  Linux Foundation 认证的系统管理员

您不必参加上述所有考试。 您只应选择与您的职位直接相关的职位。

## MCSA 的先决条件

您必须具有计算机知识，并且具有与信息技术相关的课程的基础知识。 这对您来说是一个额外的优势。 如果需要，可以在参加考试之前获得培训。 Microsoft 与世界各地合格的，经过培训的专业人员合作，可以为您进行准备。 使用此链接在您的位置附近搜索 [Microsoft 培训合作伙伴](https://www.microsoft.com/en-us/learning/find-partner.aspx)。

## 如何申请 Microsoft 认证考试

您需要先在 Microsoft 创建一个帐户，然后才能安排考试。 您可以按照 URL [学习标志](https://www.microsoft.com/en-us/learning/signin.aspx)进行操作。 登录后，您可以选择和安排 Pearson Vue 的考试。 [Pearson Vue](https://home.pearsonvue.com/) 专门提供基于计算机的考试。