# VBA 面试的前 22 个问题&答案

> 原文： [https://www.guru99.com/vba-interview-questions.html](https://www.guru99.com/vba-interview-questions.html)

[下载 PDF](https://www.guru99.com/pdf/vba-interview-questions.pdf)

**1）解释什么是 VBA 或 Visual Basic for Applications？**

VBA 代表 Visual Basic for Applications； 它是由 Microsoft 开发的一种事件驱动的编程语言。 它主要用于 Microsoft Office 应用程序，例如 MS-word，MS-Access 和 MS-Excel。

**2）提到可以在哪里为 Macro 编写 VBA 程序？**

模块是您可以为宏编写 VBA 程序，插入模块的地方，导航至插入**->** 模块

**3）提及 VBA 中使用的注释样式是什么？**

注释用于记录程序逻辑和用户信息，以便将来其他程序员可以在同一代码上无缝地工作。 VBA 中主要有两种表示注释的方法。

*   任何以单引号开头的语句均视为注释
*   或者，您可以使用语句 REM 代替单引号（'）

**4）在 VBA 中，如何声明变量和常量？**

在 VBA 中，可以用关键字“ DIM”声明变量，而用关键字“ Const”声明常量。

**5）VBA 中的数据类型是什么？**

VBA 中的数据类型分为两类

| **数值数据类型** | **非数值数据类型** |
| 字节 | 字符串（固定长度） |
| 整数 | 字符串（可变长度） |
| Long | 日期 |
| 单 | 布尔型 |
| 双 | 目的 |
| 货币 | 变体（数字） |
| 小数 | 变体（文字） |

![VBA Interview Questions](img/e1104e5a8bd8677b5815017f204de4f9.png)

**6）解释什么是 ADO，ODBC 和 OLEDB？**

**ADO** ：ActiveX 数据对象或 ADO 是通用数据访问框架，其中包含 DAO 的功能

**ODBC** ：开放式数据库连接或 ODBC 是一种使数据库客户端应用程序连接到外部数据库的技术

**OLEDB** ：这是一个低级编程接口，旨在访问各种数据访问对象链接和嵌入（OLE）

**7）解释 VBA 中的函数指针**？

VBA（Visual Basic 信息）具有灵活的应用程序，但是 VBA 中的函数指针存在限制。 Windows API 对函数指针的支持不足，因为它具有使用函数的能力，但不具有回调函数的函数支持。 它具有对调用的内在支持，但没有回调。

**8）解释如何在 VBA 中完成“引用计数”？**

在 VBA 中，变量很快就超出范围，参考对象上的参考计数器递减。 当将对象引用分配给另一个变量时，引用计数器将增加。 当您的参考计数达到零时，它将终止事件。

**9）如何显式减少参考计数器？**

要显式减少参考计数器，您需要将变量设置为“ Nothing”。

**10）解释什么是 VBA** 中的 COM（组件对象模型）对象？

COM 对象通常是.dll 文件，并且是编译的可执行程序。

**11）说明如何通过 VBA 拨打电话号码？**

为了通过 VBA 拨打电话号码，您需要执行以下步骤

*   VBA 中的 Shell 命令可用于启动 Windows O.S 中存在的拨号程序
*   要连接到调制解调器，可以使用电话号码
*   借助发送键和外壳命令，您可以拨打用户
*   当 Shell 激活 Windows 应用程序时，Sendkey 指示窗口根据应用程序的按键进行拨号
*   宏可用于启动卡文件程序，从而触发自动拨号器功能

**12）解释“ Option Explicit”的含义是什么？ 应该在哪里使用？**

“ Option Explicit”使变量的声明成为强制性的。 行显式函数使编译器可以确定 dim 语句未声明的所有变量。 此命令大大减少了类型错误的问题。 之所以在 VBA 中使用它，是因为它处理类型错误很常见的信息丰富的应用程序。 在启动任何子过程之前，可以在模块内部使用它的子过程。

**13）说明如何将参数传递给 VBA 函数**？

将参数传递给 VBA 函数时，可以通过两种方式传递它们

*   **ByVal** ：当 Value 传递参数时，则意味着仅将 value 传递给过程，并且在退出过程时对过程内部的参数所做的任何更改都将丢失

*   **ByRef** ：当通过引用传递参数时，参数的实际地址将传递给过程。 退出过程时，将撤回对过程中的参数所做的任何更改

**14）是否提到从 ObjectContext 对象调用的方法以通知 MTS 事务不成功或成功？**

从 ObjectContext 对象调用 **Setabort** 和 **setcomplete** 方法，以通知 MTS 事务不成功或不成功

**15）查找列中最后使用的行或行中最后使用的列的代码是什么？**

要查找列的最后一行，使用的命令是 End（xlUp），要查找列的最后一列，使用的命令是 End（xlToLeft）。

**16）提到 VBA** 中子例程和函数之间的区别。

子例程和函数之间的区别在于

*   子例程从不返回值，但是函数确实返回值
*   子例程可以更改实际参数的值，而函数不能更改实际参数的值

**17）解释 CurrentRegion 属性和 UsedRange** 之间有什么区别？

*   CurrentRegion：当前区域是由空白列和行的任意组合限制的范围
*   UsedRange：此属性用于选择工作表上已用单元格的范围。 它返回一个 Range 对象，该对象表示特定工作表上的使用范围

**18）解释如何调试 VBA 代码？**

要调试 VBA 代码，请按照以下步骤操作

*   使用断点（F9）
*   逐步执行（F8）
*   打印&立即窗口并观看窗口

**19）当 VBA 脚本进入无限循环时，如何停止它？**

通过按 **Cntrl +暂停符**键，可以在进入无限循环时停止 VBA 脚本。

**20）提及无法在运行时设置菜单的哪个属性**？

在运行时，无法设置菜单的名称属性。

**21）提及 VBA 是否具有字典结构？**

是的，VBA 确实具有字典结构。 您可以设置对字典的引用，例如

*   设置 dict = CreateObject（“ Scripting.Dictionary”）
*   或 Dim dict 作为新脚本。

**22）提及如何在 Office VBA 编辑器中注释和取消注释代码块？**

在 Office VBA 编辑器中，您可以按照以下步骤注释和取消注释代码块

*   在 VBA 编辑器中，转到视图**->** 工具栏**->** 自定义…或右键单击工具栏并选择“自定义”
*   在命令标签下，选择左侧的编辑菜单
*   向下滚动时，您会看到两个图标，“注释块”和“取消注释”
*   将它们拖放到工具栏上后，您可以轻松访问以突出显示代码块并对其执行操作