# 能力成熟度模型（CMM）&是软件工程中的各个级别

> 原文： [https://www.guru99.com/capability-maturity-model-cmm-cmm-levels-a-fool-s-guide.html](https://www.guru99.com/capability-maturity-model-cmm-cmm-levels-a-fool-s-guide.html)

## 什么是 CMM？

能力成熟度模型用作衡量组织软件过程成熟度的基准。

CMM 是在 80 年代后期在软件工程学院开发的。 它是美国空军资助的一项研究的结果，是评估分包商工作的一种方式。 后来基于 1991 年创建的 CMM-SW 模型以评估软件开发的成熟度，将多个其他模型与 CMM-I 集成在一起。

![Capability Maturity Model (CMM) & CMM Levels: A Fool’s Guide](img/fea07fcc8d91304e183d82e6e518ac2e.png "Capability Maturity Model (CMM) & CMM Levels: A Fool’s Guide")

在本教程中，我们将学习，

*   [什么是能力成熟度模型（CMM）级别？](#1)
*   [在不同级别的 CMM 中会发生什么？](#2)
*   [实施 CMM 需要多长时间？](#3)
*   [坐标测量机的内部结构](#4)
*   [CMM 模型的局限性](#5)
*   [为什么使用 CMM？](#6)

## 什么是能力成熟度模型（CMM）级别？

1.  初始
2.  可重复/可管理
3.  已定义
4.  量化管理
5.  最佳化

![Capability Maturity Model (CMM) & CMM Levels: A Fool’s Guide](img/ba3a082b97602e21837ddf6dace436d6.png "Capability Maturity Model (CMM) & CMM Levels: A Fool’s Guide")

## 在不同级别的 CMM 中会发生什么？

| **级别** | **活动** | **的好处** |
| 1 级初始 | 

*   在级别 1 处，该过程通常是混乱且临时的。
*   一种能力是根据个人而非组织来表征的。
*   未衡量的进展
*   开发的产品通常是进度表和预算外的商品
*   进度表，成本，功能和质量目标的差异很大

 | 没有。 一个项目是全面混乱 |
| 2 级托管 | 

*   需求管理
*   估算项目参数，例如成本，进度和功能
*   评估实际进度
*   制定计划和流程
*   软件 定义了项目标准
*   标识和控制产品，问题报告更改等。
*   项目之间的过程可能有所不同

 | 

*   流程变得更容易理解
*   经理和团队成员花更少的时间来解释事情的完成方式，而花更多的时间执行它
*   ，这些项目可以更好地估算，更好地计划和计划 更灵活
*   质量已集成到项目中
*   最初的成本可能很高，但会随着时间的推移而减少
*   询问更多的文书工作和文档

 |
| 3 级已定义 | 

*   阐明客户要求
*   解决设计要求，制定实施过程
*   确保产品符合要求和预期用途
*   系统分析决策
*   纠正和控制潜在的问题

 | 

*   过程改进成为标准
*   解决方案从“编码”发展为“工程化”
*   质量门在整个项目工作中都与过程中涉及的整个团队一起出现
*   减轻了风险，不要让团队感到意外

 |
| 4 级量化管理 | 

*   统计管理项目的流程和子流程
*   了解流程绩效，定量管理组织的项目

 | 

*   优化整个组织的流程绩效
*   促进组织中的定量项目管理。

 |
| 5 级优化 | 

*   尽早发现并消除缺陷的原因
*   识别并部署新工具并改进流程以满足需求和业务目标

 | 

*   促进组织创新和部署
*   推动因果分析和解决方案

 |

下图给出了不同 CMM 级别发生的情况的图形表示

![Capability Maturity Model (CMM) & CMM Levels: A Fool’s Guide](img/ed0ce612f1b8f627888d17517a9e9bab.png "Capability Maturity Model (CMM) & CMM Levels: A Fool’s Guide")

## 实施 CMM 需要多长时间？

对于任何软件开发公司而言，CMM 是维持产品质量的最可取的过程，但是其实施时间比预期的要短。

*   CMM 实施不会在一夜之间发生
*   这不仅仅是一个“文书工作”。
*   实施的典型时间是
    *   准备 3-6 个月**->**
    *   6-12 个月**->** 实施
    *   3 个月**->** 进行评估准备
    *   每个新级别 12 个月**-> b**

## 坐标测量机的内部结构

CMM 中的每个级别（级别 1 除外）都定义在**密钥处理区域或 KPA** 中。 每个 KPA 都定义了一组相关的活动，这些活动共同执行时会达成一系列目标，这些目标对于提高软件功能至关重要

对于不同的 CMM 级别，存在一组 KPA，例如对于 CMM 模型 2，KPA 为

*   REQM-需求管理
*   PP-项目策划
*   PMC-项目监控
*   SAM-供应商协议管理
*   PPQA-过程和质量保证
*   CM 配置管理

同样，对于其他 CMM 型号，您具有特定的 KPA。 要了解 KPA 的实施是否有效，持久和可重复，请在以下基础上进行映射

1.  **执行**的承诺
2.  **执行**的能力
3.  **活动执行**
4.  **测量和分析**
5.  **验证实现**

## CMM 模型的局限性

*   CMM 确定流程应解决的问题，而不是如何实现
*   它没有解释软件过程改进的所有可能性
*   它专注于软件问题，但不考虑战略业务计划，采用技术，建立产品线和管理人力资源
*   它没有说明组织应该从事哪种业务
*   CMM 在目前有危机的项目中将无用

## 为什么使用 CMM？

如今，CMM 成为软件行业的“认可印章”。 它以各种方式帮助提高软件质量。

*   它指导着可重复的标准流程，从而减少了如何完成工作的学习时间
*   实践 CMM 意味着实践标准的开发协议，这不仅可以帮助团队节省时间，而且可以清晰地看到要做什么和应该做什么
*   质量活动与项目紧密结合，而不是被视为单独的事件
*   它充当项目和团队之间的通勤者
*   CMM 的工作始终致力于改进流程

**摘要**

CMM 最初于 80 年代后期在美国空军推出，用于评估分包商的工作。 后来，通过改进版本，它被实施以跟踪软件开发系统的质量。

整个 CMM 级别分为五个级别。

*   **级别 1** （初始）：系统的需求通常不确定，被误解且不受控制的地方。 该过程通常是混乱且临时的。
*   **级别 2** （托管）：估计项目成本，进度和功能。 定义软件标准
*   **级别 3** （已定义）：确保产品符合要求和预期用途
*   **级别 4** （定量管理）：以统计方式管理项目的流程和子流程
*   **级别 5** （成熟度）：确定并部署新工具和流程改进以满足需求和业务目标