# 主存储器和辅助存储器之间的区别

> 原文： [https://www.guru99.com/primary-vs-secondary-memory.html](https://www.guru99.com/primary-vs-secondary-memory.html)

## 什么是内存？

内存非常类似于我们的大脑，因为它用于存储数据和指令。 计算机内存是要在其中处理数据并存储处理所需指令的存储空间。 存储器分为许多较小的部分，称为单元。 每个单元/位置都有唯一的地址和大小。

两种类型的记忆是：

*   主记忆
*   二级记忆

在本教程中，您将学习

*   [什么是内存？](#1)
*   [什么是主内存？](#2)
*   [RAM（随机存取存储器）](#3)
*   [ROM（只读存储器）](#4)
*   [什么是辅助内存？](#5)
*   [辅助存储器的类型](#6)
*   [主存储器](#7)的特征
*   [特征辅助存储器](#8)
*   [主存储器与辅助存储器](#9)

## 什么是主内存？

主内存是计算机系统的主内存。 从主内存访问数据更快，因为它是计算机的内部存储器。 主存储器的易失性最高，这意味着如果发生断电时未保存主存储器中的数据，则该数据将不存在。

主存储器是半导体存储器。 与辅助存储器相比，它的成本更高。 主存储器的容量非常有限，并且与辅助存储器相比总是较小。

两种类型的主内存是：

*   内存
*   房间

## RAM（随机存取存储器）

随机存取存储器，也称为 RAM，通常被称为计算机系统的主存储器。 它称为临时内存或高速缓存。 当关闭 PC 或笔记本电脑的电源时，存储在此类存储器中的信息将会丢失。

## ROM（只读存储器）

它代表只读存储器。 ROM 是永久性的内存类型。 关闭电源时，其内容不会丢失。 计算机制造商决定 ROM 的信息，并在制造时将其永久存储，用户不能覆盖。

## 什么是辅助内存？

能够存储大量数据的所有辅助存储设备都称为辅助存储器。 它比主内存慢。 但是，它可以节省大量数据，范围从千兆字节到 TB 级。 此内存也称为备份存储或大容量存储媒体。

## 辅助存储器的类型

### 大容量存储设备：

磁盘提供廉价的存储空间，可用于小型和大型计算机系统。

两种类型的磁盘是：

*   软盘
*   硬碟

### 闪存/固态硬盘

固态驱动器提供了持久的闪存。 与硬盘驱动器相比，它非常快。 经常在手机中找到，并迅速在 PC / Laptop / Mac 中被采用。

### 光盘驱动器：

在激光的帮助下从该辅助存储设备读取和写入数据。 光盘可以存储高达 185TB 的数据。

例子

*   光盘
*   DVD
*   蓝光

### USB 驱动器：

它是市场上最受欢迎的辅助存储设备之一。 USB 驱动器是可移动，可擦写的，并且体积很小。 USB 驱动器的容量也大大增加，因为今天市场上也有 1TB 笔式驱动器可用。

### 磁带：

这是一个串行访问存储设备，它使我们可以存储大量数据。 通常用于备份。

## 主存的特征

*   没有主内存，计算机将无法运行
*   它被称为主存储器。
*   如果电源关闭，您可能会丢失数据
*   也称为易失性存储器
*   它是计算机的工作内存。
*   与辅助存储器相比，主存储器速度更快。

## 特征二级存储器

*   这些是磁性和光学存储器
*   辅助内存称为备份内存
*   它是非易失性存储器
*   即使关闭计算机电源，数据也会永久存储
*   它有助于将数据存储在计算机中
*   机器可以在没有辅助内存的情况下运行
*   比主存慢

## 主存储器与辅助存储器

![](img/13e438c6d2d1fd111e1fa78edeb35c57.png)

| **参数** | **主存储器** | **辅助存储器** |
| 性质 | 主存储器被归类为易失性&非易失性存储器。 | 辅助存储器始终是非易失性存储器。 |
| 别名 | 这些存储器也称为内部存储器。 | 辅助存储器称为备份存储器或附加存储器或辅助存储器。 |
| 访问 | 数据直接由处理单元访问。 | 处理器无法直接访问数据。 它首先从辅助存储器复制到主存储器。 只有这样 CPU 才能访问它。 |
| 编队 | 它是易失性存储器，这意味着在断电时无法保留数据。 | 它是非易失性存储器，因此即使断电也可以保留数据。 |
| 存储 | 它保存处理单元当前正在使用的数据或信息。 容量通常在 16 到 32 GB 之间 | 它存储大量数据和信息。 容量通常从 200GB 到 TB。 |
| 访问权限 | 数据总线可以访问主存储器。 | 通过 I / O 通道访问辅助存储器。 |
| 费用 | 主内存比辅助内存要贵。 | 辅助内存比主内存便宜。 |

## 摘要

*   计算机内存是要处理数据的存储空间，并且存储处理所需的指令
*   两种类型的存储器是 1）主存储器，2）次存储器
*   主内存是计算机系统的主内存。 从主内存访问数据更快，因为它是计算机的内部存储器。
*   所有能够存储大量数据的辅助存储设备都称为辅助存储器
*   主存储器的类型 1）RAM，2）ROM
*   辅助存储器的类型 1）硬盘驱动器，2）SSD，3）闪存，4）光盘驱动器，5）USD 驱动器，3）磁带
*   没有主内存，计算机将无法运行。 如果电源关闭，您可能会丢失数据
*   即使关闭计算机电源，数据也会永久存储在辅助存储器中
*   主存储器价格昂贵，并且在计算机中可用空间有限。
*   辅助存储器比主存储器便宜。

## 关键区别

*   主存储器也称为内部存储器，而辅助存储器也称为备份存储器或辅助存储器。
*   数据总线可以访问主存储器，而 I / O 通道可以访问辅助存储器。
*   处理单元直接访问主存储器数据，而处理器不能直接访问辅助存储器数据。
*   主存储器要比辅助存储器贵，而辅助存储器要比主存储器便宜。
*   主存储器都是易失性&非易失性，而辅助存储器始终是非易失性存储器。