# AR vs VR：有什么区别？

> 原文： [https://www.guru99.com/difference-between-ar-vr.html](https://www.guru99.com/difference-between-ar-vr.html)

## 什么是增强现实？

**增强现实（AR）**是数字世界和物理元素的完美融合，可创建人造环境。 使用 AR 技术为手机或台式机开发的应用程序，将数字组件融入了现实世界。 AR 的完整形式是增强现实。

示例：AR 技术有助于在直播的体育比赛中显示得分叠加，并弹出 3D 照片，文本消息和电子邮件。

在本教程中，您将学习：

*   [什么是增强现实？](#1)
*   [什么是虚拟现实？](#2)
*   [AR 如何运作？](#3)
*   [VR 如何运作？](#4)
*   [增强现实和虚拟现实之间的区别](#5)
*   [增强现实的优势](#6)
*   [虚拟现实的优势](#7)
*   [增强现实的缺点](#8)
*   [虚拟现实的缺点](#9)
*   [增强现实在哪里使用？](#10)
*   [在哪里使用虚拟现实？](#11)
*   [AR 和 VR 如何协同工作？](#12)

## 什么是虚拟现实？

**虚拟现实** **（VR）**是替代世界或现实的计算机生成的模拟。 它用于 3D 电影和视频游戏。 它有助于创建类似于真实世界的模拟，并使用计算机和诸如耳机和手套之类的传感设备将观看者“浸入”其中。

除了游戏和娱乐之外，虚拟现实还用于培训，教育和科学。 VR 的完整形式是虚拟现实

## AR 如何运作？

AR 使用计算机视觉，地图绘制和深度跟踪，以便向用户显示适当的内容。 此功能使相机可以收集，发送和处理数据，以显示适合任何用户所观看内容的数字内容。

在增强现实中，可以通过上下文相关的数字内容实时增强用户的物理环境。 您可以通过智能手机或特殊硬件体验（AR）增强现实。

## VR 如何运作？

虚拟现实的重点是模拟视觉。 用户需要将 VR 耳机屏幕放在他/她的眼前。 因此，消除了与现实世界的任何互动。 在 VR 中，两个镜头位于屏幕之间。 用户需要根据眼睛的单个运动及其位置来调整眼睛。 可以使用连接到 PC 或手机的 HDMI 电缆来渲染屏幕上的视觉效果。

使用护目镜，扬声器，有时还使用手持式可穿戴设备来模拟真实世界的体验。 在虚拟现实中，您还可以使用视觉，听觉和触觉（触摸）刺激，因此构造的现实是身临其境的。

## 增强现实与虚拟现实之间的差异

这是增强现实与虚拟现实之间的重要区别

![](img/8bcf3acb3b06cac4e1b0f1c209bcab09.png)

| **AR** | **VR** |
| 该系统增强了现实世界的场景 | 完全身临其境的虚拟环境 |
| 在 AR 中，用户始终对现实世界有一种感觉 | 在 VR 中，视觉在系统的控制之下 |
| AR 是虚拟的 25％，真实的 75％ | VR 是 75％的虚拟和 25％的真实 |
| 该技术使用户沉浸在行动中 | 这项技术使用户完全沉浸在行动中 |
| AR 需要 100 Mbps 以上的带宽 | VR 至少需要 50 Mbps 的连接 |
| 无需 AR 耳机。 | 需要一些 VR 耳机设备。 |
| 借助 AR，最终用户仍可与现实世界保持联系，同时与距离他们更近的虚拟对象进行交互。 | 通过使用 VR 技术，VR 用户与现实世界隔离开来，并使自己沉浸在一个完全虚构的世界中。 |
| 它用于增强现实世界和虚拟世界。 | 它用于增强游戏世界的虚拟现实。 |

## 增强现实的优势

这是增强现实的优点/好处

*   提供个性化学习
*   促进学习过程
*   广泛的领域
*   提供创新和持续改进
*   提高准确性
*   增强现实可以用来增加用户的知识和信息。
*   人们可以远距离分享经验。
*   帮助开发人员构建能够为用户提供“真实”体验的游戏。

## 虚拟现实的优势

这里是虚拟现实的优点/好处：

*   沉浸式学习
*   创建一个交互式环境
*   增强工作能力
*   提供便利
*   VR 的最重要优点之一是，它可以帮助您创建现实世界，以便用户可以探索世界。
*   教育领域的虚拟现实使教育变得更加轻松和舒适。
*   虚拟现实允许用户在人造环境中进行实验。

## 增强现实的缺点

这是增强现实的缺点/缺点

*   实施和开发基于 AR 技术的项目并进行维护非常昂贵。
*   缺乏隐私是 AR 的主要缺点。
*   AR 设备的低性能水平是测试阶段可能出现的主要缺陷。
*   增强现实会导致心理健康问题。
*   缺乏安全性可能会影响整体增强现实原理。
*   过度使用 AR 技术会导致重大医疗保健问题，例如眼部疾病和肥胖症等。

## 虚拟现实的缺点

这是虚拟现实的缺点/缺点

*   VR 正变得越来越普遍，但是程序员将永远无法与虚拟环境进行交互。
*   逃避现实在使用 VR 环境的人们中司空见惯，人们开始生活在虚拟世界中，而不是处理现实世界中的问题。
*   使用 VR 环境进行培训永远不会获得与在现实世界中进行培训和工作相同的结果。 这意味着，如果某人在 VR 环境中的模拟任务上做得很好，那么仍然不能保证一个人在现实世界中做得很好。

## 增强现实在哪里使用？

这是 AR 技术的重要应用：

*   正在开发嵌入文本，图像，视频等的 AR 应用程序。
*   印刷和广告行业正在使用 AR 技术应用程序在真实杂志上显示数字内容。
*   AR 技术可帮助您开发翻译应用程序，帮助您为您翻译其他语言的文本。
*   在 Unity 3d Engine 工具的帮助下，AR 被用于开发实时 3D 游戏。

## 在哪里使用虚拟现实？

这是虚拟现实的重要应用程序：

*   VR 技术用于为游戏世界构建和增强虚构的现实。
*   军方可以使用 VR 进行飞行模拟，战场模拟等。
*   VR 在许多运动中被用作数字培训设备，并有助于衡量运动者的表现并分析其技术。
*   它也正在成为治疗创伤后压力的主要方法。
*   使用 Google Cardboard，HTC Vive，Oculus Rift 之类的 VR 设备，或者将用户带入现实世界和想象中的环境中，例如吱吱叫的企鹅殖民地，甚至是龙的后背。
*   VR 技术为患者提供接触他们所担心事物的安全环境。
*   医学生使用 VR 进行练习和操作
*   虚拟患者被用来帮助学生发展技能，这些技能随后可在现实世界中应用。

## AR 和 VR 如何协同工作？

传达 AR 和 VR 旨在分开操作是错误的。 这些技术融合在一起，通过提供真实世界与虚拟世界之间互动的新维度，将用户融合到虚拟世界中时，它们大多融合在一起以产生更好的参与体验。

## 关键区别：

*   AR 增强了真实世界的场景，而 VR 则创造了完全身临其境的虚拟环境。
*   AR 为 25％虚拟和 75％真实，而 VR 为 75％虚拟和 25％真实。
*   在 AR 中，在 VR 中不需要头戴式耳机，而您需要头戴式耳机设备。
*   借助 AR，最终用户在与更近的虚拟对象进行交互时仍可以与现实世界保持联系，但是通过使用 VR 技术，VR 用户可以与现实世界隔离开来，并使自己沉浸在一个完全虚构的世界中。