# HTML 和 HTML5 之间的区别

> 原文： [https://www.guru99.com/html-vs-html5.html](https://www.guru99.com/html-vs-html5.html)

在学习 HTML 与 HTML5 之前，让我们学习：

## 什么是标记语言？

标记语言是一种系统设计，用于以语法上可区分的方式注释文档。 它使用标签来定义元素。 标记语言包含英语短语和单词。 因此，它们很容易阅读。 标记语言是专门为处理，定义和显示文本而设计的。

在本 HTML vs HTML 5 教程中，您将学习：

*   [什么是标记语言？](#1)
*   [什么是 HTML？](#2)
*   [什么是 HTML5？](#3)
*   [HTML 的结构](#4)
*   [HTML5 的结构](#5)
*   [HTML](#6) 的功能
*   HTML5 的[功能](#7)
*   [HTML 与 HTML5](#8)
*   [HTML 的优点](#9)
*   [HTML5 的优点](#10)
*   [HTML](#11) 的缺点
*   [HTML5 的缺点](#12)

## 什么是 HTML？

HTML 是用于万维网的语言。 它是用于在 Web 上创建和显示页面的标准文本格式语言。

HTML 文件由两部分组成：1）内容和 2）对其进行格式化以在页面上正确显示的标签。 级联样式表（CSS）等技术和 JavaScript 等脚本语言可以使用它。 HTML 的完整形式是超文本标记语言。 它也被称为 HTML v 1.0，并且是 HTML 标记的第一版。

## 什么是 HTML5？

HTML5 是 HTML 版本 1.0 的第 5 个<sup>版本</sup>，并支持更多标签和功能。 从技术上讲，它称为 HTML 版本 5.0，但通俗地说，它称为 HTML5。

Safari，Opera，Chrome 和 Firefox 等最新版本的浏览器支持 HTML5 的所有大部分功能。 Web 开发人员可以使用 HTML5 开发照片网站，Web 论坛和高级地图绘制应用程序。 HTML5 的完整形式是超文本标记语言 5。

## HTML 的结构

这是 HTML 的结构：

```
<!DOCTYPE html>
<html>
    <head>
        <title>Guru99 Home</title>
    </head>
    <body>
        <h1>Best Tutorials on Planet</h1>
        <p>Paragraph</p>
    </body>
</html>

```

## HTML5 的结构

这是 HTML5 的结构：

```
<!doctype html>

<html lang="en">
<head>
  <meta charset="utf-8">
  <title>HTML5 Title</title>
  <meta name="description" content=" HTML5 Title">
  <meta name="author" content="Guru99">
  <link rel="stylesheet" href="/css/styles.css?v=1.0">
</head>
<body>
  <script src="/js/scripts.js"></script>
</body>
</html>

```

## HTML 的功能

*   平台无关的语言。
*   它不是区分大小写的语言。
*   您可以使用级联样式表控制颜色，字体和位置。
*   我们可以建立表格。
*   使用 HTML 元素增强页面的呈现。
*   使您能够使用标签开发网页。
*   使用图形，并以各种字体，大小和颜色显示文本。
*   它可以帮助您创建超链接以导航到网络上存在的各种文档。
*   您可以以表格格式显示数据。
*   在网页中创建多个窗口，以显示来自不同窗口中多个来源的信息。

## HTML5 的功能

*   它支持本地存储
*   HTML5 具有与内容相关的新元素，例如<标头>，<页脚>，<文章>，<部分>，<导航>等 。
*   它提供了新的表单控件，例如日期，日历，时间，URL，电子邮件和搜索。
*   用于绘制 2D 图的<画布>元素
*   支持 CSS3（CSS 的较新版本）。
*   提供媒体支持。
*   图形元素可以与元素组合以轻松将标题与其他图像元素相关联。
*   您可以在本地存储大量数据，而不会影响站点性能。
*   HTML 能够处理错误的语法。

## HTML 与 HTML5

![](img/ae67ffa34bfcf0ac02811e7097c91b15.png)

以下是 HTML 和 HTML5 之间的区别：

| **HTML** | **HTML5** |
| HTML Doctype 声明很长。 | HTML5 中的 DOCTYPE 声明很简单。 |
| HTML 字符编码更长。 | HTML5 字符编码声明很简单。 |
| 音频和视频不是 HTML 部分。 | 音频和视频是 HTML5 的一部分。 |
| 可以借助 Silverlight，Flash，VML 等其他技术来绘制矢量。 | 矢量图形是 HTML5 的一部分，例如 canvas，SVG。 |
| 无法获得浏览任何网站的人的实际地理位置。 | HTML5 中的 JS Geolocation API 使您可以识别浏览任何网站的用户的位置。 |
| HTML 提供本地存储而不是 cookie。 | HTML5 使用 Cookie 来存储数据。 |
| 在 HTML 中，无法绘制基本形状。 | 在 Html5 中，可以绘制基本形状。 |
| 它允许您在浏览器中运行 JavaScript。 | 它使您能够在后台运行 JavaScript 代码。 |
| 您可以在所有旧浏览器中使用 HTML。 | 您可以在所有新的浏览器中使用 HTML5。 |
| 您可以将浏览器缓存用作临时存储。 | 您可以将应用程序（数据库和 Web 存储）缓存用作临时存储。 |
| Web 套接字不可用。 | 您可以使用 Web 套接字与服务器建立全双工通信通道。 |
| 没有处理结构错误的 HTML 代码的过程。 | HTML5 通过临时的错误处理过程支持持久性错误处理。 |
| HTML 不太适合移动设备使用。 | HTML5 对移动设备友好。 |
| HTML 中不存在诸如 async，charset 和 ping 之类的属性。 | 异步，ping，字符集和的属性是 HTML5 的一部分。 |
| HTML 不允许拖放效果 | HTML5 允许拖放效果。 |
| 提供新的属性，例如 tabinex，id，tabinex 等。 | 这些是应用于 HTML 5 元素的某些属性。 |

## HTML 的优点

以下是 HTML 的优点/优点：

*   易于使用的网页开发
*   轻松创建 Web 文档
*   它可以帮助您在网页内以及位于不同服务器上的网站之间导航。
*   在 HTML 中，您可以设置查询以使用本质上具有响应性的图像。
*   用户无法保存跨会话保留的浏览器数据。
*   一旦数据存储在浏览器中，开发人员就可以进一步考虑以使应用程序正常工作。

## HTML5 的优点

以下是 HTML5 的优点/优点：

*   它具有与文件系统，客户端存储，事件处理等有关的大量新 API 一样的功能。
*   轻松创建一个新的交互式网站。
*   由于 HTML5 采用务实的方法，因此您可以轻松解决实际问题。
*   它简化了 Doctype 和字符集。
*   HTML5 提供了<详细信息>，<对话框>，<标记>等元素。
*   它改进了 Web 表单，并为<输入>标签提供了新属性。
*   HTML5 提供了持久的本地存储，以便在不借助任何第三方插件的情况下实现。
*   它具有 WebSocket，这是用于开发 Web 应用程序的下一代通信技术。
*   HTML5 引入了称为服务器发送事件（SSE）的事件。
*   它简化了标记
*   支持可以使用 JavaScript 编程的二维绘图面。
*   HTML5 使您可以创建自己的词汇表。
*   您可以创建自己的自定义语义。
*   将项目从同一网页上的一个位置拖放到另一位置。
*   支持众多视频。
*   HTML5 借助可见性，媒体捕获，全屏等 API 增强了 Web 应用程序体验。

## HTML 的缺点

这是 HTML 的缺点/缺点：

*   HTML 不能帮助创建动态页面。 它只能创建普通页面。
*   您可能需要编写冗长的代码才能制作简单的网页。
*   HTML 的安全功能不好。
*   开发甚至类似于网页的内容都需要花费时间。
*   HTML 不像 Dreamweaver 之类的其他网页开发软件那样灵活。
*   它没有遵循集中式方法。 您需要单独编辑网页。

## HTML5 的缺点

这是 HTML5 的缺点/缺点：

*   它需要现代的浏览器才能访问它。
*   存在与媒体许可有关的问题。
*   多设备响应可能令人头疼。
*   HTML5 语言仍在开发中。
*   在 HTML5 下使用 JavaScript 进行游戏苦苦挣扎。
*   HTML5 中没有可用的优秀 IDE。

## 关键区别：

*   HTML Doctype 声明很长，而 HTML5 中的 DOCTYPE 声明更简单。
*   音频和视频不是 HTML 的一部分，而 HTML5 支持音频和视频标签。
*   在 HTML 中，Web 套接字不可用，另一方面，在 HTML5 中，您可以使用 Web 套接字与服务器建立全双工通信通道。
*   HTML 不太适合移动设备，而 HTML5 则适合移动设备。
*   无法获得使用 HTML 浏览任何网站的人的实际地理位置，而 HTML5 中的 JS Geolocation API 使您可以识别浏览任何网站的用户的位置。