# CISC 与 RISC：体系结构，指令集之间的差异

> 原文： [https://www.guru99.com/risc-vs-cisc-differences.html](https://www.guru99.com/risc-vs-cisc-differences.html)

## 什么是 CISC？

CISC 的开发旨在使编译器的开发更加容易和简单。 CISC 的完整形式是复杂指令集计算机。 它们是易于编程的芯片，可以有效利用内存。

CISC 消除了向处理器生成机器指令的需要。 例如，CISC 处理器提供了内置的功能，而不必编写编译器，而是编写冗长的机器指令来计算平方根距离。

许多早期的计算机都是用汇编语言编程的。 计算机内存缓慢且昂贵。 CISC 通常在这样的大型计算机中实现，例如 PDP-11 和 DEC 系统。

在本教程中，您将学习：

*   [什么是 CISC？](#1)
*   [什么是 RISC？](#2)
*   [CISC 的特征](#3)
*   [RISC 的特征](#4)
*   [CISC 和 RISC 之间的区别](#5)
*   [CISC 的优势](#6)
*   [RISC 的优势](#7)
*   [CISC 的劣势](#8)
*   [RISC 缺点](#9)

## 什么是 RISC？

RISC 设计为执行较少类型的计算机指令。 因此，它可以更高的速度运行。 RISC 的完整形式是精简指令集计算机。 它是一种微处理器，旨在执行较少数量的计算机指令，以便可以更高的速度运行。

RISC 指令集可容纳少于 100 条指令，并使用固定的指令格式。 此方法使用一些简单的寻址模式，这些模式使用基于寄存器的指令。 在这种编译器开发机制中，LOAD / STORE 是访问内存的唯一单独指令。

## CISC 的特征

这是 CISC 的重要特征

需要一条指令来支持多种寻址模式。

*   大量的指令。
*   指令解码逻辑将很复杂。
*   很少使用的特殊任务说明。
*   多种寻址方式
*   它提供了变长指令格式。
*   指令大于一个字的大小。
*   指令可能需要多个时钟周期才能执行。
*   由于在内存本身中执行操作的通用寄存器数量较少。
*   各种 CISC 设计都设置了两个特殊的堆栈指针寄存器，用于管理中断

## RISC 的特征

这是 RICS 的重要特征：

*   更简单的指令解码
*   许多通用寄存器。
*   简单寻址模式
*   较少的数据类型。
*   一条流水线可以实现
*   每个周期一条指令
*   注册到注册操作
*   简单的指令格式
*   指令执行会更快
*   较小的程序

## CISC 和 RISC 之间的区别

这是 CISC 与 RISC 之间的重要区别

![](img/8459232f7237268d1d9143af64b8e68b.png)

| **CISC** | **RISC** |
| 它具有一个微编程单元。 | 它具有一个固定的编程单元。 |
| 指令集具有可用于复杂操作的各种不同指令。 | 指令集减少了，并且这些指令大多数都是非常原始的。 |
| 通过强调硬件来优化性能。 | 优化性能，重点放在软件上 |
| 仅单个寄存器组 | 存在多个寄存器集 |
| 他们大多更少或没有流水线 | 这种处理器具有高度流水线化 |
| 执行时间很高 | 执行时间非常少 |
| 代码扩展不是问题。 | 代码扩展可能会引起问题。 |
| 指令的解码很复杂。 | 指令的解码很简单。 |
| 需要外部存储器进行计算 | 它不需要外部存储器进行计算 |
| CISC 处理器的示例是 System / 360，VAX，AMD 和 Intel x86 CPU。 | 常见的 RISC 微处理器是 ARC，Alpha，ARC，ARM，AVR，PA-RISC 和 SPARC。 |
| 每条指令单周期 | 指令可能需要几个时钟周期 |
| 大量使用 RAM（如果 RAM 受限制，可能会导致瓶颈） | 比 RISC 更有效地使用 RAM |
| 简单，标准化的说明 | 复杂和变长指令 |
| 少量定长指令 | 大量指令 |
| 有限的寻址模式 | 复合寻址模式 |
| 重要的应用是安全系统，家庭自动化。 | 重要的应用是：智能手机，PDA。 |
| 不同的格式（每条指令 16-64 位）。 | 固定（32 位）格式 |
| 指令和数据的统一缓存。 | 分开的数据和指令缓存。 |

## CISC 的优势

这是 CISC 的优点/好处

*   在 CISC 中，无需更改指令集的结构即可轻松将新命令添加到芯片中
*   这种体系结构使您可以有效利用主内存
*   像 CISC 一样，编译器应该不会非常复杂。 可以编写指令集以匹配高级语言的结构。

## RISC 的优势

这是 RISC 的优点/好处

*   复杂而高效的机器指令。
*   它为内存管理提供了广泛的寻址功能。
*   与 RISC 处理器相比，寄存器相对较少
*   它可以帮助您减少指令集。
*   为内存操作数提供有限的寻址方案

## CISC 的缺点

这是 CISC 的缺点/缺点

*   处理器家族的前几代在每个新版本中都主要包含为子集。 因此，每一代计算机的指令集&芯片硬件都变得复杂。
*   由于不同指令占用的时钟时间永远不会相似，因此机器的性能变慢。
*   它们更大，因为它们需要更多的晶体管

## RISC 的缺点

这是 RISC 的缺点/缺点

*   RISC 处理器的性能取决于编程器或编译器。 编译器在将 CISC 代码转换为 RISC 代码时起着重要作用
*   RISC 处理器在芯片本身上具有大容量的内存缓存。
*   RISC 体系结构要求对片上硬件进行连续的重新编程。

## 关键区别：

*   在 CISC 中，指令集非常大，可以用于复杂的操作，而在 RISC 中，指令集则减少了，并且其中大多数指令都是非常原始的。
*   CISC 计算机的执行时间非常长，而 RISC 计算机的执行时间却非常短。
*   在其中，CISC 代码扩展不是问题，而在 RISC 中，代码扩展可能会引起问题。
*   在 CISC 中，指令的解码很复杂，而在 RISC 中，指令的解码很简单。
*   CISC 需要外部存储器进行计算，而 RISC 需要外部存储器进行计算。
*   CISC 仅具有一个寄存器集，而 RISC 具有多个寄存器集。