# 带有实例的扩展会计方程

> 原文： [https://www.guru99.com/introducing-the-complete-accounting-equation.html](https://www.guru99.com/introducing-the-complete-accounting-equation.html)

请记住，在教程 2 中，我们了解了会计等式的基本形式为：

```
Assets = Liabilities + Owners Equity
```

### 什么是扩展会计等式？

扩展会计方程是基本会计方程的高级版本。 它将收入，费用和工程图等科目添加到公式中。

既然我们也了解了收入，费用和工程图这些术语，我们最终可以完全理解会计公式。 让我们来看看。

```
`Assets + Expenses + Drawings = Liabilities + Revenue + Owners Equity`
```

在教程 2 中，我们了解到左侧称为借方，右侧称为贷方。 相同的规则在这里适用，只是现在我们对双方都进行了一些补充。

**借方**

现在，借方不仅包括资产，还包括费用和图纸。

**信用方**

现在，信用方不仅包括负债和所有者权益，还包括收入。

让我们看看您的日常业务中可能会出现的一些常见问题，以及如何将其记录在会计等式中。

## 示例 1：用现金购买汽车

**步骤 1：识别交易涉及的帐户**

让我们确定此交易涉及的两个帐户。

1.  银行-资产（您将提取资金来支付购车费用）
2.  汽车-资产（汽车将使您受益超过一年并且是资产）

**步骤 2：确定帐户在借方/贷方的位置**

这两个帐户都位于等式的左侧。

**第 3 步：确定哪些帐户将增加或减少**

因此，为了平衡方程式，一种资产必须增加（汽车），而另一项资产必须减少（银行）。

| **借方** |   | **信用方** |
| **资产** | **费用** | **图纸** | **=** | **负债** | **收入** | **所有者权益** |
| 增加 |   |   |   |   |   |   |
| 减少 |   |   |   |   |   |   |

## 示例 2：销售蛋糕的收入

**Step 1: Identify the accounts involved in the transaction**

Let’s identify the two accounts involved in this transaction.

1.  银行-资产（您会将收入存入银行）
2.  蛋糕销售–收入帐户

**Step 2: Determine where the accounts lie on Debit/ Credit Side**

在这种情况下**和**，这两个帐户位于会计等式的相对侧。

**步骤 3：确定要增加或减少的帐户。**

这两个帐户都可以增加或减少。

但是，决不会出现一个帐户增加而其他帐户减少的情况，否则等式将无法平衡。

在这种情况下，蛋糕销售的钱将被存入银行。 因此资产将增加。 同样，收入也会增加。

| **Debit side** |   | **Credit side** |
| **Assets** | **Expenses** | **Drawings** | **          =** | **Liabilities** | **Revenue** | **Owner’s Equity** |
| Increase |   |   |   |   | Increase |   |

## 练习 3：用现金支付费用

| **借方** |  | **信用方** |
| 资产 | 花费 | 图纸 | = | 负债 | 收入 | 所有者权益 |
|  |  |  |  |  |  |  |

Correct! When you pay expenses, your bank account (an asset) will decrease, while your expenses will increase.

## 示例 4：所有者在企业中投资

| **Debit side** |  | **Credit side** |
| Assets | Expenses | Drawings | = | Liabilities | Revenue | Owner's Equity |
|  |  |  |  |  |  |  |

Correct! When you invest money in the business, your bank account (an asset) will go up. Your owner’s equity will also increase.

## 例 5：所有者提款

| **Debit side** |  | **Credit side** |
| Assets | Expenses | Drawings | = | Liabilities | Revenue | Owner's Equity |
|  |  |  |  |  |  |  |

Correct! When the owner withdraws money, the bank account (an asset) goes down. The amount of drawings he has taken subsequently increases.

## 示例 6：偿还贷款

| **Debit side** |  | **Credit side** |
| Assets | Expenses | Drawings | = | Liabilities | Revenue | Owner's Equity |
|  |  |  |  |  |  |  |

Correct! When you pay back your loan, your bank account (an asset) is going to decrease. However, your debt will decrease also!

每次等式平衡时注意。 如果借方帐户增加，则另一个借方帐户减少。 永远不会有两个借记帐户增加的时间，因为那样的话，方程式将无法平衡！

同样，通常会看到借方帐户增加，然后贷方帐户增加。 这也使方程平衡。 您将永远不会看到借方帐户增加而贷方帐户减少，因为方程式将失去平衡。

等式是您在学校学到的基础数学！

1 = 1

如果您在一侧增加 5，我们必须在另一侧增加 5，否则将完全是错误的：

1 + 5 = 1
错误！

或者，我们可以从同一侧获得负 5 来保持平衡。

1+5-5 = 1

不要让借方和贷方混淆您。 都是利弊。

如果您仍然不太了解它，请不用担心。 在下面的教程中，我们将研究记录交易的一些问题，以获取使用完整会计等式的一些实践。