# 基本会计交易示例

> 原文： [https://www.guru99.com/basic-transactions.html](https://www.guru99.com/basic-transactions.html)

### 什么是会计交易？

会计交易是对实体的财务报表有影响的事件。 在本教程中，我们将学习基本交易如何在会计等式中移动。 我们需要记住的是，由于会计方程始终处于平衡状态，因此*方程中的每个运动都必须由相同数量的另一个运动来抵消。*

现在，这是面包店的帐户现在的样子：

| 资产 | 责任 |
| 银行$ 20,000 | 贷款$ 9,000 |
| 电脑$ 1,500 |   |
| 烤箱$ 2,000 | 所有者权益$ 15,000 |
| iPhone $ 500 |  |
| 余额$ 24,000 | Balance $24,000 |

如您所见，在左侧，我们的银行资产为 20,000 美元，一台计算机的成本为 1,500 美元，我们最喜欢的 Bakemaster X 系列烤箱的价值为 2,000 美元，以及一部 iPhone，我们在 eBay 上的价格为 500 美元。 在右侧，我们有一个负债，这是安妮从银行借来的 9,000 美元。 余额由 15,000 美元的所有者权益组成。

请注意，*借方和贷方均相互平衡*，因为它们两者合计为 *$ 24,000。*

这是一个好的开始。

现在该营业了。 以下是面包店生活中的一些日常交易。 让我们开始卖蛋糕吧！

## 交易 1 的执行

您以$ 3,000 的价格在商店购买了一些蛋糕粉

购买我们著名的蛋糕粉就像购买库存。 目前，我们将库存购买分类为*费用*。 因此，我们的*费用将会增加。* 请记住，这将导致借方增加*。*

因此，既然借方的费用（CAKE MIX）有所增加，则需要进行其他移动以保持平衡。 我们交易的另一面需要是：

*   信贷方面的增加
*   借方减少

在这种情况下，因为我们要花现金购买蛋糕粉，所以动静显然使我们的银行帐户减少了 3,000 美元。

因此，交易将如下所示：

| **借方** | **贷方** |
| **帐户** | **金额** | **帐户** | **金额** |
| 银行（资产） | -$3,000 |   |   |
| 蛋糕粉（费用） | +$3,000 |   |   |
|   |   |   |   |
| 运动 | $0 | 运动 | $0 |

请注意，由于 Cake Mix 费用的增加，我们的借方增加了 3,000 美元。 然后，我们的借方减少了 3,000 美元，因为当我们购买蛋糕粉时，我们的银行帐户（一种资产）减少了。 结果是两个条目相互抵消，我们的方程式保持平衡。 完善！

## 交易示例 2

信贷员安妮打电话。 她要求从贷款中支付 1000 美元的利息。

好的，所以我们要处理一笔费用，即利息。 我们知道支出在借方中。 这意味着我们将记录$ 1,000 的利息费用。

为了支付利息，我们从银行帐户中取出钱，因此等式的另一端是银行帐户减少$ 1,000。 让我们看看它是如何平衡的。

| **借方** | **贷方** |
| **帐户** | **金额** | **帐户** | **金额** |
| 银行 | -$1,000 |  |  |
| 利息花费 | +$1,000 |  |  |
|  |  |  |  |
| 运动 | $0 | 运动 | $0 |

完善！

现在轮到你了。 可以将正确的帐户及其金额拖到正确的一侧。

## 交易问题 3：

您以 5,000 美元的价格出售一盒蛋糕。

*提示-*销售是收入。 收入来自信贷方。 当您进行销售时，您会在银行中收到钱。

| 

### 借方

&#124; 

### 帐户

1.  [
    ]

 &#124; 

### 数量

 &#124;

 | 

### 贷方

&#124; 

### 帐户

1.  [
    ]

 &#124; 

### 数量

 &#124;

 |

| 借方变动 |  | 信用运动 |  |

<input id="text1" name="text1" type="text">

## 交易示例 4

您支付了 300 美元的电话费

*提示–电话费为费用。 费用位于借方。 支付电话费将需要从银行取款。*

| 

### 借方

&#124; 

### 帐户

 &#124; 

### 数量

 &#124;
&#124;  &#124; 

1.  ]

 &#124;

 | 

### 信用方

&#124; 

### 帐户

 &#124; 

### 数量

 &#124;
&#124;  &#124; 

1.  ]

 &#124;

 |

<input id="text1" name="text1" type="text">

| Debit Movement |  | Credit Movement |  |

## 交易 5：

您以$ 2,000 的价格卖出了另一盒蛋糕

| 

### 借方

[

&#124; 

### 帐户

1.  [
    ]

 &#124; 

### 量

 &#124;

 | 

### 信用方

[

&#124; 

### 帐户

1.  [
    ]

 &#124; 

### 数量

 &#124;

 |

| Debit Movement |  | Credit Movement |  |

<input id="text1" name="text1" type="text">

## 交易问题 6

您在面包店的 Facebook 页面上玩了太长时间，并且计算机过热。 您付给修理工 50 美元修理。

*提示–修理是一项费用。 费用位于借方。 支付费用需要从银行收取款项。*

| 

### 借方

&#124; 

### 帐户

] &#124; 

### 量

 &#124;
&#124;  &#124; 

1.  ]

 &#124;

 | 

### 信用方

&#124; 

### 帐户

1.  [
    ]

 &#124; 

### 金额

 &#124;
&#124;  &#124;  &#124;

 |

<input id="text1" name="text1" type="text">

| Debit Movement |  | Credit Movement |  |

## 交易练习 7

现在该去度假了。 也许夏威夷？ 您从面包店的银行帐户中提取了$ 1,000 来购买机票。

*提示–当所有者出于个人原因提款时，这被视为绘图。 图纸位于借方。*

| 

### 借方

&#124; 

### 帐户

 &#124; 

### 金额

 &#124;
&#124;  &#124; 

1.  ]

 &#124;

 | 

### 贷方

&#124; 

### 帐户

 &#124; 

### 金额

 &#124;
&#124;  &#124; 

1.  ]

 &#124;

 |

<input id="text1" name="text1" type="text">

| Debit Movement |  | Credit Movement |  |

## 交易 8：

您访问 Johns Car Shop 以购买送货车。 您选择带有黄色圆点和中间大花的粉红色甲虫。 费用为$ 3,000。 您以信用卡购买汽车，这意味着您将在下个月全额付款。

*提示– CAR 是资产。 资产位于借方。 当您以信贷方式购买东西时，它类似于债务。 您欠钱，这是一种负债。 负债位于信贷方。*

| 

### 借方

&#124; 

### 帐户

 &#124; 

### 数量

 &#124;

 | 

### 信用方

&#124; 

### 帐户

 &#124; 

### 金额

 &#124;

 |

| Debit Movement |  | Credit Movement |  |

<input id="text1" name="text1" type="text">

我们刚刚完成了八笔新交易。 让我们来看看我们的帐户现在的样子：

下表只是我们的会计等式的扩展版本。 请注意，左侧仍然有资产，费用和工程图。 在右侧，我们有收入，负债和所有者权益。

| 借方 | 信用方 |
|  |  |  |  |
| Bank | $21,650 | 营业额 | $7,000 |
| 电脑 | $1,500 |  |  |
| 汽车 | $3,000 |  |  |
| 苹果手机 | $500 |  |  |
| 烤箱 | $2,000 | 贷款 | $9,000 |
|  |  | 约翰斯汽车店 | $3,000 |
| 蛋糕混合费用 | $3,000 |  |  |
| Interest expense | $1,000 | 所有者权益 | $15,000 |
| 电话费用 | $300 |  |  |
| 修理费 | $50 |  |  |
|  |  |  |  |
| 图纸 | $1,000 |  |  |
|  |  |  |  |
| 平衡 | $34,000 | 平衡 | $34,000 |

*将我们的“帐户”分类为各自的类别也可能会有帮助。* 例如，“银行”是资产。 因此，我们可以将其显示在“资产”类别中。 销售是一种收入形式，因此我们可以将其放在“收入”类别中。

这使我们可以将借方分为资产，支出和工程图，而贷方则分为负债，收入和所有者权益。 当试图监控我们的会计/簿记方程式的变化时，这非常有用。

让我们继续，将借方和贷方分为几类。 只要每个帐户在正确的位置，一切都应该保持平衡：

| Debit side | 信用方 |
| **资产** |  | **收入** |  |
| Bank | $21,650 | Sales | $7,000 |
| Computer | $1,500 |  |  |
| Car | $3,000 |  |  |
| iPhone | $500 | **负债** |  |
| Oven | $2,000 | Loan | $9,000 |
| **费用** |  | Johns Car Shop | $3,000 |
| Cake mix expense | $3,000 |  |  |
| Interest expense | $ 1,000 | **所有者权益** | $15,000 |
| Telephone expense | $300 |  |  |
| Repairs | $50 |  |  |
|  |  |  |  |
| **图纸** | $1,000 |  |  |
|  |  |  |  |
| Balance | $34,000 | Balance | $34,000 |

还在平衡吗？ 完善！