# 如何在会计中创建日记帐分录[示例]

> 原文： [https://www.guru99.com/journal-entries.html](https://www.guru99.com/journal-entries.html)

### 什么是日记帐分录？

日记帐分录只是日记帐交易分录的借方和贷方摘要。 日记帐分录很重要，因为它们使我们能够将交易分类为可管理的数据。

考虑下图

![How to do a Journal Entry](img/64350ab7f101dbde2a11e35e4c6b72dc.png)

您会注意到，上图将第一步显示为“源文档”。 原始单据是诸如收据，发票，银行对帐单和信用卡对帐单之类的东西，它们是在一年中收集的，以便在需要时进行会计核算/记账时，我们可以获得所需的所有信息。 显然，在本教程中，我们不会要求您出去收集发票和收据，因此我们现在方便地“跳过”这一步骤。

下一步是**输入日记帐**。 每次发生交易时，都会使用**日记帐分录进行记录。**

**范例**

从那时起，我们所做的一切将成为真正的会计师和簿记员在此时此刻所做的工作。 这意味着本课程将比以前的课程更具技术性。 别让它吓到你。 您会惊讶于它如此简单！ 现在是我们安排会计/簿记流程步骤的好时机：

想象一下，有大量来自不同商店，供应商和客户的收据和发票。 您所需要的所有信息都在那里，但是当这些都弄糟时，它就毫无用处了！ 日记条目可帮助我们将所有这些整理成有意义的信息。

以下是典型的日记条目：

**交易：支付$ 100 的费用。**

**日记帐分录**：

| **博士** | 费用 | $100 |
| **铬** | 银行 | $100 |

让我们看看这意味着什么。

首先， **Dr** 和 **Cr** 只是借方和贷方的缩写。

**每笔交易都由两个动作组成：借记动作和贷记动作。** 注意不要将此与借方*和*混淆。 这是两件事。

会计中使用借方和贷方变动来显示我们帐户的增加或减少。 因此，我们不是说帐户增加或减少，而是说发生了借方变动或贷方变动。

例如，在上一教程中，我们学会了显示上述事务，如下所示：

| **借方** | **贷方** |
| **帐户** | **金额** | **帐户** | **金额** |
| 费用 | +$100 |  |  |
| 银行 | -$100 |  |  |

现在，我们将它们显示在日记帐分录中的借方变动和贷方变动中：

| 博士 | 花费 | $100 |
| 铬 | 银行 | $100 |

每个动作的性质说明如下：

|   | **借方**（资产，费用，工程图） | **贷方**（负债，收入，所有者权益） |
| **增加** | **<font style="color:#BD5151">借方移动</font>** | **<font style="color:#468847">信用变动</font>** |
| **减少** |   **<font style="color:#468847">Credit movement</font>**   |   **<font style="color:#BD5151">Debit movement</font>**   |

让我们将其应用于我们的示例：

当我们支付费用时，这意味着我们的费用增加了。 另外，当我们支付费用时，我们的银行帐户显然将被关闭。

因此，总而言之，我们需要记录一笔会增加费用并减少银行费用的交易。

回到矩阵，我们可以看到，要增加支出，我们需要借方转移。

|   | 借方（资产，**费用**，图纸） | 贷方（负债，收入，所有者权益） |
| **增加** | **借方移动** | 信用运动 |
| 减少 |   Credit movement   | 借方变动 |

我们还可以看到，减少银行业务需要进行信用转移：

|  | 借方
（**资产**，费用，图纸） | 贷方
（负债，收入，所有者权益） |
| 增加 | 借方变动 | 信用运动 |
| **减少** | **信用变动** | Debit movement |

因此，就像我们之前看到的那样，我们的日记帐分录将涉及到支出的借方变动，到银行的贷方变动：

| 博士 | 花费 | $100 |
| 铬 | 银行 | $100 |

现在轮到你了。 可以为上一课中的交易编写日记帐分录。 第一个已经为您完成。

|   | **借方（资产，费用，工程图）** |   | **贷方（负债，收入，所有者权益）** |   |
| **增加** | 

1.  拖动 & 此处的拖放块

 |  | 

1.  拖动 & 此处的拖放块

 |  |
| **减少** | 

1.  拖动 & 此处的拖放块

 |  | 

1.  拖动 & 此处的拖放块

 |  |

### 例子 1

您决定创业。 要开始创业，您需要将 10,000 美元的存款存入商业银行帐户。

| 

1.  拖动 & 此处的拖放块

 | **银行** | 

1.  拖动 & 此处的拖放块

 |
| 

1.  拖动 & 此处的拖放块

 | **所有者权益** | 

1.  拖动 & 此处的拖放块

 |

### 例子 2

您在 eBay 上以 500 美元的价格购买了可信赖的 iPhone

| 

1.  拖动 & 此处的拖放块

 | **Bank** | 

1.  拖动 & 此处的拖放块

 |
| 

1.  拖动 & 此处的拖放块

 | **iPhone** | 

1.  拖动 & 此处的拖放块

 |

### 例子 3

您拿出$ 10,000 的商业贷款。

| 

1.  拖动 & 此处的拖放块

 | **贷款** | 

1.  拖动 & 此处的拖放块

 |
| 

1.  拖动 & 此处的拖放块

 | **Bank** | 

1.  拖动 & 此处的拖放块

 |

### 例子 4

您又将自己的$ 5,000 投入业务。

| 

1.  拖动 & 此处的拖放块

 | **Bank** | 

1.  拖动 & 此处的拖放块

 |
| 

1.  拖动 & 此处的拖放块

 | **所有者权益** | 

1.  拖动 & 此处的拖放块

 |

### 例子 5

您偿还了$ 1,000 的贷款（无利息）。

| 

1.  拖动 & 此处的拖放块

 | **Loan** | 

1.  拖动 & 此处的拖放块

 |
| 

1.  拖动 & 此处的拖放块

 | **Bank** | 

1.  拖动 & 此处的拖放块

 |

### 问题 6

您以 1,500 美元的价格购买了一台计算机。

| 

1.  拖动 & 此处的拖放块

 | **Bank** | 

1.  拖动 & 此处的拖放块

 |
| 

1.  拖动 & 此处的拖放块

 | **计算机** | 

1.  拖动 & 此处的拖放块

 |

### 问题 7

您以 2,000 美元的价格购买了 Bakemaster 烤箱

| 

1.  拖动 & 此处的拖放块

 | **烤箱** | 

1.  拖动 & 此处的拖放块

 |
| 

1.  拖动 & 此处的拖放块

 | **Bank** | 

1.  拖动 & 此处的拖放块

 |

### 问题 8

您以$ 3,000 的价格在商店购买了一些蛋糕粉

| 

1.  拖动 & 此处的拖放块

 | **Bank** | 

1.  拖动 & 此处的拖放块

 |
| 

1.  拖动 & 此处的拖放块

 | **CakeMix** | 

1.  拖动 & 此处的拖放块

 |

### 问题 9

您需要为$ 1,000 的贷款支付利息

| 

1.  拖动 & 此处的拖放块

 | **兴趣** | 

1.  拖动 & 此处的拖放块

 |
| 

1.  拖动 & 此处的拖放块

 | **Bank** | 

1.  拖动 & 此处的拖放块

 |

### 问题 10

您以 1000 美元的价格出售一盒蛋糕。

| 

1.  拖动 & 此处的拖放块

 | **Bank** | 

1.  拖动 & 此处的拖放块

 |
| 

1.  拖动 & 此处的拖放块

 | **销售** | 

1.  拖动 & 此处的拖放块

 |

### 练习 11

您支付了 300 美元的电话费

| 

1.  拖动 & 此处的拖放块

 | **Bank** | 

1.  拖动 & 此处的拖放块

 |
| 

1.  拖动 & 此处的拖放块

 | **电话费用** | 

1.  拖动 & 此处的拖放块

 |

### 练习 12

您以$ 2,000 的价格卖出了另一盒蛋糕

| 

1.  拖动 & 此处的拖放块

 | **Sales** | 

1.  拖动 & 此处的拖放块

 |
| 

1.  拖动 & 此处的拖放块

 | **Bank** | 

1.  拖动 & 此处的拖放块

 |

### 练习 13

您的计算机坏了。 您付给修理工 50 美元修理。

| 

1.  拖动 & 此处的拖放块

 | **Bank** | 

1.  拖动 & 此处的拖放块

 |
| 

1.  拖动 & 此处的拖放块

 | **维修** | 

1.  拖动 & 此处的拖放块

 |

### 练习 14

作为企业的所有者，您提取 1,000 美元现金作为个人假期。

| 

1.  拖动 & 此处的拖放块

 | **Bank** | 

1.  拖动 & 此处的拖放块

 |
| 

1.  拖动 & 此处的拖放块

 | **图纸** | 

1.  拖动 & 此处的拖放块

 |

### 练习 15

您以 3,000 美元的价格从 Johns Car Shop 购买了一辆汽车。 您以信用卡购买汽车，这意味着您将在下个月全额付款。

| 

1.  拖动 & 此处的拖放块

 | **汽车** | 

1.  拖动 & 此处的拖放块

 |
| 

1.  拖动 & 此处的拖放块

 | **约翰的汽车修理店** | 

1.  拖动 & 此处的拖放块

 |

恭喜！ 我们刚刚从业务交易中准备了日记帐分录。 日记帐录入后，下一步是**分类帐**。 在下一课中，我们将这些日记输入分类帐

借方和贷方与借方和贷方移动之间有什么区别？

## 借方与贷方

| **借方** | **信用方** |
| 借方是会计等式的左侧。 | 信用方是会计等式的右侧。 |
| 借方的帐户为资产，费用和工程图。 这些被称为借方帐户。 | 贷方的帐户是负债，收入和所有者权益。 这些被称为信用帐户。 |

## 借方变动与贷方变动

对于发生的每笔交易，两个帐户都会更改。 这两个变化被称为借方变动和贷方变动。 这些动作的效果如下所示。

| **借方变动** | **信用变动** |
| 增加借方 | 增加信贷方面 |
| 减少贷方 | 减少借方 |

重要的是，不要将借方变动和贷方变动视为“利弊”或“利弊”。 这种思路是不正确的。 使用上面的图表，您可以看到借方变动和贷方变动都具有增加和减少帐户的能力。

因此，尝试着重于每个动作对不同帐户的实际影响。

*   [上一页](/basic-transactions.html "Basic Accounting Transaction with EXAMPLES")
[**Report a Bug**](javascript:void( window.open( 'https://form.jotform.me/72391811797466', 'blank', 'scrollbars=yes, toolbar=no, width=700, height=700' ) ))

*   [下一个](/ledgers.html "How to Make a Ledger Account [Examples]")