# 如何创建分类帐帐户[示例]

> 原文： [https://www.guru99.com/ledgers.html](https://www.guru99.com/ledgers.html)

我们刚刚将所有交易处理到**日记**中。 会计流程的下一步是将这些日记帐分录输入到**分类帐中。**

### 什么是分类帐？

分类帐是与某个帐户相关的交易的摘要。 例如，我们的银行分类帐将汇总涉及我们银行帐户的所有交易； 我们的贷款分类帐将汇总涉及我们贷款帐户的所有交易，依此类推

![What is Ledger & How to create One](img/34f96f22c1e93035a87039151ca4d69e.png)

在簿记/会计中，分类帐很重要，因为它们将我们的所有交易汇总为一个余额。 例如，我们不知道我们 7 月份的汽车支出为 100 美元，8 月为 300 美元，9 月为 600 美元，11 月为 500 美元，以此类推，我们的分类帐只是告诉我们我们总共支出了 1,500 美元。 通过使用分类帐，我们可以将数百甚至数千笔交易汇总为一个余额！ 显然，这使事情更容易管理。

分类帐包括四件事：

*   期初余额
*   借方
*   信用方
*   期末余额

让我们看一个例子。

| 莱格银行 | 借方 | 信用 |
| 期初余额 | $0 |   |
|   |   |   |

这是空的银行分类帐。 请注意，期初余额在借方方面如何，因为 BANK 是资产，即借方帐户。

同样，对于所有者权益之类的信贷帐户，期初余额将在信贷方面。

包括银行帐户的每个日记帐分录都将记录在此分类帐中。 让我们来看看上一课中的日记条目。 这是第一个。

### 例子 1

您决定创业。 要开始创业，您需要将 10,000 美元的存款存入商业银行帐户。

| 博士 | 银行 | $10,000 |
| 铬 | 所有者权益 | $10,000 |

因此，此交易中的两个帐户是银行帐户和所有者权益。 这意味着我们将向银行和所有者权益分类帐中输入条目。 首先让我们进行银行分类帐。

日记帐分录中说，我们需要向银行帐户中的 10,000 美元进行借记转移。 让我们在下面创建分类帐。 就像在“借方”列中输入 10,000 美元一样简单。

莱格银行

| **详情** | **借项** | **信用** |
| Opening balance | $0 |   |
| 所有者权益 | $10,000 |   |

而已！

在“详细信息”列中，我们将写入“所有者权益”。 这使我们能够看到 10,000 美元的来源。

简单！ 现在，我们来做所有者权益分类帐。

所有者权益指示灯

| **Details** | **DEBIT** | **CREDIT** |
| Opening balance |   | $0 |
| Bank |   | $10,000 |

由于所有者权益是贷方帐户，因此我们将期初余额放在贷方。

日记帐分录显示向所有者权益贷记$ 10,000。 要将其记录在分类帐中，就像在贷方栏中输入$ 10,000 一样简单。 在“详细信息”列中，我们将输入“银行”，因为这使我们能够看到交易的另一面。

做完了！ 我们刚刚在分类帐中完成了前两个条目。

现在，让我们看一下第 7 课中其余的日记，看看是否可以正确将它们输入到分类帐中。

### 例子 2

您拿出$ 10,000 的商业贷款。

| 博士 | 银行 | $10,000 |
| 铬 | 贷款 | $10,000 |

由于我们的日记帐包含银行和贷款帐户的分录，因此我们需要银行和贷款分类帐。

BANK LEDGER

| **Details** | **DEBIT** | **CREDIT** |
| Opening balance | $0 |   |
| Owners Equity | $10,000 |   |
| 贷款 | $10,000 |   |

该日记帐显示向银行的借方余额为 10,000 美元，因此我们只需在银行总账的借方栏中输入 10,000 美元即可。 注意上一个条目，即我们先前交易中的 10,000 美元对所有者权益的条目，如何也出现在分类帐中。 这是因为分类帐的想法是在一处收集与帐户相关的所有交易。 到练习结束时，仅此分类帐中就有十笔以上的交易。

现在让我们看看交易的另一面-贷款帐户。

**贷款者**

| **Details** | **DEBIT** | **CREDIT** |
| Opening balance |   | $0 |
| Bank |   | $10,000 |

由于日记帐分录显示有 10,000 美元的贷项贷项，因此我们只需在贷款分类帐的贷项栏中输入 10,000 美元。 我们将把

**Transaction 3:
You purchase your iPhone for $500.**

| 
博士 | 苹果手机 | $500 |
| 铬 | 银行 | $500 |

**Transaction 4:
You put another $5,000 of your own money into the business.**

| 
Dr | Bank | $5,000 |
| Cr | 所有者权益 | $5,000 |

**Transaction 5:
You pay back $1,000 of the loan (no interest).**

| 
Dr | 贷款 | $1,000 |
| Cr | Bank | $1,000 |

**Transaction 6:
You purchase a computer for $1,500.**

| 
Dr | 电脑 | $1,500 |
| Cr | Bank | $1,500 |

**Transaction 7:
You purchase a Bakemaster oven for $2,000**

| 
Dr | 烤箱 | $2,000 |
| Cr | Bank | $2,000 |

**Transaction 8:
You buy some cake mix for your store for $3,000.**

| 
Dr | 混合蛋糕 | $3,000 |
| Cr | Bank | $3,000 |

**Transaction 9:
You pay interest on the loan of $1,000**

| 
Dr | 利益 | $1,000 |
| Cr | Bank | $1,000 |

**Transaction 10:
You sell a box of cakes for $5,000.**

| 
Dr | Bank | $5,000 |
| Cr | 营业额 | $5,000 |

**Transaction 11:
You pay your telephone bill of $300.**

| 
Dr | 电话费用 | $300 |
| Cr | Bank | $300 |

**Transaction 12:
You sell another box of cakes for $2,000.**

| 
Dr | Bank | $2,000 |
| Cr | Sales | $2,000 |

**Transaction 13:
Your computer breaks. You pay a repairman $50 to fix it.**

| 
Dr | 修理费 | $50 |
| Cr | Bank | $50 |

**Transaction 14:
As the owner of the business, you withdraw $1,000 in cash for a personal holiday.**

| 
Dr | 图纸 | $1,000 |
| Cr | Bank | $1,000 |

**Transaction 15:
You purchase a car from Johns Car Shop for $3,000\. You purchase the car on credit, meaning you will pay for it in full next month**

| 
Dr | 汽车 | $3,000 |
| Cr | 约翰的汽车修理店 | $3,000 |

<input class="readon" id="submit" type="button" value="Click to Make Ledger Below"> <input class="btn btn-info" id="next1" type="button" value="NEXT"> <input class="btn btn-info" id="next2" type="button" value="NEXT"> <input class="btn btn-info" id="next3" type="button" value="NEXT"> <input class="btn btn-info" id="next4" type="button" value="NEXT"> <input class="btn btn-info" id="next5" type="button" value="NEXT"> <input class="btn btn-info" id="next6" type="button" value="NEXT"> <input class="btn btn-info" id="next7" type="button" value="NEXT"> <input class="btn btn-info" id="next8" type="button" value="NEXT"> <input class="btn btn-info" id="next9" type="button" value="NEXT"> <input class="btn btn-info" id="next10" type="button" value="NEXT"> <input class="btn btn-info" id="next11" type="button" value="NEXT"> <input class="btn btn-info" id="next12" type="button" value="NEXT"> <input class="btn btn-info" id="next13" type="button" value="NEXT"> <input class="btn btn-info" id="next14" type="button" value="NEXT">
**BANK LEDGER**

| 细节 | 借方 | 信用 |
| 期初余额 | $0 |   |
| 所有者权益 | $10,000 |  |
| Loan | $10,000 |  |
| 苹果手机 |  | $500 |
| Owners Equity | $5,000 |  |
| Loan |  | $1,000 |
| Computer |  | $1,500 |
| Oven |  | $2,000 |
| 混合蛋糕 |  | $3,000 |
| Interest |  | $1,000 |
| Sales | $5,000 |  |
| 电话 |  | $300 |
| Sales | $2,000 |  |
| Repairs |  | $50 |
| Drawings |  | $1,000 |

**OWNERS EQUITY LEDGER**

| Details | DEBIT | 信用 |
| Opening balance |   | $0 |
| 银行 |   | $10,000 |
| Bank |   | $5,000 |

**Loan Ledger**

| Details | DEBIT | CREDIT |
| Opening balance |   | $0 |
| Bank |   | $10,000 |
| Bank | $10,000 |  |

**Iphone Ledger**

| Details | DEBIT | CREDIT |
| Opening balance |   | $0 |
| Bank | $500 |  |

**Computer Ledger**

| Details | DEBIT | CREDIT |
| Opening balance | $0 |  |
| Bank | $1,500 |  |

**Oven Ledger**

| Details | DEBIT | CREDIT |
| Opening balance | $0 |  |
| Bank | $2,000 |  |

**Cake Mix Ledger**

| Details | DEBIT | CREDIT |
| Opening balance | $0 |  |
| Bank | $3,000 |  |

**Interest Ledger**

| Details | DEBIT | CREDIT |
| Opening balance | $0 |  |
| Bank | $1,000 |  |

**Sales Ledger**

| Details | DEBIT | CREDIT |
| Opening balance |  | $0 |
| Bank |  | $5,000 |
| Bank |  | $2,000 |

**Telephone Ledger**

| Details | DEBIT | CREDIT |
| Opening balance | $0 |  |
| Bank |  | $300 |

**Repairs Ledger**

| Details | DEBIT | CREDIT |
| Opening balance | $0 |  |
| Bank | $50 |  |

**Drawing Ledger**

| Details | DEBIT | CREDIT |
| Opening balance | $0 |  |
| Bank |  | $1,000 |

**Car Ledger**

| Details | DEBIT | CREDIT |
| Opening balance | $0 |  |
| 约翰斯汽车店 | $3,000 |  |

**John's Car Ledger** Drag & Drop in Table below -

| Details | DEBIT | CREDIT |
| Opening balance |  | $0 |
| 汽车 |  | $3,000 |

[](#)

现在我们已经将所有日记帐都输入到分类帐中，让我们来看看下一步该怎么做。 这是第一个。

贷款人

| 细节 | 借方 | 信用 |
| 期初余额 |  | $0 |
| Bank |  | $10,000 |
| Bank | $1,000 |  |
| **总计** | **$ 1,000** | **$ 10,000** |
|  |  |  |
| 减借记 |  | -$1,000 |
| **余额** |  | **$ 9,000** |

好吧，部队，仔细听！ 这有点棘手。

在此分类帐中，我们在借方和贷方都有条目。

首先，我们将双方合计。 看一下显示为“ TOTAL”的行。 我们在借方总共有$ 1,000，在贷方总共有$ 10,000。

现在，我们只需从较大的侧面减去较小的侧面即可找到平衡点。 在这种情况下，我们从$ 10,000 中减去$ 1,000。 读为“减号”的行中对此进行了说明。

这使我们在信贷方面的余额为 9,000 美元。 而已！ 高五位好友-您已经完成了第一本分类帐。

![What is Ledger & How to create One](img/afb1736aed186f1eff85d256a96f361a.png)

现在，让我们继续完成其余的步骤。

第一个很简单。 由于信用方面只有动静，因此无需摆弄。 只需合计 CREDIT 栏，您的余额就够了！

约翰斯商店的商店

| 

### 详细信息

1.  期初余额

 | 

### 借方

 | 

### 贷项

1.  $ 0

 |
| 

1.  。
    汽车

 | 

1.  。

 | $ 3,000
 |
| 

1.  
    余额

 | 

1.  。

 | 

1.  。

 |

[](#)

车灯

| 

### 详细信息

1.  期初余额

 | 

### 借方

1.  ［
2.  $ 0

 | 

### 信用

 |
| 

1.  汽车

 | $ 3,000
 | 

1.  。

 |
| 

1.  余额

 | 

1.  。

 | 

1.  。

 |

[](#)

BANK LEDGER

| Details | DEBIT | CREDIT |
| Opening balance | $0 |  |
| 所有者权益 | $10,000 |  |
| Loan | $10,000 |  |
| 苹果手机 |  | $500 |
| 烤箱 |  | $2,000 |
| Owner’s Equity | $5,000 |  |
| Loan |  | $1,000 |
| 电脑 |  | $1,500 |
| 混合蛋糕 |  | $3,000 |
| 利益 |  | $1,000 |
| 营业额 | $5,000 |  |
| 电话 |  | $300 |
| Sales | $2,000 |  |
| 修理费 |  | $50 |
| 图纸 |  | $1,000 |
|  |  |  |
| **TOTAL** | **$ 32,000** | **$ 10,350** |
| 减学分 | -$10,350 |  |
|  |  |  |
| **BALANCE** | **$ 21,650** |  |

赞！ 我们刚刚完成了所有分类帐。 那么这是什么意思？

这意味着我们终于有了所有帐户的余额。 在销售分类帐中输入所有销售额后，我们便知道了销售总额。 在银行分类帐中输入所有银行交易记录后，我们知道银行的最终余额。 在将所有费用付款输入我们的费用分类账之后，我们便知道每笔费用的总额！

现在我们有了所有的余额，我们准备开始汇总一些报告！ 天哪，您已经开始看起来像会计师。

好吧，你准备好了吗？ 我们走吧。