# 如何用示例制作资产负债表

> 原文： [https://www.guru99.com/the-balance-sheet.html](https://www.guru99.com/the-balance-sheet.html)

### 什么是资产负债表？

资产负债表试图显示企业的价值*。* 它是通过说明企业净资产的价值来实现的。

为此，我们的资产负债表显示了企业资产和负债之间的差额。 这种差异称为企业的**净资产**，被视为企业的“价值”。 显然，每个成功的企业主都希望尽可能多地积累**净资产**！

![](img/a1bdeb866cb87e031fb3eb5fff808bbe.png)

要创建资产负债表，我们需要“试算表余额”的其余部分-资产，负债，所有者权益和工程图。 快速浏览一下。

| **（NAME）的面包店（今天的日期）的试算表** |
| **借方** | **贷方** |
|   |   |
| 资产 | 负债 |
| 银行$ 21,650 | 贷款$ 9,000 |
| 电脑$ 1,500 | 约翰的汽车城$ 3,000 |
| 车$ 3,000 | 累计折旧$ 400 |
| iPhone $ 500 | 应付税款$ 675 |
| 烤箱$ 500 |   |
|   |   |
| 花费 | 收入 |
| 蛋糕粉$ 3,000 | 销售额$ 7,000 |
| 利息支出$ 1,000 |   |
| 电话费$ 300 |   |
| 维修费用$ 50 |   |
| 折旧$ 400 |   |
| 税金$ 675 |   |
| 图纸 | 所有者权益 |
| 图纸$ 1,000 | 所有者权益$ 15,000 |
|   |   |
|   |   |
| 余额$ 34,400 | Balance $34,400 |
|   |   |

让我们看一下这些数字：

资产

*   银行$ 24,150
*   电脑$ 1,500
*   车$ 3,000

负债

*   贷款$ 9,000
*   约翰斯汽车店$ 3,000
*   应付税款$ 675
*   累计折旧$ 400

所有者权益

*   所有者权益$ 15,000
*   图纸$ 1,000

我们还需要知道当年的**净利润**，这在我们的损益表中为 **$ 1,575。** 好，那就是我们需要的所有信息。 让我们开始吧。 资产负债表的基本格式为：

```
Assets – Liabilities = Owners Equity (Net Assets)
```

使用我们的试用余额中的数字，只需填写下面的资产负债表中的空白即可。 注意，有两种格式，“ T”格式和列表格式。 两种格式都是常用的，只是显示相同信息的不同方法。

| **（NAME）面包店（今天（DATE）DATE）的资产负债表** |
| **资产** |   |   | **负债** |   |   |
| 银行 | $21,650 |   | 贷款 | $9,000 |   |
| 电脑 | $1,500 |   | 约翰的汽车修理店 | $3,000 |   |
| 烤箱 | $2,000 |   | 应付税款 | $675 |   |
| 苹果手机 | $500 |   |   |   |   |
| 汽车减累计折旧 | $2,600 |   |   |   |   |
| **总资产** |   | **$ 28,250** | **总负债** |   | **$ 12,675** |
|   |   |   |   |   |   |
|   |   |   | **所有者权益** |   |   |
|   |   |   | 年初的所有者权益 | $15,000 |   |
|   |   |   | 减号：图纸 | $1,000 |   |
|   |   |   | 加：税后净利润 | $1,575 |   |
|   |   |   | **年终所有者权益** |   | **$ 15,575** |
|   |   |   |   |   |   |
| **总计** |   | **$28,250** | **Total** |   | **$28,250** |

| **（NAME）面包店（今天（DATE）DATE）的资产负债表** |
|   |   |   |
| **Owner’s Equity** |   |   |
| Owner’s Equity at start of year | $15,000 |   |
| Minus: Drawings | $1,000 |   |
| Plus: Net Profit After Tax | $1,575 |   |
| 年终所有者权益 |   | **$15,575** |
|   |   |   |
| 代表人： |   |   |
| **Assets** |   |   |
| Bank | $21,650 |   |
| Computer | $1,500 |   |
| Oven | $2,000 |   |
| iPhone | $500 |   |
| Car less accumulated depreciation | $2,600 |   |
| **Total Assets** |   | **$ 28,250** |
|   |   |   |
| **减：负债** |   |   |
| Loan | $9,000 |   |
| John’s Car Shop | $3,000 |   |
| Taxation Payable | $675 |   |
| **Total Liabilities** |   | **$12,675** |
|   |   |   |
| **净资产（总资产减去总负债）** |   | **$15,575** |
|   |   |   |

大！ 我们刚刚完成了资产负债表。

## 如何阅读资产负债表

让我指出一些有趣的事情。

**1\.** 请注意，报表*顶部的所有者权益如何平衡*与报表底部的净资产。 他们俩都是$ 15,575。 这是术语*余额*表的来源。 如果您的资产负债表不平衡，那就有问题了！

**2\.** 注意所有者权益的变化。 即使您只向公司投入了 15,000 美元（这是原始金额），现在的价格仍然是 15,575 美元。 这是因为您获利**。** 作为所有者，这是您的利润！ 每年，您赚取的任何利润都会结转到资产负债表的所有者权益部分。 如果您已经经营十年，那么十年的利润将累积在所有者权益中。 将所有者权益视为企业应支付给您的金额，因此，每当您获利时，它就是您的！ 哦，成为企业主的喜悦！

**3\.** 即使您获得了 1,575 美元的利润，所有者权益也仅增加了 575 美元。 这是为什么？ 这是因为您在这一年中拿了$ 1,000 的**图纸**。 这意味着尽管您拥有 2,250 美元的利润，但您已经拿走了 1,000 美元。 所有者需要注意不要在**工程图**中提取过多，以使所有者权益降至零以下。

就是朋友！ 我们开始了业务，记录了所有交易，准备了日记帐分录清单，将其输入到分类帐中，将分类帐余额计入试算表中，最后生成了损益表和资产负债表！

![](img/c85bbe41de77166e18b2c3945a61f8f5.png)

这是实际的会计流程，我们现在有两个关键报告，它们提供了有价值的信息，并将使我们能够做出良好的财务决策。

我们将在后续教程中对此进行讨论。