# 对计算机系统的潜在安全威胁

> 原文： [https://www.guru99.com/potential-security-threats-to-your-computer-systems.html](https://www.guru99.com/potential-security-threats-to-your-computer-systems.html)

**计算机系统威胁是指任何导致数据丢失或损坏或对硬件和/或基础结构造成物理损坏的威胁**。 知道如何识别计算机安全威胁是保护计算机系统的第一步。 这些威胁可能是故意的，偶然的或自然灾害引起的。

在本文中，我们将向您介绍常见的计算机系统威胁以及如何保护系统免受威胁。

## 本教程涵盖的主题

*   [什么是安全威胁？](#1)
*   [什么是身体威胁？](#2)
*   [什么是非物理威胁？](#3)

## 什么是安全威胁？

安全威胁定义为可能损害计算机系统和组织的风险。 原因可能是物理原因，例如有人盗窃了包含重要数据的计算机。 原因也可能是非物理性的，例如病毒攻击。 在这些教程系列中，我们将威胁定义为来自黑客的潜在攻击，它可以使他们获得对计算机系统的未经授权的访问。

![Potential Security Threats To Your Computer Systems](img/656b7588120694ddde0b30e4e39a2479.png "Potential Security Threats To Your Computer Systems")

## 什么是物理威胁？

**物理威胁是事件的潜在原因，可能导致计算机系统损失或物理损坏**。

以下列表将物理威胁分为三（3）个主要类别；

*   **内部**：威胁包括火灾，电源不稳定，硬件存放房间的湿度等。
*   **外部**：这些威胁包括闪电，洪水，地震等。
*   **人类**：这些威胁包括盗窃，基础设施和/或硬件的破坏，破坏，意外或故意的错误。

为了保护计算机系统免受上述物理威胁，组织必须采取物理安全控制措施。

以下列表显示了可以采取的一些可能的措施：

*   **内部**：使用不使用水灭火的自动火灾探测器和灭火器，可以防止火灾威胁。 使用电压控制器可以防止电源不稳定。 可以使用空调来控制计算机室中的湿度。
*   **外部**：防雷系统可用于保护计算机系统免受此类攻击。 雷电防护系统并非 100％完美，但在一定程度上减少了雷电造成损坏的机会。 在高地上安置计算机系统是保护系统免受洪水侵害的可能方法之一。
*   **人类**：可以通过使用上锁的门和限制进入计算机室的方式来防止诸如盗窃之类的威胁。

## 什么是非物理威胁？

**非人为威胁是可能导致事件发生的潜在原因；**

*   系统数据丢失或损坏
*   破坏依赖计算机系统的业务运营
*   敏感信息丢失
*   非法监视计算机系统上的活动
*   网络安全违规
*   其他

非物理威胁也称为**逻辑威胁**。 以下列表是非物理威胁的常见类型；

*   病毒
*   木马
*   蠕虫
*   间谍软件
*   按键记录器
*   广告软件
*   拒绝服务攻击
*   分布式拒绝服务攻击
*   未经授权访问计算机系统资源（例如数据）
*   网络钓鱼
*   其他计算机安全风险

**为保护计算机系统免受上述威胁**的侵害，组织必须采取**逻辑安全措施**。 以下列表显示了可以采取的一些措施来保护网络安全威胁

**为了防止病毒，特洛伊木马，蠕虫等，组织可以使用防病毒软件**。 除防病毒软件外，组织还可以控制外部存储设备的使用并访问最有可能将未经授权的程序下载到用户计算机上的网站。

**可以通过使用身份验证方法**防止对计算机系统资源的未经授权的访问。 身份验证方法可以是用户 ID 和强密码，智能卡或生物特征识别等形式。

**入侵检测/防御系统可用于防御拒绝服务攻击。** 还可以采取其他措施来避免拒绝服务攻击。

## 摘要

*   威胁是指可能导致数据丢失/损坏到正常业务运营中断的任何活动。
*   存在物理和非物理威胁
*   物理威胁会损坏计算机系统的硬件和基础结构。 例子包括盗窃，故意破坏甚至自然灾害。
*   非物理威胁以计算机系统上的软件和数据为目标。