# IF，AND，OR 或嵌套 IF &在 Excel 中不是逻辑函数

> 原文： [https://www.guru99.com/logical-functions-operators-and-conditions-in-excel.html](https://www.guru99.com/logical-functions-operators-and-conditions-in-excel.html)

事情并非总是我们希望的那样。 意外的事情可能发生。 例如，假设您必须将数字相除。 尝试将任何数字除以零（0）都会产生错误。 在这种情况下，逻辑功能很方便。 在本教程中，我们将涵盖以下主题。

在本教程中，我们将涵盖以下主题。

*   [什么是逻辑功能？](#1)
*   [IF 函数示例](#3)
*   [Excel 逻辑功能介绍](#4)
*   [嵌套 IF 函数](#5)

## 什么是逻辑功能？

此功能使我们能够在执行公式和函数时引入决策制定。 功能习惯于；

*   检查条件是对还是错
*   结合多个条件

**What is a condition and why does it matter?**

条件是计算结果为 true 或 false 的表达式。 该表达式可以是确定在单元格中输入的值是数字还是文本数据类型，值是否大于，等于或小于指定值等的函数。

## IF 功能示例

我们将使用本教程中的家庭用品预算。 我们将使用 IF 函数确定某件商品是否昂贵。 我们将假定价值大于 6,000 的商品很昂贵。 少于 6,000 的价格则便宜一些。 下图显示了我们将使用的数据集。

![Logical functions (operators) and conditions in Excel](img/4ca540c52c8912aeca291604d78854cd.png "Logical functions (operators) and conditions in Excel")

*   将光标放在单元格 F4 中
*   输入以下使用 IF 函数的公式

= IF（E4 < 6000，“是”，“否”）

**此处，**

*   **“ = IF（…）”** 调用 IF 函数
*   **“ E4 < 6000”** 是 IF 函数求值的条件。 它检查单元格地址 E4 的值（小计）是否小于 6,000
*   **“是”** 这是 E4 的值小于 6,000 时函数将显示的值
*   **“否”** 这是如果 E4 的值大于 6,000 时函数将显示的值

完成后，按 Enter 键

您将获得以下结果

![Logical functions (operators) and conditions in Excel](img/38050bd37c2dd5e065f28e10b39d5cbc.png "Logical functions (operators) and conditions in Excel")

## Excel 逻辑功能介绍

下表显示了 Excel 中的所有逻辑功能

<colgroup><col style="width: 48px;"><col style="width: 82px;"><col style="width: 88px;"><col style="width: 180px;"><col style="width: 203px;"></colgroup>
| **S / N** | **功能** | **类别** | **说明** | **用法** |
| 01 | 和 | 逻辑上 | 检查多个条件，如果所有条件都为 true，则返回 true。 | = AND（1 > 0，ISNUMBER（1））由于两个条件均为 True，因此上述函数返回 TRUE。 |
| 02 | 假 | Logical | 返回逻辑值 FALSE。 它用于比较返回 true 或 false 的条件或函数的结果 | 假（） |
| 03 | 如果 | Logical | 验证是否满足条件。 如果满足条件，则返回 true。 如果不满足条件，则返回 false。 **= IF（logical_test，[value_if_true]，[value_if_false]）** | = IF（ISNUMBER（22），“ Yes”，“ No”）
22 是 Number，因此返回 Yes。 |
| 04 | 错误 | Logical | 如果没有错误发生，则返回表达式值。 如果发生错误，则返回错误值 | = IFERROR（5/0，“除以零误差”） |
| 05 | 干扰素 | Logical | 如果未发生＃N / A 错误，则返回值。 如果发生＃N / A 错误，则返回 NA 值。 ＃N / A 错误表示公式或函数无法使用的值。 | = IFNA（D6 * E6,0）N.B 如果 D6 或 E6 都为空，则上述公式返回零 |
| 06 | 不 | Logical | 如果条件为假，则返回 true；如果条件为真，则返回 false | = NOT（ISTEXT（0））N.B. 上面的函数返回 true。 这是因为 ISTEXT（0）返回 false，而 NOT 函数将 false 转换为 TRUE |
| 07 | 要么 | Logical | 在评估多个条件时使用。 如果任何或所有条件为 true，则返回 true。 如果所有条件都为假，则返回假 | = OR（D8 =“ admin”，E8 =“ cashier”）N.B. 如果 D8 和 E8 管理员或出纳员之一或两者同时使用，则上述函数返回 true |
| 08 | 真正 | Logical | 返回逻辑值 TRUE。 它用于比较返回 true 或 false 的条件或函数的结果 | 真正（） |

## 嵌套 IF 函数

**嵌套 IF 函数是另一个 IF 函数**中的 IF 函数。 当我们必须处理两个以上的条件时，嵌套 if 语句会派上用场。 假设我们要开发一个简单的程序来检查星期几。 如果当天是星期六，我们要显示“聚会做好”，如果是星期天，我们要显示“休息时间”，并且如果要显示星期一至星期五的任何一天，请记住填写您的待办事项清单。

嵌套的 if 函数可以帮助我们实现上述示例。 以下流程图显示了如何实现嵌套 IF 函数。

![Logical functions (operators) and conditions in Excel](img/a45e230603aa27c96148880898c9f4cf.png "Logical functions (operators) and conditions in Excel")

以上流程图的公式如下

= IF（B1 =“ Sunday”，“休息时间”，IF（B1 =“ Saturday”，“ party well”，“待办事项”））

**HERE,**

*   **“ = IF（…。）”** 是主要的 if 函数
*   **“ = IF（…，IF（....））”** 第二个 IF 函数是嵌套函数。 如果主 IF 函数返回 false，它将提供进一步的评估。

## 实际例子

![Logical functions (operators) and conditions in Excel](img/2aa19db57fa7dd5260bb37a6e2b34aa2.png "Logical functions (operators) and conditions in Excel")

创建一个新的工作簿并输入数据，如下所示

![Logical functions (operators) and conditions in Excel](img/3ae4bc9af551525f7886f0906b7ccd2f.png "Logical functions (operators) and conditions in Excel")

*   输入以下公式

=IF(B1="Sunday","time to rest",IF(B1="Saturday","party well","to do list"))

*   在单元格地址 B1 中输入星期六
*   您将获得以下结果

![Logical functions (operators) and conditions in Excel](img/c49ba3930f3c37c24178c5f98a461ebd.png "Logical functions (operators) and conditions in Excel")

[下载教程](https://drive.google.com/uc?export=download&id=0BwL5un1OyjsdODJGemI4Q3c5SEE)中使用的 Excel 文件

## 摘要

在 Excel 中评估公式和函数时，逻辑函数用于引入决策。