# DoS（拒绝服务）攻击教程：Ping of Death，DDOS

> 原文： [https://www.guru99.com/ultimate-guide-to-dos-attacks.html](https://www.guru99.com/ultimate-guide-to-dos-attacks.html)

## 什么是 DoS 攻击？

DOS 是一种攻击，用于拒绝合法用户访问资源，例如访问网站，网络，电子邮件等，或者使其变得非常慢。 DoS 是 **D** enial **o** f **S** 服务的首字母缩写。 这种攻击通常是通过同时攻击目标资源（例如 Web 服务器）和太多请求来实现的。 这导致服务器无法响应所有请求。 这样做的后果可能是使服务器崩溃或使其减速。

切断互联网上的某些业务可能会导致大量业务或金钱损失。 互联网和计算机网络为许多企业提供动力。 诸如支付网关，电子商务站点之类的某些组织完全依靠互联网开展业务。

在本教程中，我们将向您介绍什么是拒绝服务攻击，如何进行拒绝服务以及如何防范此类攻击。

## 本教程涵盖的主题

*   [Dos 攻击的类型](#2)
*   [DoS 攻击的工作方式](#3)
*   [DoS 攻击工具](#4)
*   [DoS 保护：防止攻击](#5)
*   [黑客活动：死亡之 ping](#6)
*   [黑客活动：发起 DOS 攻击](#7)

## Dos 攻击的类型

Dos 攻击有两种类型：

*   **DoS** –这种攻击由单个主机执行
*   **分布式 DoS** –这种类型的攻击是由许多以同一受害者为目标的受感染机器执行的。 它将数据包泛洪到网络中。

![Ultimate guide to DoS(Denial of Service) Attacks](img/b0e6a3508137ad29f3ce7bef2ce740e5.png "Ultimate guide to DoS(Denial of Service) Attacks")

## DoS 攻击如何发挥作用

让我们看一下 DoS 攻击的执行方式和使用的技术。 我们将研究五种常见的攻击类型。

**Ping of Death**

ping 命令通常用于测试网络资源的可用性。 它通过将小数据包发送到网络资源来工作。 死亡 ping 可以利用此优势，并发送超出 TCP / IP 允许的最大限制（65536 字节）的数据包。 TCP / IP 分段将数据包分成发送到服务器的小块。 由于发送的数据包大于服务器可以处理的数据包，因此服务器可能会冻结，重新引导或崩溃。

**蓝精灵**

这种类型的攻击使用 Internet 广播地址处的大量 Internet 控制消息协议（ICMP）ping 通信目标。 答复 IP 地址被欺骗为目标受害者的 IP 地址。 所有答复都发送给受害者，而不是用于 ping 的 IP。 由于单个 Internet 广播地址最多可支持 255 个主机，因此蓝精灵攻击将单个 ping 放大 255 次。 这样做的结果是将网络减慢到无法使用的程度。

**缓冲区溢出**

缓冲区是 RAM 中的临时存储位置，用于保存数据，以便 CPU 在将其写回到光盘之前可以对其进行操作。 缓冲区有大小限制。 这种类型的攻击会为缓冲区加载更多可以容纳的数据。 这将导致缓冲区溢出并破坏其保存的数据。 缓冲区溢出的一个示例是发送电子邮件的文件名包含 256 个字符。

**泪滴**

这种类型的攻击使用较大的数据包。 TCP / IP 将它们分成片段，这些片段组装在接收主机上。 攻击者在发送数据包时会对其进行操作，以使它们彼此重叠。 这可能会导致目标受害者在尝试重新组装数据包时崩溃。

**SYN 攻击**

SYN 是“同步”的缩写。 这种类型的攻击利用三向握手的优势来使用 TCP 建立通信。 SYN 攻击通过向受害者发送不完整的 SYN 消息来起作用。 这导致受害计算机分配从未使用的内存资源，并拒绝对合法用户的访问。

## DoS 攻击工具

以下是一些可用于执行 DoS 攻击的工具。

*   **Nemesy** –该工具可用于生成随机数据包。 它适用于 Windows。 可以从 [http://packetstormsecurity.com/files/25599/nemesy13.zip.html](http://packetstormsecurity.com/files/25599/nemesy13.zip.html) 下载此工具。 由于程序的性质，如果您拥有防病毒软件，则很可能会将其检测为病毒。
*   **陆地和 LaTierra** –该工具可用于 IP 欺骗和打开 TCP 连接
*   **Blast** –可以从 [http://www.opencomm.co.uk/products/blast/features.php 下载此工具](http://www.opencomm.co.uk/products/blast/features.php)
*   **Panther** -此工具可用于用 UDP 数据包淹没受害者的网络。
*   **僵尸网络** –这些是 Internet 上大量受感染的计算机，可用于执行分布式拒绝服务攻击。

## DoS 保护：防止攻击

组织可以采用以下策略来保护自己免受拒绝服务攻击。

*   SYN 泛洪等攻击利用了操作系统中的错误。 **安装安全补丁可以**帮助减少此类攻击的机会。
*   **入侵检测系统**也可以用于识别甚至阻止非法活动
*   **防火墙**可通过识别攻击者的 IP 阻止来自攻击者的所有流量来阻止简单的 DoS 攻击。
*   **路由器**可以通过访问控制列表进行配置，以限制对网络的访问并丢弃可疑的非法流量。

## 黑客活动：死亡之谜

我们假设您正在使用 Windows 进行此练习。 我们还将假定您至少有两台计算机位于同一网络上。 在未经授权的网络上，DOS 攻击是非法的。 这就是为什么您需要为此练习设置自己的网络的原因。

在目标计算机上打开命令提示符

输入命令 ipconfig。 您将获得类似于以下所示的结果

![Ultimate guide to DoS(Denial of Service) Attacks](img/d4cc12316813e9b6b49c7c6cc4e7a238.png "Ultimate guide to DoS(Denial of Service) Attacks")

对于此示例，我们使用[移动](/mobile-testing.html)宽带连接详细信息。 记下 IP 地址。 注意：为了使此示例更有效，必须使用 LAN 网络。

切换到要用于攻击的计算机，然后打开命令提示符

我们将使用 65500 的无限数据包对受害计算机执行 ping 操作

输入以下命令

```
ping 10.128.131.108 –t |65500
```

**此处，**

*   “ ping”将数据包发送给受害者
*   “ 10.128.131.108”是受害者的 IP 地址
*   “ -t”表示应在程序停止之前发送数据包
*   “ -l”指定要发送给受害者的数据负载

您将获得类似于以下所示的结果

![Ultimate guide to DoS(Denial of Service) Attacks](img/933b69f1574663f8f35f6c5f32b685b2.png "Ultimate guide to DoS(Denial of Service) Attacks")

向目标计算机填充数据包不会对受害者造成太大影响。 为了使攻击更有效，您应该使用来自多台计算机的 ping 命令来攻击目标计算机。

以上攻击可用于攻击路由器，Web 服务器等。

如果要查看攻击对目标计算机的影响，可以打开任务管理器并查看网络活动。

*   右键单击任务栏
*   选择启动任务管理器
*   点击网络标签
*   您将获得与以下类似的结果

![Ultimate guide to DoS(Denial of Service) Attacks](img/be6dfa843829fbced2b1e9eaa05b081d.png "Ultimate guide to DoS(Denial of Service) Attacks")

如果攻击成功，您应该能够看到增加的网络活动。

## 黑客活动：发起 DOS 攻击

在这种实际情况下，我们将使用 Nemesy 生成数据包并泛洪目标计算机，路由器或服务器。

如上所述，您的防病毒软件会将 Nemesy 检测为非法程序。 您必须为此练习禁用防病毒功能。

*   从[下载 Nemesy http://packetstormsecurity.com/files/25599/nemesy13.zip.html](http://packetstormsecurity.com/files/25599/nemesy13.zip.html)
*   解压缩并运行程序 Nemesy.exe
*   您将获得以下界面

![Ultimate guide to DoS(Denial of Service) Attacks](img/30cffeb80d4f1b2ad3a5e3d8bb0494f1.png "Ultimate guide to DoS(Denial of Service) Attacks")

在此示例中，输入目标 IP 地址。 我们已经使用了上面示例中使用的目标 IP。

**HERE,**

*   **0 作为分组数表示无穷大**。 如果您不想发送无限数据包，则可以将其设置为所需的数字
*   **size 字段指定要发送的数据字节**，延迟**指定时间间隔**，以毫秒为单位。

点击发送按钮

您应该能够看到以下结果

![Ultimate guide to DoS(Denial of Service) Attacks](img/bec9010c032bdea78a145d3db278b53a.png "Ultimate guide to DoS(Denial of Service) Attacks")

标题栏将显示发送的数据包数量

单击暂停按钮停止程序发送数据包。

您可以监视目标计算机的任务管理器以查看网络活动。

## 摘要

*   拒绝服务攻击的目的是拒绝合法用户访问诸如网络，服务器等资源。
*   攻击有两种类型，拒绝服务和分布式拒绝服务。
*   可以使用 SYN Flooding，Ping of Death，Teardrop，Smurf 或缓冲区溢出来执行拒绝服务攻击
*   可以使用针对操作系统，路由器配置，防火墙和入侵检测系统的安全补丁来防御拒绝服务攻击。