# 自动付款程序运行 F110：SAP 教程

> 原文： [https://www.guru99.com/all-about-automatic-payment-run.html](https://www.guru99.com/all-about-automatic-payment-run.html)

**简介**
付款流程包括以下步骤

1.  输入发票
2.  分析未结发票的到期日
3.  准备应付发票
4.  付款被批准或修改
5.  发票已付款

始终需要处理大量的发票。 必须按时支付应付帐款发票才能获得可能的折扣。 [会计](/accounting.html)部门希望自动执行此发票处理。 自动付款程序是一种可以帮助用户管理应付帐款的工具。 SAP 为用户提供了自动执行以下操作的选项：

1.  选择要付款或收款的未结（待处理）发票
2.  要过帐的付款凭证
3.  打印付款媒体或生成 EDI

自动付款程序已针对与供应商和客户进行的国内和国际付款交易而开发，可处理付款和收款。 **配置**我们可以通过选择付款程序（Tcode-F110）来配置付款程序。应用程序菜单环境->维护配置

![](img/e0f80aac17be9b38b0e126cc467c900b.png)

自动付款程序的设置分为以下类别：

1.  所有公司代码
2.  支付公司代码
3.  付款方式/国家
4.  付款方式/公司代码
5.  银行选择
6.  房屋银行

![](img/4f34eb9be0080c967fb2c8abdc1fdf1b.png)

**所有公司代码**：在此部分中，我们执行以下设置

1.  公司间付款关系
2.  公司对处理付款进行编码
3.  现金折扣
4.  付款的宽容天数
5.  要处理的客户和供应商交易

![](img/e24e34c50282bb904cf4d133f2e451fc.png)

![Automatic Payment Program Run F110: SAP Tutorial](img/302c20fff4876dd5497d151db5e41b53.png)

**支付公司代码**：在此部分中，我们执行以下设置

1.  收款和付款的最低金额
2.  汇票参数
3.  付款通知书和 EDI 表格

![](img/e9d13c488f6d031b6145f56a27be6292.png)

![](img/f8bfbe57a1a1dbd1f508f1c2e12917e3.png)

**付款方式/国家/地区**：在此部分中，我们执行以下设置

1.  付款方式-支票，银行转帐等
2.  个别付款方式的设定-
    1.  主记录要求
    2.  过帐的凭证类型
    3.  允许的货币
    4.  打印程序

![](img/7bcc4c7bcdccb1155ac0f32c066afd47.png)

![](img/08d6f27840d150ec69ed9a983f8b008b.png)

**付款方式/公司代码**：在本部分中，我们执行以下设置

1.  最低和最高付款金额
2.  是否允许国外付款和外币付款
3.  分组选项
4.  银行优化
5.  支付媒体表格

![Automatic Payment Program Run F110: SAP Tutorial](img/ac09fb2d6efc066aa21d25d7cd70a284.png)

![Automatic Payment Program Run F110: SAP Tutorial](img/1f148eb0d9b720013c814e3731cc6a3c.png)

**银行选择**：

1.  排名顺序
2.  金额
3.  帐目
4.  收费标准
5.  起息日

![](img/98461ef19c5fa9d91ac5903c2bcdbf07.png)

![Automatic Payment Program Run F110: SAP Tutorial](img/c33bfeab9754b5ffe3b0ac52cd132334.png)

排名顺序

![](img/b44cefb94c232721dc8a64587b10fc69.png)

银行账户

![](img/7beedd4a81dca997958aaa6fdfade8b2.png)

可用金额

![](img/b5d638b312634e8cbb07b7e57604837c.png)

Value Dates

![](img/270f63a8bc6dc70da68157258168aa41.png)

Expenses / Charges

**执行**：配置付款流程后，我们将输入参数以执行程序。 在 SAP 命令字段中输入交易代码 F110

![](img/17489148eee8a7425a234cb1a5155eac.png)

每个付款程序运行都由两个字段标识

1.  运行日期
2.  身份证明

![](img/1df4d0f94d4c41b5aa1777b7923a6f73.png)

在“参数”选项卡中，我们必须定义以下内容

1.  需支付的费用-文件 最多输入
2.  将使用哪种付款方式-付款方式
3.  付款时间-付款日期
4.  将考虑哪些公司代码-公司代码
5.  如何付款-付款方式顺序决定付款方式的优先级

![](img/1c8039cdec1f5f2fd0beb7639716e89f.png)

保存输入的参数

![](img/576f9dbf39c96078dd5661aec6063fbd.png)

输入参数后，我们通过按“应用程序工具栏”中的投标按钮执行程序

![](img/fd2a0ac3820744fc3c0f37611d69a5ca.png)

在下一个对话框中，选中“立即启动”，然后按继续

![](img/12b328be88b1f63b26ccd3165f669e87.png)

根据参数生成付款建议。

![](img/f53d76b800433b93981a6df74f3be080.png)

我们可以通过按提案日志按钮查看提案日志中可能存在的错误

![](img/32189134e6faa4f24d50921535d7aae0.png)

如果需要，我们可以编辑提案以阻止部分付款，请按“编辑提案”按钮

![](img/84841d906882539e34b72969df92d26c.png)

在下一个屏幕中，将生成要接收付款的供应商建议清单

![](img/4719bd1dc714052f52d47718dd058cc2.png)

在编辑投标之后，然后运行付款运行以释放付款。 我们可以通过按付款运行按钮回到主屏幕来安排付款运行

![](img/f70df65b4603bcc688d40844a89fd3fa.png)

在下一个对话框中，选中“立即开始”以立即开始付款，然后按继续

![](img/60f583e4da9ee70f86a5e1829197ae15.png)

我们可以在状态标签上查看付款运行的状态

![](img/a07514a96745226f68b57d72f05dfaa7.png)