# SAP TMS（运输管理系统）教程

> 原文： [https://www.guru99.com/transport-management-system-tms.html](https://www.guru99.com/transport-management-system-tms.html)

### 什么是 TMS？

TMS 用于通过预定义的传输路由（RFC 连接）在整个 SAP 系统中以有序的方式在整个 SAP 系统中移动，管理，控制，复制开发对象和自定义设置。 传输过程主要包括将对象从源 SAP 系统中导出并将其导入目标 SAP 系统中。 TMS 代表运输管理系统

## 为什么我们需要运输系统？

![SAP TMS (Transport Management System) Tutorial](img/495cfdc5292f1b02d5e7e669542c927a.png "Introduction to Transport Management System (TMS)") 

CTS 组件在整个开发和定制环境中起着重要作用。 CTS 代表变更和运输系统

CTS 是用于以下目的的工具：

*   管理&控制新的开发请求。
*   管理运输
*   记录更改地点和更改者
*   配置系统格局

## CTS 组件概述

![SAP TMS (Transport Management System) Tutorial](img/8d34588312dd812e59510df724370039.png "Introduction to Transport Management System (TMS)")

*   **CTO（变更和运输组织者）–** 这是用于管理，浏览和注册在存储库上所做的更改以及自定义对象的主要工具。 这是组织开发项目的中心点。 SE01 是具有新扩展视图的事务。
*   **传输工具–** 实际传输是使用传输工具在操作系统级别在后端进行的，传输工具是 SAP 内核的一部分，包括程序 ***R3trans*** 和 运输控制程序 ***tp*** 。
*   **（TMS）传输管理系统**

## SAP 系统景观

![SAP TMS (Transport Management System) Tutorial](img/d5e5e731800bcb0e0ba75753bffc2c0f.png "Introduction to Transport Management System (TMS)") 

系统格局（也称为 *SAP 系统组*）是 SAP 服务器的安排。 理想情况下，在 SAP 环境中，建议使用三系统格局。 它由
组成

1.  开发服务器– DEV
2.  质量保证服务器-QAS
3.  生产服务器-PRD。

从最基本的意义上讲，运输周期是从 DEV 发行的新开发/定制更改的发布，这些新更改/定制更改已导入质量和生产系统。 但是，只有在 QAS 中执行了集成[测试](/software-testing.html)和质量检查（并标记为已选中）后，才能导入 PRD。

## 什么是定制？ TMS 如何帮助定制

*   定制是根据客户需求调整 SAP 系统的过程。 为了执行定制，用户和顾问需要借助 SAP 参考实施指南（IMG），该指南可通过事务 SPRO 访问。
*   理想的是在 DEV 中完成定制。 运输管理器（SE01）与 IMG 结合使用，可以进一步记录和运输自定义的更改。

![SAP TMS (Transport Management System) Tutorial](img/1eaf19019a359e39e77090fa4bcd7735.png "Introduction to Transport Management System (TMS)") 

大多数自定义更改（尽管不是全部）都是**客户端特定的**，即，这些更改应仅反映在特定客户端中，而不是针对所有系统客户端。 导出传输请求后，它将从 SAP 系统的数据库中提取相关的表条目，并将其复制到传输目录中。 使用定制事务时，相关表条目将被锁定。 但是，一旦将更改保存到传输请求中，它们就会被解锁。

## 储存库和开发变更

*   除了自定义现有对象外，在大多数情况下还需要进行新的开发。 开发对象是您在 SAP 系统中创建（开发）的任何对象。
*   所有此类对象（特定于客户端或跨客户端）的集合称为**存储库**。
*   开发大部分是通过 ABAP Workbench（SE80）进行的。 因此，此类更改也称为工作台更改。
*   示例：
    *   ABAP 词典对象：表，域，数据元素等。
    *   ABAP 程序，功能模块，菜单，屏幕
    *   文档，应用程序定义的传输对象等。
*   Workbench 还与 TMS 完全集成，以记录和传输更改。

大多数工作台更改（尽管不是全部）都是**跨客户端**，即更改将反映在目标系统的所有系统客户端中。 从源系统传输的对象将覆盖目标系统中具有相同名称的对象。

## 客户和 SAP 系统中的数据类型

*   从概念上讲，客户是独立于技术和组织的单位，其中包含自己的数据集（主数据，应用程序/操作数据，自定义数据）
*   客户端可以在同一 SAP 系统中为来自不同用户组或具有不同目的的用户创建单独的环境，而无需实际使用其他数据库。
*   从技术角度来看，使用 3 位数字 ID 指定客户端，对于特定于客户的作业，该 ID 也用作表字段“ MANDT”的值。

![SAP TMS (Transport Management System) Tutorial](img/c3c8aec21f8091ca2a4fd08e0e03eee7.png "Introduction to Transport Management System (TMS)") 

在客户特定数据中，有 3 种数据类型：

*   **用户主数据**包含用户登录信息，包括用户名，密码和用户默认设置，授权配置文件或角色，以及其他有用的信息，例如用户组，通信等。 该数据实际存在于一组特定的表（USR *表）中。
*   **定制数据**包含用于为实施 SAP 的公司定制组织结构和业务流程的配置设置。 此数据取决于客户端，并存储在称为定制表的表中。
*   **应用程序数据**也是客户端相关的，通常用户区分两种类型的主数据和事务数据。

1.  主数据，例如供应商主数据，物料主数据（MARA 等表）
2.  交易数据，例如销售订单，财务凭证，生产订单（PO）等。

**客户端自定义选项**

![SAP TMS (Transport Management System) Tutorial](img/4991011fcff6532d6216679608228e5b.png "Introduction to Transport Management System (TMS)") 

**传输目录及其配置**

**SAP 传输目录**：

*   它是全局传输目录（/ usr / sap / trans），它实际上是环境（系统组）的所有成员系统之间的共享位置（位于域控制器系统中）。 它还包含某些子目录，这些子目录是在 SAP 系统安装期间自动创建的。 这对于设置运输管理系统是必需的。
*   基本上，传输目录是从 DEV 发布所有更改后将其保存（以文件形式）的位置。 因此，它是最终将更改导入 QAS 和 PRD 中的来源。 因此，我们必须确保传输目录在环境中的所有系统之间正确共享。

例如，在 Windows NT 中，可以使用以下地址访问共享目录位置： **\\ < SAPTRANSHOST > \ sapmnt \ trans** 其中定义了 SAPTRANSHOST（域控制器系统的地址） 格局中所有 SAP 系统的 Windows 目录中的主机文件。 域控制器–是环境中的系统之一，充当环境中变更管理和传输过程的整体控制器。 系统管理员团队根据系统可用性和安装时间选择（不在 D / Q / P 中）域控制器。

## 主要子目录：

*   **共同文件**：包含变更请求信息文件，以及完整的详细信息和命令。
*   **数据文件**：包含用于实现更改的实际值和数据。
*   **日志**：包含传输日志，跟踪或统计信息，用于故障排除，以防传输过程中发生任何错误。
*   **EPS**：下载目录，用于高级更正和支持软件包

![SAP TMS (Transport Management System) Tutorial](img/85b7380ed653c1401ed4471703c1532a.png "Introduction to Transport Management System (TMS)") 

**其他子目录是**：

*   **bin**：用于 tp（传输程序）和 TMS 的配置文件
*   **旧数据**：旧导出的数据，用于存档或删除
*   **操作日志**：所有请求和任务的操作日志
*   **缓冲区**：每个系统的传输缓冲区，声明要导入的传输
*   **sapnames**：有关各个用户发出的传输请求的信息
*   **tmp**：临时和数据日志文件

## 设置传输目录和 TPPARAM

*   在配置 TMS 时，主要的先决条件之一是设置传输目录和传输参数文件。
*   它确保目录可以在格局中的所有系统之间正确共享，因为所有参与组/格局的系统都应包含在**下的全局配置文件 TPPARAM（传输参数文件）中 / use / sap / trans 的 bin** 子目录。 我们必须确保所有参与系统的条目都在此文件中进行。
*   如果缺少任何条目，请复制另一个系统的条目并更改值（例如，系统 ID，主机名）
*   在安装时，会自动创建传输目录&的子目录，其中包括 TPPARAM 文件的初始配置模板。

**操作系统工具- *TP 和 R3trans***

***tp* –传输控制程序**：

*   **tp** 是管理员使用的 SAP 程序，用于执行和计划系统之间的传输以及 SAP 系统的升级。 CTO 和 TMS 使用此功能。
*   实际上， **tp** 使用其他特殊工具/程序和实用程序来执行其功能。 主要调用 **R3trans** 实用程序。 但是，它还提供了对运输过程的更广泛的控制，确保了导出/导入对象的正确顺序，以避免由于错误的顺序而导致的系统严重不一致性。
*   **tp** 位于 SAP 系统的标准运行时目录中： **/ usr / sap / SYS / < SID > / exe / run** 。 它会在安装过程中自动复制。
*   作为前提，必须维护 **tp** 全局参数文件（ **TPPARAM** ），至少指定参与传输过程的系统的主机名。
*   **tp** 主要用于在目标系统中执行导入。 它使用称为“导入调度程序”的实用程序– **RDDIMPDP** & **RDDIMPD_CLIENT_ < nnn >** ，应将它们安排为将在其中执行导入的每个系统中的后台作业。 如果出于任何原因将它们删除，我们可以通过运行报告 **RDDNEWPP** 来安排这些作业。
*   这些作业实际上是“ *事件已触发”* ，表示 **tp** 向 R / 3 系统发送信号（事件），然后作业开始。 这些事件分别命名为 **SAP_TRIGGER_RDDIMPDP** 和 **SAP_TRIGGER_RRDIMPDP_CLIENT** 。

## R3trans –运输控制程序：

*   **R3trans** 是 SAP 系统传输程序，可用于在不同 SAP 系统之间传输数据。 通常不直接使用它，而是通过 **tp** 控制程序或 SAP 升级实用程序对其进行调用。
*   **tp** 控制传输并生成 r3trans 控制文件，但未连接到数据库本身。 所有“实际工作”都是从 **R3trans** 完成的。
*   它支持在不同 OS 甚至不同 DB 上运行的系统之间的数据传输。