# 如何配置 STMS（SAP 传输管理系统）

> 原文： [https://www.guru99.com/how-to-configure-tms.html](https://www.guru99.com/how-to-configure-tms.html)

STMS 是一种运输工具，可协助 CTO 集中管理所有运输功能。 TMS 用于执行：

*   定义传输域控制器。
*   配置 SAP 系统格局
*   在系统环境中定义系统之间的运输路线
*   分发配置

*   **传输域控制器**-格局中的系统之一，其中包含完整的配置信息，并控制共同维护其传输的系统格局。 出于可用性和安全性原因，此系统通常是生产系统。

在传输域中，所有系统都必须具有唯一的系统 ID，并且仅将其中一个系统标识为域控制器，而传输域控制器是维护所有 TMS 配置设置的系统。 对配置设置的任何更改都会分发到格局中的所有系统。 传输组是共享公用传输目录的一个或多个系统。 运输域–包括景观中的所有系统和运输路线。 景观，组和域是系统管理员同义词使用的术语。

## TMS 配置

**Step 1:** Setting up the Domain Controller

*   在客户端 **000** 中登录到确定为域控制器的 SAP 系统，然后输入事务代码 **STMS。**
*   如果还没有域控制器，系统将提示您创建一个。 首次创建传输域时，在后台发生以下活动：
    *   启动运输域/景观/组
    *   创建用户 **TMSADM**
    *   生成 R / 3 配置所需的 RFC 目标，TMSADM 用作目标登录用户。
    *   在 usr / sap / trans / **bin** 目录中创建 **DOMAIN.CFG** 文件–该文件包含 TMS 配置，系统和域使用该文件来检查现有配置。

**步骤 2**：交易 STMS

![How to Configure STMS (SAP Transport Management System)](img/c6da0c96d7bb29517d51fbb8d0019c60.png "How to configure TMS (Transport Management System)") 

![How to Configure STMS (SAP Transport Management System)](img/74ac39efc1709386caaaab19f9877975.png "How to configure TMS (Transport Management System)") 

**步骤 3**：将 SAP 系统添加到传输域

*   登录到客户端 000 中的 SAP 系统（要添加到域中）并启动事务 STMS。
*   TMS 将检查配置文件 DOMAIN.CFG 并自动建议加入域（如果已创建域控制器）。 “选择”投标并保存您的输入。
*   为了安全起见，系统状态将仍处于“等待”状态，以包括在传输域中。
*   要完全接受，请登录到域控制器系统（客户端 000）->- **STMS->概述->系统**。 新系统将在此处可见。 从菜单中选择**'SAP System'->批准**。

![How to Configure STMS (SAP Transport Management System)](img/36056343afc3481cd9f3eca5fa991fb8.png "How to configure TMS (Transport Management System)")

**步骤 4**：配置传输路由

*   **传输路由** –是系统管理员创建的不同路由，用于在系统组/横向中的系统之间传输更改。 运输路线有两种：
    *   **合并**（从 DEV 到 QAS）–使用传输层
    *   **交付**（从 QAS 到 PRD）–不需要传输层
*   **传输层** –用于对相似种类的更改进行分组，例如，更改是在相同类/类别/包的开发对象中完成的，逻辑上应通过相同的传输路径发送。 因此，将传输层分配给来自 DEV 系统的所有对象。 在合并路径中使用了层，但是在 QAS 中进行了[测试](/software-testing.html)后，不使用层，并且使用单条路径将更改移至 PRD 系统。

**包–** （以前称为开发类）是一种对属于逻辑上属于同一类别或项目的对象进行分类的方法。 包也可以看作是对象本身，并被分配给特定的传输层（在合并路径中），因此，对属于特定 Package 的任何开发对象所做的更改将通过指定的 Transport 传输到目标系统 仅图层，否则更改将保存为本地（不可传输）修改。