# 60 个 SAP 基础面试问题&答案

> 原文： [https://www.guru99.com/sap-basis-interview-questions.html](https://www.guru99.com/sap-basis-interview-questions.html)

**1）** **什么是 SAP Basis？**

SAP 基础充当 SAP 应用程序运行的操作系统或平台。 它支持整个 SAP 应用程序范围。

**2）** **开发人员跟踪，系统日志和系统跟踪之间有什么区别？**

*   系统跟踪：当您想要记录内部 SAP 系统活动时，将使用系统跟踪。 跟踪对于诊断 SAP 系统和主机系统内部的问题很有用。
*   系统日志：要了解应用程序服务器和 CI 的最新日志，请参考系统日志。
*   开发人员跟踪：出现问题时，开发人员跟踪将记录有关错误或问题的技术信息

为了进行问题分析和系统监视，使用了开发人员跟踪或系统日志。

**3）** **在我的 SAP 系统出现故障（用户无法登录 SAP 系统）的情况下，如何分析问题？**

*   检查数据库状态
*   SAP 服务
*   SAP 管理控制台（分派器，IGS 和消息服务器）
*   您需要根据序列号（c）上的点找出跟踪根。
*   如果一切正常，请检查网络连接

**4）** **什么是私有模式？**

在私有模式下，堆数据由用户专门分配，并且不再在系统中共享或使用。 当您的扩展内存用完时，会发生这种情况。

**5）** **OSP $是什么意思？**

在您的 SAP 系统中创建了两个用户“ OPS $ adm”和“ OPS $ SAP”服务，并在内部使用该用户机制与数据库连接和通信。

**6）** **RFC 有哪些不同类型，请解释什么是事务性 RFC？**

RFC（远程功能调用）是一种在其他 SAP 系统之间进行通信和交换信息的机制。 RFC 系统有四种类型

*   同步 RFC（S RFC）
*   异步 RFC（A RFC）
*   事务性 RFC（T RFC）
*   排队的 RFC（Q RFC）

事务性 RFC（T RFC）：这种类型的 RFC 与异步 RFC 相似，但是通过分配事务 ID（TID），可以确保由于错误而多次发送的请求只能处理一次。 在 T RFC 中，与异步 RFC 不同，此刻远程系统不必处于可用状态。

**7）** **什么是 OCM，以及如何应用 OCM 补丁？**

OCM 代表在线校正系统，通过使用 SPAM，您可以应用 OCM 修补程序。

**8）** **如何从操作系统级别在 SAP 中执行 SAP 导出和导入表？**

要从 OS 级别在 SAP 中导出或导入表，您必须遵循以下三个步骤并通过在 SAP 中使用 R3trans 实用程序

步骤 1：收集要导出的表的所有列表

步骤 2：检查要导出的目录中是否有足够的磁盘空间。

步骤 3：为 R3trans 创建两个控制文件，这些文件将用于导入和导出。

**9）** **–支持软件包，内核和 SAP 注释之间有什么区别？**

SAP 注释：通过实施 SAP 注释可以消除单个事务或程序中的错误。

内核：内核像其他应用程序一样包含可执行文件（.EXE），完成内核升级后，新版本的 EXE 文件将替换旧版本。

支持包：SAP 支持包是一堆更正，可以通过应用事务垃圾邮件来使用。

**10）** **如何找到系统中已修复的对象的列表？**

可以在具有 ADIRACCESS 键的系统中找到已修复的对象列表。

**11）** **表 TADIR 的作用是什么？**

表 TADIR 包含对象目录条目。

**12）** **当其他用户在线时是否可以安装 SAP 补丁？**

当其他用户在线时，我们将无法安装 SAP 补丁，因为支持管理器将无法更新，并且将终止该补丁。 因此，当没有用户登录系统时，更好地应用支持包总是可行的。

**13）** **提及 SDM 和 JSPM 有什么区别？**

JSPM（Java 支持程序包管理器）用于在已部署的软件组件上应用支持程序包。 换句话说，它是一个允许您安装组件和支持包的工具。

SDM（软件交付管理器）用于导入 [Java](/java-tutorial.html) 支持包。 要部署和管理从 SAP 收到的软件包，请使用 SDM 工具。

JSPM 使用 SDM 进行部署

**14）** **在 SAP 中禁用从 STMS 导入全部选项的过程是什么？**

要从 SAP 中的 STMS 禁用全部导入选项，请执行以下步骤：

*   转到 STMS T 代码
*   转到菜单选项概述
*   选择系统
*   选择 SAP 系统
*   转到运输工具标签
*   创建参数“ No_Import_All”，其值设置为 1
*   保存

**15）** **提及在用户主记录中使用个性化选项卡和参数选项卡吗？**

参数标签：将允许访问分配必须在其上工作的 T 代码

个性化选项卡：系统之间的 RFC 连接是必需的，而不是用户个人信息

**16）** **SAP 中不同的用户类型是什么？**

SAP 中不同类型的用户是

*   对话使用者
*   系统使用者
*   通讯用户
*   服务使用者
*   参考用户

**17）** **解释 SAP 中引用和服务用户的用途是什么？**

*   **服务用户**：。对于“服务用户”，不检查初始密码或密码到期。 只有管​​理员有权更改密码，用户不能。 可以多次登录。
*   **用法**：服务用户用于匿名用户。 此类用户应获得最低授权
*   **参考用户**：对于此类用户，无法进行 GUI 登录。
*   **用法**：紧急情况下，在参考用户的帮助下，可以向另一个用户提供一个用户授权。

**18）** **解释如何限制用户在 SAP 中的多次登录？ 编写 ID 时需要注意什么？**

要限制多次登录，您必须将参数设置为

参数应在 RZ10 中设置

a）login / multi_login_users =设置为 1 以激活（如果此参数设置为值 1，则阻止多次对话框登录到 R / 3 系统）

b）login / disable_multi_gui_login =列出应允许多次登录的用户

在编写用户 ID 时要注意的事情是，请列出用户 ID，并用逗号“ ..”分隔，在用户 ID 之间不要留空格，并查看更改是否重新启动 R / 3 实例。

**19）** **在 OS 级别上如何更改工作流程数量？ 如何在 OS 级别分析工作流程的状态？**

要更改操作系统级别的工作流程数量，您可以增加编号。 修改参数 rdisp / wp_no_ =来完成工作流程

可以通过执行 dpmon 来检查 OS 级别上 WP 的状态。

**20）** **解释如何定义登录组？**

可以使用 Tcode smlg 定义登录组。 为此，您必须创建组，然后为该特定组分配实例。

**21）** **什么是 SAP 单堆栈系统？**

SAP 系统使用 JAVA 作为运行时引擎或 SAP Netweaver 作为 ABAP 定义单个堆栈系统。

例如：单堆栈系统（Java）是 SAP Enterprise Portal 系统（Ep）

单栈系统（ABAP）是 SAP ERP（ECC）

**22）** **有哪些安装 JAVA 补丁的工具？**

要使用 JAVA 补丁，将使用 SAP 安装程序（SAPinst.exe）。 SDM 和 JSPM 是用于部署 Java 补丁的工具的最新版本。

**23）** **解释什么是 SAP 中的“数据集”？**

为了解决使用方法接口无法解决的查询，使用了一组信息。 这组信息称为“数据集”。

**24）** **在操作系统级别，应在哪里检查 SAP 应用程序的系统日志？**

要在操作系统级别检查 SAP 应用程序的系统日志，请使用 SAPMMC-> SAP 系统-> SID-> SysLog

**25）** **解释什么是 LUW（逻辑工作单元）？**

T 代码中称为逻辑 LUW 的步骤列表

**26）** **解释什么是异构系统副本和同质系统副本？**

同类系统副本=相同的操作系统+相同的数据库

异构系统副本=不同的 OS +不同的数据库或相同的数据库

**27）** **解释 BDC 中依次使用的功能模块是什么？**

使用 BDC 编程可以成功传输数据。 可以按顺序使用 3 个功能模块。

*   **BDC _OPEN_GROUP** ：在这些功能模块中指定了客户端名称，会话和用户名。
*   **BDC_INSERT** ：用于将一个事务的数据插入会话中。
*   **BDC_CLOSE_GROUP** ：用于关闭批处理输入会话。

**28）** **解释什么是“ OK”代码，“ t 代码”和“ OK”代码有什么区别？**

程序使用“ OK”代码执行功能，例如在单击按钮之后。

交易代码或“ t 代码”是帮助用户运行程序的“快捷方式”。

**29）** **解释客户端刷新与客户端副本有何不同？**

客户端刷新是覆盖或复制到现有客户端，而复制新创建的客户端称为客户端副本。

**30）** **什么是后台处理批处理调度程序？**

要检查计划后台作业并执行它们，请使用 rdisp / btctime 之类的参数。 这些参数定义后台处理批处理调度程序。

**31）** **解释什么是 SAP IDES？**

SAP **Internet 演示和评估系统**或 SAP IDES，该系统演示了重要客户使用的各种 SAP 解决方案的功能。

**32）** **解释 TDEVC 的目的是什么？**

TDEVC 的目的包含开发类和程序包。

**33）** **SAP 中有几种类型的工作流程？**

它们是七种工作流程：

*   对话
*   征服
*   更新资料
*   背景
*   线轴
*   信息
*   服务器
*   网关

**34）** **“应用服务器”的作用是什么？**

Application Server 接受来自用户的请求，如果请求中需要数据，则它将连接到数据库服务器并提供输出。

**35）** **申请补丁的过程是什么？**

应用补丁的过程是：

*   从服务.sap.com 将补丁下载到 Trans Directory
*   使用 CAR 命令在 Trans Directory 中提取补丁
*   使用 SAPM 将修补程序导入 SAP 级别并应用

**36）** **如何执行传输？**

传输可以通过 STMS_IMPORT 或通过 FTP 完成。

**37）** **传输查询的类型是什么？**

*   定制要求
*   工作台请求
*   副本的运输
*   搬迁

**38）** **解释什么是业务 KPI？**

业务 KPI 是关键绩效指标。 它表示公司在战略层面的表现。 他们通过将公司以前的表现与同一个市场中的市场领导者进行比较来帮助将公司领导在期望的轨道上。

**39）** **解释表 T000 的重要性是什么？**

表 T000 包含已定义客户端的列表，我们可以在其中维护事务代码 SCC4。

**40）** **什么是 SAPS？**

SAPS 代表 **SAP 应用性能标准**，它是独立于硬件的单元，描述了 SAP 环境中系统配置的性能。

**41）** **提及中央实例& Application Server 有什么区别？**

中央实例具有消息服务器和对话框，更新，假脱机，排队，网关，后台工作流程。

应用程序服务器具有对话框，更新，假脱机，网关和后台工作过程。

**42）** **您会以什么方式知道系统是 Unicode 还是非 unicode？**

通过代码 sm51 t-code，我们可以看到它是 Unicode 还是非 unicode。 如果单击该代码，我们可以在应用程序工具栏中找到发行说明按钮，您可以看到诸如数据库，内核版本，Unicode 或非 Unicode 之类的全部信息。

**43）** **在 SAP 基础上，有哪些不同类型的传输请求？**

有四种运输请求

*   定制要求
*   工作台要求
*   运输要求
*   搬迁

**44）** **什么是逻辑系统？ 如何创建，为什么？**

为了在景观内的系统之间进行通信，需要逻辑系统。 它使系统能够将目标系统识别为 RFC 目标。

使用的 TCODE 是 SPRO

**45）** **如何一次将一个对象分配给 100 个角色？**

要一次将一个对象分配给 100 个角色，

*   从那里出售 T 代码到表 agr_agrs。
*   系统将要求您输入访问密钥
*   输入需要添加到 100 个角色的对象
*   选择需要添加对象的角色范围
*   保存或激活给出的任何选项

**46）** **在特定系统上，如何获取特定系统上具有开发访问权限的用户列表？**

通过使用表“ DEVACCESS”，您可以获得具有开发访问权限的用户列表。

**47）** **如何查看锁定的交易？**

要查看锁定的事务，您需要查看表 TSTC 的字段 CINFO。 在 SAP 中，您可以使用 SE11 或 SE16 浏览表内容。 确保输入“ A0”作为“ SYST 的 HEX01 数据元素”起始值，并输入“ A9”作为结束值。 这将列出系统中锁定的所有事务。

**48）** **什么是“确定”代码？ “确定”代码与“ T 代码”有什么区别？**

程序使用 OK 代码执行功能，例如在单击按钮之后。 交易代码是帮助用户运行程序的“捷径”。

**49）** **如何为队列禁用 STMS 上的“全部导入”按钮？**

*   登录到您的传输域控制器
*   运行 STMSàOverviewàSystem
*   选择您要禁用“全部导入”的系统
*   转到运输工具选项卡
*   添加/创建参数“ No_IMPORT_ALL”将其值设置为 1

**50）** **如何将 SAP 注释应用于 SAP 系统？**

*   转到 Tcode SNOTE
*   转到菜单à下载 SAP 注意
*   给出注释号
*   下载后检查状态（如果已实施）
*   选择注释，转到菜单 SAP 注释à实施注释

**51）** **提及表 USR02 的目的是什么？**

该表存储密码和用户 IDS。

**52）** **内核替换和支持程序包有什么区别？**

内核替换是在操作系统级别上替换 SAP 可执行文件，而支持包中包含对 SAP 实例中的 ABAP 代码的修复。

**53）处理 TRANSPORTS 时遇到的最常见错误是什么？**

返回码（4）表示导入已警告结束。

返回码（8）表示未导入以错误结束

返回码（12）表示导入已取消。

返回码（16）表示导入已取消。

**54）如何进行客户端副本？**

您可以使用 SCCL 事务进行客户端复制

**55）列出异步传输和同步传输之间的区别-**

同步传输-对话框或批处理过程被阻止，直到导入结束

异步传输-开始导入后释放对话框或批处理过程。

**55）如何确定您的 SAP 服务器是 Unicode 还是 ASCII？**

转到 SM51，单击发行说明。 对应于 ICU 版本的条目将告诉您系统是 ASCII 还是 Unicode。

**56）列出传输请求的类型？**

SAP 中有 4 种传输请求-

1.  定制要求
2.  工作台请求
3.  副本的运输
4.  搬迁

**57）合并和开发路线有什么区别？**

在合并路线中-可以更改对象，并且可以将它们从一个系统传输到另一个系统。 这是从发展到质量的途径

在开发路线中-无法更改对象，也无法将它们从一个系统传输到另一个系统。 这是质量到生产的路线

**58）您将如何定义登录组？ 什么是 SAP 中的负载平衡？**

您可以使用 SMLG 事务设置登录组。

**59）什么是补充语言？**

默认 SAP 系统已预安装英语和德语。

SAP 确实支持许多其他语言，这些语言可能无法完全翻译成默认的英语和德语。 为了填补这一空白，安装了辅助语言（程序）。

**60）SAP 是数据库吗？**

不行 SAP 不是数据库，但它使用 Oracle 等其他供应商的数据库。 尽管 SAP 最近发布了自己的数据库 HANA

**61）您使用哪个事务检查缓冲区统计信息？**

ST02，RZ10