# SAP 测试面试的前 18 个问题&答案

> 原文： [https://www.guru99.com/sap-testing-interview-questions.html](https://www.guru99.com/sap-testing-interview-questions.html)

**1）提及什么是 SAP？**

SAP 代表**系统应用程序和产品**。 它使客户能够与通用公司数据库进行通信，以实现广泛的应用程序。 它使业务流程有效地工作。

**2）提及什么是 SAP 测试？**

SAP [测试](/software-testing.html)与软件应用程序[手动测试](/manual-testing.html)相同。 它有助于检测和纠正所有业务模块（如财务，制造等）中的错误。

**3）提及对 SAP 执行哪些测试类型？**

SAP 测试的类型是

1.  单元测试
2.  功能和回归测试
3.  UAT 测试
4.  集成测试等。

**4）提及如何创建有效的 SAP 测试用例？**

*   确定执行测试用例所需的 SAP 角色
*   确定测试用例需要执行的 SAP 事务
*   测试数据需要执行测试用例。 确定是否需要创建数据，或者是否需要其他测试人员使用该数据，或者该数据是否已锁定&，无法修改
*   是否需要任何先决条件
*   创造正面和负面情景
*   创建详细的测试步骤
*   测试覆盖范围应稳健
*   发现缺陷后立即及时记录

**5）提及对 SAP 测试有用的工具？**

可用于 SAP 测试的工具包括：

*   QTP（快速测试专业工具）
*   SAP TAO
*   欧洲经济贸易委员会

**6）为什么选择正确的策略比为 SAP Testing 选择工具更重要？**

选择正确的策略对于 SAP 测试非常重要，因为，

*   SAP 是一个无休止的变化巨大的系统。 在 SAP 系统中检查所有可能的变化和测试参数输入的组合既不可行，也不具有成本效益。
*   测试人员需要采取策略以减少测试用例的数量而不牺牲覆盖范围。
*   此类策略的示例包括：
*   边值分析
*   等价分割&正交数组。

**7）提及 SAP 应用程序有什么好处？**

SAP 应用程序的优势是

*   改善测试范围
*   更好的产品质量和更少的生产中断
*   每个发布周期工作量都会减少

**8）提一下 SAP 测试期间面临的挑战是什么？**

在进行 SAP 测试时，面临的挑战是：

*   测试所需的测试数据的有效组合
*   应该确定所有关键接口，并与相应的测试系统建立连接。
*   识别适合测试自动化的业务流程
*   确定负面的测试条件
*   提及系统设计如何追溯所有捕获的需求和测试用例的数量
*   识别回归方案/测试用例，并构建每个发行版本所需的回归测试套件
*   管理输出和输入数据以完成 OTC，P2P 等方案
*   设计强大的自动化框架，该框架应可维护且可扩展

**9）提及执行 SAP 接口测试时要考虑的几点？**

在执行 SAP 接口测试时，请记住以下几点，

*   使用 SAP 接口的目的是什么？接口将处理哪些业务场景？
*   验证接口是否按照测试策略正确处理了所有业务场景
*   进行接口测试的最佳实践是从单元测试开始
*   验证出站接口是否正确，这意味着它确保按照布局等执行文件会议规范。
*   验证入站接口是否正确。 检查它是否正在正确读取文件，以及它是否在目标系统中执行了正确的步骤。

**10）提及 SAP 中的工作流程类型是什么？**

在 SAP 中，工作流程的类型包括：

*   对话
*   征服
*   更新资料
*   背景
*   线轴
*   信息
*   服务器
*   网关

**11）提及内核，支持软件包之间的区别& SAP 注意？**

内核之间的区别是，SAP Note &支持包是，

*   **注释**：通过实施 SAP 注释，可消除单个程序或事务中的错误。
*   **支持包**：通过应用 SAP 支持包可纠正所有已知错误
*   **SAP 内核**：它是应用程序的核心。 内核升级后，意味着替换了各种 EXE 文件的旧版本。

**12）提及什么是 ECATT？**

ECATT 用于执行和创建 SAP 功能测试。 它是与 SAP 捆绑在一起的内置工具，其主要目的是自动测试 SAP 业务流程。

**13）提及 ECATT 的有用功能是什么？**

ECATT 的有用功能是：

*   测试交易，方案和报告
*   测试远程系统
*   调用 BAPI 和功能模块
*   检查授权（用户配置文件）
*   测试更新
*   测试更改以自定义设置的效果
*   检查系统消息

**14）提及开发人员跟踪，系统跟踪和系统日志之间的区别是什么？**

开发人员跟踪，系统跟踪和系统日志之间的区别

*   **系统跟踪**：当您想要记录内部 SAP 系统活动时使用
*   **开发人员跟踪**：它包含技术信息，供您在系统出现问题时使用。 使用开发人员跟踪中的条目需要对运行 SAP 系统的主机系统有充分的了解
*   **系统日志**：您可以使用该日志突出显示并纠正在系统及其环境中发生的错误。

**15）提一下 SAP 测试中的屏幕流逻辑是什么？**

SAP Testing 中的屏幕流逻辑就像一个 ABAP 代码。 它用于包含处理块。 它由屏幕的程序部分组成，并在屏幕绘画程序中创建。 屏幕画家就像 ABAP 编辑器一样。

**16）提及在 SAP TAO 中使用流程分析器的是什么？**

在 SAP TAO 中，过程流分析器用于自动找出在 SAP 系统中执行的交易代码中使用的用户界面。

**17）提及什么是 SAP 转换测试？**

SAP 转换测试通常在项目生命周期中执行一次。 在此阶段，将涉及所有任务的全面执行，以从旧系统中检索数据，然后实施任何类型的数据转换，将结果加载到 SAP 系统中，并完全验证结果，包括用户签收。

**18）提到编写 BDC 程序应该采用什么方法？**

要编写 BDC 程序，请将旧系统数据转换为平面文件。 然后将平面文件转换为内部表。 将平面文件传输到称为“ SAP 数据传输”的 SAP 系统中。 然后致电交易或创建会话。

*   [下一个](/sap-training-hub.html)