# SAP QM 简介

> 原文： [https://www.guru99.com/introduction-sap-qm.html](https://www.guru99.com/introduction-sap-qm.html)

SAP 是企业范围的业务软件包，旨在集成业务的各个领域。

通过 SAP，所有业务流程都可以彼此完全集成。 这意味着公司中的所有业务流程在 SAP 系统中都是“相互连接的”，并且一个部门或流程的变更将对其他部门产生影响。

*   SAP 是一种在线实时系统。 因此，与业务有关的信息是最新的，可供他人立即使用并在需要时采取行动。
*   SAP 充当单一信息源和一组信息。
*   SAP 是市场上领先的企业软件包
*   SAP 中有许多相互连接的模块，例如 SAP SD，MM，PP，QM，FICO，PM，WM 和 HR 等。

## 什么是 SAP QM 或质量管理？

SAP QM 是 SAP ERP 的关键模块，可用于以下方面

**质量计划**

*   质量管理的基本主数据
*   使用物料检验计划的检验计划，带来了质量计划的标准化。

**质量保证**

*   通过检查批处理执行 SAP 质量检查。 在此过程中，将捕获质量结果，并做出使用决策以接受或拒绝检验批。
*   分析质量证明书

**质量控制**

*   在 SAP QM 质量通知中，对已识别的缺陷进行了根本原因分析。
*   您可以在 SAP QM 信息系统上分析各种报告，例如供应商评估，质量通知列表，质量图表等。

## SAP QM-业务流程

1.  **采购质量管理**

SAP Quality Management 已与采购和库存管理流程完全集成。

它包括接受检查，其中根据采购订单接收物料。 如果物料标记用于质量检查，则会触发检验批。

根据主检验特征输入质量结果。 根据使用决策（接受/拒绝检验批），得出结果是否在公差极限之内/之外。

随后需要在 SAP 系统中完成从质量到其他库存类别的库存过帐。

2.  **生产中的质量管理**

SAP Quality Management 用于连接生产和库存管理流程。

它描述了“过程中检验”，其中在生产订单下达时触发了检验批。

在“生产后检验”中，从生产订单过帐收货后触发检验批。

“过程中检验”与库存无关，而生产后的检验涉及从质量到其他库存类别的库存过帐。

此过程描述了检验批处理，其中根据主检验特性输入质量结果。 使用决策（接受/拒绝）取决于质量结果。

3.  **质量通知**

在此过程中，您可以查看在 SAP 质量通知中如何分析和捕获在质量检查期间发现的缺陷。

在这里，我们确实记录了在检查过程中发现的问题的根本原因分析，以避免其再次发生。

对于 SAP QM 流程内检查，我们还可以提出内部质量通知并记录我们的问题分析。

## SAP QM 的好处

SAP QM 可通过以下方式为任何级别的公司带来很多好处：

*   与采购和生产进行质量整合，因此可以更好地控制流程。
*   计划支持（检查计划的使用）
*   通过在 SAP QM 质量通知中实施纠正任务来监视供应商和客户的投诉。
*   在交付给客户的销售过程中自动打印质量证明书。

接下来，我们将研究 SAP QM 的每个阶段，并学习如何操作 SAP QM 模块。