# SAP HANA 数据类型&标识符

> 原文： [https://www.guru99.com/sap-hana-data-type.html](https://www.guru99.com/sap-hana-data-type.html)

在本教程中，我们将学习，

1）SAP HANA 数据类型

2）SAP HANA 标识符

## SAP HANA 数据类型

在 SAP HANA 数据库中， [SQL](/sql.html) 数据类型如下-

| **分类** | **子分类** | **SQL 数据类型** | **列存储类型** | **默认格式** |
| 日期时间类型 | 日期 | 日期 | CS_DAYDATE | 'YYYY-MM-DD' |
|  | 时间 | 时间 | CS_SECONDTIME | 'HH24：MI：SS' |
|  | 第二次约会 | 中学 | CS_LONGDATE | 'YYYY-MM-DD HH24：MI：SS' |
|  | 时标 | 时间戳 | CS_SECONDDATE | 'YYYY-MM-DD HH24：MI：SS.FFn' |
| 数值类型 | 小整数 | 天音 | CS_INT | 8 位无符号整数，范围 0 到 255 |
|  | 小整数 | 小灵通 | CS_INT | 16 位有符号整数，范围-32,768 至 32,767 |
|  | 整数 | 整数 | CS_INT | 32 位带符号整数，范围-2,147,483,648 至 2,147,483,647 |
|  | 大整数 | 比金特 | CS_FIXED（18,0） | 4 位有符号整数，范围-9,223,372,036,854,775,808 至 9,223,372,036,854,775,807 |
|  | 小数 | 十进制（p，s）

p 精度

s 标度 | CS_FIXED（p-s，s） | 精度 p 的范围可以从 1 到 38。

标度 s 的范围可以从 0 到 p。

如果未指定精度和小数位数，则 DECIMAL 变为浮点十进制数。 |
|  | 小数位 | 小尺寸 | CS_SDFLOAT | 它是一个浮点十进制数。 精度和小数位的精度应在 1〜16 的范围内，而小数位的精度应在-369〜368 的范围内，具体取决于存储的值。 仅列存储表支持 SMALLDECIMAL。 |
|  | 实数 | 真实 | CS_FLOAT | 单精度 32 位浮点数 |
|  | 双数 | 双 | CS_DOUBLE | 双精度 64 位浮点数 |
|  | 浮动 | 浮点数 | CS_DOUBLE | 它是 32 位或 64 位实数。 其中 n 指定位数，并且应在 1 到 53 之间。 |
| 布尔型 | Boolean | 布兰 | CS_INT | TRUE，FALSE 和 UNKNOWN（空）。 |
| 字串 | 可变长度字符串 | VARCHAR（n） | CS_STRING | 它是一个可变长度的字符串，其中“ n”指定最大长度（以字节为单位），它是 1 到 5000 之间的整数。 |
|  | 可变长度 Unicode 字符 | NVARCHAR（n） | CS_STRING | 可变长度 Unicode 字符集字符串，其中< n >表示最大字符长度，并且是 1 到 5000 之间的整数 |
|  | 字母数字字符 | 铝（n） | CS_ALPHANUM | 可变长度的字母数字字符，其中 n 表示最大长度，并且是 1 到 127 之间的整数 |
|  | 短文 | 简短文字（n） | CS_STRING | 它是变长字符串，提供文本搜索和字符串搜索功能。 可以为列存储表定义此数据类型，但不能为行表定义此数据类型。 |
| 二进制类型 | 二进制文字 | VARBINARY（n） | CS_RAW | 以字节为单位存储指定最大长度的二进制数据，其中 n 表示最大长度，并且是 1 到 5000 之间的整数。 |
| LOB 类型（大对象类型） | 二进制 LOB | BLOB | CS_RAW | 大量的二进制数据 |
|  | 角色 LOB | CLOB | CS_STRING | ASCII 字符数据 |
|  | Unicode 字符 LOB | NCLOB | CS_STRING | 大型 Unicode 字符对象 |
|  | 文本 | TEXT | CS_STRING | TEXT 数据类型提供文本搜索功能。 可以为列存储表定义此数据类型，但不能为行存储表定义此数据类型。 |
|  | 二进制文本数据 | 宾语 | CS_STRING | BINTEXT 数据类型类似于 TEXT 数据类型，因此支持文本搜索功能，但是可以插入二进制数据。 可以为列表定义此数据类型，但不能为行表定义此数据类型。 |
| 多值类型 | 数组 | 阵列 |  | 它存储具有相同数据类型的值的集合，其中每个元素恰好与一个位置相关。 数组可以包含 NULL 值，就像没有值一样。 |

## SAP HANA 标识符

标识符用于表示 [SQL](/sql.html) 语句中的名称（例如，表名称，视图名称，列名称，索引名称，同义词名称，过程名称，函数名称等）

标识符有两种类型-带分隔符的标识符和无分隔符的标识符。

*   **分隔标识符** –包含在分隔符“双引号”中。 标识符可以包含任何字符，包括特殊字符。
*   **无界标识符** –无界标识符（表名，列名）必须以字母开头，并且不能包含数字或下划线'_'以外的任何符号。

分隔符号分为以下两种：

*   单引号（''）–用于分隔字符串。
*   双引号（“”）-用于分隔标识符。