# SAP 按价值处理&按帮助处理

> 原文： [https://www.guru99.com/process-on-value-help.html](https://www.guru99.com/process-on-value-help.html)

First ,to begin with if you know nothing about Screen Flow logic and their uses in SAP ,we recommend you check our tutorial on Dialog Program

现在，让我们详细了解 POH 和 POV

## 帮助请求（POH）上的流程：F1 帮助

*   每当按下 F1 时，就会执行指定数据元素的 POH 事件。
*   如果屏幕的处理逻辑中不存在“处理请求中的事件”事件，则将 ABAP 词典中该字段的文档作为基础并显示出来。 即使没有退出，也不会显示任何帮助。
*   要显示现场帮助文档，您必须在 POH 事件中编写以下屏幕流逻辑代码：

```
PROCESS ON HELP-REQUEST
FIELD &lt;f&gt; [MODULE &lt;mod&gt;] WITH &lt;num&gt;
```

*   如果存在 *< f >* 字段的特定于屏幕的数据元素文档，则可以通过指定其编号 *< num >* 来显示它。
*   数字< num >可以是文字或变量。 必须声明该变量并将其填充到相应的 ABAP 程序中。
*   请注意，在 PROCESS ON HELP-REQUEST 事件中，FIELD 语句不会将屏幕字段 *< f >* 的内容传输到 ABAP 程序。 它仅显示帮助文档。 而已。

The module *<mod>* is defined in the ABAP program like a normal PAI module. The processing logic of the module must ensure that adequate help is displayed for the field in question. Instead of calling an extra screen with text fields, you should use one of the following function modules to display a suitable SAPscript document***HELP_OBJECT_SHOW_FOR_FIELD***

*   该功能模块显示 ABAP 词典中任何结构或数据库表的组件的数据元素文档。
*   您将组件和结构或表的名称传递给导入参数 FIELD 和 TABLE。

***HELP_OBJECT_SHOW***

*   使用此功能模块可以显示任何 SAPscript 文档。
*   您必须将文档类（例如，TX 用于常规文本，DE 用于数据元素文档）和文档名称传递给导入参数 DOKCLASS 和 DOKNAME。
*   出于技术原因，还必须将行类型为 TLINE 的空内部表传递给功能模块的表参数。

## 价值过程（POV）：F4

*   当用户选择功能可能的条目（F4）时，系统会显示一个字段的可能输入值（值，检查表，匹配码），前提是这些值由开发人员存储。
*   如果用户调用了“可能的条目”，则始终处理事件 PROCESS ON VALUE-REQUEST。
*   要为屏幕上的字段定义可能的值，您需要在屏幕流逻辑的 POV 事件中定义以下内容：

```
PROCESS ON VALUE-REQUEST

FIELD *field name* MODULE *module name*
```

*   对于可能的值，在上面定义的模块内，应该使用通用功能模块 **HELP_VALUES_GET_WITH_TABLE** 从 ABAP 词典中获取可能的值。

There are some other functions that can also be used for input help :**F4IF_FIELD_VALUE_REQUEST**

*   动态调用 ABAP 词典的输入帮助。
*   您可以在导入参数 TABNAME 和 FIELDNAME 中将 ABAP 词典的结构或数据库表的组件名称传递到功能模块。
*   功能模块为该组件启动 ABAP 词典输入帮助。将读取所有相关屏幕字段。
*   如果指定导入参数 DYNPPROG，DYNPNR 和 DYNPROFIELD，则用户的选择将返回到屏幕上的相应字段。
*   如果指定表参数 RETURN_TAB，则所选内容将返回到表中。

```
MODULE VALUE_CARRIER INPUT.

CALL FUNCTION 'F4IF_FIELD_VALUE_REQUEST'

EXPORTING

TABNAME         = 'DEMOF4HELP'

FIELDNAME     = 'CARRIER1'

DYNPPROG       =  PROGNAME

DYNPNR            =  DYNNUM

DYNPROFIELD= 'CARRIER'.

ENDMODULE.
```

**F4IF_INT_TABLE_VALUE_REQUEST**

*   该功能模块显示您在 ABAP 程序中创建的值列表。
*   值列表作为表参数 VALUE_TAB 传递到功能模块。
*   如果指定导入参数 DYNPPROG，DYNPNR 和 DYNPROFIELD，则用户的选择将返回到屏幕上的相应字段。
*   如果指定表参数 RETURN_TAB，则所选内容将返回到表中。

```
CALL FUNCTION 'F4IF_INT_TABLE_VALUE_REQUEST'
EXPORTINGRETFIELD ='CONNID'DYNPPROG = = PROGNAME DYNPNR = DYNNUM DYNPROFIELD ='CONNECTION'VALUE_ORG'='S'TABLES VALUE_TAB
```

That's all to POH and POV. Leave your comments in case of any doubts.