# 什么是临时测试？ 带示例的类型

> 原文： [https://www.guru99.com/adhoc-testing.html](https://www.guru99.com/adhoc-testing.html)

## 什么是临时测试？

**临时测试**是一种非正式的测试类型，旨在破坏系统。 此软件测试类型通常是计划外的活动。 它不遵循任何测试设计技术来创建测试用例。 实际上，它不会完全创建测试用例！

![Adhoc Testing](img/6008c41f2bfa866a1f2e7b74f028c893.png).jpg)

临时测试不遵循任何结构化的测试方式，而是在应用程序的任何部分随机进行的。 该测试的主要目的是通过随机检查发现缺陷。 可以使用称为**错误猜测的软件测试技术来实现即席测试。** 可以由对系统有足够经验的人来“猜测”最可能的错误源，从而进行错误猜测。

此测试不需要遵循任何文档/计划/过程。 由于此测试旨在通过​​随机方法发现缺陷，而没有任何文档，因此缺陷将不会映射到测试用例。 这意味着，有时由于没有映射到测试步骤或要求而很难复制缺陷。

以下视频指导您如何进行临时测试

## 什么时候执行临时测试？

当有限的时间进行详尽的测试时，可以执行临时测试。 通常，临时测试是在正式测试执行之后执行的。 如果时间允许，可以在系统上进行临时测试。 仅在测试人员熟悉被测系统的情况下，临时测试才有效。

## 临时测试的类型

Adhoc 测试有不同类型，它们列出如下：

| **好友测试** | 两个伙伴共同致力于识别同一模块中的缺陷。 通常，一个好友来自开发团队，另一个人来自测试团队。 好友测试可以帮助测试人员开发更好的测试用例，并且开发团队还可以尽早进行设计更改。 此测试通常在[单元测试](/unit-testing-guide.html)完成之后进行。 |
| **配对测试** | 为两个测试人员分配了模块，他们共享想法并在同一台机器上工作以查找缺陷。 一个人可以执行测试，而另一个人可以记录发现。 在测试过程中，人员的角色可以是测试员和划线员。

*比较伙伴测试和配对测试：*伙伴测试是单元测试和[系统测试](/system-testing.html)以及开发人员和测试人员的组合，但是配对测试仅由具有不同知识的测试人员完成 水平。 （有经验和没有经验的人分享他们的想法和观点） |
| **[猴子测试](/monkey-testing.html)** | 在没有**测试用例的情况下随机测试产品或应用程序，目标是**破坏系统。 |

## Adhoc 测试的最佳做法

遵循最佳做法可以确保有效的临时测试。

### **精通商业知识**

测试人员应具有良好的业务知识和对需求的清晰理解-对端到端业务流程的详细了解将有助于轻松地发现缺陷。 有经验的测试人员会发现更多缺陷，因为它们更擅长错误猜测。

### **测试关键模块**

应确定关键业务模块并将其用于即席测试。 应该首先测试关键业务模块，以对系统质量充满信心。

### 记录缺陷

所有缺陷都需要记录或写在记事本中。 必须将缺陷分配给开发人员进行修复。 对于每个有效缺陷，必须编写相应的测试用例&，必须将其添加到计划的测试用例中。

这些[缺陷](/defect-management-process.html)的发现应作为汲取的经验教训，并在我们计划测试用例的同时，反映在我们的下一个系统中。

## 结论：

临时测试的优点是检查测试的完整性并发现比计划测试更多的缺陷。 缺陷捕获测试用例将作为附加测试用例添加到计划的测试用例中。

在软件工程中，临时测试不需要大量详尽的测试计划，文档和[测试用例](/test-case.html)设计，因此可以节省大量时间。