# 关键字驱动测试框架的示例

> 原文： [https://www.guru99.com/keyword-driven-testing.html](https://www.guru99.com/keyword-driven-testing.html)

## 什么是关键字驱动测试？

**关键字驱动的测试**是一种脚本技术，它使用数据文件来包含与要测试的应用程序相关的关键字。 这些关键字描述了执行特定步骤所需的一组操作。

关键字驱动的测试由高级关键字和低级关键字组成，包括关键字参数，该关键字参数用来描述测试用例的行为。 它也称为表驱动测试或基于操作词的测试。

在“关键字驱动测试”中，您首先要确定一组关键字，然后将与这些关键字相关的操作（或功能）相关联。 在这里，每项测试操作（如打开或关闭浏览器，单击鼠标，击键等）都由诸如 **openbrowser，click，Typtext** 等关键字描述。

**例如**：

![Keyword Driven Framework Testing - Complete Tutorial](img/825c05c22130a206ded7ebc9ca319221.png)

1.  **登录**到“ guru99”网站–关键字“登录”将在我们的自动化框架中使用，以测试登录功能或与之相关的操作。
2.  **注销**到“ guru99”网站-关键字“注销”将在我们的自动化框架中使用，以测试注销功能或与之相关的操作。

我们将在本文中进一步看到更多示例。

**关键字示例**

| 关键词 | 描述 |
| 登录 | 登录到 guru99 银行演示站点 |
| 电邮 | 发电子邮件 |
| 登出 | 从 guru99 银行演示站点注销 |
| 通知事项 | 查找未读的通知 |

为了创建关键字驱动的框架，您需要执行以下操作

1.  **Excel 工作表**-识别关键字并将其存储在 Excel 工作表中
2.  **函数库**-函数库由业务流程函数（任何网站的登录按钮）组成。因此，执行测试时，它将从 Excel 工作表中读取关键字并相应地调用函数
3.  **数据表**-数据表用于存储将在应用程序中使用的测试数据
4.  **对象存储库**-基于关键字驱动的框架，您可以使用对象存储库
5.  **测试脚本**-根据框架的设计，您可以为每个手册[测试用例](/test-case.html)或单个驱动程序脚本使用测试脚本

## 为什么进行关键字驱动测试

在软件工程中，由于以下原因，完成了关键字驱动的测试

*   标准库处理的通用组件
*   使用这种方法，可以以更抽象的方式编写测试
*   高度可重复使用
*   脚本的详细信息对用户隐藏
*   用户不必使用脚本语言
*   测试简洁，可维护且灵活

## 如何执行关键字驱动的测试

基于关键字的测试可以通过手动和自动两种方式完成。 但是通常，它与自动化测试一起使用。

自动化基于关键字的测试的目的是

*   它有助于降低维护成本
*   避免重复的规格
*   功能脚本的更多复用
*   更好的测试支持和可移植性
*   用更少或相同的努力来完成更多测试

使用关键字驱动的测试，您可以在开发的早期阶段创建一个简单的功能测试，并逐个测试应用程序。 组成关键字驱动测试的最简单方法是记录它们。 记录后，可以根据要求修改和定制测试。

每个关键字都需要与至少一个命令，测试脚本或函数链接，这些命令，测试脚本或函数实现与该关键字相关的动作。

执行测试用例时，关键字由测试库解释，测试库由测试自动化框架调用。

关键字驱动测试涉及的主要活动是

*   **步骤 1** 。 识别低级和高级关键字
*   **步骤 2** 。 将关键字实现为可执行文件
*   **步骤 3** 。 创建测试用例
*   **步骤 4** 。 创建驱动程序脚本
*   **步骤 5** 。 执行自动化测试脚本

## 用于关键字驱动测试的工具

很少有工具广泛用于关键字驱动的测试。

*   [HP QTP](/quick-test-professional-qtp-tutorial.html)
*   [硒](/selenium-tutorial.html)

## 关键字驱动测试的优势

*   它允许功能测试人员在应用程序准备好之前计划测试自动化
*   无需编程知识即可开发测试
*   它不依赖于特定的编程语言或工具
*   与市场上所有可用的自动化工具兼容

## 样本测试用例

1.  TC_01：登录到 guru99 演示站点，了解今天进行了多少笔交易
2.  TC_02：登录到 guru99 演示站点，向您的一位客户发送电子邮件，然后注销
3.  TC_03：登录 guru99 演示站点并检查是否收到任何通知

**摘要：**

*   关键字驱动的测试是一种脚本技术，它使用数据文件来包含与被测试的应用程序相关的关键字。
*   关键字驱动的测试通常由自动化测试执行。
*   无需编程知识即可开发测试
*   测试与市场上所有自动化工具兼容