# 什么是试点测试？ 定义，含义，示例

> 原文： [https://www.guru99.com/pilot-testing.html](https://www.guru99.com/pilot-testing.html)

## 什么是试点测试？

**试点测试**定义为一种软件测试，可以在实时操作条件下验证系统的组成部分或整个系统。 试点测试的目的是评估研究项目的可行性，时间，成本，风险和性能。

正是在 UAT 和生产之间进行此测试。

在先导测试中，选定的一组最终用户会在完全部署系统之前尝试测试被测系统并提供反馈。

换句话说，这意味着进行彩排以进行随后的可用性测试。

试点测试有助于及早发现系统中的错误。

![Pilot Testing Image](img/7f7098ba93d0d3b6ffe81f83733ae72c.png)

试点测试涉及在客户站点（或用户模拟的环境）上安装系统以进行连续和常规使用的测试。

最常见的测试方法是连续测试系统以找出其薄弱区域。 然后将这些弱点作为错误报告发送回开发团队，并在系统的下一个版本中修复这些错误。

在此过程中，有时还将验收测试作为[兼容性测试](/compatibility-testing.html)的一部分。 这是在开发一种系统来替换旧系统时发生的。

在软件工程中，试点测试将回答诸如产品或服务是否具有潜在市场的问题。

## 为什么要进行试点测试

试点测试的最重要目标是调试将用于测试的软件和过程。

*   这将有助于检查您的产品是否已准备好全面实施
*   这将有助于更好地决定时间和资源的分配
*   它将有机会评估您的目标人群对该计划的反应
*   这将有助于衡量您的计划是否成功
*   这将使团队有机会发现和练习可用性测试期间将要使用的活动。

## 如何进行试点测试

试点测试的级别取决于您的迁移项目的大小和范围。 实际的 Pilot 测试是在专用区域或实验室中进行的，用户在其中模拟软件功能时会运行许多过程，事务和报告。

可以根据项目的环境进行试点测试，

*   对于一般企业，可以对一组用户在数据中心的一组服务器上进行试点测试
*   对于 Web 开发企业，可以通过将站点文件托管在 Internet 上的暂存服务器或文件夹上来进行试点测试
*   对于商业软件供应商，可以与一组特殊的早期采用者进行试点测试。

试点测试涉及以下测试计划

**步骤 1** ：创建试行计划

**步骤 2** ：准备进行先导测试

**步骤 3** ：部署并测试试点测试

**步骤 4：**评估试验测试

**步骤 5：**准备进行生产部署

在进行试点测试之前，需要考虑以下事项：

*   为参与者提供足够的培训
*   部署服务器并为飞行员准备系统的推出计划
*   安装过程的文档
*   每个软件应用程序的测试脚本。 它由要执行的功能清单组成
*   通过使用电子邮件或网站向用户提供不断反馈给设计和测试团队
*   为飞行员设置评估标准，例如有关不满意的用户数量，支持电话和请求数量等信息。
*   与已经为您的项目进行投资并且将定期开会讨论您的进度的社区合作伙伴或利益相关者的工作组合作
*   制定了评估计划和评估工具/工具，以获取有关知识，试点小组的态度和行为变化的必要信息。

在试验测试期间，团队将收集并评估测试数据。 基于这些数据，团队将选择一种策略。

*   **错转**-将新版本的候选对象部署到试验组
*   **回滚**-执行回滚计划以将试验组还原到其先前的配置状态
*   **暂停**-暂停试行测试
*   **修补并继续**-部署修补程序以修复现有解决方案
*   **部署**-继续解决方案的部署

## 试点测试的良好做法

*   在可用性测试之前两天安排试点测试。
*   在所有用户，客户和项目团队同意成功结果的标准之前，请勿启动试点测试
*   要求用户在其材料副本上标记任何问题，描述他们的疑虑，并提出改进建议（如果有）。
*   向用户告知飞行员的目的，时间和进度

## 试验测试示例

以下是试验测试的一些常见示例：

*   Microsoft 运行 Windows Insider 程序进行 Windows 10 试点测试
*   Google 为 Nexus 用户运行 Android Beta 计划，以测试其 Android 操作系统
*   惠普在线运行以对其产品&服务进行试点测试

**摘要**：

*   试点测试是在实时操作条件下验证系统的组成部分或整个系统。
*   正是在 UAT 和生产之间进行此测试。
*   这将有助于检查您的产品是否已准备好全面实施