# 什么是运营验收测试（OAT）？ 示例测试用例

> 原文： [https://www.guru99.com/operational-testing.html](https://www.guru99.com/operational-testing.html)

## 什么是操作测试？

**操作可接受性测试（OAT）**是一种软件测试类型，用于在发布到生产环境之前评估软件应用程序的操作准备情况。 运行测试的目标是确保标准运行环境（SOE）中的系统运行平稳。 它也称为操作测试。

操作验收测试可确保系统和组件符合应用程序的标准操作环境（SOE）。

## 操作测试的类型

*   安装测试
*   加载&性能测试操作
*   备份和还原测试
*   [安全测试](/what-is-security-testing.html)
*   代码分析
*   故障转移测试
*   恢复测试
*   端到端[测试环境](/test-environment-software-testing.html)操作测试
*   运营文件审查

![Operational Testing](img/952d10b9a182df07bc24293a5040359c.png)

## 为什么要进行业务测试

*   在 OAT 软件配置和运营支持过程中，组件组合在一起
*   它在功能或非功能环境中测试软件或服务的功能或结构更改的实现
*   该测试确定是否可以根据 IT 基础结构库（ITIL）标准在网络上部署应用程序
*   它告诉软件是否将按照设计的方式运行而不破坏业务流程
*   OAT 主要关注软件产品的这些方面
    *   弹性
    *   恢复能力
    *   可管理性和可支持性
    *   廉正

## 用于操作测试或 OAT 的示例测试用例

以下是方便进行 OAT 的清单

1.  可以将在一个站点上进行的备份恢复到同一站点上的
2.  在一个站点上进行的备份可以恢复到其他站点上
3.  在实时生产环境中实施任何新功能都不会对当前生产服务的完整性产生不利影响
4.  可以使用有效的文档来复制实施过程
5.  每个组件都可以在约定的时间范围内关闭并成功启动。
6.  对于警报-所有严重警报必须转到 TEC 并参考正确的解决方法文档。
7.  如果超过了约定的阈值，则发出警报并发出警报
8.  产生或更改的任何恢复文档（包括服务图）均有效。 这应该移交给相关的支持领域。
9.  任何组件均受故障影响，应显示建议的重新启动顺序，完成时间等。

**结论：**

在软件工程中，操作测试可确保系统和组件符合应用程序的标准操作环境（SOE）。 OAT 的完整形式是操作验收测试。