# 存储测试教程：什么是类型，概念

> 原文： [https://www.guru99.com/storage-testing.html](https://www.guru99.com/storage-testing.html)

### 什么是存储测试？

存储测试被定义​​为一种软件测试类型，它可以验证被测应用程序是否将相关数据存储在适当的目录中，以及它是否具有足够的空间来防止由于磁盘空间不足而导致意外终止。 也称为**存储性能测试**。

## 为什么要进行存储测试？

*   慢速存储意味着响应时间短，查询运行时间长和应用程序可用性降低
*   慢速存储是维护服务器基础架构的开销
*   它有助于在部署之前找到其实际的存储限制
*   它有助于了解更换或升级新硬件设备时系统的反应

![Storage Testing in Software Testing](img/d8a06ce5411bd7f6e8a0c68772555201.png)

## 储存测试的类型

*   **应用程序测试：**具有类似生产环境的示例查询的应用程序测试
*   **应用程序仿真：**使用类似于目标应用程序的标准软件进行测试
*   **基准测试：**使用标准软件进行测试

## 存储测试期间涉及的常见测试概念

| **存储测试的类型** | **常见的存储测试活动示例** |
| 

*   应用测试：

 | 

*   比较 OLTP 响应时间
*   比较批处理运行时间
*   比较持续流速率

 |
| 

*   应用仿真：

 | 

*   测试数据库的峰值存储 IOPS
*   测试数据流环境或数据流环境的峰值存储
*   测试消息传递或其他单线程应用程序的存储延迟

 |
| 

*   基准测试

 | 

*   测试数据是否损坏

 |

## 执行存储测试时的错误

*   监视错误的服务器性能
*   在不清除服务器缓存的情况下比较存储设备
*   测试期间忘记监视处理器利用率
*   使用文件复制命令测试存储性能

**结论：**

软件工程，存储测试技术可确保被测应用程序将相关数据存储在适当的目录中。