# 无损检测（NDT）

> 原文： [https://www.guru99.com/non-destructive-testing-ndt.html](https://www.guru99.com/non-destructive-testing-ndt.html)

## 什么是无损检测？

**非破坏性测试**是一种软件测试类型，涉及与软件正确交互。 换句话说，NDT（非破坏性测试）也可以称为**阳性测试**或“ **幸福之路**”测试。

它给出了预期的结果，并证明该软件的行为符合预期。

**示例**：-在登录模块中输入正确的数据，并检查其是否接受凭据并导航到下一页

![Non destructive testing (NDT)](img/0b77e44ea0bd02f789735e1290654073.png "Non destructive testing (NDT)")

在本教程中，您将学习-

*   [什么是无损检测？](#1)
*   [为什么要进行无损检测（NDT）？](#2)
*   [何时执行无损检测（NDT）？](#3)
*   [非破坏性测试的测试策略](#4)

要在上面的示例中执行非破坏性测试，请在用户名文本框中输入数字字符。 这样，我们输入了数字字符，期望的结果将是肯定的。

## 为什么要进行无损检测（NDT）？

*   非破坏性测试的主要好处是可以提高软件质量，并且可以修复错误。
*   演示软件功能是否按照规范运行。
*   满足验证性能要求
*   验证是否满足最终用户的要求
*   检查一小段代码或功能是否按预期工作，并且不破坏相关功能。

## 何时执行无损检测（NDT）？

*   这也是测试人员在应用程序上执行的第一种测试形式（即在 SDLC 的初始阶段）
*   当我们没有足够的时间进行测试时，通常会进行无损测试。

## 非破坏性测试的测试策略

*   无损检测方法应该是积极的。
*   测试的目的是证明应用程序可以提供有效的输入数据。
*   对执行非破坏性测试没有特殊要求。
*   非破坏性测试的最佳实践是检查系统是否运行，应该运行什么。

![Non destructive testing (NDT)](img/df262d4e9eeee83665749b3a6be92d1e.png "Non destructive testing (NDT)")

**范例**：-

*   一个应用程序有 5 个模块，即登录页面，主页，用户详细信息页面，新用户创建和任务创建等。
*   假设我们在登录页面中有一个错误，用户名字段接受少于六个字母数字字符。 这违反了设定的要求，该要求规定用户名不能接受少于六个字符。 因此，在上述情况下，这是一个错误。
*   现在，将错误报告给开发团队，并将其修复并再次发送给测试团队。 测试团队不仅检查修复了缺陷的登录页面，还测试其他模块。 在测试所有模块时，它执行无损类型的测试，只是为了检查整个应用程序是否正常工作。

**摘要：**

*   软件测试是用于发现软件缺陷，建立指定质量等级的过程。
*   非破坏性测试正在验证软件中符合要求的积极结果。

***本文由“ Suchita Rao”提供***