# 2020 年 10 种最佳探索性测试工具

> 原文： [https://www.guru99.com/exploratory-testing-tools.html](https://www.guru99.com/exploratory-testing-tools.html)

探索性测试是一种软件测试，其中不预先创建测试用例，但测试人员可以即时检查系统。 这种类型的测试使您无需太多计划即可同时执行测试设计和执行。

以下是精选的顶级免费探索测试工具，以及它们的流行功能和网站链接。 该列表同时包含开源（免费）和商业（付费）软件。

### 1）臭虫磁铁

Bug Magnet 是用于 Chrome 和 Firefox 的会话测试器。 该工具可帮助您包括常见的问题值和极端情况。 在探索性测试期间，它提供了便捷的访问方式。

![](img/985d2f7d6510febc7cd0b476663ee1d1.png)

**功能：**

*   允许您扩展自定义配置文件
*   仅当它们属于同一域时才可在多框架页面上使用
*   完全被动，因此此软件永远不会干扰您的 Web 应用程序测试执行

**链接：** [https://chrome.google.com/webstore/detail/bug-magnet/efhedldbjahpgjcneebmbolkalbhckfi](https://chrome.google.com/webstore/detail/bug-magnet/efhedldbjahpgjcneebmbolkalbhckfi)

* * *

### 2）探索性测试 Chrome 扩展程序

这是一个 chrome 扩展程序，用于网络探索性测试。 此扩展程序报告错误，想法，注释等。

![](img/e612f75fee51cb3db77bb121d4900c9f.png)

**Features:**

*   轻松报告错误，想法，注释和问题
*   在会议期间截屏。 保持专注
*   帮助您自动跟踪 URL
*   在报告中查看会议结果
*   保存和导入会话
*   将会话导出为 JSON，CSV 或 HTML 格式。

**链接：** [https://chrome.google.com/webstore/detail/exploratory-testing-chrom/khigmghadjljgjpamimgjjmpmlbgmekj](https://chrome.google.com/webstore/detail/exploratory-testing-chrom/khigmghadjljgjpamimgjjmpmlbgmekj)

* * *

### 3）Qtest 资源管理器

QTest 是易于使用的，可扩展的测试管理解决方案，它使测试人员可以集中并加速测试管理。 QTest 探索性测试工具使 QA 流程的每个步骤更简单，更有效。

![](img/4721de3a2615e11908ac81286ac5abd4.png)

**Features:**

*   QTest 集中了测试自动化管理，并与任何开源或专有测试自动化工具集成。
*   为企业级测试管理解决方案留下遗产
*   QTest 通过实时 Jira 集成简化了开发人员-测试人员的调整
*   使用您的 Jira 数据创建有意义的报告
*   与敏捷和 DevOps 工具无缝集成。

**链接：** [https://www.tricentis.com/products/agile-dev-testing-qtest/exploratory-testing-qtest-explorer/](https://www.tricentis.com/products/agile-dev-testing-qtest/exploratory-testing-qtest-explorer/)

* * *

### 4）Azure 测试计划

Azure 测试计划探索性测试工具，可帮助您提高应用程序的代码质量。

![](img/7ce3e2fe0ce8e0e180c6fdc1e305c7c8.png)

**Features:**

*   捕获丰富的方案数据以进行探索性测试
*   通过跨桌面或 Web 应用程序执行测试，它可以帮助您测试应用程序。
*   它允许您计划，执行和跟踪具有可操作缺陷的脚本化测试。

**链接：** [https://azure.microsoft.com/en-in/services/devops/test-plans/](https://azure.microsoft.com/en-in/services/devops/test-plans/)

* * *

### 5）Test Studio 探索

Telerik Studio 是一种探索性测试工具，用于测试所有 Windows 操作系统的 Web 和桌面应用程序。 它允许您测试 Web 和移动应用程序的功能，负载以及性能。 它还提供了一个插件来检查跨浏览问题。

![](img/94c905826a9d9ddec125cff217202ad4.png)

**Features:**

*   内置对 Telerik UI 控件的支持
*   它可以帮助您捕获错误并在探索性测试会话中发送反馈。
*   测试 HTML 弹出窗口和浏览器对话框
*   支持 JavaScript 调用和日志记录
*   允许持续集成使用构建服务器
*   它设计轻巧，方便，并且易于启动和访问。

**链接：** [https://www.telerik.com/teststudio](https://www.telerik.com/teststudio)

* * *

### 6）TestRail

TestRail 是一个非常全面的基于 Web 的测试用例管理软件和探索性测试工具。 该工具有效地管理，跟踪和组织了软件测试工作。

![](img/5a2193bb0a7d1fdcc3783897c371b382.png)

**Features:**

*   它可帮助您通过仪表板和活动报告跟踪并跟踪各个测试，里程碑和项目的状态。
*   执行测试并跟踪即时结果
*   提供测试可行的报告，指标和实时见解
*   您可以与错误跟踪器集成

**链接：** [https://www.gurock.com/testrail](https://www.gurock.com/testrail)

* * *

### 7）SmartBear 和风

SmartBear Zephyr 是另一个有用的探索性测试工具。 它为各种规模的敏捷团队提供端到端解决方案。 它还提供与 JIRA，Jenkins，Bamboo 等的单击集成。

![](img/0729017424cf17acbb6f3ebfcd621996.png)

**Features:**

*   先进的分析和 DevOps 仪表板
*   允许您捕获为图像批注工具以解决 Jira 问题
*   无需年度承诺
*   云，服务器和数据中心部署选项
*   帮助您通过协作软件测试来教敏捷团队成员

链接： [https://www.getzephyr.com/insights/why-capture-jira-essential-exploratory-testing-tool](https://www.getzephyr.com/insights/why-capture-jira-essential-exploratory-testing-tool)

* * *

### 8）快速记者

Rapid Reporter 是探索性笔记应用程序。 它的工作方式是在不间断的测试会话中记录笔记，然后再查看这些笔记。

![](img/3cbec56a0878a92bd14d26474d91c2d1.png)

**Features:**

*   它是一个独立的工具，因此不需要安装。 您可以通过 USB 磁盘上的密钥在不同的计算机上使用它。
*   它始终位于屏幕顶部，因此您无需在他们的桌面上进行搜索。
*   您可以一对一地做笔记。
*   在方向键的帮助下，键入时可以更改音符类型。
*   该应用程序允许您按需拍摄屏幕截图
*   您可以将注释保存在 CSV 文本文件中，这有助于您将文本灵活性与电子表格结合起来。

**链接：** [http://testing.gershon.info/reporter/](http://testing.gershon.info/reporter/)

* * *

### 9）强奸

Rapise 探索性测试工具可帮助您测试所有内容：Web，移动，桌面和& API。 它使您可以自动化，记录测试，并在其易于使用的基于电子表格的编辑器中对其进行编辑。

![](img/fe96fa52f28fb4ffc602abc8bb2f7674.png)

**Features:**

*   提供快速可靠的无纸屑自动化
*   Rapise 为 Dynamics AX，CRM，NAV 和 Office 365 提供支持
*   Rapise 为硒和 Appium 提供支持
*   它允许您使用拖放来创建和优化测试。

**链接：** [https://www.inflectra.com/Rapise/](https://www.inflectra.com/Rapise/)

* * *

### 10）SpiraCapture

SpiraCapture 是一个探索性测试工具 Chrome 扩展程序。 该工具记录并组织您的测试会话。 它是一个免费工具，因此您无需连接任何其他软件。

![](img/da09a75a077ff1e555cfb51f3b22bac7.png)

**Features:**

*   帮助您捕获活动并记下发生的事情的注释或屏幕截图
*   允许您捕获击键，单击，URL 更改和网络错误
*   仅将录制内容限制为您选择的浏览器
*   提供简化与团队的沟通。

**链接：** [https://chrome.google.com/webstore/detail/spiracapture-exploratory/naknodgmafmgdbpkjbanlgnhlpificmj](https://chrome.google.com/webstore/detail/spiracapture-exploratory/naknodgmafmgdbpkjbanlgnhlpificmj)