# 前 15 个自动化测试面试问题&答案

> 原文： [https://www.guru99.com/automation-testing-interview-questions.html](https://www.guru99.com/automation-testing-interview-questions.html)

以下是针对新生和经验丰富的质量检查专业人员的面试中的常见问题。

**1）什么是自动化测试？**

自动化[测试](/software-testing.html)是一种使用自动化工具来编写和执行测试人员的测试脚本和案例的技术。

[自动化测试](/automation-testing.html)的主要目标是减少手动运行的测试用例的数量，而不是完全消除[手动测试](/manual-testing.html)。

**2）什么时候可以自动化测试？**

在以下情况下首选自动化

*   重复性任务
*   烟雾和健康测试
*   使用多个数据集进行测试
*   回归测试用例

通常，该决定基于 ROI（投资回报率）

**3）什么时候不进行自动化测试？**

在以下情况下，不应自动执行

*   当被测应用程序频繁更改时
*   一次测试用例
*   Adhoc –随机测试

**4）自动化过程涉及哪些步骤？**

在自动化过程中，涉及的步骤是

*   选择测试工具
*   定义自动化范围
*   规划，设计和开发
*   测试执行
*   保养

**5）在自动化计划阶段涉及哪些要点？**

在自动化的计划阶段，必须注意的事项是

*   选择“正确的”自动化工具
*   选择自动化框架（如果有）
*   自动化范围内和范围外项目的列表
*   测试环境设置
*   为测试脚本开发&执行，准备项目时间表的授权图。
*   识别测试成果

![](img/1b5d194ce2210ad1ef6b56fb5133fdc9.png)

**6）在什么情况下我们不能对敏捷方法使用自动化测试？**

在以下情况下，自动化测试对敏捷方法没有用处

*   当敏捷测试总是要求改变需求时
*   当敏捷中需要详尽的文档记录时
*   仅适用于敏捷测试（例如持续集成）中的那些回归测试

**7）好的自动化工具的主要特征是什么？**

*   测试环境支持，易于使用
*   良好的调试工具
*   可靠的物体识别
*   对象和图像测试能力
*   对象识别
*   数据库测试
*   支持多种框架

**8）软件自动化测试中使用的框架类型是什么？**

在软件自动化测试中，使用了四种类型的框架：

*   数据驱动的自动化框架
*   关键字驱动的自动化框架
*   模块化自动化框架
*   混合自动化框架

**9）执行自动化测试时脚本标准是什么？**

在编写自动化脚本时，您必须考虑以下事项，

*   统一的命名约定。
*   每 10 行代码 3 行注释
*   足够的缩进。
*   健壮的错误处理和恢复方案
*   尽可能使用框架

**10）自动化测试中最受欢迎的工具是什么？**

用于自动化测试的最受欢迎的测试工具是

*   QTP（HP UFT）
*   理性机器人
*   硒

**11）您可以在什么基础上确定自动化测试的成功？**

通过遵循标准，可以映射自动化测试的成功

*   缺陷检出率
*   自动化执行时间并节省发布产品的时间
*   减少人工&其他费用

**12）可以列出手动测试的一些缺点吗？**

*   手动软件测试需要更多时间和更多资源。
*   不准确
*   重复执行相同的测试用例容易出错并且很无聊。
*   在大型项目和有时间限制的项目上进行手动测试是不切实际的。

**13）告诉我您对硒**的了解

Selenium 是一个免费的（开放源代码）测试自动化库。 它用于自动化 Web 和移动环境。 它包括

1.  Selenium IDE（浏览器插件–记录和播放工具）
2.  Selenium WebDriver
3.  硒网格（分布式测试）

Selenium 支持使用 Java，C＃，Python，Ruby，PHP，Perl，Javascript 等语言编写脚本。

**14）告诉我有关 QTP 的问题**

QTP（快速测试专家）现在称为 HP UFT。 它是一种商业自动化工具，支持多种测试环境，包括 Web，桌面，SAP，Delphi，Net，ActiveX，Flex，Java，Oracle，Mobile，PeopleSoft，PowerBuilder，Siebel，Stingray，Visual Basic 等。

脚本语言是 VBScript。 该工具与 HP ALM（测试管理工具）和 HP LoadRunner（性能测试工具）可以很好地融合在一起。

QTP 的主要功能包括业务流程测试，关键字驱动的框架，XML 支持，强大的检查点，测试结果。

**15）解释什么是 Sikuli？**

Sikuli 是一种使用“可视图像匹配”方法来自动化图形用户界面的工具。 Sikuli 中的所有 Web 元素都应作为图像并存储在项目中。

Sikuli 由

*   西库利脚本
*   Jython 的可视脚本 API
*   Sikuli IDE

Sikuli 的实际用途是

*   它可以用于自动化 Flash 网站或对象
*   它可以自动执行基于窗口的应用程序以及您在屏幕上看到的所有内容，而无需使用内部 API 支持
*   它提供了简单的 API
*   它可以轻松地与 Selenium 之类的工具链接
*   桌面应用程序可以自动化
*   Sikuli 提供了广泛的支持来自动执行 Flash 对象
*   为了自动化桌面，它使用了功能强大的“ Visual Match”和 Flash 对象
*   它可以在任何技术上运行-.NET，Java，

**16）提及硒和 Sikuli 有什么区别？**

| **Sikuli** | **硒** |
| 

*   它提供​​了广泛的支持以使 Flash 对象自动化。
*   它具有简单的 API
*   它使用视觉匹配在屏幕上查找元素。 因此，我们可以自动化屏幕上显示的所有内容
*   它可以自动化 Web 和 Windows 应用程序

 | 

*   它无法自动执行视频播放器，音频播放器，
*   之类的 Flash 对象。它具有复杂的 API
*   它没有视觉匹配项。 仅网络应用程序

 |

[免费 PDF 下载：自动化测试面试问题&答案](#)