# 前 25 个数据库测试面试问题&答案

> 原文： [https://www.guru99.com/database-testing-interview-questions.html](https://www.guru99.com/database-testing-interview-questions.html)

以下是针对新手和经验丰富的测试人员的常见 SQL 面试问题。

**1）什么是数据库测试？**

数据库测试也称为后端测试。 数据库[测试](/software-testing.html)分为四个不同的类别。

*   数据完整性测试
*   数据有效性测试
*   数据库相关性能
*   功能，过程和触发器的测试

**2）在数据库测试中，我们需要正常检查哪些内容？**

通常，我们在数据库测试中检查的内容是：

*   约束检查
*   验证字段大小
*   存储过程
*   将应用程序字段大小与数据库匹配
*   基于性能的问题的索引

**3）解释什么是数据驱动测试？**

在数据表中，为了测试多个数据，使用了数据驱动测试。 通过使用它，可以轻松地同时从不同位置替换参数。

**4）什么是联接并提及不同类型的联接？**

联接用于显示两个或两个以上的表，联接的类型为：

*   自然加入
*   内部联接
*   外连接
*   交叉连接

外部联接又分为两个部分：

*   左外连接
*   右外连接

**5）什么是索引，并提及不同类型的索引？**

索引是数据库对象，它们在列上创建。 为了快速获取数据，需要经常访问它们。 不同类型的索引是：

*   B 树索引
*   位图索引
*   聚集索引
*   覆盖指数
*   非唯一索引
*   唯一索引

**6）在测试存储过程时，测试人员应采取哪些步骤？**

测试人员将检查存储过程的标准格式，并检查字段是否正确，如存储过程中提到的更新，联接，索引，删除。

**7）您是否知道数据库触发器是否触发触发器？**

在查询公共审核日志时，您将知道是否触发了触发器。 在审核日志中，您可以看到触发的触发器。

**8）在数据库测试中，测试数据加载的步骤是什么？**

需要遵循以下步骤来测试数据加载

*   源数据应该是已知的
*   目标数据应该是已知的
*   源和目标的兼容性应检查
*   在 [SQL](/sql.html) 企业管理器中，打开相应的 DTS 程序包后运行 DTS 程序包
*   您必须比较目标和数据源的列
*   应检查目标和源的行数
*   更新源中的数据后，检查更改是否出现在目标中。
*   检查 NULL 和垃圾字符

**9）在不使用数据库检查点的情况下，如何在 QTP 中测试 SQL 查询？**

通过在 VBScript 中编写脚本过程，我们可以连接到数据库并可以测试查询和数据库。

**10）说明如何在 QTP 中使用 SQL 查询？**

在使用输出数据库检查点和数据库检查的 [QTP](/quick-test-professional-qtp-tutorial.html) 中，必须选择 SQL 手动查询选项。 选择手动查询选项后，输入“选择”查询以获取数据库中的数据，然后比较预期的和实际的。

**11）为数据库测试编写测试用例的方式是什么？**

编写测试用例就像进行功能测试一样。 首先，您必须了解应用程序的功能要求。 然后，您必须确定用于编写测试用例的参数，例如

*   目标：写下您要测试的目标
*   输入法：编写要执行的操作或输入法
*   预期：它应如何出现在数据库中

**12）要管理和操作测试表，您在数据库测试中使用了哪些 SQL 语句？**

SELECT，INSERT，UPDATE，DELETE 等语句用于操作表，而 ALTER TABLE，CREATE TABLE 和 DELETE TABLE 用于管理表。

**13）如何测试数据库过程和触发器？**

要测试数据库过程和触发器，必须知道输入和输出参数。 EXEC 语句可用于运行过程并检查表的行为。

*   在解决方案资源管理器中打开数据库项目
*   现在在“查看”菜单中，单击数据库架构
*   从架构的“视图”菜单中打开项目文件夹
*   右键单击要测试的对象，然后单击“创建单元测试”对话框。
*   之后，创建一个新的语言测试项目
*   选择 a）插入单元测试或 b）创建一个新测试，然后单击确定。
*   通过单击“项目配置”对话框，可以完成必须配置的项目。
*   配置完成后，单击“确定”。

**14）如何从需求中编写测试用例，需求是否代表 AUT（被测应用程序）的确切功能？**

要根据需求编写测试用例，您需要在功能方面彻底分析需求。 之后，您考虑使用适当的测试用例设计技术（例如，等效划分，黑盒设计，因果图绘制等）编写测试用例。是的，这些要求代表了 AUT 的确切功能。

**15）什么是 DBMS？**

DBMS 代表数据库管理系统，有不同类型的 DBMS

*   网络模型
*   层次模型
*   关系模型

**16）什么是 DML？**

DML 代表数据操作语言，用于管理具有模式对象的数据。 它是 SQL 的子集。

**17）什么是 DCL 命令？ DCL 使用的两种命令类型是什么？**

DCL 代表数据控制语言，用于控制数据。

DCL 命令的两种类型是：

授予：通过使用此命令，用户可以访问数据库的特权

撤消：通过使用此命令，用户无法访问数据库

**18）什么是白盒测试和黑盒测试？**

黑匣子测试是指在给出特定输入时测试软件的输出。 通常执行此测试以查看软件是否满足用户要求。 没有期望用于运行此测试的特定功能输出。

进行白盒测试以检查程序代码和逻辑的准确性。 该测试由了解系统逻辑流程的程序员完成。

**19）QTP 如何评估测试结果？**

测试完成后，QTP 将生成报告。 此报告将显示测试期间检测到的检查点，系统消息和错误。 测试结果窗口将显示在检查点遇到的任何不匹配情况。

**20）解释 QTP 测试过程？**

*   QTP 测试过程基于以下步骤：
*   创建 GUI（图形用户界面）映射文件：标识必须测试的 GUI 对象
*   创建测试脚本：记录测试脚本
*   调试测试：应调试测试
*   运行测试：应该运行测试用例。
*   查看结果：结果反映了测试的成功或失败
*   报告检测：如果测试失败，则原因将记录在报告检测文件中

**21）什么是负载测试并提供一些示例？**

要测量系统响应，请完成负载测试。 如果负载超过用户模式，则称为压力测试。 负载测试的示例包括下载大文件集，在一台计算机上执行多个应用程序，使服务器接收大量电子邮件以及将许多任务一个接一个地分配给打印机。

**22）如何手动测试数据库？**

手动测试数据库涉及检查后端的数据，并查看前端数据的添加是否影响后端，删除，更新，插入等操作也是如此。

**23）RDBMS 代表什么？SQL 使用什么重要的 RDMBS？**

RDBMS 代表使用 SQL 的关系数据库管理系统，SQL 使用的重要 RDBMS 是 Sybase，Oracle，Access，Ingres，Microsoft SQL Server 等。

**24）什么是性能测试？性能测试的瓶颈是什么？**

性能测试确定计算机系统性能的速度。 它包括定量测试，例如响应时间测量。 性能测试中的问题是，您始终需要训练有素且经验丰富的人力，而且所使用的工具昂贵。

**25）什么是 DDL，它们的命令是什么？**

为了定义数据库结构，开发人员使用 DDL。 DDL 代表数据定义语言。 各种 DDL 命令包括创建，截断，删除，更改，注释和重命名。

[免费 PDF 下载：数据库测试面试问题&答案](#)

上面的数据库/ SQL 测试面试问题将对新生和经验丰富的 QA 工程师有所帮助。 请与朋友和同事分享页面。