# QTP / UFT 中的关键字和专家视图

> 原文： [https://www.guru99.com/uft-qtp-keyword-expert-view.html](https://www.guru99.com/uft-qtp-keyword-expert-view.html)

本教程将深入介绍 Micro Focus UFT 的关键字视图和专家视图。

### 什么是专家视图？

在专家视图中，每一行代表 VB 脚本中的“测试步骤”。 考虑以下代码

```
Dialog("Login").WinEdit("Agent Name:").Set "Guru99"

```

在对象类型之后的括号中显示**对象的名称。 在这里，对象名称是登录名，对象类型是对话框**

**对象层次结构中的对象由“点”** 分隔。此处 Dialog 和 WinEdit 属于同一对象层次结构。 只是为了透视起见，对象层次结构是面向对象的概念，其中一组对象以父子关系分组在一起。 在我们的例子中，对话框是父对象，而 WinEdit 是子对象

对对象执行的**操作始终显示在语句**的末尾，并显示与该操作关联的任何值。 在这里，使用 Set 方法将“ Guru99”一词插入到 AgentName 编辑框中

语句非专家视图的语法是 GUI 对象，在其上执行操作及其完整层次结构，然后是对对象的操作以及与该操作关联的值

```
ParentObject(Name).ChildObject1(Name)...ChildObjectN(Name).Operation

```

## 如何在专家视图中开发脚本

带有关键要点的视频抄本**突出显示了**

*   假设我的目标是直接在关键字视图中编写以下语句
*   对话框（登录）.WinEdit（代理名称:)。设置 Guru99
*   在 QTP 屏幕中，当我按下 **Cntrl +空格键，**时，将显示一个包含所有可能属性的列表，其中显示了方法
*   此外，该列表还显示了存储在对象存储库中的对象
*   选择对话框
*   打开**括号**时，将自动填充对象名称登录，如果同一对象类型有多个对象，则会显示一个列表
*   在按。 **键**显示 Dialog 对象及其子对象的所有方法的列表。 选择 WinEdit
*   输入点运算符后，将显示 Winedit 框的方法列表，选择 SET。

## 什么是关键字视图？

关键字视图由**表格视图**组成，其中**每个步骤**是表格中的**单独行**，**每个列**代表不同 部分步骤。

*   “项目”列包含您要在其上执行步骤的项目。 此列使用图标显示在其上执行操作的 GUI 对象的层次结构
*   “操作列”包含要对该项目执行的操作。
*   值列包含所选操作的参数值，
*   HP QTP 自动记录每个步骤，以便在文档列中轻松理解
*   这 4 列是默认列，但您也可以在“关键字视图”中使用分配&注释列

关键字视图就这些了

### 比较关键字和专家视图

如果在 QTP / UFT 中比较一行脚本，则会观察到在两个专家&关键字视图中都显示了相同的对象层次结构，并且它们映射到相同的操作和参数值。

本质上，关键字&专家视图包含相同的数据，但格式不同。

实际上，您可以执行所有操作，例如创建，修改步骤。 使用关键字视图，但要掌握该工具，我们将自己局限于专家视图