# QTP / UFT 中的检查点与示例

> 原文： [https://www.guru99.com/uft-qtp-checkpoints.html](https://www.guru99.com/uft-qtp-checkpoints.html)

### QTP 中的检查点是什么？

检查点是验证点，用于将对象的指定属性的当前值与期望值进行比较。 如果当前值和期望值匹配，则生成“通过”状态，否则生成“失败”状态。

## Micro Focus UFT 中检查点的类型

下面有许多类型的检查点

1.  **标准检查点：**它将记录过程中捕获的对象属性的预期值与运行会话期间**对象的当前值**相比较
2.  页面检查点：为网页创建的标准检查点可以称为页面检查点。 它用于检查网页上链接&图像的总数。 页面检查点可用于检查加载时间，即加载网页所需的时间。
3.  **位图检查点**帮助用户检查图像或整个网页的位图。 它在实际图像和预期图像之间进行逐像素比较。
4.  **图像检查点**使您可以检查 Web 图像的源文件位置之类的属性。 与位图检查点不同，您不能使用图像检查点检查像素（位图）。
5.  **文本检查点**用于检查网页或应用程序中的预期文本。 此文本可能来自应用程序的特定区域，也可能来自显示的一小部分文本
6.  **可访问性检查点**验证对基于 Web 的技术和信息系统的万维网联盟（W3C）指令和指南的遵守情况。 这些准则使残障人士易于访问网络。
7.  **数据库检查点**在记录时间创建查询，并将数据库值存储为预期值。 在运行时执行相同的查询，并比较实际的&期望值。
8.  在**表检查点**中，您可以动态检查环境中出现的表（网格）的单元格内容。 您还可以检查各种表格属性，例如行高，单元格宽度等。 表检查点类似于数据库检查点
9.  使用 **XML 检查点**可以验证 XML 数据，XML 模式，XML 数据

## 如何在 QTP 中使用检查点？

录像带

*   您可能已经注意到，为我们的测试脚本生成的结果没有通过/失败状态，否则我们的自动化就不完整
*   对于我们的方案，预期的测试结果应为-航班预订窗口，该窗口应在输入有效的用户名和密码后出现。 为此，我们需要记录一个额外的步骤＃6，即显示“检查航班预订窗口” ...
*   可以使用 Checkpoint 实现此验证步骤的自动化。 让我们继续记录第 6 步。要添加检查点，请右键单击第 5 步，然后再插入检查点。 选择“插入标准检查点”。 “检查点属性”对话框打开。
*   QTP 将默认名称分配给检查点。 您可以输入您的首选名称
*   该表显示了所有记录的属性以及对象的相应值。 选择标记表明将检查这些属性
*   ABC 图标指示属性值是一个常数。 如果参数化任何选定的属性，则图标会相应更改
*   让我们坚持默认值，并在当前步骤之后插入该语句。 点击确定
*   在第 6 行插入带有检查点名称的检查语句，让脚本重播
*   该脚本给出了运行时错误
*   **嗯，这是初学者**的常见错误来源，发生的原因是，在步骤＃5，QTP 关闭了航班预订屏幕，当执行到步骤＃6 时，没有航班预订屏幕。 属性。 **您需要确保在 QTP 执行检查点步骤**时，正在验证的对象可用。
*   可以通过更改测试步骤的顺序来纠正此错误。 您需要切换步骤 5 &步骤 6。在新方案步骤中，步骤 5 是验证是否存在航班预订窗口，而步骤 6 是关闭应用程序
*   在 HP QTP 中，您只需要剪切步骤 6 并将其粘贴到步骤 5 的位置。 让我们再次重播脚本。 脚本通过，结果树给出了比较的检查点值。 这就是标准检查站的全部内容

该视频教程演示了 Quick Test Professional 中不同类型的**检查点**