# QTP / UFT 中的本地&共享对象存储库

> 原文： [https://www.guru99.com/uft-qtp-local-shared-object-repository.html](https://www.guru99.com/uft-qtp-local-shared-object-repository.html)

### QTP 中的对象存储库是什么？

对象存储库是测试对象和 QTP 识别的用于处理它的信息的集合。 用户记录测试时，默认情况下会捕获对象及其属性。

在本教程中，您将学习-

*   [对象标识在 QTP 中如何工作？](#1)
*   [对象存储库](#2)的类型
*   [本地对象存储库](#3)
*   [共享库：创建，关联，编辑](#4)

### 对象识别在 QTP 中如何工作？

*   HP QTP 使用类似“人类”的技术进行对象识别
*   在记录期间，时间 QTP 尝试了解对其执行操作的 GUI 对象的属性。
*   在运行期间，Micro Focus UFT 会将存储的对象属性与屏幕上可用对象的实际属性进行比较，并唯一标识一个对象，而与对象在屏幕上的位置无关
*   存储的对象及其属性称为 TEST 对象
*   在运行时，被测应用程序上可用的实际对象称为运行时对象
*   这是快速测试“测试对象模型”
*   有关测试对象的信息存储在对象存储库中
*   外接程序有助于提前指示要记录的对象的性质的快速测试，从而减少了学习其属性所需的时间

通过以下视频中的示例了解对象识别

## 对象存储库的类型

QTP 中有两种类型的对象存储库

1.  本地对象存储库
2.  共享库

## 本地对象存储库

*   本地对象存储库是默认的对象存储库
*   它特定于操作，并且只能用于特定操作
*   如果应用程序相对于时间不是动态的，则最好使用本地对象存储库
*   本地对象存储库无法重用
*   您可以在本地对象存储库中执行许多操作，例如-

*   在测试中突出显示存储在存储库中的对象
*   检查您的 AUT 中的特定对象是否存储在对象存储库中
*   剪切，复制，粘贴，修改和删除对象
*   如果您不小心修改了属性的值，则可以使用更新功能从应用程序更新其描述。

## 共享库：创建，关联，编辑

*   当应用程序是动态的并且对象描述频繁更改时，最好使用全局或共享对象存储库
*   在共享和本地对象存储库之间，共享对象存储库在自动化项目中更常用
*   但是，与本地对象存储库相比，它具有维护和管理开销。

要创建和使用共享库，您需要执行三个主要步骤

*   创建共享库
*   关联共享库
*   编辑共享库

让我们一次看看他们

**步骤 1）创建共享库**

*   默认情况下，所有存储库都是本地的。 若要创建共享库，请在“对象库”对话框中，单击“文件>”，然后单击“导出本地对象”。
*   存储库文件的扩展名为.tsr。给一个合适的名称说“ guru99”并保存
*   现在已创建共享存储库文件

**步骤 2）关联共享对象存储库**

*   下一步是将存储库与您的测试相关联，从而使您可以使用它
*   要将存储库与测试关联，请单击资源>关联存储库
*   您可以选择存储库以与测试中可用的操作相关联。
*   现在您可以使用此共享存储库来开发测试

**第 3 步）编辑共享库**

*   您可以使用对象库管理器来编辑共享库。
*   选择资源>对象存储库管理器。 打开我们创建的对象存储库“ guru99”
*   默认情况下，存储库以只读模式打开。 要启用编辑，请单击文件>启用编辑
*   启用编辑后，您可以执行所有操作，例如剪切，复制，粘贴，重命名对象等，这些操作也可以在对象存储库中进行
*   使用对象库管理器可以比较两个对象库。 QTP 将为您提供两个存储库中唯一和共同之处的静态信息
*   您可以使用对象存储库合并工具将两个存储库合并为一个