# 如何通过 3 个简单的步骤在 QTP / UFT 中使用功能

> 原文： [https://www.guru99.com/uft-qtp-functions-library-call.html](https://www.guru99.com/uft-qtp-functions-library-call.html)

如果您的代码段需要在测试中多次使用，则可能需要创建一个用户定义的函数。 通过使用用户定义的功能，您的测试将变得更短，更易于设计，读取和维护

Micro Focus UFT 中您自己的函数库可以包含 [VBScript](/vbscript-tutorials-for-beginners.html) 函数，子例程，模块等。

您需要按照 **3 个简单步骤**在测试中使用库中的函数

**步骤 1）**在 HP QTP 中创建新的功能库。 选择文件>新建>功能库。 它在 QTP 中作为新选项卡打开。

让我们创建一个显示消息框的非常简单的功能。

```
Function Demo

MsgBox "This is a Test Function"

End Function
```

因此，无论何时调用此函数，都必须显示一个消息框。 您可以在同一文件中定义多个功能。 让我们保存功能。 函数具有扩展名 **.qfl**

**步骤 2）** 将库与您的测试相关联。 单击文件>设置>资源>关联功能库。单击添加。 选择功能库文件。 单击确定

**步骤 3）**在测试脚本中调用该函数的最后一步

**重要说明**

*   使用 COM，DCOM 对象可以创建非常高级的功能
*   实际上，QTP 提供的许多功能都可以使用 VBScript 进行编码
*   我们已经看到自动化工程师将其更多地作为 VB 项目而不是自动化项目
*   我们的建议是专注于 100％自动化，而不是炫耀您的 VB 技能