# QTP / UFT 中的业务流程测试（BPT）框架

> 原文： [https://www.guru99.com/business-process-testing-bpt-tutorial.html](https://www.guru99.com/business-process-testing-bpt-tutorial.html)

### 什么是业务流程测试？

BPT 是由一系列业务组件组成的方案，旨在验证被测应用程序中的特定业务流程。

BPT 代表业务流程测试，它是与 Quality Center 结合使用的内置 Micro Focus UFT 自动化框架。 BPT 帮助您将业务分析师置于自动化过程中。 他们还可以设计自动化方案并根据其要求执行，而无需自动化/编码知识

以下是 BPT 框架的构建基块

*   组件
*   应用领域
*   流量
*   业务流程测试

**组件：**（也称为业务组件）是一组可重复使用的自动化语句，用于在 AUT 中执行特定的预定义任务。 它类似于 [VBScript](/vbscript-tutorials-for-beginners.html) 功能和 QTP 动作，但设计用于 BPT 框架。

**应用程序区域：**这是一个存储库，其中包含开发业务组件所需的所有资源。 资源包括共享对象存储库； 可重用的功能库…等 它是一个逻辑实体，您无法看到其在文件系统中的物理存在。

**业务流程测试：**一种场景，包含业务组件的串行流，旨在测试应用程序的特定业务流程。

**流程：**有时，您需要在多个 BPT 中以相同的顺序使用相似的组件。 无需在每个 BPT 中添加相同的组件，而是可以创建业务组件流。 可以直接调用 Flow，而不必分别调用每个 Component。

## 为什么选择 BPT？

下面提到的传统自动化存在一些挑战：

*   手动测试人员/主题专家与自动化测试人员之间缺乏协调。
*   手动测试人员在自动化过程中不起作用。
*   自动化开发中缺乏标准。
*   如果没有智能框架，就有可能需要大量维护工作。
*   通常，自动化测试人员没有良好的应用知识，并且他倾向于开发效率低下的脚本

BPT 通过标准化框架克服了上述挑战，该框架将 SME /手动测试仪作为自动化开发的一部分，并定义了开发 BPT 的标准流程。

手动测试人员为所需功能设计手动组件，该组件由自动化测试人员自动进行。 手动/自动化测试人员将按顺序排列这些自动化组件以形成 BPT，这将成为测试场景。

BPT 定义了由各种资源执行的不同角色。 BPT 帮助优化资源利用及其专业知识。 在 BPT ar **e** 中的角色分类如下：

*   中小企业
*   QTP 专家
*   测试仪

**SME：** SME 是具有相关应用知识的[业务分析师](/business-analyst-tutorial-course.html)或手动测试人员。 他们设计了手动的业务组件，这些组件将测试特定的操作或功能。 在设计手册“业务组件”时，他们将明确提及测试步骤和预期结果。

**QTP Expert：** QTP Experts 通过自动执行手动组件中提到的步骤，将手动业务组件转换为自动化组件。

一旦设计了组件，SME 或 QTP 专家将安排这些组件形成 BPT，从而形成测试方案。

**测试人员：**测试人员可以是手动测试人员，也可以是 QTP 专家，可以从质量中心执行 BPT。

## BPT 入门

**软件要求：**

*   QTP / UFT（QTP 最新版本）有效许可证。
*   您应该可以使用 Business Components Module 进行 QC / ALM（QC 最新版本）访问，而 QC 不会附带此访问。 您需要为此购买单独的许可证。

**软件配置：**

*   QTP：启用选项“允许其他 HP 产品运行测试和组件”

*   QC：应该安装以下加载项。

*   QC 连接插件
*   QTP 加载项

## BPT 框架的实施：

由于它是一个内置框架，因此您无需编写代码即可构建该框架。 您只需要准备构建 BPT 构建块所需的工件。

让我们简要研究质量中心（HP ALM）中的重要模块

**业务组件模块：**使我们能够创建，管理和自动化可重用的业务组件，其中将包含在业务流程中执行特定功能的步骤。 组件通常分类如下：

*   手动组件
*   自动化组件

*   关键字驱动的组件
*   脚本化组件

**测试计划模块：**此模块是您按照某种逻辑顺序拖放组件以准备 BPT 的模块，它将形成一个测试方案，并且您可以调试组件。

**测试实验室模块**：使我们能够执行业务流程测试并查看结果。 甚至您也可以使用此模块在不同的计算机上并行运行 BPT。

典型的 BPT 自动化过程涉及以下阶段。

1.  [创建手动组件](#1)
2.  [自动化组件](#2)
3.  [开发流程或 BPT 的](#3)
4.  [调试 BPT 的](#4)
5.  [执行 BPT 的](#5)

## 步骤 1）创建手动组件

登录质量控制

![Business Process Testing(BPT) in QTP Tutorial](img/59dddc18fcb68c46b8c831bd2698f07a.png "Business Process Testing(BPT) in QTP Tutorial")

导航到“业务组件”模块。

![Business Process Testing(BPT) in QTP Tutorial](img/3bbc5ade013977bd611817b6f79140e9.png "Business Process Testing(BPT) in QTP Tutorial")

业务组件和文件夹由下面提到的组件树中的特定图标标识-

![Business Process Testing(BPT) in QTP Tutorial](img/7a4d401f8f5b5c16a5c067ae06f78065.png "Business Process Testing(BPT) in QTP Tutorial")

**文件夹：**用于在逻辑隔离中对组件进行分类。

![Business Process Testing(BPT) in QTP Tutorial](img/3249a34002dca2b96dca5541aac82cef.png "Business Process Testing(BPT) in QTP Tutorial")

**组件请求文件夹：**手动测试仪或 SME 放置了他们希望使其自动化的组件。

![Business Process Testing(BPT) in QTP Tutorial](img/9963581a0183570cac10d75464b7edd7.png "Business Process Testing(BPT) in QTP Tutorial")

**作废文件夹：**您可以将所有无效的组件移至该文件夹，以便在将其从质量控制中永久删除之前可以进行检查。

![Business Process Testing(BPT) in QTP Tutorial](img/6cdbccbf58d045b85039a7ffd317dd59.png "Business Process Testing(BPT) in QTP Tutorial")

**组件：**这是用于表示组件的符号。 手动业务组件在组件图标上用 M 符号表示。 如下所示。

![Business Process Testing(BPT) in QTP Tutorial](img/c208e81603ad287ccdde812b0a8b868f.png "Business Process Testing(BPT) in QTP Tutorial")

在给定的时间内，组件可以是以下任意一种状态，分别是“开发中”，“就绪”，“维护”和“错误”状态。

![Business Process Testing(BPT) in QTP Tutorial](img/63fddfca1f2dccb134d1772b19885b70.png "Business Process Testing(BPT) in QTP Tutorial") ](/images/1-2015/012315_1030_BusinessPro8.png) [ ![Business Process Testing(BPT) in QTP Tutorial](img/7dcdcacdb6cda0d9ec230641c9f35c0d.png "Business Process Testing(BPT) in QTP Tutorial") ](/images/1-2015/012315_1030_BusinessPro9.png) [ ![Business Process Testing(BPT) in QTP Tutorial](img/1a240515de927757e7ea9fc35c936379.png "Business Process Testing(BPT) in QTP Tutorial") ](/images/1-2015/012315_1030_BusinessPro10.png) [ ![Business Process Testing(BPT) in QTP Tutorial](img/c2492dfaa5ff4ebfec6e916903652143.png "Business Process Testing(BPT) in QTP Tutorial")

当在[测试计划](/what-everybody-ought-to-know-about-test-planing.html)模块中发起组件请求时，它处于“未实现”状态（如下所示）。 当该特定组件从请求文件夹移动到 Component 文件夹时，它将更改为“开发中”状态。

![Business Process Testing(BPT) in QTP Tutorial](img/1dfcdc493f52e1846103f15c7da409d8.png "Business Process Testing(BPT) in QTP Tutorial")

业务组件模块中的工具栏

![Business Process Testing(BPT) in QTP Tutorial](img/969eea5a4109efe8c3534e982b1c1bdb.png "Business Process Testing(BPT) in QTP Tutorial")

创建新的手动业务组件。

创建新文件夹，以便可以在一处创建所有与应用程序相关的组件。

选择 Components 文件夹->单击 New 文件夹

![Business Process Testing(BPT) in QTP Tutorial](img/0a28ecbc5a3d4571b61dfb7bf547c449.png "Business Process Testing(BPT) in QTP Tutorial")

输入一些含义全名来代表您的应用程序，然后单击“确定”。 您甚至可以在主文件夹下创建子文件夹。

您要在其中创建组件的选定文件夹->单击“新组件”按钮

![Business Process Testing(BPT) in QTP Tutorial](img/0e560a1dd0de05982cd3712696f2cab3.png "Business Process Testing(BPT) in QTP Tutorial")

输入类似于将要执行的操作的组件名称，以便在准备 BPT 时轻松选择组件。 单击确定按钮。

在右侧创建一个新的组件。

让我们研究组件上的各个选项卡

**I.详细信息选项卡：**它包含一些基本字段，例如组件名称，创建者，创建日期等。

“描述”选项卡包含三个部分：摘要，前提条件和后置条件。

在**摘要**部分中，您可以提及组件功能及其结果的简短描述。

在**前提条件**部分中，提及使用此组件所需的应用程序状态。

在**后置条件**部分中，在执行组件步骤后提及应用程序状态。

在创建组件的逻辑顺序以创建 BPT 时，请记住前置条件和后置条件。

在**讨论区的**中，您可以添加与组件​​相关的注释。

![Business Process Testing(BPT) in QTP Tutorial](img/8bc7ed48ff031315d0b7b94c9f5e427d.png "Business Process Testing(BPT) in QTP Tutorial")

**II。 快照选项卡：**您可以使用此选项卡捕获组件所属的特定页面的快照。

**III。 参数选项卡：**如果要传递数据或从组件检索数据，则可以使用此选项卡。 这些类似于 QTP 中的操作/测试参数。

点击**新建链接**以添加新参数，您需要提供

*   **参数名称：**参数名称。
*   **值类型：**参数的类型（数字，日期，字符串，密码等）。
*   **默认值：**您可以输入一些默认值，如果您没有从组件传递任何值，则可以使用该默认值。
*   **描述：**您可以提及参数的简短描述。

.

![Business Process Testing(BPT) in QTP Tutorial](img/0addf0c4c295e8384cc95d331547f037.png "Business Process Testing(BPT) in QTP Tutorial")

可以像输入参数一样添加或删除输出参数。 如果要从组件返回任何值，则必须使用输出参数。

**IV。 设计步骤选项卡：**包含组件必须执行的步骤。 设计选项卡中的按钮按以下顺序显示。

添加新步骤，编辑，删除，复制，粘贴，创建/选择参数，完整参数，搜索，行高，保存和自动化

![Business Process Testing(BPT) in QTP Tutorial](img/e40234758fc1e2d9dd13a651869b09a3.png "Business Process Testing(BPT) in QTP Tutorial")

要添加步骤，请单击“添加新步骤”，打开组件步骤编辑器。 输入步骤名称以描述步骤，描述（要在应用程序上执行的确切操作）和预期结果（执行步骤后的应用程序状态）。

选择步骤并单击编辑步骤按钮时，也会打开步骤编辑器。

您在步骤编辑器中拥有文本编辑器工具栏，可使用该工具栏设置字符串的格式，例如粗体，斜体和下划线。

![Business Process Testing(BPT) in QTP Tutorial](img/7e76648848bb1f3720c85c451055d54a.png "Business Process Testing(BPT) in QTP Tutorial")

**V.自动化选项卡：**如果该组件已经自动化，将显示与该组件相关的自动化步骤。 您将在下一步“自动化手动组件”中详细讨论此步骤。

**VI。 依赖关系选项卡：**将显示其他实体之间存在的依赖关系，例如组件，BPT，流程，测试资源和应用程序区域。 依赖项选项卡包含以下三个选项卡

**资源选项卡**显示组件使用的应用程序区域（逻辑分组/自动化组件所需的所有资源的名称）。

**使用者选项卡**将显示 BPTS 的详细信息以及包括当前所选组件的流。 如果要导航至特定的 BPT 或流程，则只需单击测试或流程名称，即可导航至“测试计划”模块中的 BPT 或流程。

**应用程序区域**选项卡显示组件使用的应用程序区域的名称，如“使用者”和“使用”网格一样，其中显示了使用该应用程序区域的实体以及该应用程序区域使用的资源。

**VII。 历史记录选项卡：**显示对实体中任何字段所做的更改。 对于每个更改，它将显示更改的时间戳和进行更改的用户名。 历史记录选项卡包含两个子选项卡：

**审核日志选项卡**显示对不同字段，时间戳和用户详细信息所做的更改的列表。

**业务选项卡**显示所选组件的不同版本。

## 步骤 2）自动执行手动组件

**建立应用区域**

应用程序区域是一个逻辑实体，可帮助我们对所有必需的资源进行分组以使应用程序或应用程序的一部分自动化。 应用程序区域包含共享的对象存储库，函数库以及使组件自动化所需的所有其他设置。

您可以根据需要为整个应用程序创建一个应用程序区域，也可以为应用程序的不同部分创建多达一个应用程序区域。

打开 QTP，文件->新建->应用区域

它将显示以下窗口，其中包含四个模块。

![Business Process Testing(BPT) in QTP Tutorial](img/bc821b44dfd3fed6cd9bc30cfa5da66f.png "Business Process Testing(BPT) in QTP Tutorial")

**常规：**它将显示有关应用程序区域的一般信息，例如应用程序区域的名称，创建应用程序区域的作者，位置，描述以及相关的加载项。

如果要删除任何加载项，可以单击“修改”按钮并删除不必要的加载项。

其他设置包含记录和运行设置，与正常的记录和运行设置和 QTP 相似。

![Business Process Testing(BPT) in QTP Tutorial](img/00d3fd51a9971575f11839fbc39933a6.png "Business Process Testing(BPT) in QTP Tutorial")

您甚至可以使用“恢复”选项添加要与应用程序区域关联的任何恢复方案。 根据加载项，您选择了其他与环境相关的设置选项。

![Business Process Testing(BPT) in QTP Tutorial](img/0712bad61262384b211eae545aee274f.png "Business Process Testing(BPT) in QTP Tutorial")

**功能库**

该模块将帮助我们将所有必需的功能库与应用程序区域相关联。

![Business Process Testing(BPT) in QTP Tutorial](img/841fe0ed401a99776e81712b4e9f3c0b.png "Business Process Testing(BPT) in QTP Tutorial")

**对象存储库**

该模块将帮助我们将所需的共享库与功能库相似。

![Business Process Testing(BPT) in QTP Tutorial](img/25e3d8c876c70ae0222b4928bafaed5f.png "Business Process Testing(BPT) in QTP Tutorial")

**关键字**

“关键字”窗格显示所有内置方法，函数库中的所有用户定义函数以及对象库中的对象。 此外，“关键字”窗格还显示由我们或使用外接程序可扩展性开发的第三方开发的任何测试对象类的方法和属性。

![Business Process Testing(BPT) in QTP Tutorial](img/eaa2a51523c1656d1cfd2c9ae25a8c73.png "Business Process Testing(BPT) in QTP Tutorial")

添加所需的功能库，共享对象存储库并进行必要的设置后，您可以保存应用程序区域。

**将手动组件转换为自动组件**

导航回到要自动化的特定组件的“质量控制”和“设计”选项卡。 单击自动化按钮，如下所示，然后选择转换关键字驱动的或脚本化的组件。 一旦将组件转换为自动化组件，就无法将其转换回手动组件。

![Business Process Testing(BPT) in QTP Tutorial](img/0f647da420cb319d9a68141d41627d41.png "Business Process Testing(BPT) in QTP Tutorial")

![Business Process Testing(BPT) in QTP Tutorial](img/09ff0d741b62e892657d4fbb22dbab2a.png "Business Process Testing(BPT) in QTP Tutorial")

**关键字驱动的组件**

导航到自动化选项卡。

它将显示消息“要创建步骤，您必须首先通过单击选择应用程序区域来选择一个应用程序区域”

![Business Process Testing(BPT) in QTP Tutorial](img/93adcb092d2588726f560159a47e4f3f.png "Business Process Testing(BPT) in QTP Tutorial")

单击选择的应用程序区域后，将显示以下窗口，该窗口将显示可用应用程序区域的列表，您可以从中选择所需的应用程序区域。

![Business Process Testing(BPT) in QTP Tutorial](img/6318cf4ae628e3850fd45b4ca6fbd39a.png "Business Process Testing(BPT) in QTP Tutorial")

选择应用程序区域显示在自动化选项卡的底部。

![Business Process Testing(BPT) in QTP Tutorial](img/6ac059d855a684d47dc69b97a2dfe30a.png "Business Process Testing(BPT) in QTP Tutorial")

您可以使用关键字视图类似地在 QTP 中自动化组件，从而实现自动化。 自动化组件后，步骤将如下所示

![Business Process Testing(BPT) in QTP Tutorial](img/60402cf2a02d933059c23a0a63a62e23.png "Business Process Testing(BPT) in QTP Tutorial")

**脚本化组件**

导航到自动化选项卡。 它将显示启动按钮以启动 QTP。

![Business Process Testing(BPT) in QTP Tutorial](img/a9c9a9bc5330b4b70c52726fd28ede60.png "Business Process Testing(BPT) in QTP Tutorial")

单击启动按钮（应该将 QTP 安装在同一台计算机上），它将打开 QTP 并显示一个弹出窗口，要求我们将应用程序区域与组件关联。

![Business Process Testing(BPT) in QTP Tutorial](img/a41de28f5fbd22ca6dd4ccc0cd8fabaf.png "Business Process Testing(BPT) in QTP Tutorial")

一旦将应用程序区域与组件关联，则所有资源均可用于组件，您可以使用这些脚本编写组件。

## 步骤 3）开发 BPT

BPT 可以是自动或手动测试。 包含手册业务组件的 BPT 可以称为手册 BPT。 使用自动组件创建的 BPT 称为自动 BPT。

要创建手动或自动 BPT，您必须使用 QC 中的“测试计划”模块。

单击左侧窗格中的测试计划模块图标

![Business Process Testing(BPT) in QTP Tutorial](img/ee8a893a6bc61ac5d642e730bf50d3c7.png "Business Process Testing(BPT) in QTP Tutorial")

通过单击添加文件夹图标，创建一个您要在其中创建业务流程测试的文件夹。

![Business Process Testing(BPT) in QTP Tutorial](img/8deeb309cf42ce49f6b94356fe68e6fa.png "Business Process Testing(BPT) in QTP Tutorial")

输入文件夹名称，然后单击确定按钮

![Business Process Testing(BPT) in QTP Tutorial](img/580a72d7dc4a6bf44cca5ed25c5d732c.png "Business Process Testing(BPT) in QTP Tutorial")

点击“创建新测试”图标。

![Business Process Testing(BPT) in QTP Tutorial](img/7f2c8e3e101894a6ae0a342a9ab65f36.png "Business Process Testing(BPT) in QTP Tutorial")

选择测试类型为“业务流程”，然后为 BPT 输入一些有意义的名称。

![Business Process Testing(BPT) in QTP Tutorial](img/9b99c1e7aec44a831d2317efb57f2411.png "Business Process Testing(BPT) in QTP Tutorial")

显示如下

![Business Process Testing(BPT) in QTP Tutorial](img/19f3e2ce7b9125ff8ad5291323033c71.png "Business Process Testing(BPT) in QTP Tutorial")

选择“测试脚本”选项卡->，然后选择“选择组件”子选项卡

它将在右侧显示 Component 模块树以及所有 Component 信息。

![Business Process Testing(BPT) in QTP Tutorial](img/f205355391f03be5cde6068f0f1c0e6f.png "Business Process Testing(BPT) in QTP Tutorial")

按逻辑顺序拖放组件以形成业务方案。 您也可以选择组件，并使用箭头符号代替拖拉。 排列下面的组件后，下面显示了示例 BPT

![Business Process Testing(BPT) in QTP Tutorial](img/557331fe050ca0b7b36e0b6d77ab6f95.png "Business Process Testing(BPT) in QTP Tutorial")

如果您不能通过“测试计划”模块本身在“组件树”中使用新组件，也可以通过单击“新组件请求”来请求新组件。

在“测试脚本编辑器”窗格中排列组件后，它将显示为五列结构：

1.  **组件/流：**将显示组件和快照图像（如果包含）。
2.  **状态：**组件的状态，它可以是您先前讨论的任何一种状态。
3.  **输入：**如果具有输入参数，它将显示在此列中。
4.  **输出：**如果具有输出参数，它将显示在此列中。
5.  **On Failure:** It will display drop down in which you can select what you would like to do the BPT execution on failure of the Component. You can select either continue or exit BPT.

    ![Business Process Testing(BPT) in QTP Tutorial](img/da569f476737a893e499c57d875efe65.png "Business Process Testing(BPT) in QTP Tutorial")

**配置输入参数**

要为任何组件配置输入参数，您需要单击特定组件的输入列中的输入参数链接，或者也可以右键单击组件并选择输入参数值->迭代。

![Business Process Testing(BPT) in QTP Tutorial](img/0adf49bade9b2c0af25d262938edff47.png "Business Process Testing(BPT) in QTP Tutorial")

单击输入参数链接后，将打开“组件迭代”对话框。

![Business Process Testing(BPT) in QTP Tutorial](img/105b07f3406a1972e698afd2cf83bdb4.png "Business Process Testing(BPT) in QTP Tutorial")

您可以输入组件的所有输入参数。 如果要多次运行组件，可以通过单击“添加迭代”并输入数据来添加多个迭代。

如果要删除任何迭代，请首先选择该迭代，然后单击“删除迭代”，所选的迭代将被删除。

如果只想运行选定的迭代，则可以使用“选择迭代”，并且可以如下所示运行要迭代的范围。

![Business Process Testing(BPT) in QTP Tutorial](img/c8b073994acc22934453ed234c3b07ad.png "Business Process Testing(BPT) in QTP Tutorial")

即使您也可以从外部用逗号分隔的文件中导入输入参数，也可以使用导入和导出选项导出用于特定组件的列表参数。

当您单击导入选项时，它将显示“文件”对话框，以允许我们选择所需的文件，如下所示。

![Business Process Testing(BPT) in QTP Tutorial](img/20928d7408e54367bc730f42e6c61a4a.png "Business Process Testing(BPT) in QTP Tutorial")

选择映射参数对话框后，将需要在其中将文件中的列标题映射到组件中的参数。 您必须对所有输入参数进行此练习。

![Business Process Testing(BPT) in QTP Tutorial](img/927ee7723e81da7c89c5171a6baf1018.png "Business Process Testing(BPT) in QTP Tutorial")

![Business Process Testing(BPT) in QTP Tutorial](img/be861c6b5b00e635cca120d51d4a13c6.png "Business Process Testing(BPT) in QTP Tutorial")

如果要使用先前组件的输出参数，则需要单击参数列名称下的输出复选框。

显示输出参数列表窗口，其中包含先前组件的所有输出参数的列表。 您可以从中选择所需的输出参数，然后单击确定按钮。

![Business Process Testing(BPT) in QTP Tutorial](img/619958065b94627c9f93f3bce8951dc0.png "Business Process Testing(BPT) in QTP Tutorial")

**分组/取消分组组件**

有时，如果您希望将 BPT 中的组件分组以使其多次运行，则需要将它们分组在一起。 首先，选择要对其进行分组的组件，然后单击“组组件”图像，或右键单击“组件”，然后选择“分组>分组组”。

![Business Process Testing(BPT) in QTP Tutorial](img/13594a07d875d3ab0b2a371a13d3f722.png "Business Process Testing(BPT) in QTP Tutorial")

将组件分组后，将如下所示。 如果要取消组合组件，请选择组，然后单击“取消组合组件”图标。

![Business Process Testing(BPT) in QTP Tutorial](img/354c621faddf18bc81461a57017d08e5.png "Business Process Testing(BPT) in QTP Tutorial")

**将参数/迭代添加到分组的组件**

这与输入单个组件的参数数据的方式类似，但是唯一的区别是，当您单击分组的组件的任何输入参数链接时，它将一起显示所有组件的输入参数。

**BPT 状态**

就像组件具有不同的状态一样，基于 BPT 的创建及其进度，BPT 也将具有不同的状态。 在任何给定的时间点，BPT 可以处于以下任何状态。

[![Business Process Testing(BPT) in QTP Tutorial](img/a95e813e9e03de78486c9d8ce661d8f8.png "Business Process Testing(BPT) in QTP Tutorial") ](/images/1-2015/012315_1030_BusinessPro52.png) 6 开发中
[![Business Process Testing(BPT) in QTP Tutorial](img/c50d522cf8066f5ac68c38feda0e87ad.png "Business Process Testing(BPT) in QTP Tutorial") ](/images/1-2015/012315_1030_BusinessPro53.png) 7 就绪
[![Business Process Testing(BPT) in QTP Tutorial](img/6cd4e3fff7f1112b44af8e12a3ee1b8d.png "Business Process Testing(BPT) in QTP Tutorial") ](/images/1-2015/012315_1030_BusinessPro54.png) 8 维护
[![Business Process Testing(BPT) in QTP Tutorial](img/045048e315cc1918ff10de8c9be52689.png "Business Process Testing(BPT) in QTP Tutorial") [ ](/images/1-2015/012315_1030_BusinessPro55.png) 9 错误

BPT 的状态可以由其组件的状态确定。 BPT 状态由其所有组件中最严重的状态决定。

例如，假设您有一个业务流程测试，其中包含：

*   3 准备就绪的组件
*   1 个维护组件
*   2 开发中组件
*   1 个错误组件
*   1 开发中（要求）组件

在此示例中，测试状态为**错误**，因为错误是测试中业务组件的最严重状态。

## 步骤 4）调试 BPT

设计 BPT 之后，您需要运行 BPT 来检查组件的排列顺序是否正确以及传递的数据是否正常工作。 它类似于[，通过所有可能的方式（正向和负向）和数据来测试自动化脚本的](/software-testing.html)和数据以检查脚本的准确性。

在测试，计划模块中，单击“测试脚本”工具栏中的“运行或调试测试”按钮。

![Business Process Testing(BPT) in QTP Tutorial](img/8403f8914310a81a76ab09083a9f66c7.png "Business Process Testing(BPT) in QTP Tutorial")

单击运行按钮后，将显示“运行或调试测试”窗口。 在“运行”窗口中，有两个用于运行 BPT 的选项。

1.  正常
2.  Debug

    ![Business Process Testing(BPT) in QTP Tutorial](img/ad7bd9c26b9b4916a1e38ec530046235.png "Business Process Testing(BPT) in QTP Tutorial")

**调试模式：**在此模式下运行组件时，默认情况下，它将在组件的第一行添加一个断点，这将帮助我们逐行调试组件。

**正常模式：**在此模式下，它从头到尾运行而不会暂停，并立即继续到测试中的下一个组件。

您可以根据需要为每个组件选择任何一种模式。 如果您已经在同一 BPT 或另一个 BPT 中验证了某些组件，则可以直接进入“普通”模式。

一旦执行完成，它将显示 BPT 所有组件的执行摘要。

![Business Process Testing(BPT) in QTP Tutorial](img/7ecec9e274aa9a468f51993d2030b818.png "Business Process Testing(BPT) in QTP Tutorial")

## 步骤 5）执行 BPT

一旦开发了 BPT 并对其进行了全面测试，您可能需要将这些 BPT 作为回归，理智或任何其他测试周期的一部分来运行。

要执行 BPT，您需要使用 QC 的“测试实验室”模块。 导航到“测试实验室”，然后选择要在其下运行这些 BPT 的“测试计划”文件夹和“测试集”。

![Business Process Testing(BPT) in QTP Tutorial](img/a337de4e13808582701806fcfeff30c0.png "Business Process Testing(BPT) in QTP Tutorial")

从“测试实验室网格”中选择“选择测试”选项，在右侧，将显示一个窗格，其中包含所有测试用例的测试计划树结构。 选择要运行的 BPT，然后单击箭头按钮，BPT 将添加到“执行网格”。 即使您可以使用拖放功能，也可以选择要运行的 BPT。

将 BPT 添加到执行网格后，您需要单击“运行”按钮。

单击“运行”按钮后，将显示一个单独的“自动运行器”窗口，您必须在其中提及必须在哪些计算机上运行这些 BPT。 您要在其中运行 QTP 软件的计算机。 您可以在同一台计算机上运行测试。

![Business Process Testing(BPT) in QTP Tutorial](img/525a990edfa072f1561c3df148aaf559.png "Business Process Testing(BPT) in QTP Tutorial")

在“在主机上运行”列中提及计算机名称后，如果要在“自动运行器”窗口中运行所有测试，则需要单击“全部运行”，如果仅想运行所选的 BPT，则需要选择“运行”。

QC 将自动连接到上述机器并执行 BPT，并将结果更新为 QC（通过或失败）。

![Business Process Testing(BPT) in QTP Tutorial](img/a8021fd60094ee7e898e1dd44bc33e07.png "Business Process Testing(BPT) in QTP Tutorial")

如果双击特定测试，它将显示特定测试的更多详细结果。

![Business Process Testing(BPT) in QTP Tutorial](img/c398bb32fcc3be714df0782fc1fedcc1.png "Business Process Testing(BPT) in QTP Tutorial")

Narender Reddy Nukala 先生的贡献使本教程成为可能