# 使用 UIAutomation 框架的 iOS 自动化测试

> 原文： [https://www.guru99.com/ios-test-program-uiautomation-framework.html](https://www.guru99.com/ios-test-program-uiautomation-framework.html)

为了保证您的 iOS 应用程序的质量，您应该遵循下图所示的``测试驱动开发''过程。

![Your First iOS test program using UIAutomation framework](img/b94e6232e6884fb9e5b25190384cb04a.png "Your First iOS test program using UIAutomation framework")

测试驱动开发（TDD）是一种[测试](/software-testing.html)模型，适用于 iOS 应用程序测试。 在此模型中，测试人员必须遵循以下四个阶段：

*   **设计**：确定要测试的内容，设计测试用例
*   **测试**：运行所有测试，看看测试用例是否失败
*   **实施**：修改您的代码，修复导致测试失败的错误
*   **再次测试**：如果失败，则返回设计。 如果所有测试用例都通过，则该代码符合整个测试需求。

## 设置测试环境

要创建 iOS 测试程序，您需要一本 **Mac Book。** 您的 Mac 已安装：

*   OSX。Mac PC 的操作系统
*   Xcode IDE，iOS 开发工具
*   自动化测试框架（UIAutomation，OCUnit ..）
*   iOS SDK 4（或更高版本）

## 使用 UIAutomation 框架创建 iOS 测试程序。

1.  **发射工具**

Open XCode-> Open Developer Tool-> **工具**

![Your First iOS test program using UIAutomation framework](img/26c0caf95eedecf3ad3908f871eab6fc.png "Your First iOS test program using UIAutomation framework")

2.  **添加自动化仪器**

在**仪器**窗口中，选择**自动化仪器**

![Your First iOS test program using UIAutomation framework](img/e8cf7791660a61c514fe1aeb2075bc20.png "Your First iOS test program using UIAutomation framework")

要创建测试脚本，您可以**记录**，[测试场景](/test-scenario.html)，也可以手动**对其编程**。

3.  仪器正在启动，**立即停止**录制。 如果要开始记录，请按红色按钮

![Your First iOS test program using UIAutomation framework](img/d457b01a3d2eaee9448459763eb2cd86.png "Your First iOS test program using UIAutomation framework")

4.  在脚本窗口中，单击**添加>创建**以创建新脚本

![Your First iOS test program using UIAutomation framework](img/a13c378b7cca047eb7555db87be12cb3.png "Your First iOS test program using UIAutomation framework")

5.  **选择目标**

您在“跟踪”窗口中，使用“选择目标”下拉菜单导航到应用程序的调试版本。

![Your First iOS test program using UIAutomation framework](img/b60a98c02ceb3ef6141204cf4331d519.png "Your First iOS test program using UIAutomation framework")

在这种情况下，我将使用 Apple 的示例 [SimpleDrillDown](http://developer.apple.com/library/ios/#samplecode/SimpleDrillDown/Introduction/Intro.html) 简单应用程序作为被测试的应用程序。 它在下面具有 GUI。

![Your First iOS test program using UIAutomation framework](img/8b7214d009fe1b84524af97bd3a80acb.png "Your First iOS test program using UIAutomation framework")

6.  **开始记录您的脚本**

通过点击工具顶部或底部的**记录**按钮来记录脚本。

![Your First iOS test program using UIAutomation framework](img/06969465f160761bbe8a8127361ba07c.png "Your First iOS test program using UIAutomation framework")

现在，您可以在测试中的应用程序上执行一些 UI 操作，并记录脚本。

7.  **查看您的脚本**

要查看您的脚本，请点击**跟踪日志/编辑器日志**下拉菜单并切换到脚本日志视图。

![Your First iOS test program using UIAutomation framework](img/9b970870973a717b068443888b13644b.png "Your First iOS test program using UIAutomation framework")

您将看到录制的脚本。

![Your First iOS test program using UIAutomation framework](img/412a53e11b18ddeafc298f4087b2ad37.png "Your First iOS test program using UIAutomation framework")

8.  **播放脚本**

按下**播放**按钮，脚本运行，您可以在出现日志后停止脚本。

![Your First iOS test program using UIAutomation framework](img/fc4fa8d58c26d6c8543a0743845dae7f.png "Your First iOS test program using UIAutomation framework")

***使用 OCUnit 框架创建 iOS 测试程序***

1.  启动 Xcode IDE，添加**单元测试包**目标

![Your First iOS test program using UIAutomation framework](img/bdf1a7c7fb1cfbb25f33a93271fc2a19.png "Your First iOS test program using UIAutomation framework")

2.  如下图所示，写上新的单元测试捆绑包的名称，然后单击**完成**
3.  使单元测试成为活动目标

![Your First iOS test program using UIAutomation framework](img/33410abef8d1458ad523bae1a0e2191f.png "Your First iOS test program using UIAutomation framework")

4.  为测试课程添加组

![Your First iOS test program using UIAutomation framework](img/665f4ba5e5613d85ff570cab52212736.png "Your First iOS test program using UIAutomation framework")

5.  添加单元测试类

![Your First iOS test program using UIAutomation framework](img/9485dd220299ea832fad20143da928e7.png "Your First iOS test program using UIAutomation framework")

6.  现在开始您的工具

![Your First iOS test program using UIAutomation framework](img/5f5234aa1de2a3be461f1dbf37fe1260.png "Your First iOS test program using UIAutomation framework")

OCUnit 使用 Objective-C 语言创建测试程序。 开发人员必须了解这种语言。

## 源代码示例

本文包含一些源代码示例。 它们可以帮助您更清楚，快速地理解本教程。

[UIAutomationSample](https://drive.google.com/uc?export=download&id=0B_vqvT0ovzHcalpPZE5RbXExQm8) UIAutomation 演示的测试脚本。