# 热门 20 个移动测试面试问题&答案

> 原文： [https://www.guru99.com/mobile-testing-interview-questions.html](https://www.guru99.com/mobile-testing-interview-questions.html)

以下是针对新手和经验丰富的测试人员的常见移动应用程序测试面试问题和答案。

**1）解释 Web 测试和 WAP 测试之间的区别是什么？**

*   **WAP 测试：**测试网络应用中使用的 WAP（无线应用协议）
*   **Web 测试：**主要与网站和门户等 Web 应用程序的测试有关。

**2）列出一些自动移动测试工具吗？**

对于移动测试，可以使用两种自动化工具来测试移动应用程序。

*   基于对象的移动测试工具：Jama 解决方案，Ranorex，
*   基于图像的移动测试工具：RoutinBot，Egg Plant，Sikuli

**3）解释模拟器和模拟器之间的区别是什么？**

*   **模拟器：**它是用于 CDMA / CMA 移动电话的电子网络模拟设备或基站设备。 它有助于在没有漫游服务的情况下锁定家庭网络，并且可以发出语音； 数据通话，短信，
*   **仿真器：**这是一款无需带手机即可测试移动应用程序的软件

**4）列出移动应用程序测试的类型？**

移动应用测试的类型包括

*   [可用性测试](/usability-testing-tutorial.html)
*   [兼容性测试](/compatibility-testing.html)
*   接口测试
*   服务测试
*   低级资源测试
*   [性能测试](/performance-testing.html)
*   操作测试
*   安装测试
*   [安全测试](/what-is-security-testing.html)

**5）提到什么是 Android 测试策略？**

标准的 Android 测试策略必须包括以下测试

*   单元测试
*   整合测试
*   操作测试
*   系统测试

**6）解释 Android 测试框架吗？**

Android 测试框架包括三个部分

*   **应用程序包：**这是需要测试的目标应用程序
*   **Instrumentation TestRunner：**这是一个[测试用例](/test-case.html)运行器，它在目标应用程序上运行测试用例。 它包括用于构建测试的 **SDK** **工具**和提供用于编写​​用于控制 Android 设备的程序的 **API** 的**工具， 猴子赛跑**
*   **测试包：**它包括两个类，**测试用例类，**和 **Mock 对象**。 测试用例类包括要在目标应用程序上执行的测试方法，而模拟对象包括将用作测试用例的样本输入的模拟数据。

**7）列出 Android 测试的最佳做法？**

*   开发人员应在编写代码的同时准备测试用例
*   所有测试用例应与源代码一起存储
*   使用持续集成并在每次更改代码时执行测试
*   避免使用植根设备和仿真器

**8）提及在移动测试中发现的常见错误是什么？**

*   **严重：**测试设备中的特定功能时，电话系统崩溃
*   **阻止：**尽管手机处于开机状态，但您无法执行任何操作，除非重新启动设备
*   **专业：**无法执行特定功能的功能
*   **次要：**通常，GUI 错误属于次要错误。

**9）解释什么是 Robo-electric 测试框架？**

在 Android 测试框架上针对模拟器或设备进行的测试非常困难。 运行和构建测试用例有时需要大量的开发工作。 Robo-electric 框架可让您直接在 JVM 上运行 Android 测试，而无需设备或仿真器。

**10）解释如何对 ios 应用进行 A / B 测试？**

ios 的 A / B 测试包括三个步骤

*   **配置测试：**它准备两个版本的 iOS 应用（A & B）和测试指标
*   **测试：**同时在设备上测试上述两个 iOS 版本
*   **分析：**选择并测量更好的版本以发布

**11）在执行端到端移动测试时，主要标准是什么？**

*   安装
*   在没有网络的情况下启动应用程序
*   卸载应用
*   应用程序的方向（如果支持）
*   在不同类型的设备和网络方案上测试应用程序性能
*   测试应用程序响应的响应方式

**12）列出猴子工具提供的功能？**

猴子工具提供以下功能

*   基本配置选项
*   运营限制
*   活动类型和频率
*   调试选项

**13）提及用于移动测试的 Test Automation Tool 的选择标准是什么？**

对于移动测试，测试自动化工具应具有以下条件

*   **多平台支持：**确保该工具确实支持您当前和将来的目标平台
*   **脚本可用性：**基于对象的工具提供了高度的脚本可用性
*   **越狱要求：**如果该工具使用 root 用户的设备，则它可能不支持最新的操作系统版本，并且可能与 MDM 策略不兼容
*   **源代码更改：**可能无法始终共享源代码
*   **新操作系统版本的交货时间：**工具多久可以支持新的 iOS / android /其他操作系统版本

**14）何时选择自动化测试和何时进行手动测试？**

**手动测试**

*   如果应用程序具有新功能
*   如果应用程序需要测试一次或两次

**自动测试**

*   如果重复进行回归测试
*   针对复杂场景测试应用

**15）列出测试人员在云计算中进行移动测试时面临的最常见问题？**

测试人员在进行移动测试时面临的挑战是

*   订阅模式
*   高成本
*   锁定
*   互联网连接问题
*   自动化是基于图像且耗时的
*   自动化不能在框架之外使用

**16）解释移动安全测试包括哪些内容？**

移动安全测试包括

*   检查多用户支持，而不会干扰它们之间的数据
*   检查是否有任何意外用户访问应用程序中存储的文件
*   用于敏感数据通信的解密或加密方法
*   检测经过测试的应用程序中的敏感区域，以使它们不接收任何恶意内容

**17）列出移动应用测试吗？**

*   在所有网络浏览器中进行测试
*   浏览器在设备上非常重要
*   可能支持 xHTML，HTML，WML，AJAX
*   市场高度分散，难以对绩效进行基准化
*   仿真器无法捕获设备的所有属性或特征
*   规范的实现在供应商和设备之间可能不一致
*   在某些情况下，代码转换器可能不尊重用户体验因素

**18）解释什么是端口测试？**

完成此测试是为了在具有不同平台的不同设备上测试相同的功能。 它分为两类

*   设备测试
*   平台测试

**19）列出一些 iPhone 和 iPad 测试工具吗？**

*   iPhone 测试仪：在 iPhone 尺寸的框架中测试您的 Web 界面
*   Appium：这是与本机和混合 ios 应用程序一起使用的测试自动化工具
*   iPad Peek：使用 iPad 界面测试您的 Web 应用程序
*   Test Studio：它使您可以记录，构建和运行 iPad 和 iPhone 应用程序的自动化测试。

**20）说明如何在模拟器中安装 SD 卡？**

要在模拟器中安装 SD 卡，必须使用以下命令

***MKsdcrd –I mySDCard 1024M mySdCardFile.img***

[免费 PDF 下载：移动测试面试问题&答案](#)