# 移动应用中的中断测试

> 原文： [https://www.guru99.com/interrupt-testing.html](https://www.guru99.com/interrupt-testing.html)

## 什么是中断测试？

中断测试是移动应用程序测试的一个分支，致力于处理应用程序对中断的反应并恢复到其先前的状态。

## 为什么需要中断测试？

在开会时几乎总是发生的一件事是什么？ 你被打扰了吧？ 当它发生时，有些甚至不眨眼，有些需要一分钟才能回来，有些甚至完全失去了思路。 简而言之，中断测试试图找出您的应用程序表现出的行为。

将所有措辞放在一边，看看另一种现实情况。 假设您拥有一个手电筒并将其打开。 电池用完了，这是其当前活动状态的中断。 更换电池并恢复原状。 手电筒应照常重新打开。 这是用例。 专注于这种情况是否发生的测试学科是中断测试。

中断测试适用于任何应用程序类型-Web，移动，独立等。设备，网络，配置等的多样性使得 [Mobile](/mobile-testing.html) 应用程序比其他应用程序更为突出。

## 移动应用中的中断类型

![Interrupt Testing](img/9a8df015182c59933f8436c410b4cab5.png)

我们都熟悉通常发生的常见中断。

这是几个中断：

*   电量不足
*   电池充满-充电时
*   来电
*   短信接收
*   来自另一个移动应用程序的传入警报
*   插入充电
*   从充电中拔出
*   设备关闭
*   应用程序更新提醒
*   报警
*   网络连接丢失
*   网络连接还原

该列表并不详尽，但包括最常见的情况。

## 中断情况下的解决方案

在这些中断的情况下的预期行为是以下之一：

1.  **在后台运行：**在应用程序处于后座状态时，中断接管了。 中断结束后，它将获得控制权。 例如，当您在 iBooks（或类似应用程序）上阅读数字书籍时，您参加的电话/打脸时间。 当用户接听电话时，iBooks 会等到电话接听完毕，然后在通话结束时恢复通话。

2.  **显示警报。 警报消失，您照常工作。 “** SMS 已接收”-消息出现在标题中。 用户不必理会它，而是继续正常使用该应用程序。 其他移动应用程序警报，例如 Facebook 上的新朋友请求或 WhatsApp 消息，也属于此类别。 但是，如果用户决定阅读消息，则遵循第 1 点中描述的行为。 如果忽略，则应用程序的状态不变。

3.  **号召性用语**：在继续工作之前，必须关闭或暂停警报。 与应用程序更新消息相同。 您必须先取消或接受更改，然后再继续。 另一个例子是电池电量不足警报-您可以选择照常继续操作或进入低功耗模式（如果设备允许的话）。

4.  **没有影响：**例如：如果网络连接可用并且您的设备已连接到它。 另外，当您插入设备进行充电时，无需警报或号召采取任何措施。 在您继续使用应用程序时，它可能会完成其工作。

因此，根据要测试的中断，了解其行为并查看您的应用程序是否满足要求。 同样，上述行为不必针对所有应用程序和设备都相同。 确保找到有关您的移动应用程序的特定详细信息。

既然我们了解了什么是中断测试以及在进行中断测试时要进行的验证，现在该讨论如何做。

## 如何进行中断测试

查看以下语句：当用户收到打来的电话时，iBooks 必须在后台运行。

您不会将此称为 iBooks 应用程序的功能要求吗？ 我知道，我会的。

因此，中断测试是针对移动应用程序的[功能测试](/functional-testing.html)的子集。 并且，要进行中断测试，您将遵循相同的移动应用程序测试框架和工具。 构想这些场景是测试人员的技能。 完成后，您将设计测试用例并以与任何其他测试完全相同的方式执行。

有关移动应用程序测试的更多信息，请查看： [https://www.guru99.com/mobile-testing.html](https://www.guru99.com/mobile-testing.html)

最后，在结束本文之前，我想再解决一个问题：

## 中断测试与恢复测试不一样吗？

不，不是。 恢复测试用于验证从故障中恢复。 中断测试不一定是失败。 这仅仅是分心。

就像英文逗号和句点之间的区别。 但是，只有技术上的； 我确定你知道图片。

没错，所有这些都是了解并开始使用中断测试-中断测试是移动应用程序测试的重要而直观的分支。