# 如何下载&在 Windows 中安装 CUCUMBER

> 原文： [https://www.guru99.com/cucumber-installation.html](https://www.guru99.com/cucumber-installation.html)

黄瓜的安装可能很麻烦，但相对容易。

这是使黄瓜工作所需安装的组件的路线图

*   [安装 Ruby 和 DevKit](#1)
*   [安装黄瓜](#2)
*   [安装 IDE RubyMine](#3)
*   [安装 watir-webdriver](#4)
*   [第一个黄瓜脚本](#5)

## 安装 Ruby 和 DevKit

**Step1）**转到 [https://rubyinstaller.org/downloads/](https://rubyinstaller.org/downloads/)

![](img/a83ed0e41069dbf7ff1990b3a87423b9.png)

**步骤 2）**打开下载的文件。

1.  接受许可证
2.  点击下一步按钮

![](img/3c2bd1863c4dc5a8b1da9cdfc73d0cb7.png)

**步骤 3）**在下一个屏幕中。

1.  选择您的安装目录
2.  选择所有选项
3.  点击安装

![](img/baaa05eb7b89d8abf62cd02a64e5706c.png)

**步骤 4）**在以下屏幕中，单击“下一步”。

![](img/ee3dc88bab82fa7572a5fceac85934e1.png)

**步骤 5）**等待安装完成。

![](img/7980855aa5e137b4e051f75f53b8b733.png)

**步骤 6）**单击完成

![](img/cc412bd7b063605b86f5a7bf17117303.png)

**步骤 7）**安装完成后，让我们运行 Ruby！

![](img/2c700a98700eed4595795ab97e9e0cc4.png)

**步骤 8）**您将看到类似于 Windows cmd 的 Ruby Command 提示符。

![](img/ab59ac0d602981bd089dfb3651d53c0b.png)

## 安装黄瓜

**步骤 1）**键入 Ruby cmd“宝石安装黄瓜”。 此命令将在命令行本身下载并安装 Cucumber

![](img/ac9c127d1305564f8ef06f9ce991adab.png)

几秒钟后，开始执行黄瓜安装程序

![](img/c075561b98091d13e332b1c380bfaf0b.png)

**步骤 2）**要验证黄瓜是否已成功安装，只需键入“ cucumber –version”

![](img/dd0897b6cd6f6c99dc933b17075a4a46.png)

## 安装 IDE RubyMine

![](img/2722c1723a420010cd031c731037cdd7.png)

**步骤 1）**

![](img/cf5c7beec67831c335b392e5b6098727.png)

**步骤 2）**

![](img/743ce3054b90397f2fe645a31e3ec838.png)

**步骤 3）**

[![](img/4a7bb28187ce3c2527949f4e20dfa8a5.png) ](/images/1/062718_1013_Cucumberins22.png) 

**步骤 4）**

[![](img/870fde847cd5005113fff9dd12ec6f91.png) ](/images/1/062718_1013_Cucumberins23.png) 

**步骤 5）**

[![](img/47587b296c18b4077a880a952a914cef.png) ](/images/1/062718_1013_Cucumberins24.png) 

**步骤 6）**

[![](img/f6d2abf17b49e5e8c8eab3b73f6ab699.png) ](/images/1/062718_1013_Cucumberins25.png) 

**步骤 7）**

[![](img/43e6804b42d917f1e0dfd5065af651df.png) ](/images/1/062718_1013_Cucumberins26.png) 

**步骤 8）**

[![](img/6a3b3f1afc61a8100420a326cc4c4d91.png) ](/images/1/062718_1013_Cucumberins27.png) 

**步骤 9）**

[![](img/3a0e0701de43ee3bd2bb8548cb76227f.png) ](/images/1/062718_1013_Cucumberins28.png) 

**步骤 10）**

[![](img/da8e1b6a9bbf25446853516975bf4f7e.png) ](/images/1/062718_1013_Cucumberins29.png) 

**步骤 11）**

[![](img/145d18251a08eeab2f85c2fc8f610046.png) ](/images/1/062718_1013_Cucumberins30.png) 

**步骤 12）**

[![](img/aaf93aa7f5012ce56311c8d63d8c3194.png) ](/images/1/062718_1013_Cucumberins31.png) 

## 安装 watir-webdriver

**步骤 1）**单击“使用 ruby 启动命令提示符”，然后安装命令“ gem install watir-webdriver”

[![](img/995701d83241e146f74264df4b4a8484.png) ](/images/1/062718_1013_Cucumberins32.png) 

**步骤 2）** watir-webdriver 安装成功

[![](img/987d5d3b0b1dd224fbeade8b7d493846.png) ](/images/1/062718_1013_Cucumberins33.png) 

## 第一个黄瓜脚本

**步骤 1）**通过 Windows 开始菜单打开 RubyMine Editor

![](img/b2c8690aa5d196d997ac63e781d5ff5d.png)

您将看到如下的 Rubymine 仪表板

![](img/b71565bb30ac32303955b1f1e5f12b6c.png)

**步骤 2）**在 Rubymine 编辑器中创建一个新项目

![](img/adb88a65a9412c8674d986dcba98f493.png)

[![](img/be2053ec2d823f724ef94385eb3e1ad2.png) ](/images/1/062718_1013_Cucumberins37.png) 

**步骤 3）**创建文件目录

[![](img/f6ff15ddebf3f527d736ed748fc9ecb0.png) ](/images/1/062718_1013_Cucumberins38.png) 

[![](img/e6c1192968f16f0af4967bd3709df68c.png) ](/images/1/062718_1013_Cucumberins39.png) 

**步骤 4）**在名称为“ yourfilename.feature”的“ yourfolder / features /”中创建并保存文件

[![](img/28a57aa63650bfdf7e7095722469540a.png) ](/images/1/062718_1013_Cucumberins40.png) 

[![](img/ca8c25e8d63fffb883f9a72052a51b4c.png) ](/images/1/062718_1013_Cucumberins41.png) 

**步骤 5）**要执行我们的方案，请将以下命令保存在功能文件中

[![](img/cc33ec8547684b81222d335c34b57efc.png) ](/images/1/062718_1013_Cucumberins42.png) 

**代码：**

```
Feature: Multiplication 
I multiply two numbers 
	Scenario: multiply a and b 
		Given I have variable a 
		And I have variable b 
		When I multiplication a and b 
		Then I display the Result

```

**步骤 6）**现在，运行我们的第一个功能文件。

单击“使用 ruby 启动命令提示符”

[![](img/1185d9b8c03628f7e70b5c321fca41eb.png) ](/images/1/062718_1013_Cucumberins43.png) 

看起来会像这样！

[![](img/1b71a83184fc65c6891a35868e6abfb8.png) ](/images/1/062718_1013_Cucumberins44.png) 

**步骤 7）**让我们为功能文件创建步骤定义文件！

在 Rubymine 编辑器中创建一个新文件夹

[![](img/fb4d22c9aeb5c8b440a7f4f50ba68db4.png) ](/images/1/062718_1013_Cucumberins45.png) 

[![](img/b50340ed3f16d18eb3034547ea2e0662.png) ](/images/1/062718_1013_Cucumberins46.png) 

**步骤 8）**将文件另存为“ test.step.rb”中的“ yourfolder / features / step_definititons”，如下所示

[![](img/504241d75ae5331abdc0b750bf2ed9c0.png) ](/images/1/062718_1013_Cucumberins47.png) 

[![](img/58edcf3079f6ab7f02de1e49a92c6de9.png) ](/images/1/062718_1013_Cucumberins48.png) 

**步骤 9）**将以下代码写入步骤文件

[![](img/bb664f2aaf05eded4325b1cb6b10b07e.png) ](/images/1/062718_1013_Cucumberins49.png) 

**代码：**

```
Given(/^I have variable a$/) do
@a = 50
end

And(/^I have variable b$/) do
@b = 70
end

When(/^I multiplication a and b$/) do 
@mul = @a * @b
end

Then(/^I display the Result$/) do 
puts "Multiplication of #{@a} and #{@b} is #{@mul}"
end

```

**步骤 10）**现在，再次运行我们的功能文件：

[![](img/aba6474ffd7f1cf1b023d9fe93e2a20d.png) ](/images/1/062718_1013_Cucumberins50.png) 

结果为

[![](img/fd3ae646af7b823252e67f0dc4580823.png) ](/images/1/062718_1013_Cucumberins51.png)