# SoapUI 面试的前 15 个问题&答案

> 原文： [https://www.guru99.com/soapui-interview-questions.html](https://www.guru99.com/soapui-interview-questions.html)

**1）说明什么是 SOAP UI？**

SOAP UI 是一种免费的，开源的跨平台功能[测试](/software-testing.html)解决方案。 它使您能够快速轻松地创建和执行自动回归，合规性，功能和负载测试。 它用于 Web 服务测试

**2）解释 XML，SOAP，WSDL 和 UDDI 在 Web 服务中的作用是什么？**

Web 服务是一种介质，基于 Web 的应用程序可以通过该介质在 Internet 协议主干上进行集成或通信。 可以使用 XML，SOAP，UDDI 和 WSDL 集成基于 Web 的应用程序。 SOAP 用于传输数据； WSDL 用于描述或关联服务，UDDI 用于列出可访问的服务，XML 用于标记数据。

**3）提及 SoapUI 可以做什么？**

SoapUI 可以-

*   它可以执行自动化测试，例如负载测试，基于场景的测试和数据驱动的测试
*   它具有内置的报告功能
*   它具有独特的能力来模拟 [Web 服务](/web-services-tutorial.html)并对其运行功能和负载测试，甚至在它们执行之前

**4）提及如何使用 SoapUI 构建功能测试？**

SOAP UI 使用三​​个级别来构建功能测试

*   **TestSuite：**它是用于将功能测试组合到逻辑单元中的测试用例池
*   **TestCase：**这是一组测试步骤，可以一起测试您服务的某些特定方面。 您可以将任意数量的测试用例扩展到测试套件
*   **测试步骤：**它们是 SOAPUI 中功能测试的“构建块”。 它们共同构成 TestCase 并确定要测试的服务的执行流程

**5）提到 REST 和 SOAP 有什么区别？**

*   **SOAP：** Soap 代表简单对象访问协议，它是一种用于通过 HTTP 作为 XML 接收和发送数据的协议
*   **REST：**这是一种设计 Web 服务的方式。

**6）解释 SoapUI 的属性是什么？**

SOAPUI 中的属性用于检索和存储数据。 数据存储为键，值或格式。

**7）解释您在 SoapUI 中使用属性的地方？**

我们可以将属性值读取到测试步骤端点，用户名，标头值，密码，域，POST，PUT，GET 和 DELETE 方法属性中。

**8）提及 SoapUI 使用什么语言？**

SOAP UI 支持两种语言，即 Groovy 和 JavaScript。

**9）提及 SOAPUI 中的默认属性是什么？**

缺省情况下，SOAPUI 具有三个级别的属性

*   **项目级别的默认或自定义属性：**用户可以在项目级别附加任何数量的属性，并且可以在任何测试套件下的任何测试案例的任何测试步骤中打开它
*   **测试套件级别的默认或自定义属性：**用户可以在测试套件级别附加任何数字属性，并且可以在此测试套件下的任何测试用例的任何测试步骤中使用它
*   **测试用例级别的默认或自定义属性：**在[测试用例](/test-case.html)级别，用户可以在测试用例级别添加任何数字属性，并且可以在此测试用例的任何测试步骤中使用它

**10）说明如何在 SOAP UI 中参数化端点？**

在 SOAP UI 中参数化端点是最重要的，因为这是[自动化测试](/automation-testing.html)的第一步。 手动更改端点比较耗时。 为了做到这一点

*   定义保存端点的项目属性
*   通过属性扩展更改端点以使用此属性
*   确保您的请求正在使用配置的端点
*   运行请求时，该属性将不可避免地具有其当前值。 要使用其他值，只需在 UI 中配置端点即可，您可以从命令行使用 P 选项

**11）提及读取自定义或默认属性值的通用格式是什么？**

读取自定义或默认属性值的常规格式为$ {＃levelname＃key}

**12）在 SOAPUI 内可以使用 groovy 脚本吗？**

SOAPUI groovy 脚本内部可以在两个地方使用

*   Groovy 脚本测试步骤
*   脚本声明-在测试步骤中

**13）提到 SOAP UI 的一些重要功能吗？**

SOAP UI 的一些重要功能是：

*   它仅使用 Web 服务 WSDL 链接创建一个新项目。 它将获取所有方法的信息并自动将其导入
*   它直接从 Web 方法请求中创建测试用例
*   它组合或单独测试 Web 方法。 它具有非常有用的功能，它允许将数据和参数从一种方法传递到另一种方法。 它使您可以将数据保存在变量中，以便其他方法可以访问它
*   它可以通过断言在 Web 方法结果上创建验证。 可以在 X 路径或 X 查询中创建断言
*   它有助于创建其他类型的验证，例如架构遵从性，肥皂故障，响应时间等。
*   它可以组织测试套件中的测试用例
*   它使您能够运行测试套件中的所有测试用例，并获取每个测试用例的失败/通过结果
*   它启用参数化测试用例请求字段，以便测试用例可以利用表或数据库中的不同值
*   使用 groovy，它可以创建复杂的验证脚本
*   它支持 Web 服务[负载测试](/load-testing-tutorial.html)
*   它对测试覆盖率和需求管理有一些支持

**14）解释 Soap UI 中的断言是什么，并举例说明 SOAPUI 中可能的断言吗？**

在 SOAP UI 中，断言功能用于在执行时验证测试步骤收到的请求的响应。 它用于将消息的一部分与某个期望值进行比较。

SOAPUI 中的断言类型包括

*   简单包含
*   架构符合性
*   简单不包含
*   肥皂故障
*   响应 SLA
*   XPath 匹配
*   XQuery 匹配
*   WS 安全状态
*   脚本断言
*   WS-寻址请求或响应断言

**15）SoapUI 是否支持 SSL 身份验证**

是

[免费 PDF 下载：SoapUI 面试问题&答案](#)