# 测试计划模板：带有 Web 应用程序示例的样本文档

> 原文： [https://www.guru99.com/test-plan-for-project.html](https://www.guru99.com/test-plan-for-project.html)

## 什么是测试计划模板？

**测试计划模板**是一份详细的文档，描述了测试策略，目标，时间表，估计和可交付成果以及测试所需的资源。 测试计划可帮助我们确定验证被测应用程序质量所需的工作。 测试计划作为进行软件测试活动的蓝图，作为定义的过程，由测试经理对其进行细致的监视和控制。

为确保您的软件测试项目成功，必须创建[测试计划](/what-everybody-ought-to-know-about-test-planing.html)。如果您不熟悉测试计划，请参考本教程[上的如何创建测试计划](/what-everybody-ought-to-know-about-test-planing.html)

[下载示例测试计划模板](https://drive.google.com/uc?export=download&id=0ByI5-ZLwpo25LThJNUZzUzdkQXM)

下面找到了测试计划的重要组成部分-

*   [1 简介](#1)
*   [1.1 范围](#11)
*   [1.1.1 范围](#111)
*   [1.1.2 超出范围](#112)
*   [1.2 质量目标](#12)
*   [1.3 角色和职责](#13)
*   [2 测试方法](#2)
*   [2.1 概述](#21)
*   [2.2 测试级别](#22)
*   [2.3 错误分类](#23)
*   [2.4 暂停条件和恢复要求](#24)
*   [2.5 测试完整性](#25)
*   [3 个测试交付项](#3)
*   [4 资源&环境需求](#4)
*   [4.1 测试工具](#41)
*   [4.2 测试环境](#42)

## 1）简介

项目所使用的测试策略，过程，工作流程和方法的简要介绍

## 1.1）范围

* * *

1.1.1）范围

范围定义了**将要测试的软件的功能，功能或非功能要求**

1.1.2）超出范围

超出范围定义了**不会经过测试的软件的功能，功能或非功能要求**

## 1.2）质量目标

* * *

在此提及计划通过手动测试和自动化测试实现的总体目标。

您的测试项目的某些目标可能是

*   确保被测应用程序符合功能和非功能要求
*   确保 AUT 符合客户定义的质量规格
*   错误/问题在上线之前已得到识别和修复

## 1.3）角色和职责

* * *

详细描述不同团队成员的角色和职责，例如

*   质量检查分析师
*   测试经理
*   配置管理器
*   开发者
*   安装团队

在其他人中

## 2）测试方法

### 2.1）概述

* * *

提及为项目采用特定测试方法的原因。 为该项目选择的测试方法可以是

*   瀑布
*   迭代式
*   敏捷
*   极限编程

选择的方法取决于多个因素。 您可以在此处阅读有关测试方法的信息[](/testing-methodology.html)

### 2.2）测试级别

* * *

**测试级别定义了要在被测应用程序（AUT** ）上执行的测试类型。 测试级别主要取决于项目范围，时间和预算约束。

### 2.3）错误分类

* * *

分流的目的是

*   定义每个错误的解决方案类型
*   要确定错误的优先级并确定所有“待修复的错误”的时间表。

### 2.4）停权标准和恢复要求

* * *

暂停标准定义了用于暂停全部或部分测试过程的标准，而恢复标准则确定了在暂停测试之后何时可以恢复测试

### 2.5）测试完整性

* * *

在这里，您将定义认为将完成测试的标准。

例如，检查测试完整性的一些标准是

*   100％的测试覆盖率
*   执行所有手动&自动化测试用例
*   所有打开的错误已修复或将在下一版本中修复

## 3）测试结果

这里提到将在测试生命周期的不同阶段交付的所有测试工件。

这是简单的可交付成果

| 

*   测试计划
*   测试用例
*   需求追踪矩阵
*   错误报告
*   测试策略
*   测试指标
*   客户签收

 |

## 4）资源&环境需求

### 4.1）测试工具

* * *

列出类似的工具

*   需求跟踪工具
*   错误追踪工具
*   自动化工具

测试项目所需

### 4.2）测试环境

* * *

它提到了将用于测试应用程序的最低**硬件**要求。

除客户端专用软件外，还需要以下**软件的**。

*   Windows 8 及以上
*   Office 2013 以上
*   MS Exchange 等

## 5）术语/缩写

提及项目中使用的任何术语或首字母缩写词

| **TERM / ACRONYM** | **定义** |
| 火 | 应用程序界面 |
| 要么 | 被测应用 |

[下载上述测试计划模板格式](https://drive.google.com/uc?export=download&id=0ByI5-ZLwpo25LThJNUZzUzdkQXM)

## 样本测试计划文档银行 Web 应用程序示例

### 1 引言

测试计划旨在规定项目 Guru99 Bank 的所有测试活动的范围，方法，资源和时间表。

计划确定要测试的项目，要测试的功能，要执行的测试类型，负责测试的人员，完成测试所需的资源和时间表以及与计划相关的风险。

#### 1.1 范围

#### 1.1.1 范围

需要完善软件要求[规格](https://docs.google.com/document/d/1rPW5DV82VJT6vtA1VDSrfxaCBuAduxW0zb1yfTh_VMk/edit?pli=1)中定义的 websiteGuru99 Bank 的所有功能

| 模块名称 | 适用角色 | 描述 |
| 余额查询 | 经理客户 | **客户**：一个客户可以有多个银行帐户。 他只能
查看其帐户的余额
**经理**：经理可以查看
在其监督下的所有客户的余额 |
| 资金转账 | Manager Customer | **客户：**客户可以将资金从其“自己的”
帐户转移到任何目标帐户。
**经理**：经理可以将资金从任何来源银行
帐户转移到目标帐户 |
| 迷你声明 | Manager Customer | 迷你语句将显示帐户的最近 5 笔交易
**客户：**客户只能看到其“拥有的”
帐户的迷你声明
**经理：** 经理可以查看任何帐户的迷你声明 |
| 定制声明 | Manager Customer | 定制的对帐单允许您根据日期，交易值
**客户过滤和显示帐户中的
交易。客户：**客户只能看到其自己的帐户
的定制对帐单
**经理**：经理可以查看任何
帐户的自定义声明 |
| 更改密码 | Manager Customer | **客户：**客户只能更改其帐户的密码。
**管理员**：管理员只能更改其帐户的密码。
他无法更改客户密码 |
| 新客户 | 经理 | **管理员**：管理员可以添加新客户。 |
|   | Manager | **管理员：**管理员可以编辑客户的地址，电子邮件，
电话之类的详细信息。 |
| 新账户 | Manager | 当前，系统提供两种类型的帐户
•保存
•当前
客户可以拥有多个保存帐户（一个名字，另一个名字
，一个联合名称，等等）。
他可以为自己拥有的不同公司
拥有多个经常账户。
或者他可以拥有多个活期帐户和储蓄帐户。
**管理员：**管理员可以为现有
客户添加新帐户。 |
| 编辑帐户 | Manager | 管理员：管理员可以为现有帐户添加编辑帐户详细信息 |
| 删除帐户 | Manager | 经理：经理可以为客户添加删除帐户。 |
| 删除客户 | Manager | 仅当客户没有活动的活期帐户或储蓄帐户时，才能删除该客户。
**经理：**经理可以删除客户。 |
| 存款 | Manager | **经理：**经理可以将钱存入任何帐户。
通常在现金存入银行分行时完成。 |
| 退出 | Manager | **经理：**经理可以从任何帐户提取资金。
通常在银行分行提取现金时完成。 |

#### 1.1.2 超出范围

这些功能未经测试，因为它们未包含在软件要求规范中

*   使用者介面
*   硬体介面
*   软件界面
*   数据库逻辑
*   通讯接口
*   网站安全性和性能

### 1.2 质量目标

测试目标是**验证**网站 Guru99 Bank 的功能，该项目应重点测试**银行业务**，例如帐户管理，取款和余额…等。 到**保证**在实际业务环境中所有这些操作都能正常工作。

### 1.3 角色和责任

该项目应使用**外包**成员作为测试人员，以节省项目成本。

| **否** | **成员** | **任务** |
| **1\.** | 测试经理 | 管理整个项目
定义项目方向
获取适当的资源
 |
| **2\.** | 测试 | 识别并描述适当的测试技术/工具/自动化体系结构验证和评估测试方法执行测试，记录结果，报告缺陷。
外包成员 |
| **3\.** | 测试中的开发人员 | 实施测试用例，测试程序，测试套件等。 |
| **4\.** | 测试管理员 | 建立并确保测试环境和资产得到管理和维护
支持测试人员使用测试环境进行测试执行 |
| **5\.** | SQA 成员 | 负责质量保证
检查以确认测试过程是否满足指定要求 |

### 2 测试方法

### 2.1 概述

### 2.2 测试水平

在 Guru99 银行项目中，应进行 3 种类型的测试。

*   **集成**测试（将各个软件模块组合并作为一个整体进行测试）
*   **系统**测试：在完整的**，**和**集成**系统上进行，以评估系统是否符合其指定要求
*   **API 测试：**测试为被测软件创建的所有 API

### 2.3 错误分类

### 2.4 暂停标准和恢复要求

如果团队成员报告有 **40％的**测试用例**未通过**，请暂停测试，直到开发团队修复所有失败的用例为止。

### 2.5 测试完整性

*   指定表示**成功完成测试阶段的**的条件
*   除非给出明确的原因，否则**运行**的速率必须为 **100％**。
*   **通过**率为 **80％，**达到通过率是**强制**

### 2.6 项目任务，估算和进度

| **任务** | **成员** | **估算工作量** |
| **创建测试规范** | 测试设计师 | 170 工时 |
| **执行测试执行** | 测试员，测试管理员 | 80 工时 |
| **测试报告** | 测试仪 | 10 工时 |
| **测试交付** |  | 20 工时 |
| **总计** |  | **280 工时** |

**完成这些任务的时间表**

### 3 测试成果

测试结果如下

**测试阶段**之前

*   测试计划文件。
*   测试案例文件
*   测试设计规范。

**测试期间**

-测试工具模拟器。

- 测试数据

-测试跟踪能力矩阵-错误日志和执行日志。

**测试周期结束后**

*   测试结果/报告
*   缺陷报告
*   安装/测试程序指南
*   发行说明

### 4 资源&环境需求

### 4.1 测试工具

| **No.** | **资源** | **说明** |
| **1\.** | 服务器 | 需要一个安装 MySQL 服务器的数据库服务器，安装 Apache 服务器的 Web 服务器 |
| **2\.** | 测试工具 | 开发一个测试工具，可以自动将测试结果生成为预定义的形式并自动执行测试 |
| **3\.** | 网络 | 设置速度至少为 5 Mb / s 的 LAN 千兆以太网和 1 条 Internet 线 |
| **4\.** | 电脑 | 至少 4 台计算机运行 Windows 7，Ram 2GB，CPU 3.4GHZ |

### 4.2 测试环境

根据下图设置测试环境