# 什么是 HP ALM？ 质量中心工具

> 原文： [https://www.guru99.com/hp-alm-introduction.html](https://www.guru99.com/hp-alm-introduction.html)

## 什么是 HP ALM？

HP ALM（应用程序生命周期管理）是一个基于 Web 的工具，可帮助组织从项目计划，需求收集到测试&部署，一直管理应用程序生命周期，否则这是一项耗时的任务。

在其较早的化身为 Quality Center 的化身中，测试管理工具由 Mercury Interactive 开发。

HP 现在将其开发为 **A** 应用程序 **L** ife 周期 **M** 管理工具（或）ALM，它支持软件开发生命周期的各个阶段。

ALM 还提供与所有其他 HP 产品（例如 UFT 和 Load Runner）的集成。

## 为什么要使用 HP​​ ALM？

参与典型项目的各个利益相关者是–

*   开发者
*   测试仪
*   业务分析师
*   项目经理
*   产品负责人

这些利益相关者执行各种活动，需要与所有相关团队成员进行沟通。

如果我们不维护集中式存储库来记录，维护和跟踪与产品相关的所有工件，那么该项目无疑将失败。

我们还需要一种机制来记录和测试所有测试和开发活动。

![Introduction to HP ALM(Quality Center)](img/5509311fe517ddc3b27158354a10376f.png "Introduction to HP ALM(Quality Center)")

输入 HP ALM！

*   它使所有利益相关者能够**进行交互和协调**以实现项目目标。
*   它提供强大的**跟踪&报告**，并无缝集成各种项目相关任务。
*   它可以进行详细的**项目分析和有效的管理**。
*   ALM 可以连接到我们的电子邮件系统，并向所有希望的团队成员发送有关任何更改（例如需求更改，缺陷提出等）的电子邮件。

## HP Quality Center 版本

了解 ALM 的历史很重要。

*   Quality Center 之前被称为由 Mercury Interactive 开发的测试主管。
*   2008 年发布了版本 8，并将该产品重命名为 Quality Center。
*   后来，惠普收购了 Mercury Interactive，并将所有汞产品更名为 HP。
*   因此，Mercury Quality Center 成为了 HP Quality Center
*   2011 年发布了版本 11，质量中心更名为 HP ALM。

![Introduction to HP ALM(Quality Center)](img/82f82031780384f5b783ced3d38c89f1.png "Introduction to HP ALM(Quality Center)")

## QC 架构

现在让我们了解 HP-ALM 的技术部分。 ALM 是使用 [Java](/java-tutorial.html) 2 Enterprise Edition（J2EE）开发的企业应用程序，可以将 MS [SQL](/sql.html) Server 或 Oracle 作为其后端。 ALM 具有 3 个组件–客户端，应用程序服务器和数据库服务器。

1.  **HP ALM 客户端：**最终用户/测试人员访问 ALM 的 URL 时，会将客户端组件下载到客户端的系统上。 ALM 客户端组件可帮助用户使用.NET 和 COM 技术通过安全连接（HTTPS）与服务器进行交互。
2.  **ALM 服务器/应用程序服务器：**应用程序服务器通常运行在满足客户端请求的 Windows 或 [Linux](/unix-linux-tutorial.html) 平台上。 应用服务器使用 Java 数据库连接（JDBC）驱动程序在应用服务器和数据库服务器之间进行通信。
3.  **数据库服务器**：数据库层存储三个模式。

*   **站点管理架构：**它存储与域，用户和站点参数有关的信息。
*   **实验项目：**此架构存储与远程主机上的功能和[性能测试](/performance-testing.html)相关的实验信息，Performance Center 服务器数据。
*   **项目模式：**存储项目信息，例如用户在项目区域下创建的工作项/数据。 每个项目都有自己的架构，它们与站点管理架构在同一数据库服务器上创建。

![Introduction to HP ALM(Quality Center)](img/389e4d6bce3529991c55d13d612dfc64.png "Introduction to HP ALM(Quality Center)")

## HP ALM 版本：

HP ALM 是一种商业许可的工具，HP 发行 4 种不同版本的 ALM

![Introduction to HP ALM(Quality Center)](img/b29852f111637a7159a6bcc126953716.png "Introduction to HP ALM(Quality Center)")

## ALM 版功能比较

每个许可证均允许用户访问某些 ALM 功能。 下表列出了特定许可证为您提供的功能=

![Introduction to HP ALM(Quality Center)](img/d5391ea1685bbc437d29205e52e2c4c6.png "Introduction to HP ALM(Quality Center)")

让我们研究一下您为什么要购买特定版本，以及该版本适合谁

*   HP ALM Essentials –适用于仅需要基本功能以支持其整个软件生命周期的公司。 它可以访问需求管理，测试管理和[缺陷](/defect-management-process.html)管理。
*   HP QC 企业版–该许可证非常适合希望将 ALM 专门用于测试目的的公司。 它还提供与 Unified Functional Tester（UFT）的集成。
*   HP ALM Performance Center Edition –该许可证最适合希望使用 HP ALM 来驱动 HP-Load 运行器脚本的组织。 它可以帮助用户维护，管理，安排，执行和监视性能测试。

## ALM 工作流程

要学习 ALM 工作流程，让我们首先研究一个典型的测试过程-

![Introduction to HP ALM(Quality Center)](img/b9b1b665764befd4f4d68df9edffc6e8.png "Introduction to HP ALM(Quality Center)")

*   我们从计划，起草和发布细节开始。 确定每个版本中的周期数&每个版本的范围
*   对于给定的发布和周期，我们起草了需求规范。
*   根据需求，创建测试计划和测试用例。
*   下一步是执行创建的测试计划
*   此测试过程的下一个阶段是跟踪并修复在执行阶段中检测到的缺陷
*   在所有阶段，都将进行分析，并生成报告和图形以生成测试指标。

HP ALM 提供了适合于测试过程各个阶段的模块。 我们将在以后的教程中详细研究它们。