# 如何将 UFT（QTP）与 ALM（质量中心）集成

> 原文： [https://www.guru99.com/hp-alm-integrate-uft.html](https://www.guru99.com/hp-alm-integrate-uft.html)

*   ALM 允许与其他 HP 产品集成，例如 HP UFT 和 Hp Load Runner。
*   HP UFT 是一种功能自动化工具，可支持基于 Windows 和基于 Web 的应用程序的自动化。 它还支持多种技术，例如.NET，Java，Siebel，SAP 等。
*   在本节中，我们将了解如何从 ALM 驱动 UFT 脚本。 它由各种配置和步骤组成。
*   此模块的前提条件是必须同时安装 ALM 和 UFT。

Following is the roadmap one needs to follow in oder to run UFT tests using ALM

![How to integrate UFT(QTP) with  ALM (Quality Center)](img/163e52658b1c9fc20c9bc0a8ceb5778e.png "How to integrate UFT(QTP) with  ALM (Quality Center)")

## A 部分-加载项安装：

**步骤 1）**导航到 ALM 登录页面（ [http：// localhost：8181 / qcbin /](http://localhost:8181/qcbin/) ）并选择``工具''，如下所示。

![How to integrate UFT(QTP) with  ALM (Quality Center)](img/f1baf907ae2bec854574b929ac2f65ec.png "How to integrate UFT(QTP) with  ALM (Quality Center)")

**步骤 2）**]应单击加载项页面和``HP ALM 连接''链接。

![How to integrate UFT(QTP) with  ALM (Quality Center)](img/888079269002768d0669870c36529a76.png "How to integrate UFT(QTP) with  ALM (Quality Center)")

**步骤 3）**单击``下载 HP ALM 连接''链接，该 exe 文件将下载到指定位置。

![How to integrate UFT(QTP) with  ALM (Quality Center)](img/04abf0d6cd435f0ead15602812f83b58.png "How to integrate UFT(QTP) with  ALM (Quality Center)")

**步骤 4）**右键单击下载的文件，然后单击``以管理员身份运行''。

![How to integrate UFT(QTP) with  ALM (Quality Center)](img/9661643111f059c9dfd2454cbba60306.png "How to integrate UFT(QTP) with  ALM (Quality Center)")

**步骤 5）**如果预先安装了 UFT，则用户无需经历任何安装向导。 用户仅收到如下所示的安装状态。

![How to integrate UFT(QTP) with  ALM (Quality Center)](img/6a0062856eff40cbdafa653f8260a247.png "How to integrate UFT(QTP) with  ALM (Quality Center)")

## B 部分–连接 UFT 和 ALM

**步骤 1）**打开 UFT，您将注意到 ALM 作为以下菜单之一出现。

![How to integrate UFT(QTP) with  ALM (Quality Center)](img/4bbf06723d5372f5a5f8b99b45df36d0.png "How to integrate UFT(QTP) with  ALM (Quality Center)")

**步骤 2）**导航 ALM 菜单并选择 ALM 连接。

![How to integrate UFT(QTP) with  ALM (Quality Center)](img/a8a805a048f0af016f66f1fb905bf67e.png "How to integrate UFT(QTP) with  ALM (Quality Center)")

**步骤 3）**``ALM 连接对话框打开。

1.  输入 ALM 服务器 URL
2.  输入用户名
3.  输入密码，然后单击“连接”

![How to integrate UFT(QTP) with  ALM (Quality Center)](img/2b608bcab0d1beb9d9f1ef0eebab3eb2.png "How to integrate UFT(QTP) with  ALM (Quality Center)")

**步骤 4）**成功认证后，将在我们第一次建立 ALM 与 UFT 之间的连接时下载 ALM 文件。

![How to integrate UFT(QTP) with  ALM (Quality Center)](img/8ee80d498abcb80a71abebc292f41424.png "How to integrate UFT(QTP) with  ALM (Quality Center)")

**步骤 5）**``ALM 连接对话框等待用户选择域和项目。

1.  选择域
2.  选择项目
3.  点击“登录”

![How to integrate UFT(QTP) with  ALM (Quality Center)](img/b7a4700597ad188205c827edc1eca3db.png "How to integrate UFT(QTP) with  ALM (Quality Center)")

**步骤 6）**``ALM 连接对话框显示状态。

1.  连接到服务器，并列出有关服务器地址和用户名的详细信息。
2.  连接到项目并列出有关该项目的详细信息。
3.  点击“关闭”

![How to integrate UFT(QTP) with  ALM (Quality Center)](img/bc290c42ee1599fd648d78d75f95643c.png "How to integrate UFT(QTP) with  ALM (Quality Center)")

## C 部分–将脚本保存到 ALM

*   让我们了解执行 UFT 脚本所需的各种组件。
*   **主驱动程序脚本**-扩展名为.mts 的所有 UFT 脚本的入口点。
*   **库**-相关的脚本/功能文件，可以扩展为（.vbs）或（.qfl）。
*   **对象存储库**-本质上通常是共享对象存储库，并具有.tsr 扩展名。
*   **DataTable** -用于参数化测试。 通常是一个 Excel 文件。

***注意：本章的主题是理解 ALM 和 UFT 集成，而不是学习如何编写 UFT 脚本。***

![How to integrate UFT(QTP) with  ALM (Quality Center)](img/2295d5f86de47220d023a013482663c8.png "How to integrate UFT(QTP) with  ALM (Quality Center)")

**步骤 1）**的第一步是将主驱动程序脚本从 UFT 保存到 ALM。 导航到“文件”菜单，然后选择“新建测试”，如下所示。

![How to integrate UFT(QTP) with  ALM (Quality Center)](img/117860a742891cc86dc47b37d5b73b98.png "How to integrate UFT(QTP) with  ALM (Quality Center)")

**步骤 2）**``新测试对话框打开。

1.  选择测试类型。
2.  输入测试名称。
3.  我们需要选择该位置作为 ALM（默认情况下，它将显示 UFT 安装的位置）。 点击“浏览”按钮。

![How to integrate UFT(QTP) with  ALM (Quality Center)](img/35595704803ada09f302d9c1907d3fb9.png "How to integrate UFT(QTP) with  ALM (Quality Center)")

**步骤 3）**``'选择位置'对话框打开。

1.  选择“ ALM 测试计划”标签。
2.  双击“ **Functional** ”文件夹以打开其子文件夹。

![How to integrate UFT(QTP) with  ALM (Quality Center)](img/9eb603a0fb9441c7bf2a6f4ea050a5cf.png "How to integrate UFT(QTP) with  ALM (Quality Center)")

**步骤 4）**``'选择位置'对话框打开，其中包含'**功能**'文件夹的子文件夹。

1.  双击' **Automation** 文件夹。
2.  点击“选择”。

![How to integrate UFT(QTP) with  ALM (Quality Center)](img/779cbafc1fb296eda4733ea0dae52c1a.png "How to integrate UFT(QTP) with  ALM (Quality Center)")

**步骤 5）**``'New Test'对话框回显给用户

1.  选择的测试位置指向 ALM。
2.  点击“创建”。

![How to integrate UFT(QTP) with  ALM (Quality Center)](img/32b2cf1a660d07f36e91026b72e5f102.png "How to integrate UFT(QTP) with  ALM (Quality Center)")

**步骤 6）**现在，让我们通过登录 ALM 来验证测试是否已成功创建。

导航到“测试计划”模块。

*   您会注意到测试脚本'Guru99_Bank_Auto'是在'Automation'文件夹下创建的。
*   在详细信息选项卡下，我们还可以发现测试类型被锁定为“ QUICKTEST_TEST”，这意味着它是一个 UFT 脚本。

![How to integrate UFT(QTP) with  ALM (Quality Center)](img/c049240aa6d2d2f81284678c2040776d.png "How to integrate UFT(QTP) with  ALM (Quality Center)")

**步骤 7）**现在开始在 UFT 中开发脚本并通过选择创建的测试的“测试脚本”选项卡保存可以在 ALM 中访问的脚本。

![How to integrate UFT(QTP) with  ALM (Quality Center)](img/529e527f2ed095729392906e11b90c30.png "How to integrate UFT(QTP) with  ALM (Quality Center)")

**步骤 8）**下一步是将关联的功能库文件保存在 ALM 的“测试资源”模块下，该文件将在执行过程中自动拾取。

对于此脚本，我们有两个与创建的测试脚本关联的功能库，其中一个包含与应用程序相关的所有功能，另一个包含将帮助用户生成输出文本结果文件的功能。

![How to integrate UFT(QTP) with  ALM (Quality Center)](img/52e7bd282f5204fd2e8560422e1c8082.png "How to integrate UFT(QTP) with  ALM (Quality Center)")

**步骤 9）**我们需要将关联的库文件保存在 ALM 中的“测试资源”下。

*   点击“新资源”按钮
*   “新资源”对话框打开
*   输入功能库的名称
*   选择类型为“功能库”
*   点击“确定”

![How to integrate UFT(QTP) with  ALM (Quality Center)](img/ee38245064fe9f9e860de1c3a4dcec2e.png "How to integrate UFT(QTP) with  ALM (Quality Center)")

**步骤 10）**创建的测试资源将显示给用户，如下所示。

![How to integrate UFT(QTP) with  ALM (Quality Center)](img/75524797396140815e7948661244eff7.png "How to integrate UFT(QTP) with  ALM (Quality Center)")

**步骤 11）**现在我们需要将.vbs 上传到创建的测试资源上。

*   点击“资源查看器”
*   点击“上传文件”

![How to integrate UFT(QTP) with  ALM (Quality Center)](img/be0ba22d2bbd56d2cb3f8bbdcf8ec075.png "How to integrate UFT(QTP) with  ALM (Quality Center)")

**步骤 12）。**将打开上传文件对话框。

*   选择.vbs 文件所在的路径
*   选择必须上载的文件。
*   单击“打开”。

![How to integrate UFT(QTP) with  ALM (Quality Center)](img/4fe4f519adfefd8676fa4d0db52148d1.png "How to integrate UFT(QTP) with  ALM (Quality Center)")

**步骤 13）**成功上传后，ALM 会向用户显示状态。 点击“确定”。

![How to integrate UFT(QTP) with  ALM (Quality Center)](img/32df21a713b055687e22c19a510bbe36.png "How to integrate UFT(QTP) with  ALM (Quality Center)")

**步骤 14）**可以使用“资源查看器”查看上载的测试资源。

![How to integrate UFT(QTP) with  ALM (Quality Center)](img/affcc76d5fd59253551bdb9a6de42df2.png "How to integrate UFT(QTP) with  ALM (Quality Center)")

**步骤 15）**重复步骤 8 至 14，上传与测试相关的另一个功能文件。 上传“ generateresult.vbs”后，资源查看器将显示如下。

![How to integrate UFT(QTP) with  ALM (Quality Center)](img/fe2cc2021c734958d1b64d7c09252b0d.png "How to integrate UFT(QTP) with  ALM (Quality Center)")

**步骤 16）**现在，我们需要在“测试资源”模块下上传相关的“对象库”文件，类似于我们上载函数库的方式。

1.  点击“新资源”模块
2.  “新资源”模块窗口打开。
3.  输入测试资源的名称。
4.  选择文件类型为“对象存储库”。
5.  点击“确定”

![How to integrate UFT(QTP) with  ALM (Quality Center)](img/36b292e5e58cd44668e10a67b2973d13.png "How to integrate UFT(QTP) with  ALM (Quality Center)")

**步骤 17）**如下所示创建测试资源。 现在，用户需要上传存储库文件。

*   点击“资源查看器”标签。
*   点击“上传文件”按钮。

![How to integrate UFT(QTP) with  ALM (Quality Center)](img/6fa8f2df3bc2dfd0f5b4a978b96dba7c.png "How to integrate UFT(QTP) with  ALM (Quality Center)")

**步骤 18）**现在上传共享对象存储库文件。

*   选择已存储文件的位置。
*   点击“打开”按钮。

![How to integrate UFT(QTP) with  ALM (Quality Center)](img/efa304f544eb2c7469cc93e71f7814b4.png "How to integrate UFT(QTP) with  ALM (Quality Center)")

**步骤 19）**成功上传后，ALM 会向用户显示状态。 点击“确定”。

![How to integrate UFT(QTP) with  ALM (Quality Center)](img/5b4d547b9b7d302e03a2ab151af2ca29.png "How to integrate UFT(QTP) with  ALM (Quality Center)")

**步骤 20）**可以从 ALM 正确查看测试资源，如下所示。

![How to integrate UFT(QTP) with  ALM (Quality Center)](img/22e2192ef64b91d31e16516db057146b.png "How to integrate UFT(QTP) with  ALM (Quality Center)")

**步骤 21）**。我们需要上传的最后一个测试资源是“测试数据”表，其中包含参数化测试。

出于演示目的，我们自动执行了 4 个测试案例。 设计的测试数据如下所示。 现在我们需要在 ALM 中上传相同的内容。

![How to integrate UFT(QTP) with  ALM (Quality Center)](img/2262a0f7fc6bd847841f45f73d433d9b.png "How to integrate UFT(QTP) with  ALM (Quality Center)")

**步骤 22）**创建一个名称为'TestData'的新资源，并将类型选择为'test Resource'，然后选择'OK'

![How to integrate UFT(QTP) with  ALM (Quality Center)](img/f093af0a500f3da643f170c81d20f8e6.png "How to integrate UFT(QTP) with  ALM (Quality Center)")

**步骤 23）**如步骤 17 至 19 所述，上传测试数据 Excel 文件并成功上传后，将显示创建的“测试数据”，如下所示。

![How to integrate UFT(QTP) with  ALM (Quality Center)](img/a76f873db695819b0d222a62aebfa0de.png "How to integrate UFT(QTP) with  ALM (Quality Center)")

## D 部分– UFT 中的设置

**步骤 1）**我们已将所有关联文件加载到 ALM 中，我们必须确保自动化脚本从 ALM 中拾取库文件，OR 和数据文件。 让我们了解如何从 ALM 动态将功能库与测试脚本关联。

![How to integrate UFT(QTP) with  ALM (Quality Center)](img/f30e5a2108107f196a274bdad925ca04.png "How to integrate UFT(QTP) with  ALM (Quality Center)")

**步骤 2）**还必须从 ALM 的“测试资源”选项卡中选择对象存储库。 让我们看看如何在运行时动态加载对象存储库。

![How to integrate UFT(QTP) with  ALM (Quality Center)](img/5cd10be774ff8f77a1c7f7f41696b125.png "How to integrate UFT(QTP) with  ALM (Quality Center)")

**步骤 3）**测试数据必须导入 UFT 的“全局”表中。 为了执行相同的操作，在尝试访问数据表中提到的参数之前，我们应确保拥有以下代码。

![How to integrate UFT(QTP) with  ALM (Quality Center)](img/4294fec24f2626bb7a224e3296463ac5.png "How to integrate UFT(QTP) with  ALM (Quality Center)")

**步骤 4）**我们应确保我们允许其他 HP 产品与 UFT 进行交互。 要执行相同的操作，请转到“工具”->“选项”，如下所示。

![How to integrate UFT(QTP) with  ALM (Quality Center)](img/d14f4bcfedcae7d792030b37e8cc16f3.png "How to integrate UFT(QTP) with  ALM (Quality Center)")

**步骤 5）**``选项对话框打开。

*   选择' [GUI Testing](/gui-testing.html) '选项卡。
*   选择“测试运行”
*   启用“允许其他 HP 产品运行测试和组件”
*   点击“确定”

![How to integrate UFT(QTP) with  ALM (Quality Center)](img/834438d7a3e1a559f9c64909fea49ffd.png "How to integrate UFT(QTP) with  ALM (Quality Center)")

### E 部分–在 ALM 中执行脚本

**步骤 1）**在'Test Lab'模块中创建一个测试套件以执行。 让我们为自动化测试套件创建一个“新文件夹”。

*   选择“测试实验室”模块
*   选择我们要在其下创建新文件夹的文件夹
*   单击新文件夹图标
*   输入文件夹名称
*   单击确定。

![How to integrate UFT(QTP) with  ALM (Quality Center)](img/f88b9a731c25c85ed23c1f0fae7cf186.png "How to integrate UFT(QTP) with  ALM (Quality Center)")

**步骤 2）**将会创建新文件夹，如下所示：

![How to integrate UFT(QTP) with  ALM (Quality Center)](img/4521311051a028919a25dba2f8b31714.png "How to integrate UFT(QTP) with  ALM (Quality Center)")

**步骤 3）**现在，我们需要在创建的文件夹下创建测试集。

*   选择文件夹
*   点击“新测试集”按钮
*   输入测试集的名称
*   点击“确定”

![How to integrate UFT(QTP) with  ALM (Quality Center)](img/2eed075a6e0dc21674709618b98cc375.png "How to integrate UFT(QTP) with  ALM (Quality Center)")

**步骤 4）**像手动测试一样，在创建测试集之后，需要从[测试计划](/what-everybody-ought-to-know-about-test-planing.html)树中添加测试实例。

*   选择创建的测试集
*   点击“选择测试”按钮。 将打开“测试计划”树。
*   选择测试
*   点击“ < =”按钮

![How to integrate UFT(QTP) with  ALM (Quality Center)](img/cfba81216bf3bd14132479f4cfd7240b.png "How to integrate UFT(QTP) with  ALM (Quality Center)")

**步骤 5）**将会显示添加的测试，如下所示。

*   添加的测试会自动将测试类型显示为“ QUICKTEST_TEST”。
*   点击“运行”按钮触发执行。

![How to integrate UFT(QTP) with  ALM (Quality Center)](img/afcebf72ba1542d0480cd08c9a235157.png "How to integrate UFT(QTP) with  ALM (Quality Center)")

**步骤 5）**会打开自动测试运行程序对话框。 让我们了解此窗口中的所有可用功能。

*   **全部运行**-允许我们完全执行测试集。
*   **运行**-允许我们仅执行所选的测试实例。
*   **本地运行所有测试**-该测试将在本地主机中启动。 如果未选中，则用户可以输入必须在其中执行测试的主机名。
*   **启用日志** －在测试运行期间创建执行日志文件。 要在文本执行后查看执行日志，请从同一对话框的[ **Run]** 菜单中选择**'View Execution** '。

单击“运行”以触发测试。

![How to integrate UFT(QTP) with  ALM (Quality Center)](img/359c700cc5b46ef403ded9ed4aa6ccdc.png "How to integrate UFT(QTP) with  ALM (Quality Center)")

**步骤 6）**在执行脚本时，UFT 将在后台启动。 测试执行完成后，将显示运行状态，如下所示。 关闭视窗。

![How to integrate UFT(QTP) with  ALM (Quality Center)](img/c4ce24787ea2bbefcf8c3c6165873280.png "How to integrate UFT(QTP) with  ALM (Quality Center)")

## F 部分–分析结果：

**步骤 1）**Â关闭``自动运行器''对话框后，执行网格将显示回给用户。

*   测试执行状态已更新。
*   可以通过单击“启动报告”按钮来访问内置的 UFT 测试报告。

![How to integrate UFT(QTP) with  ALM (Quality Center)](img/da84ab36683e37bd1a5fb352d4866e75.png "How to integrate UFT(QTP) with  ALM (Quality Center)")

**步骤 2）**内置的 UFT 测试报告将显示给用户。

![How to integrate UFT(QTP) with  ALM (Quality Center)](img/19a259b48a69061526e68e449a9865e9.png "How to integrate UFT(QTP) with  ALM (Quality Center)")

**步骤 3）**可以使用``测试运行''模块访问详细结果。 像手动测试一样，详细结果显示所有信息。

![How to integrate UFT(QTP) with  ALM (Quality Center)](img/3588ace465cb7bff4968bc8569359f7e.png "How to integrate UFT(QTP) with  ALM (Quality Center)")

**步骤 4）**该测试还会生成一个文本结果文件，可以从“附件”部分访问该文件。 文本文件由脚本（测试框架）生成，脚本是**而不是** UFT 的内置报告。 要访问相同的文件，请执行以下操作：

*   选择“运行 ID”。
*   “运行详细信息”对话框打开。
*   转到“附件”部分。
*   结果文件可供用户下载。 双击文本文件。

![How to integrate UFT(QTP) with  ALM (Quality Center)](img/b1fa89f636ee41570b92e8fc4f31cd9c.png "How to integrate UFT(QTP) with  ALM (Quality Center)")

**步骤 5）**文本结果文件在记事本中打开。 结果文件将显示如下。

![How to integrate UFT(QTP) with  ALM (Quality Center)](img/39961fc01f0c0ac20e1ca69c2816a9e6.png "How to integrate UFT(QTP) with  ALM (Quality Center)")

[下载本教程中使用的 UFT 自动化脚本](https://drive.google.com/uc?export=download&id=0B_vqvT0ovzHcTHlrQ2NMVWZlODg)

关于 [QTP](/quick-test-professional-qtp-tutorial.html) 与 Quality Center 集成的视频

**注意：-**

*   Quality Center 提供了许多功能，例如复制测试步骤，通过电子邮件发送脚本供审阅，添加附件等，以促进更快地开发测试用例。
*   您可以在 QTP 和 [Loadrunner](/loadrunner-v12-tutorials.html) 等自动化工具中创建脚本，然后将其上载并存储在 Quality Center 中
*   您也可以将 Quality Center 中的手动测试脚本直接转换为自动脚本。