# 前 20 名测试经理/领导面试问题

> 原文： [https://www.guru99.com/top-20-test-manager-interview-questions.html](https://www.guru99.com/top-20-test-manager-interview-questions.html)

**1）是否提到测试经理的职责？**

质量检查经理的角色包括

*   从启动到结束管理项目
*   测试计划
*   获得客户对可交付成果的认可
*   批准中间交付成果和补丁程序发布给客户端
*   提交工作量输入以进行计费
*   问题管理
*   指导，教练和离岸团队管理
*   将每周状态的报告提交给测试协调员
*   参加每周审查会议
*   每周发布所有测试项目的 KPI
*   为项目筹集资源

**2）如果发现组织中的测试人员即使在发现重大缺陷后仍在对可交付成果进行测试，则要采取什么方法？**

作为质量检查主管，您的方法应该是

*   收据标准应严格
*   测试用例应重新评估
*   如果可能，应添加更多的测试用例，以及等效的类划分用例和边界值
*   应该添加更多的测试用例以检查无效条件。
*   显示塞子条件应修改

**3）提及什么是需求追踪矩阵？**

需求[可追溯性矩阵](/traceability-matrix.html)将需求文档链接到测试用例。 出于以下原因使用

*   确保在验证过程中测试所有应用程序需求
*   检查测试覆盖率

**4）您如何为项目选择测试工具？**

1.  根据项目需求确定自动化工具中所需的功能
2.  评估符合要求的商业和非商业工具
3.  估算工具的成本和收益。 费用可能包括许可证和培训。
4.  与团队成员协商后做出最终决定。

**5）测试项目中有哪些主要挑战？**

软件测试的主要挑战包括

*   通常在时间限制下进行测试阶段
*   理解需求有时可能是一个挑战
*   应用程序应足够稳定以进行测试
*   设置测试优先级
*   缺乏熟练的测试人员
*   [回归测试](/regression-testing.html)
*   经常需求变更
*   缺乏工具，资源和培训

![Top 20 Test Manager/Lead  Interview Questions](img/6c48ce04505127e55c080233eec27181.png)

**6）什么是测试计划？**

测试计划是描述活动和测试范围的文档。 这是测试任何软件产品的基本要求。

**7）什么是测试计划？**

测试计划主要有三种类型

1.  主测试计划
2.  测试级别特定的[测试计划](/what-everybody-ought-to-know-about-test-planing.html)
3.  测试类型特定的测试计划

**8）测试经理应具备哪些人际交往能力？**

1.  有效和清晰的沟通
2.  应该与团队成员建立良好的关系
3.  良好的听力能力和情商
4.  激励团队成员
5.  解决冲突和道德问题。

**9）什么是“配置管理”？**

配置管理涵盖了用于协调，控制和跟踪测试工件的过程。

测试工件可以包括自动化代码，需求，文档，问题，设计，变更请求，设计等。

**10）什么是 PDCA 模型？**

PDCA 模型代表

1.  计划：确定改进并设定目标
2.  要做：实施改进
3.  检查：检查改进结果
4.  行动：从结果中学习

这是一种测试过程改进（TPI）方法。

**11）什么是非正式评论？**

非正式检查是一种无需运行代码即可检查缺陷的方法。 在文档的测试生命周期的初始阶段，非正式审查被多次实施。 非正式评论未记录在案。

**12）提及测试项目中的风险类型**

测试项目中的风险类型可以大致分为以下几类：

1.  战略风险：包括预算，沟通和管理风险
2.  项目定义风险：包括项目目标，范围和需求风险。
3.  人力资源风险：这包括技能，团队成员和组织风险。
4.  项目进度风险。

**13）测试经理应对风险应采取哪些对策？**

测试经理必须采取以下步骤来减轻产品开发过程中的风险

*   **避免：**消除涉及的风险因素
*   **减少：**缓解计划，以减少风险的影响并采取纠正措施
*   **共享：**将风险转移到其他资源，例如内源或保险
*   **接受：**接受风险并为这些风险准备计划预算

**14）说明测试经理如何评估项目以及如何评估？**

在测试评估期间，测试经理必须评估四件事

1.  成本
2.  资源资源
3.  人类技能
4.  时间

他们可以通过以下方式估算项目

*   **工作分解结构（WBS）：**将项目分解为较小的部分
*   **三点估计：**三点估计基于统计数据
*   **功能点法：**权衡每个功能并测量尺寸

**15）什么是三点估计？**

在三点估计中，根据以前的经验，最初为每个任务生成三个值。 例如，要完成特定任务，可能的可能性是

*   **最佳案例估计：**有经验丰富的团队成员，需要 120 个工时或 15 天
*   **最可能的估计：** 170 小时或 21 天，有足够的资源和中等团队成员的经验
*   **最坏的估计：** 200 个工时或 25 天，并且工作经验较少的团队

**16）提及一些用于测试评估的最佳做法**

[测试评估](/an-expert-view-on-test-estimation.html)的一些最佳做法是

*   **加上一些缓冲时间**：缓冲时间始终是一个优势，它可能有助于处理因意外原因（如才华横溢的成员突然辞职）而导致的延迟，
*   **估算中的帐户资源计划**：请确保您的估算是切合实际的，并且被视为至关重要的因素，例如人力资源的可用性。
*   **使用过去的经验作为参考：**通过过去的经验，尽量避免最有可能发生的所有障碍或可能的阻碍
*   **坚持您的估计：**估计不是充分的证明。 它也可能出错。 在项目的早期阶段，您应该重新检查测试估算，并在需要时进行修改。

**17）好的测试报告包括哪些内容？**

好的测试报告应包括

*   项目信息
*   测试目标
*   测试总结
*   缺陷

**18）列出一些软件质量保证最佳实践？**

软件[质量保证](/all-about-quality-assurance.html)的一些最佳做法包括

*   连续的提高
*   文献资料
*   工具使用和自动化
*   指标
*   团队合作和 SQA 的共同责任

**19）通过哪些因素可以确定测试执行的质量？**

两种方法可以确定测试执行的质量

*   **缺陷排除率：**（缺陷排除数量/缺陷总数）X 100
*   **缺陷泄漏率：**（缺陷缺失数/软件缺陷总数）X 100

**20）您将如何处理团队冲突？**

由于团队成员背景和工作方式的多样性，第一步是期望并为测试项目中的冲突做好准备。

下一步是召开会议，评估团队成员的项目状态。 测试经理需要与所有人保持开放的沟通，以消除团队的挫败感和愤怒。 最后，请团队成员合作并强调他们合作对项目成功的重要性。