# Web 应用程序测试清单：网站的测试用例示例

> 原文： [https://www.guru99.com/complete-web-application-testing-checklist.html](https://www.guru99.com/complete-web-application-testing-checklist.html)

在测试 Web 应用程序时，应考虑以下模板。 根据业务需求，以下提到的清单几乎适用于所有类型的 Web 应用程序。

Web 应用程序测试清单包括：

*   [可用性测试](#1)
*   [功能测试](#2)
*   [兼容性测试](#3)
*   [数据库测试](#4)
*   [安全测试](#5)
*   [性能测试](#6)

现在，让我们详细查看每个清单：

## 可用性测试

**什么是可用性测试？**

*   可用性测试不过是用户友好性检查。
*   在可用性测试中，对应用程序流程进行了测试，以便新用户可以轻松理解该应用程序。
*   基本上，在可用性测试中检查系统导航。

**可用性测试的目的或目标是什么？**

可用性测试使用标准的可用性测试惯例来确定产品的易用性和有效性。

**可用性测试用例示例**

*   网页内容应正确无任何拼写或语法错误
*   所有字体应与要求相同。
*   所有文本应正确对齐。
*   所有错误消息都应正确无误，没有任何拼写或语法错误，并且错误消息应与字段标签匹配。
*   每个字段都应有工具提示文本。
*   所有字段均应正确对齐。
*   字段标签，列，行和错误消息之间应留有足够的空间。
*   所有按钮应采用标准格式和大小。
*   主页链接应该在每个页面上。
*   禁用的字段应显示为灰色。
*   检查损坏的链接和图像。
*   对于任何种类的更新和删除操作，都应显示确认消息。
*   使用不同的分辨率（640 x 480、600x800 等）检查网站
*   检查最终用户是否可以正常运行系统。
*   检查选项卡应该正常工作。
*   滚动条仅在需要时出现。
*   如果提交时出现错误消息，则用户应该填写的信息在那里。
*   标题应显示在每个网页上
*   所有字段（文本框，下拉列表，单选按钮等）和按钮都应该可以通过键盘快捷键访问，并且用户应该能够使用键盘执行所有操作。
*   检查下拉数据是否由于字段大小而被截断。 另外，检查数据是否经过硬编码或通过管理员进行管理。

## 功能测试：

**What is Functional Testing?**

*   测试产品的功能和行为，以确保它们符合其规格。
*   忽略系统或组件内部机制的测试，仅关注于响应于所选输入和执行条件而生成的输出。

**功能测试的目的或目标是什么？**

*   [功能测试](/functional-testing.html)的目标是验证您的产品是否符合开发文档中提到的预期功能规格。

**功能测试场景示例：**

*   测试所有必填字段都应经过验证。
*   测试星号应显示所有必填字段。
*   测试系统不应为可选字段显示错误消息。
*   测试 that 年是否正确验证&不会导致错误/错误计算。
*   测试数字字段不应接受字母，并应显示正确的错误消息。
*   如果允许数字字段，请测试负数。
*   除以零的测试除法应正确进行计算。
*   测试每个字段的最大长度，以确保数据不会被截断。
*   如果数据达到该字段的最大大小，应显示测试弹出消息（“此字段限制为 500 个字符”）。
*   测试是否应显示一条确认消息以进行更新和删除操作。
*   测试金额值应以货币格式显示。
*   测试所有输入字段中的特殊字符。
*   测试超时功能。
*   测试排序功能。
*   测试可用按钮的功能
*   测试隐私政策&常见问题解答已明确定义，应该可供用户使用。
*   测试是否有任何功能失败，用户将被重定向到自定义错误页面。
*   测试所有上传的文档是否正确打开。
*   测试用户应该能够下载上传的文件。
*   测试系统的电子邮件功能。
*   测试 [Java](/java-tutorial.html) 脚本在不同的浏览器（IE，Firefox，Chrome，Safari 和 Opera）中是否正常运行。
*   测试以查看如果用户删除站点中的 cookie 会发生什么。
*   测试以查看用户访问网站后删除 cookie 会发生什么。
*   测试组合/列表框中的所有数据按时间顺序排列。

## 兼容性测试：

**什么是兼容性测试？**

*   兼容性测试用于确定您的软件是否与应与之一起运行的系统的其他元素兼容。 浏览器，操作系统或硬件。

**兼容性测试的目的或目标是什么？**

*   兼容性测试的目的是评估软件在特定浏览器，操作系统，硬件或软件中的性能。

**示例兼容性测试场景：**

*   在不同的浏览器（IE，Firefox，Chrome，Safari 和 Opera）中测试网站，并确保网站显示正确。
*   测试所使用的 HTML 版本是否与适当的浏览器版本兼容。
*   测试图像在不同浏览器中的显示是否正确。
*   测试字体是否可以在不同的浏览器中使用。
*   测试 Java 脚本代码是否可在不同的浏览器中使用。
*   在不同的浏览器中测试动画 GIF。

## 数据库测试：

**什么是数据库测试？**

*   在数据库测试中，将测试通过 Web 或桌面应用程序插入的后端记录。 Web 应用程序中显示的数据应与数据库中存储的数据匹配。

**要执行数据库测试，测试人员应了解以下提到的要点**：

*   测试人员应该彻底了解功能需求，业务逻辑，应用程序流程和数据库设计。
*   测试人员应找出用于该应用程序的表，触发器，存储过程，视图和游标。
*   测试人员应了解触发器，存储过程，视图和创建的游标的逻辑。
*   测试人员应该找出通过 Web 或桌面应用程序执行插入更新和删除（DML）操作时受影响的表。

**在上述要点的帮助下，测试人员可以轻松编写用于数据库测试的测试方案。**

**用于数据库测试的示例测试用例：**

*   验证数据库名称：数据库名称应与规范匹配。
*   验证表，列，列类型和默认值：所有内容均应符合规范。
*   验证列是否允许为空。
*   验证每个表的主键和外键。
*   验证存储过程：
*   测试是否已安装存储过程。
*   验证存储过程名称
*   验证参数名称，类型和数量。
*   是否需要测试参数。
*   通过删除一些参数来测试存储过程
*   测试当输出为零时，零记录应受到影响。
*   通过编写简单的 [SQL](/sql.html) 查询来测试存储过程。
*   测试存储过程是否返回值
*   使用样本输入数据测试存储过程。
*   验证表中每个标志的行为。
*   每次提交页面后，验证数据已正确保存到数据库中。
*   如果执行了 DML（更新，删除和插入）操作，请验证数据。
*   检查每个字段的长度：后端和前端的字段长度必须相同。
*   验证质量检查，UAT 和生产的数据库名称。 名称应唯一。
*   验证数据库中的加密数据。
*   验证数据库大小。 还测试执行的每个查询的响应时间。
*   验证前端显示的数据，并确保后端显示的数据相同。
*   通过在数据库中插入无效数据来验证数据有效性。
*   验证触发器。

## 什么是安全测试？

安全测试涉及从安全角度识别任何缺陷和漏洞的测试。

**用于安全测试的示例测试方案：**

*   验证包含重要数据（例如密码，信用卡号，安全问题的秘密答案等）的网页应通过 HTTPS（SSL）提交。
*   验证重要信息（例如密码，信用卡号等）应以加密格式显示。
*   验证密码规则是否在所有身份验证页面（例如注册，忘记密码，更改密码）上实现。
*   验证密码是否已更改，用户应无法使用旧密码登录。
*   验证错误消息不应显示任何重要信息。
*   验证用户是否已从系统注销或用户会话已过期，该用户应无法浏览该站点。
*   验证无需登录即可直接访问受保护和不受保护的网页。
*   确认“查看源代码”选项已禁用，并且对用户不可见。
*   如果用户多次输入错误的密码，请验证用户帐户是否被锁定。
*   验证 cookie 不应存储密码。
*   验证是否有任何功能不起作用，系统是否不应显示任何应用程序，服务器或数据库信息。 而是应显示自定义错误页面。
*   验证 SQL 注入攻击。
*   验证用户角色及其权限。 例如，请求者应该不能访问管理页面。
*   验证重要操作是否写在日志文件中，并且该信息应可追溯。
*   验证会话值在地址栏中为加密格式。
*   验证 cookie 信息以加密格式存储。
*   验证应用程序是否存在蛮力攻击

## 什么是性能测试？

进行性能测试以评估系统或组件是否符合指定的性能要求。

**常规测试方案：**

*   确定在不同负载条件下应用程序的性能，稳定性和可伸缩性。
*   确定当前体系结构是否可以在高峰用户级别支持该应用程序。
*   确定哪种配置大小可提供最佳性能水平。
*   识别应用程序和基础结构瓶颈。
*   确定软件的新版本是否对响应时间有不利影响。
*   评估产品和/或硬件以确定它是否可以处理预计的负载量。

**How to do Performance testing? By Manual Testing or by Automation**Practically it is not possible to do the Performance Testing manually because of some drawbacks like:

*   将需要更多的资源。
*   无法同时采取行动。
*   无法进行正确的系统监视。
*   执行重复任务并不容易。

Hence to overcome the above problems we should use Performance Testing tool. Below is the list of some popular testing tools.

*   Apache JMeter
*   载流道
*   Borland 丝绸表演者。
*   Rational Performance Tester
*   XXXV
*   新负载