# 商业智能（BI）测试：示例测试案例

> 原文： [https://www.guru99.com/business-intelligence-testing-sample-test-cases.html](https://www.guru99.com/business-intelligence-testing-sample-test-cases.html)

## 什么是 BI 测试？

**商业智能（BI）**是收集，清理，分析，集成和共享数据以获取可推动业务发展的行动见解的过程。 商业智能测试或 BI 测试会验证登台数据，ETL 流程，BI 报告并确保实施正确。 BI 测试可确保从 BI 流程中获得数据的可靠性和洞察力的准确性。

您可以在此[教程](/utlimate-guide-etl-datawarehouse-testing.html)中了解有关 ETL /商业智能的更多信息

### **BI 的示例测试用例**

以下是需要针对任何 BI 测试项目进行验证的通用测试用例

| **测试场景** |  **<center>测试用例</center>**  |
| **ETL 验证** | 

*   验证数据是否已从源正确映射到目标系统

 |
|  | 

*   验证所有表及其字段均已从源复制到目标

 |
|  | 

*   验证在目标系统

中正确创建了配置为自动生成的密钥 |
|  | 

*   验证未填充空字段

 |
|  | 

*   验证数据是否乱码或截断

 |
|  | 

*   验证目标系统中的数据类型和格式是否符合预期

 |
|  | 

*   验证目标系统中没有数据重复

 |
|  | 

*   验证转换是否正确应用

 |
|  | 

*   验证数字字段中数据的精度是否准确

 |
|  | 

*   验证异常处理是否可靠

 |
| **登台数据** | 

*   应用过滤规则后，STG（登台）表与目标表之间的对帐检查记录计数相同。

 |
|  | 

*   对于给定的组合键

插入未加载到目标表中的记录 |
|  | 

*   复制记录，发送已加载到目标表中的相同记录-不应加载

 |
|  | 

*   当在 day_02 加载值列时更新键的记录

 |
|  | 

*   逻辑上删除目标表中的记录

 |
|  | 

*   由过程表

加载的值 |
|  | 

*   参考表

加载的值 |
| **BI 中的数据加载** | 

*   检查目标数据库和源数据库是否连接正确，并且没有访问问题。

 |
|  | 

*   对于满负载，请检查 truncate 选项并确保其正常工作。

 |
|  | 

*   加载数据时，检查会话

的性能 |
|  | 

*   检查非致命错误。

 |
|  | 

*   如果子任务失败，请确认您可以使调用父任务失败。

 |
|  | 

*   验证日志是否已更新

 |
|  | 

*   验证映射和工作流程参数是否已正确配置

 |
|  | 

*   验证源系统和目标系统中的表数是否相同

 |
|  | 

*   将阶段表中的属性与目标表中的属性进行比较。 它们应该匹配。

 |
| **BI 报告** | 

*   显示日期和时间

 |
|  | 

*   关键指标的小数精度

 |
|  | 

*   在给定页面中显示行数和列数

 |
|  | 

*   报告中的自由特征

 |
|  | 

*   如何在报告

中显示特征和关键指标的空白值/数据 |
|  | 

*   搜索特征是基于按键还是按键 & 文本（如果适用）

 |
|  | 

*   文本的搜索选项是否区分大小写-上，下或两者都区分大小写

 |