# 负载测试，压力测试，性能测试：讨论差异

> 原文： [https://www.guru99.com/performance-vs-load-vs-stress-testing.html](https://www.guru99.com/performance-vs-load-vs-stress-testing.html)

## 什么是性能测试？

性能测试是一种用于确定计算机，网络或设备的速度的测试。 它通过在不同的负载方案中传递不同的参数来检查系统组件的性能。

## 什么是负载测试？

负载测试是模拟任何应用程序或网站上实际用户负载的过程。 它检查应用程序在正常负载和高负载下的行为。 当开发项目接近完成时，将应用这种类型的测试。

## 什么是压力测试？

压力测试是一种确定系统稳定性和健壮性的测试。 这是一种非功能测试技术。 此测试技术使用自动生成的仿真模型来检查所有假设的场景。

## 性能测试与负载测试与压力测试

| **性能测试** | **负载测试** | **压力测试** |
| --- | --- | --- |
| 负荷和压力测试的超集。 | 性能测试的子集。 | A subset of performance testing. |
| 帮助设置应用程序的基准和标准。 | 要识别系统的上限，请设置应用程序的 SLA 并检查系统如何处理重负载。 | 检查系统在极端负载下的行为以及如何从故障中恢复。 |
| 性能测试的目的是指出应用程序在常规参数下的行为。 | 在 Web 应用程序上产生增加的负载是负载测试的主要目的。 | 压力测试旨在确保在突然的高负载下持续相当长的时间，服务器不会崩溃。 |
| 产品的资源使用，可用性和可靠性在此测试中得到了验证。 | 负载测试中检查的属性是峰值性能，服务器数量和响应时间。 | 这种测试检查稳定性响应时间等。 |
| 在性能测试中，负载限制在中断阈值之上和之下。 | 在负载测试中，负载极限是中断的阈值。 | 在压力测试中，负载极限高于断裂阈值。 |
| 性能测试的示例包括：检查并发用户，HTTP 连接或检查合适的响应时间。 | 负载测试的示例包括通过更改大量数据来测试文字处理器，

通过传输大量数据来测试打印机。

检查具有数千个并发用户的邮件服务器。 | 压力测试的示例是随意关闭并重新启动大型网络的端口。 |
| 为什么要进行性能测试？-验证应用程序是否正常运行-验证符合业务绩效需求查找，分析和修复性能问题验证足以处理预期负载的硬件。为将来的应用需求进行容量规划 | 为什么要进行负载测试？-查找其他任何测试方法都无法实现的错误。 例如内存管理内存泄漏，错误，缓冲区溢出等。-以确保应用程序能够达到性能测试期间认可的性能点。-确定应用程序的操作能力-检查当前基础结构是否足以运行该应用程序。-应用程序可以支持的并发用户数，以及允许更多用户访问它的可伸缩性。 | 为什么要进行压力测试？-帮助测试单元在故障情况下测试系统。-要确保系统在崩溃前或未崩溃之前已保存数据。-检查是否有任何意外故障不会损害系统安全性。 |

## 您何时使用性能测试？

执行性能测试以检查网站服务器，数据库和网络的性能。 如果您采用瀑布方法，那么对您每次检查新版本的发布都非常重要。 但是，如果您使用的是敏捷软件开发方法，则需要不断测试应用程序。

## 什么时候使用负载测试？

执行负载测试以确定系统可以处理多少用户。 您还可以签出不同的方案，使您专注于系统的不同部分。 就像您网站上的主页或结帐网页一样，用于进行网络负载测试。 它还可以帮助您确定负载如何在系统中建立和维持。

## 什么时候使用压力测试？

网站和应用程序压力测试在重大事件之前很重要，例如在人们需求很高的著名音乐会上卖票。 因此，定期测试系统耐用性非常重要。 这还可以帮助您为意外的流量高峰做准备，并提供更多的时间和资源来解决任何瓶颈。

## 结论

*   性能测试是一种用于确定计算机，网络或设备的速度的测试方法。
*   负载测试可模拟任何应用程序或网站上的实际负载。
*   压力测试确定系统的稳定性和鲁棒性
*   性能测试有助于检查网站服务器，数据库，网络的性能。
*   负载测试用于基于 Web 的客户端/服务器应用程序。
*   压力测试已完成您网站的意外测试流量。