# 重新测试和回归测试之间的区别

> 原文： [https://www.guru99.com/re-testing-vs-regression-testing.html](https://www.guru99.com/re-testing-vs-regression-testing.html)

### 什么是重新测试？

重新测试是一种测试，用于检查在修复缺陷后是否成功通过了最终执行不成功的测试用例

### 什么是回归测试？

[回归测试](/regression-testing.html)是执行的一种软件测试，用于检查代码更改是否没有不利地干扰应用程序的当前功能&

重新测试与回归测试是 QA 追求者之间常见的常见问题。

以下是与示例的详细比较

### 重新测试与回归测试

| 

<center>回归测试</center>

 | 

<center>重新测试</center>

 |
| 

*   进行回归测试以确认最近的程序或代码更改是否对现有功能没有不利影响

 | 

*   进行了重新测试，以确认在修复缺陷后最终执行失败的测试用例通过了。

 |
| 

*   回归测试的目的是，新的代码更改不应对现有功能产生任何副作用

 | 

*   根据 [缺陷](/defect-management-process.html) 修复程序

进行了重新测试。 |
| 

*   缺陷验证不是回归测试

的一部分 | 

*   缺陷验证是重新测试

的一部分 |
| 

*   根据项目和资源的可用性，可以与重新测试

并行进行回归测试 | 

*   重新测试的优先级高于回归测试，因此它是在回归测试

之前执行的 |
| 

*   您可以自动化进行回归测试， [手动测试](/manual-testing.html) 可能既昂贵又耗时

 | 

*   您无法自动化用于重新测试

的测试用例 |
| 

*   回归测试称为通用测试

 | 

*   重新测试是计划中的测试

 |
| 

*   对通过的测试用例进行了回归测试

 | 

*   仅针对失败的测试用例进行重新测试

 |
| 

*   回归测试检查是否有意外的副作用

 | 

*   重新测试可确保原始错误已得到纠正

 |
| 

*   仅当对现有项目

进行任何修改或更改成为必需时，才进行回归测试。 | 

*   重新测试使用新构建的

 |
| 

*   可以从功能规范，用户指南和手册以及有关已更正问题的缺陷报告中获取回归测试的测试用例。

 | 

*   在开始测试之前，无法获得用于重新测试的测试用例。

 |

## 关键区别

*   对通过的测试用例进行回归测试，而仅对失败的测试用例进行回归测试。
*   回归测试检查是否有意外的副作用，而重新测试则确保原始错误已得到纠正。
*   回归测试不包括缺陷验证，而重新测试则包括缺陷验证。
*   回归测试称为通用测试，而重新测试是计划的测试。
*   使用自动化可以进行回归测试，而自动化则不能进行重新测试。