# 质量保证与质量控制：有什么区别？

> 原文： [https://www.guru99.com/quality-assurance-vs-quality-control.html](https://www.guru99.com/quality-assurance-vs-quality-control.html)

### 什么是质量保证？

质量保证通常被称为 QA 测试，它是一项活动，旨在确保组织为客户提供最佳的产品或服务。

### 什么是质量控制？

质量控制通常缩写为 QC。 这是用于确保产品或服务质量的软件工程过程。 它不处理用于创建产品的过程； 而是要检查“最终产品”的质量和最终结果。

本教程给出了[质量保证](/all-about-quality-assurance.html)和质量控制之间的区别

## 质量保证（QA）和质量控制（QC）之间的区别

| **质量保证（QA）** | **质量控制（QC）** |
| 

*   该程序着重于确保将达到要求的质量

 | 

*   这是一个专注于满足要求的质量的过程。

 |
| 

*   质量检查旨在防止缺陷

 | 

*   质量控制旨在识别和修复缺陷

 |
| 

*   这是一种管理质量的方法-验证

 | 

*   这是一种验证质量验证

的方法 |
| 

*   它不涉及执行程序

 | 

*   它总是涉及执行程序

 |
| 

*   这是一种预防性技术

 | 

*   这是一种纠正技术

 |
| 

*   这是一项积极措施

 | 

*   这是一种无功措施

 |
| 

*   这是创建可交付成果

的过程 | 

*   这是验证可交付成果

的过程 |
| 

*   质量检查涉及整个软件开发生命周期

 | 

*   QC 涉及完整的软件测试生命周期

 |
| 

*   为满足客户要求，质量保证定义了标准和方法

 | 

*   QC 确认在处理产品

时遵循了标准。 |
| 

*   在质量控制

之前执行 | 

*   仅在完成质量检查活动后执行

 |
| 

*   这是一个低级活动，它可以识别 QC 无法进行的错误和错误

 | 

*   这是一个高级活动，它可以识别质量检查人员无法确定的错误

 |
| 

*   其主要目的是防止系统中的缺陷。 这是一项耗时较少的活动

 | 

*   其主要目的是识别系统中的缺陷或错误。 这是一项更耗时的活动

 |
| 

*   质量检查确保一切均以正确的方式执行，因此，它属于验证活动

 | 

*   QC 确保我们所做的一切都符合要求，这就是为什么它属于验证活动的原因

 |
| 

*   它需要整个团队的参与

 | 

*   它需要测试团队

的参与 |
| 

*   应用于质量检查的统计技术称为 SPC 或统计过程控制（SPC）

 | 

*   应用于质量控制的统计技术称为 SQC 或统计质量控制

 |

## 关键区别

*   质量保证旨在避免缺陷，而质量控制旨在识别和修复缺陷。
*   质量保证提供了保证将达到要求的质量的保证，而质量控制是专注于实现要求的质量的程序。
*   质量保证在软件开发生命周期中完成，而质量控制在软件测试生命周期中完成。
*   质量保证是一种主动措施，而质量控制是一种主动措施。
*   质量保证需要所有团队成员的参与，而质量控制只需要测试团队。
*   在质量控制之前执行质量保证。