# 什么是缺陷密度？ 用示例计算的公式

> 原文： [https://www.guru99.com/defect-density-software-testing-terminology.html](https://www.guru99.com/defect-density-software-testing-terminology.html)

### 什么是缺陷密度？

缺陷密度是在**操作或**开发的特定期间，在软件/模块**中确认的缺陷数除以软件/模块的大小。 它使人们能够决定某个软件是否已准备好发布。**

缺陷密度是按每千行代码（也称为 KLOC）计算的。

## 如何计算缺陷密度

测量缺陷密度的公式：

```
Defect Density = Defect count/size of the release
```

释放的大小可以用一行代码（LoC）来衡量。

## 缺陷密度示例

假设您有 3 个模块集成到您的软件产品中。 每个模块都发现了以下数量的错误-

*   模块 1 = 10 个错误
*   模块 2 = 20 个错误
*   模块 3 = 10 个错误

错误总数= 10 + 20 + 10 = 40

每个模块的总代码行是

*   模块 1 = 1000 LOC
*   模块 2 = 1500 LOC
*   单元 3 = 500 LOC

总代码行= 1000 + 1500 + 500 = 3000

缺陷密度的计算公式为：

```
Defect Density = 40/3000 = 0.013333 defects/loc = 13.333 defects/Kloc
```

![](img/f78db05c747fcbf61a35fec54dc4af49.png)

## 缺陷密度标准

但是，对于错误密度没有固定的标准，研究表明，每千行代码一个缺陷通常被认为是良好项目质量的标志。

**影响缺陷密度指标的因素**

*   代码复杂度
*   计算中考虑的缺陷类型
*   计算缺陷密度所考虑的持续时间
*   开发人员或测试人员技能

## 缺陷密度的优点

*   它有助于衡量测试的有效性
*   它有助于区分组件/软件模块中的缺陷
*   在确定需要纠正或改进的区域时很有用
*   在指出高风险成分时很有用
*   它有助于确定对各种资源的培训需求
*   它有助于估计由于错误而导致的测试和返工
*   它可以估计软件中剩余的缺陷
*   在发布之前，我们可以确定我们的测试是否足够
*   我们可以确保数据库具有标准缺陷密度