# 单元测试与集成测试：有什么区别？

> 原文： [https://www.guru99.com/unit-test-vs-integration-test.html](https://www.guru99.com/unit-test-vs-integration-test.html)

### 什么是单元测试？

[单元测试](/unit-testing-guide.html)由开发人员进行，并测试他或她开发的代码单元（即模块，组件）。 这是一种测试方法，通过该方法测试源代码的各个单元以确定它们是否准备就绪。 由于可以在开发生命周期的早期阶段识别出错误，因此有助于减少错误修复的成本。

### 什么是集成测试？

[集成测试](/integration-testing.html)由测试人员执行，并测试软件模块之间的集成。 它是一种软件测试技术，其中将程序的各个单元组合在一起并作为一组进行测试。 测试存根和测试驱动程序用于协助集成测试。 集成测试以两种方式执行，它们是自下而上的方法和自上而下的方法。

以下是两者之间的详细比较-

| 

<center>单元测试</center>

 | 

<center>集成测试</center>

 |
| 

*   单元测试的思想是测试程序的每个部分，并证明各个部分是正确的。

 | 

*   集成测试背后的想法是将应用程序中的模块组合在一起并作为一个整体进行测试，以确保它们工作正常

 |
| 

*   这是一种 [白盒测试](/white-box-testing.html)

 | 

*   这是一种 [黑盒测试](/black-box-testing.html)

 |
| 

*   可以随时执行

 | 

*   通常在单元测试之后和 [系统测试之前进行](/system-testing.html)

 |
| 

*   单元测试仅测试单元本身的功能，可能不会捕获集成错误或其他系统范围的问题

 | 

*   当集成模块以构建整个系统时，集成测试可能会检测到错误。

 |
| 

*   以模块规范

开头 | 

*   以接口规范

开头 |
| 

*   注意单个模块的行为

 | 

*   注意模块之间的集成

 |
| 

*   单元测试无法验证您的代码是否可以正确使用外部依赖项。

 | 

*   集成测试可验证您的代码可正确使用外部依赖项。

 |
| 

*   通常由开发人员执行

 | 

*   通常由测试团队执行

 |
| 

*   查找错误很容易

 | 

*   很难找到错误

 |
| 

*   维护单元测试很便宜

 | 

*   维护集成测试非常昂贵

 |
|   |   |

## 关键区别

*   单元测试是一种测试方法，通过该方法可以测试源代码的各个单元以确定它们是否准备就绪，而集成测试则检查软件模块之间的集成。
*   单元测试对程序的每个部分进行测试，并表明各个部分是正确的，而集成测试将应用程序中的不同模块组合在一起，并作为一个整体进行测试，以确保它们工作正常。
*   单元测试从模块规范开始，而集成测试从接口规范开始。
*   可以随时执行单元测试，另一方面，可以在单元测试之后和系统测试之前执行集成测试。
*   单元测试由开发人员执行，而集成测试由测试团队执行。
*   单元测试错误很容易发现，而集成测试则很难发现错误。
*   单元测试是一种白盒测试，而集成测试是一种黑盒测试。